median_imputation <- function(filename, outfile, classfile){
  load(classfile)
  data = read.csv(filename, na.strings = c("NA", -9,-3,-5, -1, -7), colClasses = var.classes)
  
  nvars = dim(data)[2]
  
  getmode <- function(v) {
    uniqv <- unique(v[!is.na(v)])
    uniqv[which.max(tabulate(match(v, uniqv)))]
  }
  
  for(i in 1:nvars){
    temp = data[,i]
    if(is.factor(temp)){
      data[is.na(temp),i] = getmode(temp)
    }else{
      data[is.na(temp),i] = round(median(temp, na.rm = T))
    }
  }
  
  write.csv(data, file = outfile, row.names =FALSE)
  return(data)
}