remove_useless_vars <- function(filename, outname, classfile){
  
    load(classfile)
  
  data = read.csv(filename, na.strings = c("NA", -9, -10, -14, -8, -7, -5, -3, -2, -1), colClasses = var.classes)
  for(i in 1:dim(data)[2]){
    if(class(data[,i]) != "factor") 
      data[,i][data[,i]==-6]=NA
  }
  outcomes = read.csv('../Data/train.csv')
  
  train.data = data[data$challengeID %in% outcomes$challengeID,]
  
  misnum = apply(train.data, 2, function(x) mean(is.na(x)))
  allmis = which(misnum == 1)
  
  constvar = apply(train.data, 2, function(x) length(unique(x[!is.na(x)]))==1)
  remove = unique(c(allmis, which(constvar)))
  if(length(remove !=0)) data = data[,-remove]
  
  write.csv(data, file = outname, row.names = FALSE)
  var.classes = sapply(data, class)
  save(var.classes, file = classfile)
}
