pdf("../Output/Figure1.pdf")
set.seed(10)
n = 500
x = runif(n, 0, 100)
y = (x^2/1000+24)*(x < 70) + (x >=70)*(x+50)^2/500 + rnorm(n, 0, 2)
plot(x,y)

gp1 = mean(y[x < 80])
lines(c(0,80), c(gp1,gp1), col = "red", lwd = 3)
gp2 = mean(y[x >=80 & x <90])
lines(c(80,90), c(gp2,gp2), col = "red", lwd = 3)
gp3 = mean(y[x >= 90])
lines(c(90,100), c(gp3,gp3), col = "red", lwd = 3)
abline(v = 80)
abline(v = 90)

polygon(c(17, 37, 37, 17), c(47, 47, 44, 44))
text(18, 45.5, labels = "X < 80?", pos = 4)
text(7, 43.5, labels = "Yes", pos = 4)
lines(c(27, 17), c(44, 42))
text(47, 43.5, labels = "No", pos = 2)
lines(c(27, 37), c(44, 42))
polygon(c(2, 22, 22, 2), c(42,42,39,39), col = "grey90")
text(3,40.5, labels = expression(paste(hat(mu), "= 26.3")), pos = 4)
polygon(c(32, 52, 52, 32), c(42,42,39,39))
text(33, 40.5, labels = "X < 90?", pos = 4)
text(22, 38, labels = "Yes", pos = 4)
lines(c(42, 32), c(39, 37))
text(62, 38, labels = "No", pos = 2)
lines(c(42, 52), c(39, 37))
polygon(c(17, 37, 37, 17), c(37, 37, 34,34), col = "grey90")
text(18,35.5, labels = expression(paste(hat(mu), "= 36.5")), pos = 4)
polygon(c(47, 67, 67, 47), c(37, 37, 34,34), col = "grey90")
text(48,35.5, labels = expression(paste(hat(mu), "= 42.3")), pos = 4)

dev.off()
#resY = y
#resY[x < 80] = resY[x < 80]-gp1
#resY[x >=80 & x < 90] = resY[x >=80 & x < 90]-gp2
#resY[x >=90] = resY[x >=90]-gp3

#plot(x, resY)
