library(readxl)

varcount <- read_xlsx("../Data/varCount.xlsx")
varSmall <- varcount[varcount$dataUsed %in% c(1,2,3,4,5) & varcount$selection %in% c("bglm", "lasso", "hshoe"),]

attach(varSmall)

pdf("../Output/Figure4.pdf", width = 10, height = 5)
par(mfrow = c(1,2), mar = c(3,4,1,1)+.1, oma = c(0, 0, 2, 0), cex.axis = 0.5, mgp = c(2,.4,0))
height  = tapply(num, paste(selection,dataUsed), mean, na.rm = 2)
ht2  = 100*tapply(num, paste(selection,dataUsed), mean, na.rm = 2)/c(473,1438,2543,2268,1790)

barplot(height, density = 30, angle = rep(c(0,30,60),each = 5), space = c(rep(0.2,5), 1, rep(0.2,4), 1, rep(0.2,4)),
        names.arg = rep(c("W1","W2","W3","W4","W5"),3), ylab = "Number of predictors selected",
        xlab = "")
mtext("HSHOE", side = 1, line = 1.5, cex = 0.75)
mtext("BGLM", side = 1, line = 1.5, at = 3, cex = 0.75)
mtext("LASSO", side = 1, line = 1.5, at = 17, cex = 0.75)

barplot(ht2, density = 30, angle = rep(c(0,30,60),each = 5), space = c(rep(0.2,5), 1, rep(0.2,4), 1, rep(0.2,4)),
        names.arg = rep(c("W1","W2","W3","W4","W5"),3), ylab = "% of predictors selected",
        xlab = "")
mtext("HSHOE", side = 1, line = 1.5, cex = 0.75)
mtext("BGLM", side = 1, line = 1.5, at = 3, cex = 0.75)
mtext("LASSO", side = 1, line = 1.5, at = 17, cex = 0.75)

mtext("Predictor variables selected by method", outer = TRUE)

dev.off()

pdf("../Output/Figure5.pdf", width = 12, height = 5)
par(mfrow = c(1,2), mar = c(3,4,1,1)+.1, oma = c(0, 0, 2, 0), cex.axis = 0.5, mgp = c(2,.4,0))
height  = tapply(num, paste(outcome,dataUsed), mean, na.rm = 2)
ht2  = 100*tapply(num, paste(outcome,dataUsed), mean, na.rm = 2)/c(473,1438,2543,2268,1790)

barplot(height, density = 30, angle = rep(c(0,15,30,45,60,75),each = 5), space = c(rep(0.2,5), rep(c(1, rep(0.2,4)),5)),
        names.arg = rep(c("W1","W2","W3","W4","W5"),6), ylab = "Number of predictors selected",
        xlab = "")
mtext(c("Evict", "GPA", "Grit", "Hdship", "Job", "Layoff"), side = 1, line = 1.5, cex = 0.75, 
      at = c(3,10,16.6,23.5,30.4,37))


barplot(ht2, density = 30, angle = rep(c(0,15,30,45,60,75),each = 5), space = c(rep(0.2,5), rep(c(1, rep(0.2,4)),5)),
        names.arg = rep(c("W1","W2","W3","W4","W5"),6), ylab = "% of predictors selected",
        xlab = "")
mtext(c("Evict", "GPA", "Grit", "Hdship", "Job", "Layoff"), side = 1, line = 1.5, cex = 0.75, 
      at = c(3,10,16.6,23.5,30.4,37))

mtext("Predictor variables selected by outcome", outer = TRUE)
dev.off()
