pdf("../Output/Figure7.pdf")
ltp = seq(.1,6.5, length.out = 1000)
HSHOEpred = .004*ltp +0.0001785*ltp^2
LASSOpred = .0009+.089+.004*ltp-.052*ltp+.006*ltp^2

par(mgp = c(2,.5, 0), mar = c(3,4,2,1)+.1)
plot(exp(ltp), HSHOEpred, type = "l", log = "x", ylim = c(-0.01, 0.03), lwd = 2, lty = 2,
     xlab = "Tree:predictor ratio", ylab = "Diff. from est. sRMSE with HSHOE & T:P=1")
lines(exp(ltp), LASSOpred, lwd = 2)
abline(h = 0, lty = 3)
lines(c(exp(3), exp(3)), c(0,-0.015), lty = 3)
lines(c(exp(5), exp(5)), c(0,-0.015), lty = 3)
legend("topleft", legend = c("HSHOE", "LASSO"), lwd = 1.5, lty = c(2,1))

aaa <- predict(fitCont2, newdata = list(outcome = rep("GPA",1000), varSelect = rep("lasso",1000), treeRatio = ltp), interval = "confidence", se.fit = T)
lines(exp(ltp), aaa$fit[,3]-.899, col= "red")
lines(exp(ltp), aaa$fit[,2]-.899, col = "red")
dev.off()