filename ="../Data/Wave2.csv"
outname ="../Data/Wave2_clean.csv"
data = read.csv(filename)
attach(data)

###########
#Remove variables we don't need to include
#(Some - mostly weights - already removed, but will not affect code if they are missing)
###########
drop = which(names(data) %in% c("idnum","fathid2","f2intmon ","f2intyr ","cf2twoc ","cf2fint","cf2mint  ","cm1fint","cf2new12 ","cf2samp",
                                "cf2natsm","f2natwt","cf2natsmx","f2natwtx ","cf2citsm","f2citywt","f2a6b2","f2a6c","f2j8a", 
                                "cc2citsm", "cc2natsm", "cc2natsmx", "cf2citsm", "cf2natsm", "cf2natsmx", "cf2samp", "cf2tele", "cm2citsm", 
                                "cm2natsmx", "cm2samp", "cm2tele", "cf2hhimp", "cf2hhimpb", "cm2hhimp", "cm2hhimpb"))
newdata = data[,-drop] 

###############
#Father survey
##############

######################### SECTION A ######################################

### SKIP RECODING 
newdata$f2a3b[f2a3b == -6 & f2a3 == 1] = 0   # spend most of the time with father 
newdata$f2a3b[f2a3b == -6 & f2a3 == 2] = 0
newdata$f2a3b[f2a3b == -6 & f2a3 == 3] = 0

newdata$f2a3c[f2a3c == -6 & f2a3 == 1] = 0   # spend most of the time with father 
newdata$f2a3c[f2a3c == -6 & f2a3 == 2] = 0
newdata$f2a3c[f2a3c == -6 & f2a3 == 3] = 0
newdata$f2a3c[f2a3c == -6 & f2a3b == 1] = 3   # lived with the child

newdata$f2a3d[f2a3d == -6 & f2a3 == 1] = 0   # spend most of the time with father 
newdata$f2a3d[f2a3d == -6 & f2a3 == 2] = 0
newdata$f2a3d[f2a3d == -6 & f2a3 == 3] = 0
newdata$f2a3d[f2a3d == -6 & f2a3c == 2] = 3    # Never stayed over night


newdata$f2a4[f2a4 == -6 & f2a3 == 1] = 0   # spend most or none of the time with father 
newdata$f2a4[f2a4 == -6 & f2a3 == 2] = 0
newdata$f2a4[f2a4 == -6 & f2a3 == 3] = 0


newdata$f2a4a[f2a4a == -6 & f2a3 == 1] = 0   # live mostly wiith father 
newdata$f2a4a[f2a4a == -6 & f2a3 == 2] = 0

newdata$f2a4b[f2a4b == -6 & f2a3 == 1] = 0   # live mostly wiith father 
newdata$f2a4b[f2a4b == -6 & f2a3 == 2] = 0

newdata$f2a4c[f2a4c == -6 & f2a3 == 1] = 0   # live mostly wiith father 
newdata$f2a4c[f2a4c == -6 & f2a3 == 2] = 0

newdata$f2a4d[f2a4d == -6 & f2a3 == 1] = 0   # live mostly wiith father 
newdata$f2a4d[f2a4d == -6 & f2a3 == 2] = 0


newdata$f2a5a[f2a5a == -6 & f2a5 == 3] = 0   # Seperated or nonromantic relation when child was born
newdata$f2a5a[f2a5a == -6 & f2a5 == 4] = 0
newdata$f2a5a[f2a5a == -6 & f2a5 == 5] = 0

newdata$f2a6a[f2a6a == -6 & f2a6 == 3] = 0   # Seperated or nonromantic relation now
newdata$f2a6a[f2a6a == -6 & f2a6 == 4] = 0
newdata$f2a6a[f2a6a == -6 & f2a6 == 5] = 0

newdata$f2a6a1[f2a6a1 == -6 & f2a6 == 3] = 0   # Seperated or nonromantic relation now
newdata$f2a6a1[f2a6a1 == -6 & f2a6 == 4] = 0
newdata$f2a6a1[f2a6a1 == -6 & f2a6 == 5] = 0

newdata$f2a6a2[f2a6a2 == -6 & f2a6 == 3] = 0   # Seperated or nonromantic relation now
newdata$f2a6a2[f2a6a2 == -6 & f2a6 == 4] = 0
newdata$f2a6a2[f2a6a2 == -6 & f2a6 == 5] = 0

newdata$f2a6a2[f2a6a2 == -6 & f2a6 == 1] = 8    # married

newdata$f2a7a1b[f2a7a1b == -6 & f2a7a == 2] = 0  # were not married to each other


newdata$f2a7b1b[f2a7b1b == -6 & f2a7b == 2] = 0   # were not living together a birth

newdata$f2a7c1b[f2a7c1b == -6 & f2a7c == 2] = 0    # not seperated


newdata$f2a7d1[f2a7d1 == -6 & f2a7d == 2] = 0   # Not romantically involved

newdata$f2a7e[f2a7e == -6 & f2a7d == 1] = 0   #  romantically involved


newdata$f2a7e1b[f2a7e1b == -6 & f2a7e == 2] = 0   #  romantically involved
newdata$f2a7e1b[f2a7e1b == -6 & f2a7d == 1] = 0   #  romantically involved

newdata$f2a8a[f2a8a == -6 & f2a7d == 1] = 0   #  romantically involved
newdata$f2a8a[f2a8a == -6 & f2a7e == 2] = 0   #  Still in a relationship
newdata$f2a8b[f2a8b == -6 & f2a7d == 1] = 0   #  romantically involved
newdata$f2a8b[f2a8b == -6 & f2a7e == 2] = 0   #  Still in a relationship
newdata$f2a8c[f2a8c == -6 & f2a7d == 1] = 0   #  romantically involved
newdata$f2a8c[f2a8c == -6 & f2a7e == 2] = 0   #  Still in a relationship
newdata$f2a8d[f2a8d == -6 & f2a7d == 1] = 0   #  romantically involved
newdata$f2a8d[f2a8d == -6 & f2a7e == 2] = 0   #  Still in a relationship
newdata$f2a8e[f2a8e == -6 & f2a7d == 1] = 0   #  romantically involved
newdata$f2a8e[f2a8e == -6 & f2a7e == 2] = 0   #  Still in a relationship
newdata$f2a8f[f2a8f == -6 & f2a7d == 1] = 0   #  romantically involved
newdata$f2a8f[f2a8f == -6 & f2a7e == 2] = 0   #  Still in a relationship
newdata$f2a8g[f2a8g == -6 & f2a7d == 1] = 0   #  romantically involved
newdata$f2a8g[f2a8g == -6 & f2a7e == 2] = 0   #  Still in a relationship
newdata$f2a8h[f2a8h == -6 & f2a7d == 1] = 0   #  romantically involved
newdata$f2a8h[f2a8h == -6 & f2a7e == 2] = 0   #  Still in a relationship

#### NA CODING 

newdata$f2a3[newdata$f2a3 == -9] = NA
newdata$f2a3b[newdata$f2a3b %in% c(-6,-9)] = NA
newdata$f2a3c[newdata$f2a3c %in% c(-6,-9)] = NA
newdata$f2a3d[newdata$f2a3d %in% c(-2,-6,-9)] = NA
newdata$f2a4[newdata$f2a4 %in% c(-2,-6,-9,-10)] = NA
newdata$f2a4a[newdata$f2a4a %in% c(-2,-6,-9,-10)] = NA
newdata$f2a4b[newdata$f2a4b %in% c(-2,-6,-9,-10)] = NA
newdata$f2a4c[newdata$f2a4c %in% c(-2,-6,-9,-10)] = NA
newdata$f2a4d[newdata$f2a4d %in% c(-2,-6,-9,-10)] = NA
newdata$f2a5[newdata$f2a5 %in% c(-1,-2,-9)] = NA
newdata$f2a5a[newdata$f2a5a %in% c(-1,-2,-6,-9)] = NA
newdata$f2a6[newdata$f2a6 %in% c(-1,-2,-9,-14)] = NA
newdata$f2a6a[newdata$f2a6a %in% c(-1,-6,-9)] = NA
newdata$f2a6a1[newdata$f2a6a1 %in% c(-6,-9)] = NA
newdata$f2a6a2[newdata$f2a6a2 %in% c(-1,-2,-6,-9)] = NA
newdata$f2a7a[newdata$f2a7a == -9] = NA
newdata$f2a7a1b[newdata$f2a7a1b %in% c(-2,-6,-9)] = NA
newdata$f2a7b[newdata$f2a7b == -9] = NA
newdata$f2a7b1b[newdata$f2a7b1b %in% c(-2,-6,-9)] = NA
newdata$f2a7c[newdata$f2a7c == -9] = NA
newdata$f2a7d[newdata$f2a7d %in% c(-6,-9)] = NA
newdata$f2a7d1[newdata$f2a7d1 %in% c(-2,-6,-9)] = NA
newdata$f2a7e[newdata$f2a7e %in% c(-6,-9,-14)] = NA
newdata$f2a7e1[newdata$f2a7e1 %in% c(-2,-6,-8,-9)] = NA
newdata$f2a8a[newdata$f2a8a %in% c(-2,-6,-9)] = NA
newdata$f2a8b[newdata$f2a8b %in% c(-2,-6,-9)] = NA
newdata$f2a8c[newdata$f2a8c %in% c(-2,-6,-9)] = NA
newdata$f2a8d[newdata$f2a8d %in% c(-2,-6,-9)] = NA
newdata$f2a8e[newdata$f2a8e %in% c(-2,-6,-9)] = NA
newdata$f2a8f[newdata$f2a8f %in% c(-2,-6,-9)] = NA
newdata$f2a8g[newdata$f2a8g %in% c(-2,-6,-9)] = NA
newdata$f2a8h[newdata$f2a8h %in% c(-2,-6,-9)] = NA

newdata$f2a9[newdata$f2a9 %in% c(-6,-9)] = NA
newdata$f2a10[newdata$f2a10 %in% c(-2,-6,-9)] = NA
newdata$f2a11[newdata$f2a11 %in% c(-1,-2,-9)] = NA
newdata$cf2age[newdata$cf2age %in% c(-1,-2,-3,-6,-7,-8,-9)] = NA
newdata$cf2b_age[newdata$cf2b_age %in% c(-3,-8,-9)] = NA
newdata$cf2marm[newdata$cf2marm %in% c(-3,-9)] = NA
newdata$cf2cohm[newdata$cf2cohm == -9] = NA


############################# SECTION B ####################################

###### SKIP RECODING #####
newdata$f2fb1a[f2fb1a == -6 & f2fb1 == 2]=0    # child live with someone else 
newdata$f2b2[f2b2 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b2[f2b2 == -6 & f2fb1a == 1]=5   # parents live together 
newdata$f2b3[f2b3 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b3[f2b3 == -6 & f2fb1a == 1]=3   # parents live together  

newdata$f2b5a2[f2b5a2 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b5a2[f2b5a2 == -6 & f2fb1a == 1]=1   # parents live together 

newdata$f2b5b1[f2b5b1 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b5b1[f2b5b1 == -6 & f2fb1a == 1]=1   # parents live together 

newdata$f2b5b2[f2b5b2 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b5b2[f2b5b2 == -6 & f2fb1a == 1]=16   # parents live together 

newdata$f2b6[f2b6 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b6[f2b6 == -6 & f2fb1a == 1]=3   # parents live together 

newdata$f2b7[f2b6 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b7[f2b7 == -6 & f2fb1a == 1]=19   # parents live together
newdata$f2b7a[f2b7a == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b7a[f2b7a == -6 & f2fb1a == 1]=4   # parents live together 
newdata$f2b8[f2b8 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b8[f2b8 == -6 & f2fb1a == 1]=11   # parents live together 
newdata$f2b9[f2b9 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b9[f2b9 == -6 & f2fb1a == 1]=3   # parents live together 
newdata$f2b10[f2b10 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b10[f2b10 == -6 & f2fb1a == 1]=12   # parents live together 
newdata$f2b10[f2b10 == -6 & f2b9 == 2]=11   # no overnight stay

newdata$f2b10a[f2b10a == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b10a[f2b10a == -6 & f2fb1a == 1]=3   # parents live together 
newdata$f2b10a[f2b10a == -6 & f2b9 == 2]=1   # no overnight stay
newdata$f2b10b[f2b10b == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b10b[f2b10b == -6 & f2fb1a == 1]=4   # parents live together 
newdata$f2b10b[f2b10b == -6 & f2b9 == 2]=3   # no overnight stay

newdata$f2b11[f2b11 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b11[f2b11 == -6 & f2fb1a == 1]=3   # parents live together

newdata$f2b11a[f2b11a == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b11a[f2b11a == -6 & f2fb1a == 1]=4   # parents live together 
newdata$f2b11a[f2b11a == -6 & f2b11 == 2]=3   # no asthma 

newdata$f2b11b[f2b11b == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b11b[f2b11b == -6 & f2fb1a == 1]=4   # parents live together 
newdata$f2b11b[f2b11b == -6 & f2b11 == 2]=3   # no asthma 


newdata$f2b12[f2b12 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b12[f2b12 == -6 & f2fb1a == 1]=3   # parents live together 

newdata$f2b12a[f2b12a == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b12a[f2b12a == -6 & f2fb1a == 1]=6   # parents live together
newdata$f2b12a[f2b12a == -6 & f2b12 == 2]=5    # never breastfeed

newdata$f2b12b[f2b12b == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b12b[f2b12b == -6 & f2fb1a == 1]=14   # parents live together
newdata$f2b12b[f2b12b == -6 & f2b12 == 2]=13   # never breastfeed


newdata$f2b13[f2b13 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b13[f2b13 == -6 & f2fb1a == 1]=3   # parents live together

newdata$f2b14[f2b14 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b14[f2b14 == -6 & f2fb1a == 1]=27   # parents live together

newdata$f2b14a1[f2b14a1 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b14a1[f2b14a1 == -6 & f2fb1a == 1]=4  # parents live together
newdata$f2b14a1[f2b14a1 == -6 & f2b14 == 0]=3  # never seperated

newdata$f2b14a2[f2b14a2 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b14a2[f2b14a2 == -6 & f2fb1a == 1]=4  # parents live together
newdata$f2b14a2[f2b14a2 == -6 & f2b14 == 0]=3  # never seperated

newdata$f2b14a3[f2b14a3 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b14a3[f2b14a3 == -6 & f2fb1a == 1]=4  # parents live together
newdata$f2b14a3[f2b14a3 == -6 & f2b14 == 0]=3  # never seperated

newdata$f2b14a4[f2b14a4 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b14a4[f2b14a4 == -6 & f2fb1a == 1]=4  # parents live together
newdata$f2b14a4[f2b14a4 == -6 & f2b14 == 0]=3  # never seperated

newdata$f2b14a5[f2b14a5 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b14a5[f2b14a5 == -6 & f2fb1a == 1]=3  # parents live together
newdata$f2b14a5[f2b14a5 == -6 & f2b14 == 0]=1  # never seperated

newdata$f2b14a6[f2b14a6 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b14a6[f2b14a6 == -6 & f2fb1a == 1]=3  # parents live together
newdata$f2b14a6[f2b14a6 == -6 & f2b14 == 0]=1  # never seperated

newdata$f2b14a7[f2b14a5 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b14a7[f2b14a5 == -6 & f2fb1a == 1]=4  # parents live together
newdata$f2b14a7[f2b14a5 == -6 & f2b14 == 0]=3 # never seperated

newdata$f2b14a8[f2b14a8 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b14a8[f2b14a8 == -6 & f2fb1a == 1]=4  # parents live together
newdata$f2b14a8[f2b14a8 == -6 & f2b14 == 0]=3  # never seperated


newdata$f2b15[f2b15 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b15[f2b15 == -6 & f2fb1a == 1]=0  # parents live together
newdata$f2b15[f2b15 == -6 & f2b14 == 0]=108  # never seperated


newdata$f2b16a[f2b16a == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b16a[f2b16a == -6 & f2fb1a == 1]=6  # parents live together

newdata$f2b16b[f2b16b == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b16b[f2b16b == -6 & f2fb1a == 1]=6  # parents live together

newdata$f2b16c[f2b16c == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b16c[f2b16c == -6 & f2fb1a == 1]=6  # parents live together

newdata$f2b16d[f2b16d == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b16d[f2b16d == -6 & f2fb1a == 1]=6  # parents live together

newdata$f2b16e[f2b16e == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b16e[f2b16e == -6 & f2fb1a == 1]=6  # parents live together

newdata$f2b16f[f2b16f == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b16f[f2b16f == -6 & f2fb1a == 1]=6  # parents live together



newdata$f2b17a[f2b17a == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b17a[f2b17a == -6 & f2fb1a == 1]=206  # parents live together
newdata$f2b17b[f2b17b == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b17b[f2b17b == -6 & f2fb1a == 1]=206  # parents live together

newdata$f2b17c[f2b17c == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b17c[f2b17c == -6 & f2fb1a == 1]=206  # parents live together

newdata$f2b17d[f2b17d == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b17d[f2b17d == -6 & f2fb1a == 1]=206  # parents live together

newdata$f2b17e[f2b17e == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b17e[f2b17e == -6 & f2fb1a == 1]=206  # parents live together

newdata$f2b17f[f2b17f == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b17f[f2b17f == -6 & f2fb1a == 1]=206  # parents live together

newdata$f2b17g[f2b17g == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b17g[f2b17g == -6 & f2fb1a == 1]=202  # parents live together

newdata$f2b17h[f2b17h == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b17h[f2b17h == -6 & f2fb1a == 1]=202  # parents live together

newdata$f2b17i[f2b17i == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b17i[f2b17i == -6 & f2fb1a == 1]=3  # parents live together

newdata$f2b17i1[f2b17i1 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b17i1[f2b17i1 == -6 & f2fb1a == 1]=5  # parents live together
newdata$f2b17i1[f2b17i1 == -6 & f2b17i == 2]=2 # did not spanked



newdata$f2b18a[f2b18a == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b18a[f2b18a == -6 & f2fb1a == 1]=5  # parents live together
newdata$f2b18b[f2b18b == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b18b[f2b18b == -6 & f2fb1a == 1]=5  # parents live together
newdata$f2b18c[f2b18c == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b18c[f2b18c == -6 & f2fb1a == 1]=5  # parents live together
newdata$f2b18d[f2b18d == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b18d[f2b18d == -6 & f2fb1a == 1]=5  # parents live together


newdata$f2b19[f2b19 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b19[f2b19 == -6 & f2fb1a == 1]=3  # parents live together
newdata$f2b19a[f2b19a == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b19a[f2b19a == -6 & f2fb1a == 1]=4  # parents live together
newdata$f2b19a[f2b19a == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b19a1[f2b19a1 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b19a1[f2b19a1 == -6 & f2fb1a == 1]=4  # parents live together
newdata$f2b19a1[f2b19a1 == -6 & f2b19 == 2]=3    # not cared by someone else


newdata$f2b20[f2b20 == -6 & f2fb1 == 2]=0   # no sole custody 
newdata$f2b20[f2b20 == -6 & f2fb1a == 1]=6  # parents live together
newdata$f2b20[f2b20 == -6 & f2b19 == 2]=4    # not cared by someone else
newdata$f2b20[f2b20 == -6 & f2b19a1 == 1]=5    # in cild care 10< hoursa week
newdata$f2b20a1[f2b20a1 == -6 & f2fb1 == 2]=0    #  # no sole custody 
newdata$f2b20a1[f2b20a1 == -6 & f2fb1a == 1]=6   # parents live together
newdata$f2b20a1[f2b20a1 == -6 & f2b19 == 2]=4    # not cared by someone else
newdata$f2b20a1[f2b20a1 == -6 & f2b19a1 == 1]=5    # in cild care 10< hoursa week 

newdata$f2b20a2[f2b20a2 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b20a2[f2b20a2 == -6 & f2fb1a == 1]=6    # parents live together 
newdata$f2b20a2[f2b20a2 == -6 & f2b19 == 2]=4    # not cared by someone else
newdata$f2b20a2[f2b20a2 == -6 & f2b19a1 == 1]=5    # in cild care 10< hoursa week

newdata$f2b21a1[f2b21a1 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a1[f2b21a1 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a1[f2b21a1 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a1[f2b21a1 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a2[f2b21a2 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a2[f2b21a2 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a2[f2b21a2 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a2[f2b21a2 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a3[f2b21a3 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a3[f2b21a3 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a3[f2b21a3 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a3[f2b21a3 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a4[f2b21a3 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a4[f2b21a3 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a4[f2b21a3 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a4[f2b21a3 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a5[f2b21a5 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a5[f2b21a5 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a5[f2b21a5 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a5[f2b21a5 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a6[f2b21a6 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a6[f2b21a6 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a6[f2b21a6 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a6[f2b21a6 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a7[f2b21a7 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a7[f2b21a7 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a7[f2b21a7 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a7[f2b21a7 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a8[f2b21a8 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a8[f2b21a8 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a8[f2b21a8 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a8[f2b21a8 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a9[f2b21a9 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a9[f2b21a9 == -6 & f2fb1a == 1]=3    # parents live together 
newdata$f2b21a9[f2b21a9 == -6 & f2b19 == 2]=1    # not cared by someone else
newdata$f2b21a9[f2b21a9 == -6 & f2b19a1 == 1]=2    # in cild care 10< hours week

newdata$f2b21a10[f2b21a10 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a10[f2b21a10== -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a10[f2b21a10== -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a10[f2b21a10 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a11[f2b21a11 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a11[f2b21a11 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a11[f2b21a11 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a11[f2b21a11 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a12[f2b21a12 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a12[f2b21a12 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a12[f2b21a12 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a12[f2b21a12 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b21a13[f2b21a3 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21a13[f2b21a3 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21a13[f2b21a3 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21a13[f2b21a3 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week


newdata$f2b21b[f2b21b == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b21b[f2b21b == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b21b[f2b21b == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b21b[f2b21b == -6 & f2b19a1 == 1]=4 

newdata$f2b22[f2b22 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b22[f2b22 == -6 & f2fb1a == 1]=4    # parents live together

newdata$f2b23[f2b23 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b23[f2b23 == -6 & f2fb1a == 1]=21    # parents live together 
newdata$f2b23[f2b23 == -6 & f2b19 == 2]=19    # not cared by someone else
newdata$f2b23[f2b23 == -6 & f2b19a1 == 1]=20    # in cild care 10< hours week

newdata$f2b24[f2b24 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b24[f2b24 == -6 & f2fb1a == 1]=1    # parents live together 
newdata$f2b24[f2b24 == -6 & f2b19 == 2]=7    # not cared by someone else
newdata$f2b24[f2b24 == -6 & f2b19a1 == 1]=8    # in cild care 10< hours week


newdata$f2b24a[f2b24a == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b24a[f2b24a == -6 & f2fb1a == 1]=1    # parents live together 
newdata$f2b24a[f2b24a == -6 & f2b19 == 2]=13    # not cared by someone else
newdata$f2b24a[f2b24a == -6 & f2b19a1 == 1]=14    # in cild care 10< hours week
 
newdata$f2b24b[f2b24b == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b24b[f2b24b == -6 & f2fb1a == 1]=9   # parents live together 
newdata$f2b24b[f2b24b == -6 & f2b19 == 2]=7    # not cared by someone else
newdata$f2b24b[f2b24b == -6 & f2b19a1 == 1]=8    # in cild care 10< hours week

newdata$f2b25[f2b25 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b25[f2b25 == -6 & f2fb1a == 1]=4    # parents live together 
newdata$f2b25[f2b25 == -6 & f2b19 == 2]=5    # not cared by someone else
newdata$f2b25[f2b25 == -6 & f2b19a1 == 1]=6    # in cild care 10< hours week

newdata$f2b26a[f2b26a == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b26a[f2b26a == -6 & f2fb1a == 1]=1    # parents live together 
newdata$f2b26a[f2b26a == -6 & f2b19 == 2]=4    # not cared by someone else
newdata$f2b26a[f2b26a == -6 & f2b19a1 == 1]=5    # in cild care 10< hours week
newdata$f2b26a[f2b26a == -6 & f2b25 > 1]=3   # no child care support



newdata$f2b26b[f2b26b == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b26b[f2b26b == -6 & f2fb1a == 1]=2    # parents live together 
newdata$f2b26b[f2b26b == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b26b[f2b26b == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week
newdata$f2b26b[f2b26b == -6 & f2b25 > 1]=1   # no child care support



newdata$f2b26c[f2b26c == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b26c[f2b26c == -6 & f2fb1a == 1]=1    # parents live together 
newdata$f2b26c[f2b26c == -6 & f2b19 == 2]=4    # not cared by someone else
newdata$f2b26c[f2b26c == -6 & f2b19a1 == 1]=5    # in cild care 10< hours week
newdata$f2b26c[f2b26c == -6 & f2b25 > 1]=3   # no child care support


newdata$f2b26d[f2b26d == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b26d[f2b26d == -6 & f2fb1a == 1]=1    # parents live together 
newdata$f2b26d[f2b26d == -6 & f2b19 == 2]=4    # not cared by someone else
newdata$f2b26d[f2b26d == -6 & f2b19a1 == 1]=5    # in cild care 10< hours week
newdata$f2b26d[f2b26d == -6 & f2b25 > 1]=3   # no child care support


newdata$f2b26e[f2b26e == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b26e[f2b26e == -6 & f2fb1a == 1]=1    # parents live together 
newdata$f2b26e[f2b26e == -6 & f2b19 == 2]=4    # not cared by someone else
newdata$f2b26e[f2b26e == -6 & f2b19a1 == 1]=5    # in cild care 10< hours week
newdata$f2b26e[f2b26e == -6 & f2b25 > 1]=3   # no child care support


newdata$f2b26f[f2b26f == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b26f[f2b26f == -6 & f2fb1a == 1]=1    # parents live together 
newdata$f2b26f[f2b26f == -6 & f2b19 == 2]=4    # not cared by someone else
newdata$f2b26f[f2b26f == -6 & f2b19a1 == 1]=5    # in cild care 10< hours week
newdata$f2b26f[f2b26f == -6 & f2b25 > 1]=3   # no child care support

newdata$f2b27c[f2b27c == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b27c[f2b27c == -6 & f2fb1a == 1]=1    # parents live together 
newdata$f2b27c[f2b27c == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b27c[f2b27c == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week
newdata$f2b27c[f2b27c == -6 & f2b25 > 1]=2   # no child care support

newdata$f2b27cp[f2b27cp == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b27cp[f2b27cp == -6 & f2fb1a == 1]=0    # parents live together 
newdata$f2b27cp[f2b27cp == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b27cp[f2b27cp == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week
newdata$f2b27cp[f2b27cp == -6 & f2b25 > 1]=2   # no child care support



newdata$f2b28[f2b28 == -6 & f2fb1 == 2]=1  # no sole custody
newdata$f2b28[f2b28 == -6 & f2fb1a == 1]=2    # parents live together 
newdata$f2b28[f2b28 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b28[f2b28 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week
newdata$f2b28[f2b28 == -6 & f2b25 == 3]=5   # no child care support- care by relative


newdata$f2b28p[f2b28p == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b28p[f2b28p == -6 & f2fb1a == 1]=1    # parents live together 
newdata$f2b28p[f2b28p == -6 & f2b19 == 2]=7    # not cared by someone else
newdata$f2b28p[f2b28p == -6 & f2b19a1 == 1]=8    # in cild care 10< hours week
newdata$f2b28p[f2b28p == -6 & f2b25 == 3]=6   # no child care support-care by relative



newdata$f2b29[f2b29 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b29[f2b29 == -6 & f2fb1a == 1]=0    # parents live together 
newdata$f2b29[f2b29 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b29[f2b29 == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b29a[f2b29a == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b29a[f2b29a == -6 & f2fb1a == 1]=0    # parents live together 
newdata$f2b29a[f2b29a == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b29a[f2b29a == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week
newdata$f2b29a[f2b29a == -6 & f2b29 == 1]=5    # child only 

newdata$f2b29b[f2b29b == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b29b[f2b29b == -6 & f2fb1a == 1]=0    # parents live together 
newdata$f2b29b[f2b29b == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b29b[f2b29b == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b29c[f2b29c == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b29c[f2b29c == -6 & f2fb1a == 1]=0    # parents live together 
newdata$f2b29c[f2b29c == -6 & f2b29b == 1]=3   # dd not recieve child supprt from a family member
newdata$f2b29c[f2b29c == -6 & f2b19 == 2]=4    # not cared by someone else
newdata$f2b29c[f2b29c == -6 & f2b19a1 == 1]=5    # in cild care 10< hours week


newdata$f2b30[f2b30 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b30[f2b30 == -6 & f2fb1a == 1]=5    # parents live together 
newdata$f2b30[f2b30 == -6 & f2b19 == 2]=6    # not cared by someone else
newdata$f2b30[f2b30 == -6 & f2b19a1 == 1]=7   # # in cild care 10< hours week

newdata$f2b30a[f2b30a == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b30a[f2b30a == -6 & f2fb1a == 1]=32    # parents live together 
newdata$f2b30a[f2b30a == -6 & f2b19 == 2]=33    # not cared by someone else
newdata$f2b30a[f2b30a == -6 & f2b19a1 == 1]=32   # # in cild care 10< hours week
newdata$f2b30a[f2b30a == -6 & f2b30 == 0]=31     # did not make special chilcare arrangement

newdata$f2b30b[f2b30b == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b30b[f2b30b == -6 & f2fb1a == 1]=0    # parents live together 
newdata$f2b30b[f2b30b == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b30b[f2b30b == -6 & f2b19a1 == 1]=4    # in cild care 10< hours week

newdata$f2b31[f2b31 == -6 & f2fb1 == 2]=0  # no sole custody
newdata$f2b31[f2b31 == -6 & f2fb1a == 1]=0    # parents live together 
newdata$f2b31[f2b31 == -6 & f2b19 == 2]=3    # not cared by someone else
newdata$f2b31[f2b31 == -6 & f2b19a1 == 1]=4   # in cild care 10< hours week

newdata$f2b32[f2b32 == -6 & f2fb1 == 1]=0    # sole child custody 
#newdata$f2b33[f2b33 == -6 & f2fb1 == 1]=0    # sole child custody   
#newdata$f2b33a[f2b33a == -6 & f2fb1 == 1]=0  # sole child custody   
#newdata$f2b33a[f2b33a == -6 & f2b33 == 1]=0  # did spoke to doctor about child health   
newdata$f2fb34[f2fb34 == -6 & f2fb1a == 2]=0    # sole child custody 
newdata$f2fb34[f2fb34 == -6 & f2fb33b == 2]=3   # did not cared by someone else
newdata$f2fb34a[f2fb34a == -6 & f2fb1a == 2]=0    # sole child custody 
newdata$f2fb34a[f2fb34a == -6 & f2fb33b == 2]=3   # did not cared by someone else
newdata$f2fb34a[f2fb34a == -6 & f2fb34 == 1]=4   # did talk to health provider about child health

newdata$f2b36a[f2b36a == -6 & f2fb1 == 1]=0  # sole child custody   
newdata$f2b36a[f2b36a == -6 & f2b35 == 2]=206  # father saw child in last 30 days  

newdata$f2b36b[f2b36b == -6 & f2fb1 == 1]=0  # sole child custody   
newdata$f2b36b[f2b36b == -6 & f2b35 == 2]=206  # father saw child in last 30 days   

newdata$f2b36c[f2b36c == -6 & f2fb1 == 1]=0  # sole child custody   
newdata$f2b36c[f2b36c == -6 & f2b35 == 2]=206  # father saw child in last 30 days 

newdata$f2b36d[f2b36d == -6 & f2fb1 == 1]=0  # sole child custody   
newdata$f2b36d[f2b36d == -6 & f2b35 == 2]=206  # father saw child in last 30 days 

newdata$f2b36e[f2b36e == -6 & f2fb1 == 1]=0  # sole child custody   
newdata$f2b36e[f2b36e == -6 & f2b35 == 2]=206  # father saw child in last 30 days   

newdata$f2b36f[f2b36f == -6 & f2fb1 == 1]=0  # sole child custody   
newdata$f2b36f[f2b36f == -6 & f2b35 == 2]=206  # father saw child in last 30 days 

newdata$f2b36g[f2b36g == -6 & f2fb1 == 1]=0  # sole child custody   
newdata$f2b36g[f2b36g == -6 & f2b35 == 2]=206  # father saw child in last 30 days 

newdata$f2b36h[f2b36h == -6 & f2fb1 == 1]=0  # sole child custody   
newdata$f2b36h[f2b36h == -6 & f2b35 == 2]=206  # father saw child in last 30 days   

newdata$f2b36i[f2b36i == -6 & f2fb1 == 1]=0  # sole child custody   
newdata$f2b36i[f2b36i == -6 & f2b35 == 2]=5  # father saw child in last 30 days    

newdata$f2b36i1[f2b36i1 == -6 & f2fb1 == 1]=0  # sole child custody   
newdata$f2b36i1[f2b36i1 == -6 & f2b35 == 2]=5  # father saw child in last 30 days    

newdata$f2b37a[f2b37a == -6 & f2fb1 == 1]=0    # sole child custody
newdata$f2b37b[f2b37b == -6 & f2fb1 == 1]=0    # sole child custody
newdata$f2b37c[f2b37c == -6 & f2fb1 == 1]=0    # sole child custod
newdata$f2b37d[f2b37d == -6 & f2fb1 == 1]=0    # sole child custody
newdata$f2b37e[f2b37e == -6 & f2fb1 == 1]=0    # sole child custody
newdata$f2b37f[f2b37f == -6 & f2fb1 == 1]=0    # sole child custody

newdata$f2b38a[f2b38a == -6 & f2fb1 == 1]=0    # sole child custody
newdata$f2b38b[f2b38b == -6 & f2fb1 == 1]=0    # sole child custody
newdata$f2b38c[f2b38c == -6 & f2fb1 == 1]=0    # sole child custod
newdata$f2b38d[f2b38d == -6 & f2fb1 == 1]=0    # sole child custody



##### NA CODING ##################################
newdata$f2fb1[newdata$f2fb1 == -9] = NA
newdata$f2fb1a[newdata$f2fb1a %in% c(-6,-9)] = NA
newdata$f2b3[newdata$f2b3 %in% c(-2,-6,-9)] = NA
newdata$f2b5a2[newdata$f2b5a2 %in% c(-2,-6,-8,-9)] = NA
newdata$f2b5b1[newdata$f2b5b1  %in% c(-2,-6,-8,-9)] = NA
newdata$f2b5b2[newdata$f2b5b2  %in% c(-6,-8,-9)] = NA
newdata$f2b6[newdata$f2b6  %in% c(-2,-6,-9)] = NA
newdata$f2b7[newdata$f2b7  %in% c(-2,-6,-9)] = NA
newdata$f2b7a[newdata$f2b7a  %in% c(-2,-6,-9)] = NA
newdata$f2b8[newdata$f2b8  %in% c(-2,-6,-9)] = NA
newdata$f2b9[newdata$f2b9  %in% c(-2,-6,-9)] = NA
newdata$f2b10[newdata$f2b10  %in% c(-2,-6,-9)] = NA
newdata$f2b10a[newdata$f2b10a  %in% c(-6,-9)] = NA
newdata$f2b10b[newdata$f2b10b  %in% c(-2,-6,-9)] = NA
newdata$f2b11[newdata$f2b11  %in% c(-2,-6,-9)] = NA
newdata$f2b11a[newdata$f2b11a  %in% c(-6,-9)] = NA
newdata$f2b11b[newdata$f2b11b  %in% c(-6,-9)] = NA
newdata$f2b12[newdata$f2b12  %in% c(-2,-6,-9)] = NA
newdata$f2b12a[newdata$f2b12a  %in% c(-2,-6,-9,-12)] = NA
newdata$f2b12b[newdata$f2b12b  %in% c(-6,-9)] = NA
newdata$f2b13[newdata$f2b13  %in% c(-2,-6,-9)] = NA
newdata$f2b14[newdata$f2b14  %in% c(-2,-6,-9)] = NA
newdata$f2b14a1[newdata$f2b14a1  %in% c(-6,-9)] = NA
newdata$f2b14a2[newdata$f2b14a2  %in% c(-6,-9)] = NA
newdata$f2b14a3[newdata$f2b14a3  %in% c(-6,-9)] = NA
newdata$f2b14a4[newdata$f2b14a4  %in% c(-6,-9)] = NA
newdata$f2b14a5[newdata$f2b14a5  %in% c(-6,-9)] = NA
newdata$f2b14a6[newdata$f2b14a6  %in% c(-6,-9)] = NA
newdata$f2b14a7[newdata$f2b14a7  %in% c(-6,-9)] = NA
newdata$f2b14a8[newdata$f2b14a8  %in% c(-6,-9)] = NA
newdata$f2b15[newdata$f2b15  %in% c(-1,-2,-6,-9)] = NA

newdata$f2b16a[newdata$f2b16a  %in% c(-2,-6,-9)] = NA
newdata$f2b16b[newdata$f2b16b  %in% c(-6,-9)] = NA
newdata$f2b16c[newdata$f2b16c  %in% c(-6,-9)] = NA
newdata$f2b16d[newdata$f2b16d  %in% c(-2,-6,-9)] = NA
newdata$f2b16e[newdata$f2b16e  %in% c(-6,-9)] = NA
newdata$f2b16f[newdata$f2b16f  %in% c(-2,-6,-9)] = NA


newdata$f2b17a[newdata$f2b17a  %in% c(-2,-6,-9)] = NA
newdata$f2b17b[newdata$f2b17b  %in% c(-6,-9)] = NA
newdata$f2b17c[newdata$f2b17c  %in% c(-6,-9)] = NA
newdata$f2b17d[newdata$f2b17d  %in% c(-6,-9)] = NA
newdata$f2b17e[newdata$f2b17e  %in% c(-2,-6,-9)] = NA
newdata$f2b17f[newdata$f2b17f  %in% c(-2,-6,-9)] = NA
newdata$f2b17g[newdata$f2b17g  %in% c(-6,-9)] = NA
newdata$f2b17h[newdata$f2b17h  %in% c(-6,-9)] = NA
newdata$f2b17i[newdata$f2b17i  %in% c(-1,-6,-9)] = NA
newdata$f2b17i1[newdata$f2b17i1  %in% c(-2,-6,-9)] = NA

newdata$f2b18a[newdata$f2b18a  %in% c(-6,-9)] = NA
newdata$f2b18b[newdata$f2b18b  %in% c(-6,-9)] = NA
newdata$f2b18c[newdata$f2b18c  %in% c(-6,-9)] = NA
newdata$f2b18d[newdata$f2b18d  %in% c(-6,-9)] = NA

newdata$f2b19[newdata$f2b19  %in% c(-2,-6,-9)] = NA
newdata$f2b19a[newdata$f2b19a  %in% c(-2.-6,-9)] = NA
newdata$f2b19a1[newdata$f2b19b  %in% c(-6,-9)] = NA

newdata$f2b20[newdata$f2b19  %in% c(-6,-9)] = NA
newdata$f2b20a1[newdata$f2b19a  %in% c(-2,-6,-9)] = NA
newdata$f2b20a2[newdata$f2b19b  %in% c(-2,-6,-9)] = NA

newdata$f2b21a1[newdata$f2b21a1  %in% c(-2,-6,-9)] = NA
newdata$f2b21a2[newdata$f2b21a2  %in% c(-2,-6,-9)] = NA
newdata$f2b21a3[newdata$f2b21a3  %in% c(-2,-6,-9)] = NA
newdata$f2b21a4[newdata$f2b21a4  %in% c(-2,-6,-9)] = NA
newdata$f2b21a5[newdata$f2b21a5  %in% c(-2,-6,-9)] = NA
newdata$f2b21a6[newdata$f2b21a6  %in% c(-2,-6,-9)] = NA
newdata$f2b21a7[newdata$f2b21a7  %in% c(-2,-6,-9)] = NA
newdata$f2b21a8[newdata$f2b21a8  %in% c(-2,-6,-9)] = NA
newdata$f2b21a9[newdata$f2b21a9  %in% c(-2,-6,-9)] = NA
newdata$f2b21a10[newdata$f2b21a10  %in% c(-2,-6,-9)] = NA
newdata$f2b21a11[newdata$f2b21a11  %in% c(-2,-6,-9)] = NA
newdata$f2b21a12[newdata$f2b21a12  %in% c(-2,-6,-9)] = NA
newdata$f2b21a13[newdata$f2b21a13  %in% c(-2,-6,-9)] = NA
newdata$f2b21b[newdata$f2b21b  %in% c(-6,-9)] = NA
newdata$f2b22[newdata$f2b22  %in% c(-6,-9)] = NA
newdata$f2b23[newdata$f2b23  %in% c(-6,-9)] = NA
newdata$f2b24[newdata$f2b24  %in% c(-2,-6,-9)] = NA
newdata$f2b24a[newdata$f2b24a  %in% c(-2,-6,-9,-11)] = NA
newdata$f2b24b[newdata$f2b24b  %in% c(-6,-9)] = NA
newdata$f2b25[newdata$f2b25  %in% c(-6,-9)] = NA
newdata$f2b26a[newdata$f2b26a  %in% c(-2,-6,-9)] = NA
newdata$f2b26b[newdata$f2b26b  %in% c(-2,-6,-9)] = NA
newdata$f2b26c[newdata$f2b26c  %in% c(-2,-6,-9)] = NA
newdata$f2b26d[newdata$f2b26d  %in% c(-2,-6,-9)] = NA
newdata$f2b26e[newdata$f2b26e  %in% c(-2,-6,-9)] = NA
newdata$f2b26f[newdata$f2b26f  %in% c(-2,-6,-9)] = NA
newdata$f2b27c[newdata$f2b27c  %in% c(-2,-6,-9)] = NA
newdata$f2b27cp[newdata$f2b27cp  %in% c(-6,-9)] = NA
newdata$f2b28[newdata$f2b28  %in% c(-2,-6,-9)] = NA
newdata$f2b28p[newdata$f2b28p  %in% c(-6,-9)] = NA
newdata$f2b29[newdata$f2b29  %in% c(-6,-9)] = NA
newdata$f2b29a[newdata$f2b29a  %in% c(-6,-9)] = NA
newdata$f2b29b[newdata$f2b29b  %in% c(-6,-9)] = NA
newdata$f2b29c[newdata$f2b29c  %in% c(-2,-3-6,-9)] = NA
newdata$f2b30[newdata$f2b30  %in% c(-6,-9)] = NA
newdata$f2b30a[newdata$f2b30a  %in% c(-6,-9)] = NA
newdata$f2b30b[newdata$f2b30b  %in% c(-6,-9)] = NA
newdata$f2b31[newdata$f2b31  %in% c(-6,-9)] = NA
newdata$f2b32[newdata$f2b32  %in% c(-2,-6,-9)] = NA
newdata$f2fb33[newdata$f2fb33  %in% c(-2,-6,-9)] = NA
newdata$f2fb33a[newdata$f2fb33a  %in% c(-2,-6,-9)] = NA
newdata$f2fb33b[newdata$f2fb33b  %in% c(-2,-6,-9)] = NA
newdata$f2fb34[newdata$f2fb34  %in% c(-2,-6,-9,-10)] = NA
newdata$f2fb34a[newdata$f2fb34a  %in% c(-2,-6,-9)] = NA
newdata$f2b35[newdata$f2b35  %in% c(-6,-9)] = NA
newdata$f2b36a[newdata$f2b36a  %in% c(-2,-6,-9)] = NA
newdata$f2b36b[newdata$f2b36b  %in% c(-2,-6,-9)] = NA
newdata$f2b36c[newdata$f2b36c  %in% c(-2,-6,-9)] = NA
newdata$f2b36d[newdata$f2b36d  %in% c(-2,-6,-9)] = NA
newdata$f2b36e[newdata$f2b36e  %in% c(-2,-6,-9)] = NA
newdata$f2b36f[newdata$f2b36f  %in% c(-2,-6,-9)] = NA
newdata$f2b36g[newdata$f2b36g  %in% c(-2,-6,-9)] = NA
newdata$f2b36h[newdata$f2b36h  %in% c(-2,-6,-9)] = NA
newdata$f2b36i[newdata$f2b36i  %in% c(-2,-6,-9)] = NA
newdata$f2b36i1[newdata$f2b36i1  %in% c(-2,-6,-9)] = NA
newdata$f2b37a[newdata$f2b37a  %in% c(-1,-2,-6,-9)] = NA
newdata$f2b37b[newdata$f2b37b  %in% c(-1,-2,-6,-9)] = NA
newdata$f2b37c[newdata$f2b37c  %in% c(-1,-2,-6,-9)] = NA
newdata$f2b37d[newdata$f2b37d  %in% c(-1,-2,-6,-9)] = NA
newdata$f2b37e[newdata$f2b37e  %in% c(-1,-2,-6,-9)] = NA
newdata$f2b37f[newdata$f2b37f  %in% c(-1,-2,-6,-9)] = NA

newdata$f2b38a[newdata$f2b38a  %in% c(-2,-6,-9)] = NA
newdata$f2b38b[newdata$f2b38b  %in% c(-1,-2,-6,-9)] = NA
newdata$f2b38c[newdata$f2b38c  %in% c(-1,-2,-6,-9)] = NA
newdata$f2b38d[newdata$f2b38d  %in% c(-2,-6,-9)] = NA


###################################### SECTION C###########################
  
       
##### SKIP RECODING ######


newdata$f2fc1b[f2fc1b == -6 & f2c1a == 2]=0 # mother is not alive
newdata$f2c2[f2c2 == -6 & f2c1a == 2]=0 # mother is not alive
newdata$f2c2[f2c2 == -6 & f2c1a == 2]=0 # mother is not alive
newdata$f2c2[f2c2 == -6 & f2fc1b == 2]=3 # No sole custody
newdata$f2c2a[f2c2a == -6 & f2c2 == 2]=31 # mother did not see a child since birth
newdata$f2c2a[f2c2a == -6 & f2c1a == 2]=32 # mother is not alive
newdata$f2c2b2[f2c2b2 == -6 & f2fc1b == 2]=33 # No sole custody


newdata$f2c2b2[f2c2b2 == -6 & f2c2 == 2]= 0 # mother did not see a child since birth
newdata$f2c2b2[f2c2b2 == -6 & f2c1a == 2]= 1 # mother is not alive
newdata$f2c2b2[f2c2b2 == -6 & f2fc1b == 2]=2 # No sole custody
newdata$f2c2b2[f2c2b2 == -6 & f2c2a >= 1]= 3 # mother seen child in last 30 days 

newdata$f2c2e[f2c2e == -6 & f2c1a == 2]= 3 # mother is not alive
newdata$f2c2e[f2c2e == -6 & f2fc1b == 2]=4 # No sole custody

newdata$f2c2f[f2c2f == -6 & f2c1a == 2]= 0 # mother is not alive
newdata$f2c2f[f2c2f == -6 & f2fc1b == 2]=0 # No sole custody
newdata$f2c2f[f2c2f == -6 & f2c2e == 2]=1 # never stayed over night 

newdata$f2c2g[f2c2g == -6 & f2c1a == 2]= 0 # mother is not alive
newdata$f2c2g[f2c2g == -6 & f2fc1b == 2]=3 # No sole custody

newdata$f2c3a[f2c3a == -6 & f2c2g == 2]= 202  # mother did not see a child more than once
newdata$f2c3a[f2c3a == -6 & f2c1a == 2]= 203 # mother is not alive
newdata$f2c3a[f2c3a == -6 & f2fc1b == 2]= 204 # No sole custody

newdata$f2c3b[f2c3b == -6 & f2c3g == 2]= 202  # mother did not see a child more than once
newdata$f2c3b[f2c3b == -6 & f2c1a == 2]= 203 # mother is not alive
newdata$f2c3b[f2c3b == -6 & f2fc1b == 2]= 204 # No sole custody

newdata$f2c3c[f2c3c == -6 & f2c3g == 2]= 205  # mother did not see a child more than once
newdata$f2c3c[f2c3c == -6 & f2c1a == 2]= 206 # mother is not alive
newdata$f2c3c[f2c3c == -6 & f2fc1b == 2]= 207 # No sole custody

newdata$f2c3d[f2c3d == -6 & f2c3g == 2]= 205  # mother did not see a child more than once
newdata$f2c3d[f2c3d == -6 & f2c1a == 2]= 206 # mother is not alive
newdata$f2c3d[f2c3d == -6 & f2fc1b == 2]= 207 # No sole custody

newdata$f2c3e[f2c3e == -6 & f2c3g == 2]= 204  # mother did not see a child more than once
newdata$f2c3e[f2c3e == -6 & f2c1a == 2]= 205 # mother is not alive
newdata$f2c3e[f2c3e == -6 & f2fc1b == 2]= 206 # No sole custody

newdata$f2c3f[f2c3f == -6 & f2c3g == 2]= 205  # mother did not see a child more than once
newdata$f2c3f[f2c3f == -6 & f2c1a == 2]= 206 # mother is not alive
newdata$f2c3f[f2c3f == -6 & f2fc1b == 2]= 207 # No sole custody

newdata$f2c3g[f2c3g == -6 & f2c3g == 2]= 204  # mother did not see a child more than once
newdata$f2c3g[f2c3g == -6 & f2c1a == 2]= 205 # mother is not alive
newdata$f2c3g[f2c3g == -6 & f2fc1b == 2]= 206 # No sole custody

newdata$f2c3h[f2c3h == -6 & f2c3g == 2]= 204  # mother did not see a child more than once
newdata$f2c3h[f2c3h == -6 & f2c1a == 2]= 205 # mother is not alive
newdata$f2c3h[f2c3h == -6 & f2fc1b == 2]= 206 # No sole custody

newdata$f2c3i[f2c3i == -6 & f2c3g == 2]= 204  # mother did not see a child more than once
newdata$f2c3i[f2c3i == -6 & f2c1a == 2]= 205 # mother is not alive
newdata$f2c3i[f2c3i == -6 & f2fc1b == 2]= 206 # No sole custody

newdata$f2c3j[f2c3j == -6 & f2c3g == 2]= 204  # mother did not see a child more than once
newdata$f2c3j[f2c3j == -6 & f2c1a == 2]= 205 # mother is not alive
newdata$f2c3j[f2c3j == -6 & f2fc1b == 2]= 206 # No sole custody

newdata$f2c3k[f2c3k == -6 & f2c3g == 2]= 5  # mother did not see a child more than once
newdata$f2c3k[f2c3k == -6 & f2c1a == 2]= 6 # mother is not alive
newdata$f2c3k[f2c3k == -6 & f2fc1b == 2]= 7 # No sole custody

newdata$f2c3k1[f2c3k1 == -6 & f2c3k == 2]= 6  # no spanking 
newdata$f2c3k1[f2c3k1 == -6 & f2c3a == 2]= 7  # mother did not see a child more than once
newdata$f2c3k1[f2c3k1 == -6 & f2c1a == 2]= 8 # mother is not alive
newdata$f2c3k1[f2c3k1 == -6 & f2fc1b == 2]= 9 # No sole custody

newdata$f2c4[f2c4 == -6 & f2fc1b == 2]= 0 # No sole custody
newdata$f2c5[f2c5 == -6 & f2c1a == 2]= 3 # mother is not alive

newdata$f2c6[f2c6 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c6[f2c6 == -6 & f2c5 == 1]= 3 # parents are married


newdata$f2c6a[f2c6a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c6a[f2c6a == -6 & f2c5 == 1]= 3 # parents are married
newdata$f2c6a[f2c6a == -6 & f2c6 == 1]= 4 # father has legal paternity established 
newdata$f2c6a[f2c6a == -6 & f2c6 %in% c(-1,-2)]= 5  # dont know/refuse to answer if father establised legal paternity


newdata$f2c6b[f2c6b == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c6b[f2c6b == -6 & f2c5 == 1]= 3 # parents are married
newdata$f2c6b[f2c6b == -6 & f2c6 == 1]= 4 # father has legal paternity established 
newdata$f2c6b[f2c6b == -6 & f2c6 %in% c(-1,-2)]= 5  # dont know/refuse to answer if father establised legal paternity

newdata$f2c6c[f2c6c == -6 & f2c1a == 2]= 107  # mother is not alive
newdata$f2c6c[f2c6c == -6 & f2c5 == 1]= 108 # parents are married
newdata$f2c6c[f2c6c == -6 & f2c6 %in% c(-1,-2)]= 106  # dont know/refuse to answer if father establised legal paternity


newdata$f2c6d[f2c6d == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c6d[f2c6d == -6 & f2c5 == 1]= 102 # parents are married
newdata$f2c6d[f2c6d == -6 & f2c6 %in% c(-1,-2)]= 103  # dont know/refuse to answer if father establised legal paternity

newdata$f2fc7[f2fc7 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc8[f2fc8 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc8[f2fc8 == -6 & f2fc7 == 1]= 3  # father has primary sole custody

newdata$f2c9[f2c9 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c9[f2c9 == -6 & f2fc7 == 1]= 3  # father has primary sole custody
newdata$f2c9[f2c9 == -6 & f2fc8 == 1]= 4  # mother and father married living together

newdata$f2c9a2[f2c9a2 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c9a2[f2c9a2 == -6 & f2fc7 == 1]= 3  # father has primary sole custody
newdata$f2c9a2[f2c9a2 == -6 & f2fc8 == 1]= 4  # mother and father maried and living together
newdata$f2c9a2[f2c9a2 == -6 & f2c9 == 2]= 5  # No legal agreement for child support

newdata$f2c10[f2c10 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c10[f2c10 == -6 & f2fc7 == 1]= 3  # father has primary sole custody
newdata$f2c10[f2c10 == -6 & f2fc8 == 1]= 4  # mother and father married and living together
newdata$f2c10[f2c10 == -6 & f2c9 == 2]= 5  # No legal agreement for child support

newdata$f2c10a[f2c10a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c10a[f2c10a == -6 & f2fc7 == 1]= 3  # father has primary sole custody
newdata$f2c10a[f2c10a == -6 & f2fc8 == 1]= 4  # mother and father married and living together
newdata$f2c10a[f2c10a == -6 & f2c9 == 2]= 5  # No legal agreement for child support
newdata$f2c10a[f2c10a == -6 & f2c10 == 2]= 6  # no other children


newdata$f2c11[f2c11 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c11[f2c11 == -6 & f2fc7 == 1]= 1  # father has primary sole custody
newdata$f2c11[f2c11 == -6 & f2fc8 == 1]= 2  # mother and father living together
newdata$f2c11[f2c11 == -6 & f2c9 == 2]= 3 # No legal agreement for child support

newdata$f2c11a[f2c11a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c11a[f2c11a == -6 & f2fc7 == 1]= 3  # father has primary sole custody
newdata$f2c11a[f2c11a == -6 & f2fc8 == 1]= 4  # mother and father married and living together
newdata$f2c11a[f2c11a == -6 & f2c9 == 2]= 5  # No legal agreement for child support

newdata$f2c11p[f2c11p == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c11p[f2c11p == -6 & f2fc7 == 1]= 4  # father has primary sole custody
newdata$f2c11p[f2c11p == -6 & f2fc8 == 1]= 5  # mother and father married living together
newdata$f2c11p[f2c11p == -6 & f2c9 == 2]= 6 # No legal agreement for child support

newdata$f2fc12[f2fc12 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc12[f2fc12 == -6 & f2fc7 == 1]= 6  # father has primary sole custody
newdata$f2fc12[f2fc12 == -6 & f2fc8 == 1]= 7  # mother and father married and living together
newdata$f2fc12[f2fc12 == -6 & f2c9 == 2]= 8 # No legal agreement for child support
newdata$f2fc12[f2fc12 == -6 & f2c11a == 1]= 9 # mother and father dont live together 


newdata$f2c13[f2c13 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c13[f2c13 == -6 & f2fc7 == 1]= 1  # father has primary sole custody
newdata$f2c13[f2c13 == -6 & f2fc8 == 1]= 2  # mother and father married and living together
newdata$f2c13[f2c13 == -6 & f2c9 == 2]= 3 # No legal agreement for child support
newdata$f2c13[f2c13 == -6 & f2c11a == 1]= 4  # mother and father dont live together 


newdata$f2c13a[f2c13a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c13a[f2c13a == -6 & f2fc7 == 1]= 1  # father has primary sole custody
newdata$f2c13a[f2c13a == -6 & f2fc8 == 1]= 2  # mother and father married and living together
newdata$f2c13a[f2c13a == -6 & f2c9 == 2]= 4 # No legal agreement for child support



newdata$f2c13b[f2c13b == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c13b[f2c13b == -6 & f2fc7 == 1]= 6  # father has primary sole custody
newdata$f2c13b[f2c13b == -6 & f2fc8 == 1]= 7  # mother and father married and living together
newdata$f2c13b[f2c13b == -6 & f2c9 == 2]= 8 # No legal agreement for child support


newdata$f2c13c[f2c13c == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c13c[f2c13c == -6 & f2fc7 == 1]= 3  # father has primary sole custody
newdata$f2c13c[f2c13c == -6 & f2fc8 == 1]= 4  # mother and father married and living together
newdata$f2c13c[f2c13c == -6 & f2c9 == 2]= 5 # No legal agreement for child support




newdata$f2c14[f2c14 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c14[f2c14 == -6 & f2fc7 == 1]= 3  # father has primary sole custody
newdata$f2c14[f2c14 == -6 & f2fc8 == 1]= 4  # mother and father married and living together
newdata$f2c14[f2c14 == -6 & f2c9 == 1]= 5 # legal agreement for child support


newdata$f2c14a[f2c14a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c14a[f2c14a == -6 & f2fc7 == 1]= 4  # father has primary sole custody
newdata$f2c14a[f2c14a == -6 & f2fc8 == 1]= 5  # mother and father married and living together
newdata$f2c14a[f2c14a == -6 & f2c9 == 1]= 6 #  legal agreement for child support
newdata$f2c14a[f2c14a == -6 & f2c14 == 1]= 3  # parents live together most of the time 

newdata$f2c15[f2c15 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c15[f2c15 == -6 & f2fc7 == 1]= 1  # father has primary sole custody
newdata$f2c15[f2c15 == -6 & f2fc8 == 1]= 2  # mother and father married and living together
newdata$f2c15[f2c15 == -6 & f2c9 == 1]= 3 #  legal agreement for child support
newdata$f2c15[f2c15 == -6 & f2c14 == 1]= 4  # parents live together most of the time 
newdata$f2c15[f2c15 == -6 & f2c14a == 2]= 5  # no informal child support agreement 

newdata$f2c15a[f2c15a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c15a[f2c15a == -6 & f2fc7 == 1]= 5  # father has primary sole custody
newdata$f2c15a[f2c15a == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2c15a[f2c15a == -6 & f2c9 == 1]= 7 #  legal agreement for child support
newdata$f2c15a[f2c15a == -6 & f2c14 == 1]= 8  # parents live together most of the time 
newdata$f2c15a[f2c15a == -6 & f2c14a == 2]= 9  # no informal child support agreement 


newdata$f2c15fb[f2c15fb == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c15fb[f2c15fb == -6 & f2fc7 == 1]= 1  # father has primary sole custody
newdata$f2c15fb[f2c15fb == -6 & f2fc8 == 1]= 2  # mother and father married and living together
newdata$f2c15fb[f2c15fb == -6 & f2c9 == 1]= 3 #  legal agreement for child support
newdata$f2c15fb[f2c15fb == -6 & f2c14 == 1]= 4  # parents live together most of the time 
newdata$f2c15fb[f2c15fb == -6 & f2c14a == 2]= 5  # no informal child support agreement 


newdata$f2c15fb1[f2c15fb1 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c15fb1[f2c15fb1 == -6 & f2fc7 == 1]= 9  # father has primary sole custody
newdata$f2c15fb1[f2c15fb1 == -6 & f2fc8 == 1]= 10  # mother and father married and living together
newdata$f2c15fb1[f2c15fb1 == -6 & f2c9 == 1]= 11 #  legal agreement for child support
newdata$f2c15fb1[f2c15fb1 == -6 & f2c14 == 1]= 12  # parents live together most of the time 
newdata$f2c15fb1[f2c15fb1 == -6 & f2c14a == 2]= 13  # no informal child support agreement



newdata$f2c15fp[f2c15p == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c15fp[f2c15p == -6 & f2fc7 == 1]= 4  # father has primary sole custody
newdata$f2c15fp[f2c15p == -6 & f2fc8 == 1]= 5  # mother and father married and living together
newdata$f2c15fp[f2c15p == -6 & f2c9 == 1]= 6 #  legal agreement for child support
newdata$f2c15fp[f2c15p == -6 & f2c14 == 1]= 7  # parents live together most of the time 
newdata$f2c15fp[f2c15p == -6 & f2c14a == 2]= 8  # no informal child support agreement





newdata$f2c16[f2c16 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c16[f2c16 == -6 & f2fc7 == 1]= 3  # father has primary sole custody
newdata$f2c16[f2c16 == -6 & f2fc8 == 1]= 4  # mother and father married and living together
newdata$f2c16[f2c16 == -6 & f2c9 == 1]= 5 #  legal agreement for child support
newdata$f2c16[f2c16 == -6 & f2c14 == 1]= 6  # parents live together most of the time 
newdata$f2c16[f2c16 == -6 & f2c14a == 1]= 7  #  informal child support agreement

newdata$f2c16a[f2c16a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c16a[f2c16a == -6 & f2fc7 == 1]= 1  # father has primary sole custody
newdata$f2c16a[f2c16a == -6 & f2fc8 == 1]= 2  # mother and father married and living together
newdata$f2c16a[f2c16a == -6 & f2c9 == 1]= 3 #  legal agreement for child support
newdata$f2c16a[f2c16a == -6 & f2c14 == 1]= 4  # parents live together most of the time 
newdata$f2c16a[f2c16a == -6 & f2c14a == 2]= 5  # no informal child support agreement
newdata$f2c16a[f2c16a == -6 & f2c16 == 2]= 6  # did not pay anything towards child support 


newdata$f2c16a1[f2c16a1 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c16a1[f2c16a1 == -6 & f2fc7 == 1]= 9  # father has primary sole custody
newdata$f2c16a1[f2c16a1 == -6 & f2fc8 == 1]= 10  # mother and father married and living together
newdata$f2c16a1[f2c16a1 == -6 & f2c9 == 1]= 11 #  legal agreement for child support
newdata$f2c16a1[f2c16a1 == -6 & f2c14 == 1]= 12  # parents live together most of the time 
newdata$f2c16a1[f2c16a1 == -6 & f2c14a == 1]= 13  #  informal child support agreement
newdata$f2c16a1[f2c16a1 == -6 & f2c16 == 2]= 14  #  did not pay anyhting towards child suppport 

newdata$f2c17[f2c17 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c17[f2c17 == -6 & f2fc7 == 1]= 3  # father has primary sole custody
newdata$f2c17[f2c17 == -6 & f2fc8 == 1]= 4  # mother and father married and living together
newdata$f2c17[f2c17 == -6 & f2c9 == 1]= 5 #  legal agreement for child support

newdata$f2c18a[f2c18a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c18a[f2c18a == -6 & f2fc7 == 1]= 5  # father has primary sole custody
newdata$f2c18a[f2c18a == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2c18a[f2c18a == -6 & f2c9 == 1]= 7 #  legal agreement for child support
newdata$f2c18a[f2c18a == -6 & f2c14 == 1]= 8  # parents live together most of the time 

newdata$f2c18b[f2c18b == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c18b[f2c18b == -6 & f2fc7 == 1]= 5  # father has primary sole custody
newdata$f2c18b[f2c18b == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2c18b[f2c18b == -6 & f2c9 == 1]= 7 #  legal agreement for child support
newdata$f2c18b[f2c18b == -6 & f2c14 == 1]= 8  # parents live together most of the time 


newdata$f2c18c[f2c18c == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c18c[f2c18c == -6 & f2fc7 == 1]= 5  # father has primary sole custody
newdata$f2c18c[f2c18c == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2c18c[f2c18c == -6 & f2c9 == 1]= 7 #  legal agreement for child support
newdata$f2c18c[f2c18c == -6 & f2c14 == 1]= 8  # parents live together most of the time 



newdata$f2c18d[f2c18d == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c18d[f2c18d == -6 & f2fc7 == 1]= 5  # father has primary sole custody
newdata$f2c18d[f2c18d == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2c18d[f2c18d == -6 & f2c9 == 1]= 7 #  legal agreement for child support
newdata$f2c18d[f2c18d == -6 & f2c14 == 1]= 8  # parents live together most of the time 



newdata$f2c18e[f2c18e == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c18e[f2c18e == -6 & f2fc7 == 1]= 5  # father has primary sole custody
newdata$f2c18e[f2c18e == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2c18e[f2c18e == -6 & f2c9 == 1]= 7 #  legal agreement for child support
newdata$f2c18e[f2c18e == -6 & f2c14 == 1]= 8  # parents live together most of the time 



newdata$f2c18f[f2c18f == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2c18f[f2c18f == -6 & f2fc7 == 1]= 5  # father has primary sole custody
newdata$f2c18f[f2c18f == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2c18f[f2c18f == -6 & f2c9 == 1]= 7 #  legal agreement for child support
newdata$f2c18f[f2c18f == -6 & f2c14 == 1]= 8  # parents live together most of the time 

newdata$f2fc19[f2fc19 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc19[f2fc19 == -6 & f2fc7 == 2]= 3  # father has not primary sole custody
newdata$f2fc19[f2fc19 == -6 & f2fc8 == 1]= 4  # mother and father married and living together
newdata$f2fc19[f2fc19 == -6 & f2c9 == 1]= 5   #  legal agreement for child support
newdata$f2fc19[f2fc19 == -6 & f2c14 == 1]= 6  # parents live together most of the time 

newdata$f2fc19a[f2fc19a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc19a[f2fc19a == -6 & f2fc7 == 2]= 3  # father has not primary sole custody
newdata$f2fc19a[f2fc19a == -6 & f2fc8 == 1]= 4  # mother and father married and living together
newdata$f2fc19a[f2fc19a == -6 & f2c9 == 1]= 5   #  legal agreement for child support
newdata$f2fc19a[f2fc19a == -6 & f2c14 == 1]= 6  # parents live together most of the time 
newdata$f2fc19a[f2fc19a == -6 & f2fc19 == 2]= 7 # mother did not give any financial help 

newdata$f2fc19b[f2fc19b == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc19b[f2fc19b == -6 & f2fc7 == 2]= 1  # father has not primary sole custody
newdata$f2fc19b[f2fc19b == -6 & f2fc8 == 1]= 2  # mother and father married and living together
newdata$f2fc19b[f2fc19b == -6 & f2c9 == 1]= 3   #  legal agreement for child support
newdata$f2fc19b[f2fc19b == -6 & f2c14 == 1]= 4  # parents live together most of the time 
newdata$f2fc19b[f2fc19b == -6 & f2fc19 == 2]= 5 # mother did not give any financial help 

newdata$f2fc19bp[f2fc19bp == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc19bp[f2fc19bp== -6 & f2fc7 == 2]= 5  # father has not primary sole custody
newdata$f2fc19bp[f2fc19bp == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2fc19bp[f2fc19bp == -6 & f2c9 == 1]= 7   #  legal agreement for child support
newdata$f2fc19bp[f2fc19bp == -6 & f2c14 == 1]= 8  # parents live together most of the time 
newdata$f2fc19bp[f2fc19bp == -6 & f2fc19 == 2]= 9 # mother did not give any financial help 

newdata$f2fc19c1[f2fc19c1 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc19c1[f2fc19c1 == -6 & f2fc7 == 2]= 5  # father has not primary sole custody
newdata$f2fc19c1[f2fc19c1 == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2fc19c1[f2fc19c1 == -6 & f2c9 == 1]= 7   #  legal agreement for child support
newdata$f2fc19c1[f2fc19c1 == -6 & f2c14 == 1]= 8  # parents live together most of the time 

newdata$f2fc19c2[f2fc19c2 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc19c2[f2fc19c2 == -6 & f2fc7 == 2]= 5  # father has not primary sole custody
newdata$f2fc19c2[f2fc19c2 == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2fc19c2[f2fc19c2 == -6 & f2c9 == 1]= 7   #  legal agreement for child support
newdata$f2fc19c2[f2fc19c2 == -6 & f2c14 == 1]= 8  # parents live together most of the time 


newdata$f2fc19c3[f2fc19c3 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc19c3[f2fc19c3 == -6 & f2fc7 == 2]= 5  # father has not primary sole custody
newdata$f2fc19c3[f2fc19c3 == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2fc19c3[f2fc19c3 == -6 & f2c9 == 1]= 7   #  legal agreement for child support
newdata$f2fc19c3[f2fc19c3 == -6 & f2c14 == 1]= 8  # parents live together most of the time 


newdata$f2fc19c4[f2fc19c4 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc19c4[f2fc19c4 == -6 & f2fc7 == 2]= 5  # father has not primary sole custody
newdata$f2fc19c4[f2fc19c4 == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2fc19c4[f2fc19c4 == -6 & f2c9 == 1]= 7   #  legal agreement for child support
newdata$f2fc19c4[f2fc19c4 == -6 & f2c14 == 1]= 8  # parents live together most of the time 


newdata$f2fc19c5[f2fc19c5 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc19c5[f2fc19c5 == -6 & f2fc7 == 2]= 5  # father has not primary sole custody
newdata$f2fc19c5[f2fc19c5 == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2fc19c5[f2fc19c5 == -6 & f2c9 == 1]= 7   #  legal agreement for child support
newdata$f2fc19c5[f2fc19c5 == -6 & f2c14 == 1]= 8  # parents live together most of the time 


newdata$f2fc19c6[f2fc19c6 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc19c6[f2fc19c6 == -6 & f2fc7 == 2]= 5  # father has not primary sole custody
newdata$f2fc19c6[f2fc19c6 == -6 & f2fc8 == 1]= 6  # mother and father married and living together
newdata$f2fc19c6[f2fc19c6 == -6 & f2c9 == 1]= 7   #  legal agreement for child support
newdata$f2fc19c6[f2fc19c6 == -6 & f2c14 == 1]= 8  # parents live together most of the time 

newdata$f2fc20[f2fc20 == -6 & f2c1a == 2]= 0  # mother is not alive

newdata$f2fc20a[f2fc20a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc20a[f2fc20a == -6 & f2fc20 == 2]= 11  # no other biological children living with father 

newdata$f2fc20b1[f2fc20b1 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc20b1[f2fc20b1 == -6 & f2fc20 == 2]= 41  # no other biological children living with father 

newdata$f2fc20b2[f2fc20b2 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc20b2[f2fc20b2 == -6 & f2fc20 == 2]= 41  # no other biological children living with father 

newdata$f2fc20b3[f2fc20b3 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc20b3[f2fc20b3 == -6 & f2fc20 == 2]= 41  # no other biological children living with father 

newdata$f2fc20b4[f2fc20b4 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc20b4[f2fc20b4 == -6 & f2fc20 == 2]= 41  # no other biological children living with father 

newdata$f2fc20b5[f2fc20b5 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc20b5[f2fc20b5 == -6 & f2fc20 == 2]= 41  # no other biological children living with father 

newdata$f2fc20c[f2fc20c == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc20c[f2fc20c == -6 & f2fc20 == 2]= 3  # no other biological children living with father 

newdata$f2fc21[f2fc21 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc21[f2fc21 == -6 & f2fc20 == 2]= 3  # no other biological children living with father 

newdata$f2fc21a[f2fc21a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc21a[f2fc21a == -6 & f2fc20 == 2]= 3  # no other biological children living with father 
newdata$f2fc21a[f2fc21a == -6 & f2fc20c == 1]= 4  # legal obligation to pay support 
newdata$f2fc21a[f2fc21a == -6 & f2fc21 == 2]= 5  # did not pay anything in support  

newdata$f2fc21b[f2fc21b == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc21b[f2fc21b == -6 & f2fc20 == 2]= 3  # no other biological children living with father 
newdata$f2fc21b[f2fc21b == -6 & f2fc20c == 1]= 4  # legal obligation to pay support 
newdata$f2fc21b[f2fc21b == -6 & f2fc21 == 2]= 5  # did not pay anything in support  
newdata$f2fc21b[f2fc21b == -6 & f2fc21a == 1]= 6  # father has only one child that doesnt live with him

newdata$f2fc21c[f2fc21c == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc21c[f2fc21c == -6 & f2fc20 == 2]= 3  # no other biological children living with father 
newdata$f2fc21c[f2fc21c == -6 & f2fc20c == 1]= 4  # legal obligation to pay support 
newdata$f2fc21c[f2fc21c == -6 & f2fc21 == 2]= 5   # did not pay anything in support  


newdata$f2fc21c1[f2fc21c1 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc21c1[f2fc21c1 == -6 & f2fc20 == 2]= 9  # no other biological children living with father 
newdata$f2fc21c1[f2fc21c1 == -6 & f2fc20c == 1]= 10  # legal obligation to pay support 
newdata$f2fc21c1[f2fc21c1 == -6 & f2fc21 == 2]= 11  # did not pay anything in support  

newdata$f2fc21i[f2fc21i == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc21i[f2fc21i == -6 & f2fc20 == 2]= 5  # no other biological children living with father 
newdata$f2fc21i[f2fc21i == -6 & f2fc20c == 1]= 6  # legal obligation to pay support 
newdata$f2fc21i[f2fc21i == -6 & f2fc21 == 2]= 7  # did not pay anything in support  

newdata$f2fc22[f2fc22 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2fc22[f2fc22 == -6 & f2fc20 == 2]= 5  # no other biological children living with father 
newdata$f2fc22[f2fc22 == -6 & f2fc20c == 1]= 6  # legal obligation to pay support 
newdata$f2fc22[f2fc22 == -6 & f2fc21 == 2]= 7  # did not pay anything in support  






################### NA CODING ###############################
newdata$f2c1a[newdata$f2c1a == -9] = NA
newdata$f2fc1b[newdata$f2fc1b  %in% c(-6,-9)] = NA
newdata$f2c2[newdata$f2c2 %in% c(-2,-6,-9)] = NA
newdata$f2c2a[newdata$f2c2a %in% c(-2,-6,-9)] = NA
newdata$f2c2b2[newdata$f2c2b2 %in% c(-6,-9)] = NA
newdata$f2c2e[newdata$f2c2e %in% c(-6,-9)] = NA
newdata$f2c2f[newdata$f2c2f %in% c(-2,-6,-9)] = NA
newdata$f2c2g[newdata$f2c2g %in% c(-6,-9)] = NA
newdata$f2c3a[newdata$f2c3a %in% c(-2,-3,-6,-9)] = NA
newdata$f2c3b[newdata$f2c3b %in% c(-2,-3,-6,-9)] = NA
newdata$f2c3c[newdata$f2c3c %in% c(-2,-3,-6,-9)] = NA
newdata$f2c3d[newdata$f2c3d %in% c(-2,-3,-6,-9)] = NA
newdata$f2c3e[newdata$f2c3e %in% c(-2,-3,-6,-9)] = NA
newdata$f2c3f[newdata$f2c3f %in% c(-2,-6,-9)] = NA
newdata$f2c3g[newdata$f2c3g %in% c(-2,-6,-9)] = NA
newdata$f2c3h[newdata$f2c3h %in% c(-2,-6,-9)] = NA
newdata$f2c3i[newdata$f2c3i %in% c(-2,-6,-9)] = NA
newdata$f2c3j[newdata$f2c3j %in% c(-2,-6,-9)] = NA
newdata$f2c3k[newdata$f2c3k %in% c(-2,-6,-9)] = NA
newdata$f2c3k1[newdata$f2c3k1 %in% c(-2,-6,-9)] = NA
newdata$f2c4[newdata$f2c4 %in% c(-6,-9)] = NA
newdata$f2c5[newdata$f2c5 %in% c(-6,-9)] = NA
newdata$f2c6[newdata$f2c6 %in% c(-1,-2,-6,-9)] = NA
newdata$f2c6a[newdata$f2c6a %in% c(-2,-6,-9)] = NA
newdata$f2c6b[newdata$f2c6b %in% c(-2,-6,-9)] = NA
newdata$f2c6c[newdata$f2c6c %in% c(-1,-2,-6,-9)] = NA
newdata$f2c6d[newdata$f2c6d %in% c(-1,-2,-6,-9)] = NA
newdata$f2fc7[newdata$f2fc7 %in% c(-6,-9)] = NA
newdata$f2fc8[newdata$f2fc8 %in% c(-6,-9)] = NA
newdata$f2c9[newdata$f2c9 %in% c(-1,-2,-6,-9)] = NA
newdata$f2c9a2[newdata$f2c9a2 %in% c(-1,-2,-6,-9)] = NA
newdata$f2c10[newdata$f2c10 %in% c(-6,-9)] = NA
newdata$f2c10a[newdata$f2c10a %in% c(-6,-9)] = NA
newdata$f2c11[newdata$f2c11 %in% c(-1,-2,-6,-9)] = NA
newdata$f2c11a[newdata$f2c11a %in% c(-6,-9)] = NA
newdata$f2c11p[newdata$f2c11p %in% c(-6,-9)] = NA
newdata$f2c13[newdata$f2c13 %in% c(-1,-2,-6,-9)] = NA
newdata$f2c13a[newdata$f2c13a %in% c(-1,-2,-6,-9)] = NA
newdata$f2c13b[newdata$f2c13b %in% c(-1,-2,-6,-9)] = NA
newdata$f2c13c[newdata$f2c13c %in% c(-1,-2,-6,-9)] = NA
newdata$f2c14[newdata$f2c14 %in% c(-6,-9)] = NA
newdata$f2c14a[newdata$f2c14a %in% c(-2,-6,-9)] = NA
newdata$f2c15[newdata$f2c15 %in% c(-1,-2,-6,-9,-10)] = NA
newdata$f2c15a[newdata$f2c15a %in% c(-1,-2,-6,-9,-10)] = NA
newdata$f2c15fb[newdata$f2fc15fb %in% c(-1,-2,-6,-9,-15)] = NA
newdata$f2c15fb1[newdata$f2fc15fb1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2c15p[newdata$f2fc15p %in% c(-6,-9,-10)] = NA
newdata$f2c16[newdata$f2fc16 %in% c(-2,-6,-9)] = NA
newdata$f2c16a[newdata$f2fc16a %in% c(-1,-2,-6,-9)] = NA
newdata$f2c16a1[newdata$f2fc16a1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2c17[newdata$f2c17 %in% c(-6,-9)] = NA
newdata$f2c18a[newdata$f2c18a %in% c(-1,-2,-3-6,-9)] = NA
newdata$f2c18b[newdata$f2c18b %in% c(-2,-6,-9)] = NA
newdata$f2c18c[newdata$f2c18c %in% c(-1,-2,-3-6,-9)] = NA
newdata$f2c18d[newdata$f2c18d %in% c(-1,-2,-3-6,-9)] = NA
newdata$f2c18e[newdata$f2c18e %in% c(-1,-2,-3-6,-9)] = NA
newdata$f2c18f[newdata$f2c18f %in% c(-2,-6,-9)] = NA
newdata$f2fc19[newdata$f2fc19 %in% c(-2,-6,-9)] = NA
newdata$f2fc19a[newdata$f2fc19a %in% c(-2,-6,-9)] = NA
newdata$f2fc19b[newdata$f2fc19b %in% c(-2,-6,-9,-10)] = NA
newdata$f2fc19bp[newdata$f2fc19bp %in% c(-6,-9)] = NA
newdata$f2fc19c1[newdata$f2fc19c1 %in% c(-2,-3,-6,-9)] = NA
newdata$f2fc19c2[newdata$f2fc19c2 %in% c(-2,-6,-9)] = NA
newdata$f2fc19c3[newdata$f2fc19c3 %in% c(-2,-6,-9)] = NA
newdata$f2fc19c4[newdata$f2fc19c4 %in% c(-2,-6,-9)] = NA
newdata$f2fc19c5[newdata$f2fc19c5 %in% c(-2,-6,-9)] = NA
newdata$f2fc19c6[newdata$f2fc19c6 %in% c(-2,-3,-6,-9)] = NA
newdata$f2fc20[newdata$f2fc20 %in% c(-1,-2,-6,-9)] = NA
newdata$f2fc20a[newdata$f2fc20a %in% c(-1,-6,-9)] = NA
newdata$f2fc20b1[newdata$f2fc20b1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2fc20b2[newdata$f2fc20b2 %in% c(-1,-2,-6,-9)] = NA
newdata$f2fc20b3[newdata$f2fc20b3 %in% c(-2,-6,-9)] = NA
newdata$f2fc20b4[newdata$f2fc20b4 %in% c(-2,-6,-9)] = NA
newdata$f2fc20b5[newdata$f2fc20b5 %in% c(-2,-6,-9)] = NA
newdata$f2fc20c[newdata$f2fc20c %in% c(-1,-2,-3,-6,-9)] = NA
newdata$f2fc21[newdata$f2fc21 %in% c(-1,-2,-6,-9)] = NA
newdata$f2fc21a[newdata$f2fc21a %in% c(-6,-9)] = NA
newdata$f2fc21b[newdata$f2fc21b %in% c(-2,-6,-9)] = NA
newdata$f2fc21c[newdata$f2fc21c %in% c(-1,-2,-6,-9)] = NA
newdata$f2fc21c1[newdata$f2fc21c1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2fc21i[newdata$f2fc21i %in% c(-2,-6,-9)] = NA
newdata$f2fc22[newdata$f2fc22 %in% c(-1,-2,-6,-9)] = NA

########################################### SECTION D###################


### SKIP RECODNG ### 
newdata$f2d1[f2d1 == -6 & f2c1a == 2]= 0  # mother is not alive

newdata$f2d1a[f2d1a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d1a[f2d1a == -6 & f2d1 == 2]= 3  # parents were not in a relationship at baseline and followup

newdata$f2d2a[f2d2a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d2a[f2d2a == -6 & f2d1 == 2]= 5  # parents were not in a relationship at baseline and followup
newdata$f2d2a[f2d2a == -6 & f2d1a == 2]= 6  # no contact with child 

newdata$f2d2b[f2d2b == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d2b[f2d2b == -6 & f2d1 == 2]= 5  # parents were not in a relationship at baseline and followup
newdata$f2d2b[f2d2b == -6 & f2d1a == 2]= 6  # no contact with child


newdata$f2d2c[f2d2c == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d2c[f2d2c == -6 & f2d1 == 2]= 5  # parents were not in a relationship at baseline and followup
newdata$f2d2c[f2d2c == -6 & f2d1a == 2]= 6  # no contact with child 

newdata$f2d2d[f2d2d == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d2d[f2d2d == -6 & f2d1 == 2]= 5  # parents were not in a relationship at baseline and followup
newdata$f2d2d[f2d2d == -6 & f2d1a == 2]= 6  # no contact with child 


newdata$f2d2e[f2d2e == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d2e[f2d2e == -6 & f2d1 == 2]= 5  # parents were not in a relationship at baseline and followup
newdata$f2d2e[f2d2e == -6 & f2d1a == 2]= 6  # no contact with child  

newdata$f2d3[f2d3 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d3[f2d3 == -6 & f2d1 == 2]= 6  # parents were not in a relationship at baseline and followup
newdata$f2d3a[f2d3a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d3a[f2d3a == -6 & f2d1 == 2]= 6  # parents were not in a relationship at baseline and followup

newdata$f2d3a[f2d3a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d3a[f2d3a == -6 & f2d1 == 2]= 6  # parents were not in a relationship at baseline and followup

newdata$f2d4[f2d4 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d4[f2d4 == -6 & f2d1 == 2]= 6  # parents were not in a relationship at baseline and followup

newdata$f2d5a[f2d5a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d5a[f2d5a == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d5a[f2d5a == -6 & f2d4 == 2]= 5  # parents are not cuttently married or romanically involved

newdata$f2d5b[f2d5b == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d5b[f2d5b == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d5b[f2d5b == -6 & f2d4 == 2]= 5  # parents are not cuttently married or romanically involved

newdata$f2d5c[f2d5c == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d5c[f2d5c == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d5c[f2d5c == -6 & f2d4 == 2]= 5  # parents are not cuttently married or romanically involved

newdata$f2d5d[f2d5d == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d5d[f2d5d == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d5d[f2d5d == -6 & f2d4 == 2]= 5  # parents are not cuttently married or romanically involved

newdata$f2d5e[f2d5e == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d5e[f2d5e == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d5e[f2d5e == -6 & f2d4 == 2]= 5  # parents are not cuttently married or romanically involved

newdata$f2d5f[f2d5f == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d5f[f2d5f == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d5f[f2d5f == -6 & f2d4 == 2]= 5  # parents are not cuttently married or romanically involved

newdata$f2d5g[f2d5g == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d5g[f2d5g == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d5g[f2d5g == -6 & f2d4 == 2]= 5  # parents are not  cuttently married or romanically involved

newdata$f2d5h[f2d5h == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d5h[f2d5h == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d5h[f2d5h == -6 & f2d4 == 2]= 5  # parents are not cuttently married or romanically involved

newdata$f2d5i[f2d5i == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d5i[f2d5i == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d5i[f2d5i == -6 & f2d4 == 2]= 5  # parents are not cuttently married or romanically involved

newdata$f2d6[f2d6 == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d6[f2d6 == -6 & f2d1 == 2]= 3  # parents were not in a relationship at baseline and followup
newdata$f2d6[f2d6 == -6 & f2d4 == 1]= 4  # parents are currently married or romanically involved

newdata$f2d7a[f2d7a == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d7a[f2d7a == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d7a[f2d7a == -6 & f2d4 == 1]= 5  # parents are currently married or romanically involved
newdata$f2d7a[f2d7a == -6 & f2d6 == 2]= 6  # parents were not married/romatically involved when child was born 

newdata$f2d7b[f2d7b == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d7b[f2d7b == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d7b[f2d7b == -6 & f2d4 == 1]= 5  # parents are currently married or romanically involved
newdata$f2d7b[f2d7b == -6 & f2d6 == 2]= 6  # parents were not married/romatically involved when child was born

newdata$f2d7c[f2d7c == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d7c[f2d7c == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d7c[f2d7c == -6 & f2d4 == 1]= 5  # parents are currently married or romanically involved
newdata$f2d7c[f2d7c == -6 & f2d6 == 2]= 6  # parents were not married/romatically involved when child was born

newdata$f2d7d[f2d7d == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d7d[f2d7d == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d7d[f2d7d == -6 & f2d4 == 1]= 5  # parents are currently married or romanically involved
newdata$f2d7d[f2d7d == -6 & f2d6 == 2]= 6  # parents were not married/romatically involved when child was born

newdata$f2d7e[f2d7e == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d7e[f2d7e == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d7e[f2d7e == -6 & f2d4 == 1]= 5  # parents are currently married or romanically involved
newdata$f2d7e[f2d7e == -6 & f2d6 == 2]= 6  # parents were not married/romatically involved when child was born

newdata$f2d7f[f2d7f == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d7f[f2d7f == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d7f[f2d7f == -6 & f2d4 == 1]= 5  # parents are currently married or romanically involved
newdata$f2d7f[f2d7f == -6 & f2d6 == 2]= 6  # parents were not married/romatically involved when child was born

newdata$f2d7g[f2d7g == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d7g[f2d7g == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d7g[f2d7g == -6 & f2d4 == 1]= 5  # parents are currently married or romanically involved
newdata$f2d7g[f2d7g == -6 & f2d6 == 2]= 6  # parents were not married/romatically involved when child was born

newdata$f2d7h[f2d7h == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d7h[f2d7h == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d7h[f2d7h == -6 & f2d4 == 1]= 5  # parents are currently married or romanically involved
newdata$f2d7h[f2d7h == -6 & f2d6 == 2]= 6  # parents were not married/romatically involved when child was born

newdata$f2d7i[f2d7i == -6 & f2c1a == 2]= 0  # mother is not alive
newdata$f2d7i[f2d7i == -6 & f2d1 == 2]= 4  # parents were not in a relationship at baseline and followup
newdata$f2d7i[f2d7i == -6 & f2d4 == 1]= 5  # parents are currently married or romanically involved
newdata$f2d7i[f2d7i == -6 & f2d6 == 2]= 6  # parents were not married/romatically involved when child was born


### NA Recoding ####
newdata$f2d1[newdata$f2d1 %in% c(-6,-9)] = NA
newdata$f2d1a[newdata$f2d1a %in% c(-6,-9)] = NA
newdata$f2d2a[newdata$f2d2a %in% c(-1,-2,-3,-6,-9)] = NA
newdata$f2d2b[newdata$f2d2b %in% c(-2,-3,-6,-9)] = NA
newdata$f2d2c[newdata$f2d2c %in% c(-1,-2,-3,-6,-9)] = NA
newdata$f2d2d[newdata$f2d2d %in% c(-2,-3,-6,-9)] = NA
newdata$f2d2e[newdata$f2d2e %in% c(-2,-3,-6,-9)] = NA
newdata$f2d3[newdata$f2d3 %in% c(-1,-2,-6,-9,-10)] = NA
newdata$f2d3a[newdata$f2d3a %in% c(-2,-3,-6,-9)] = NA
newdata$f2d4[newdata$f2d4 %in% c(-6,-9)] = NA
newdata$f2d5a[newdata$f2d5a %in% c(-1,-2,-6,-9)] = NA
newdata$f2d5b[newdata$f2d5b %in% c(-1,-2,-6,-9)] = NA
newdata$f2d5c[newdata$f2d5c %in% c(-1,-2,-6,-9)] = NA
newdata$f2d5d[newdata$f2d5d %in% c(-1,-2,-6,-9)] = NA
newdata$f2d5e[newdata$f2d5e %in% c(-1,-2,-6,-9)] = NA
newdata$f2d5f[newdata$f2d5f %in% c(-1,-2,-6,-9)] = NA
newdata$f2d5g[newdata$f2d5g %in% c(-1,-2,-6,-9)] = NA
newdata$f2d5h[newdata$f2d5h %in% c(-1,-2,-6,-9)] = NA
newdata$f2d5i[newdata$f2d5i %in% c(-1,-2,-6,-9)] = NA
newdata$f2d6[newdata$f2d6 %in% c(-6,-9)] = NA
newdata$f2d7a[newdata$f2d7a %in% c(-1,-2,-6,-9)] = NA
newdata$f2d7b[newdata$f2d7b %in% c(-1,-2,-6,-9)] = NA
newdata$f2d7c[newdata$f2d7c %in% c(-1,-2,-6,-9)] = NA
newdata$f2d7d[newdata$f2d7d %in% c(-1,-2,-6,-9)] = NA
newdata$f2d7e[newdata$f2d7e %in% c(-1,-2,-6,-9)] = NA
newdata$f2d7f[newdata$f2d7f %in% c(-1,-2,-6,-9)] = NA
newdata$f2d7g[newdata$f2d7g %in% c(-1,-2,-6,-9)] = NA
newdata$f2d7h[newdata$f2d7g %in% c(-1,-2,-6,-9)] = NA
newdata$f2d7i[newdata$f2d7i %in% c(-1,-2,-6,-9)] = NA

##################### SECTION E###################################

### skip Recoding ####
newdata$f2e2[f2e2 == -6 & f2e1 == 1]=3   # mother and father currently living together

newdata$f2e2a2[f2e2a2 == -6 & f2e1 == 1]=3   # mother and father currently living together
newdata$f2e2a2[f2e2a2 == -6 & f2e2 == 2]= 0   # father not involve i a romanic raltion other than mother	

newdata$f2e2b[f2e2b == -6 & f2e1 == 1]= 3  # mother and father currently living together
newdata$f2e2b[f2e2b == -6 & f2e2 == 2]=0   # father not involve in a romanic raltion other than mother	
newdata$f2e2b[f2e2b == -6 & f2e2a2 == 1]= 4 # mother and father are married 

newdata$f2e2c[f2e2c == -6 & f2e1 == 1]= 3  # mother and father currently living together
newdata$f2e2c[f2e2c == -6 & f2e2 == 2]=0   # father not involve in a romanic raltion other than mother	
newdata$f2e2c[f2e2c == -6 & f2e2a2 == 1]= 4 # mother and father are married 

newdata$f2e2d[f2e2d == -6 & f2e1 == 1]= 3  # mother and father currently living together
newdata$f2e2d[f2e2d == -6 & f2e2 == 2]=0   # father not involve in a romanic raltion other than mother	
newdata$f2e2d[f2e2d == -6 & f2e2a2 == 1]= 4 # mother and father are married 


newdata$f2e3a[f2e3a == -6 & f2e1 == 1]= 206  # mother and father currently living together
newdata$f2e3a[f2e3a == -6 & f2e2 == 2]=205   # father not involve in a romanic raltion other than mother	
newdata$f2e3a[f2e3a == -6 & f2e2b == 2]= 207  # father and current partner dont live together
newdata$f2e3a[f2e3a == -6 & f2e2c == 1]=208  # Child live away from father 

newdata$f2e3b[f2e3b == -6 & f2e1 == 1]= 206  # mother and father currently living together
newdata$f2e3b[f2e3b == -6 & f2e2 == 2]=205   # father not involve in a romanic raltion other than mother	
newdata$f2e3b[f2e3b == -6 & f2e2b == 2]= 207  # father and current partner dont live together
newdata$f2e3b[f2e3b == -6 & f2e2c == 1]=208  # Child live away from father 

newdata$f2e3c[f2e3c == -6 & f2e1 == 1]= 206  # mother and father currently living together
newdata$f2e3c[f2e3c == -6 & f2e2 == 2]=205   # father not involve in a romanic raltion other than mother	
newdata$f2e3c[f2e3c == -6 & f2e2b == 2]= 207  # father and current partner dont live together
newdata$f2e3c[f2e3c == -6 & f2e2c == 1]=208  # Child live away from father 

newdata$f2e3d[f2e3d == -6 & f2e1 == 1]= 206  # mother and father currently living together
newdata$f2e3d[f2e3d == -6 & f2e2 == 2]=205   # father not involve in a romanic raltion other than mother	
newdata$f2e3d[f2e3d == -6 & f2e2b == 2]= 207  # father and current partner dont live together
newdata$f2e3d[f2e3d == -6 & f2e2c == 1]=208  # Child live away from father 

newdata$f2e3e[f2e3e == -6 & f2e1 == 1]= 206  # mother and father currently living together
newdata$f2e3e[f2e3e == -6 & f2e2 == 2]=205   # father not involve in a romanic raltion other than mother	
newdata$f2e3e[f2e3e == -6 & f2e2b == 2]= 207  # father and current partner dont live together
newdata$f2e3e[f2e3e == -6 & f2e2c == 1]=208  # Child live away from father 

newdata$f2e3f[f2e3f == -6 & f2e1 == 1]= 206  # mother and father currently living together
newdata$f2e3f[f2e3f == -6 & f2e2 == 2]=205   # father not involve in a romanic raltion other than mother	
newdata$f2e3f[f2e3f == -6 & f2e2b == 2]= 207  # father and current partner dont live together
newdata$f2e3f[f2e3f == -6 & f2e2c == 1]=208  # Child live away from father 

newdata$f2e3g[f2e3g == -6 & f2e1 == 1]= 206  # mother and father currently living together
newdata$f2e3g[f2e3g == -6 & f2e2 == 2]=205   # father not involve in a romanic raltion other than mother	
newdata$f2e3g[f2e3g == -6 & f2e2b == 2]= 207  # father and current partner dont live together
newdata$f2e3g[f2e3g == -6 & f2e2c == 1]=208  # Child live away from father 

newdata$f2e3h[f2e3h == -6 & f2e1 == 1]= 206  # mother and father currently living together
newdata$f2e3h[f2e3h == -6 & f2e2 == 2]=205   # father not involve in a romanic raltion other than mother	
newdata$f2e3h[f2e3h == -6 & f2e2b == 2]= 207  # father and current partner dont live together
newdata$f2e3h[f2e3h == -6 & f2e2c == 1]=208  # Child live away from father 

newdata$f2e3i[f2e3i == -6 & f2e1 == 1]= 206  # mother and father currently living together
newdata$f2e3i[f2e3i == -6 & f2e2 == 2]=205   # father not involve in a romanic raltion other than mother	
newdata$f2e3i[f2e3i == -6 & f2e2b == 2]= 207  # father and current partner dont live together
newdata$f2e3i[f2e3i == -6 & f2e2c == 1]=208  # Child live away from father 

newdata$f2e3j[f2e3j == -6 & f2e1 == 1]= 206  # mother and father currently living together
newdata$f2e3j[f2e3j == -6 & f2e2 == 2]=205   # father not involve in a romanic raltion other than mother	
newdata$f2e3j[f2e3j == -6 & f2e2b == 2]= 207  # father and current partner dont live together
newdata$f2e3j[f2e3j == -6 & f2e2c == 1]=208  # Child live away from father 

newdata$f2e4[f2e4 == -6 & f2e1 == 1]= 3  # mother and father currently living together
newdata$f2e4[f2e4 == -6 & f2e2 == 2]=0  # father not involve in a romanic raltion other than mother	
newdata$f2e4[f2e4 == -6 & f2e2b == 2]= 4  # father and current partner dont live together
newdata$f2e4[f2e4 == -6 & f2e2c == 1]=5  # Child live away from father 

newdata$f2e4a[f2e4a == -6 & f2e1 == 1]= 5  # mother and father currently living together
newdata$f2e4a[f2e4a == -6 & f2e2 == 2]=0  # father not involve in a romanic raltion other than mother	
newdata$f2e4a[f2e4a == -6 & f2e2b == 2]= 6  # father and current partner dont live together
newdata$f2e4a[f2e4a == -6 & f2e2c == 1]=7  # Child live away from father 
newdata$f2e4a[f2e4a == -6 & f2e4 == 2]=8   # did not spanked 




	
	
#### NA coding ####
newdata$f2e1[newdata$f2e1 == -9 ] = NA
newdata$f2e2[newdata$f2e2 %in% c(-1,-2,-6,-9)] = NA  
newdata$f2e2a2[newdata$f2e2a2 %in% c(-6,-9)] = NA 
newdata$f2e2b[newdata$f2e2b %in% c(-6,-9)] = NA 
newdata$f2e2c[newdata$f2e2c %in% c(-6,-9)] = NA
newdata$f2e2d[newdata$f2e2d %in% c(-6,-9)] = NA
newdata$f2e3a[newdata$f2e3a %in% c(-2,-6,-9)] = NA
newdata$f2e3b[newdata$f2e3b %in% c(-2,-6,-9)] = NA
newdata$f2e3c[newdata$f2e3c %in% c(-2,-6,-9)] = NA
newdata$f2e3d[newdata$f2e3d %in% c(-2,-6,-9)] = NA
newdata$f2e3e[newdata$f2e3e %in% c(-2,-6,-9)] = NA
newdata$f2e3f[newdata$f2e3f %in% c(-2,-6,-9)] = NA
newdata$f2e3g[newdata$f2e3g %in% c(-2,-6,-9)] = NA
newdata$f2e3h[newdata$f2e3h %in% c(-2,-6,-9)] = NA
newdata$f2e3i[newdata$f2e3i %in% c(-2,-6,-9)] = NA
newdata$f2e3j[newdata$f2e3j %in% c(-2,-6,-9)] = NA
newdata$f2e4[newdata$f2e4 %in% c(-6,-9)] = NA
newdata$f2e4a[newdata$f2e4a %in% c(-2,-6,-9)] = NA
newdata$cf2marp[newdata$cf2marp == -9 ] = NA
newdata$cf2cohp[newdata$cf2cohp %in% c(-3,-9)] = NA

############################## SECTION F ################################

##### SKIP RECODING #####
newdata$f2f1[f2f1 == -6 & f2f0 == 1]=9   # mother and father living together 
newdata$f2f2b1[f2f2b1 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2b1[f2f2b1 == -6 & f2f1 == 0]=3   # Live alone 
newdata$f2f2b2[f2f2b2 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2b2[f2f2b2 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2b2[f2f2b2 == -6 & f2f1 ==1]=4   # person 1 

newdata$f2f2b3[f2f2b3 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2b3[f2f2b3 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2b3[f2f2b3 == -6 & f2f1 %in% c(1,2)]=4   # person 1 & 2 

newdata$f2f2b4[f2f2b4 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2b4[f2f2b4 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2b4[f2f2b4 == -6 & f2f1 %in% c(1,2,3)]=4   # person 1,2,3

newdata$f2f2b5[f2f2b5 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2b5[f2f2b5 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2b5[f2f2b5 == -6 & f2f1 %in% c(1,2,3,4)]=4   # person 1,2,3,4

newdata$f2f2b6[f2f2b6 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2b6[f2f2b6 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2b6[f2f2b6 == -6 & f2f1 %in% c(1,2,3,4,5)]=4   # person 1,2,3,4,5


newdata$f2f2b7[f2f2b7 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2b7[f2f2b7 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2b7[f2f2b7 == -6 & f2f1 %in% c(1,2,3,4,5,6)]=4   # person 1,2,3,4,6

newdata$f2f2b8[f2f2b8 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2b8[f2f2b8 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2b8[f2f2b8 == -6 & f2f1 %in% c(1,2,3,4,5,6,7)]=4   # person 1,2,3,4,6,7

newdata$f2f2b10[f2f2b10 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2b10[f2f2b10 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2b10[f2f2b10 == -6 & f2f1 %in% c(1,2,3,4,5,6,7,8)]=4   # person 1,2,3,4,6,7,8


newdata$f2f2c1[f2f2c1 == -6 & f2f0 == 1]=100   # mother and father living together 
newdata$f2f2c1[f2f2c1 == -6 & f2f1 == 0]=101   # Live alone 

newdata$f2f2c2[f2f2c2 == -6 & f2f0 == 1]=100   # mother and father living together 
newdata$f2f2c2[f2f2c2 == -6 & f2f1 == 0]=101   # Live alone
newdata$f2f2c2[f2f2c2 == -6 & f2f1 ==1]=102   # person 1 

newdata$f2f2c3[f2f2c3 == -6 & f2f0 == 1]=100  # mother and father living together 
newdata$f2f2c3[f2f2c3 == -6 & f2f1 == 0]=101   # Live alone
newdata$f2f2c3[f2f2c3 == -6 & f2f1 %in% c(1,2)]=102   # person 1 & 2 

newdata$f2f2c4[f2f2c4 == -6 & f2f0 == 1]=100   # mother and father living together 
newdata$f2f2c4[f2f2c4 == -6 & f2f1 == 0]=101   # Live alone
newdata$f2f2c4[f2f2c4 == -6 & f2f1 %in% c(1,2,3)]=102   # person 1,2,3

newdata$f2f2c5[f2f2c5 == -6 & f2f0 == 1]=100   # mother and father living together 
newdata$f2f2c5[f2f2c5 == -6 & f2f1 == 0]=101   # Live alone
newdata$f2f2c5[f2f2c5 == -6 & f2f1 %in% c(1,2,3,4)]=102   # person 1,2,3,4

newdata$f2f2c6[f2f2c6 == -6 & f2f0 == 1]=100   # mother and father living together 
newdata$f2f2c6[f2f2c6 == -6 & f2f1 == 0]=101   # Live alone
newdata$f2f2c6[f2f2c6 == -6 & f2f1 %in% c(1,2,3,4,5)]=102   # person 1,2,3,4,5


newdata$f2f2c7[f2f2c7 == -6 & f2f0 == 1]=100   # mother and father living together 
newdata$f2f2c7[f2f2c7 == -6 & f2f1 == 0]=101   # Live alone
newdata$f2f2c7[f2f2c7 == -6 & f2f1 %in% c(1,2,3,4,5,6)]=102   # person 1,2,3,4,6

newdata$f2f2c8[f2f2c8 == -6 & f2f0 == 1]=100   # mother and father living together 
newdata$f2f2c8[f2f2c8 == -6 & f2f1 == 0]=101   # Live alone
newdata$f2f2c8[f2f2c8 == -6 & f2f1 %in% c(1,2,3,4,5,6,7)]=102   # person 1,2,3,4,6,7

newdata$f2f2c10[f2f2c10 == -6 & f2f0 == 1]=100   # mother and father living together 
newdata$f2f2c10[f2f2c10 == -6 & f2f1 == 0]=101  # Live alone
newdata$f2f2c10[f2f2c10 == -6 & f2f1 %in% c(1,2,3,4,5,6,7,8)]=102  # person 1,2,3,4,6,7,8

newdata$f2f2d1[f2f2d1 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2d1[f2f2d1 == -6 & f2f1 == 0]=16   # Live alone 

newdata$f2f2d2[f2f2d2 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2d2[f2f2d2 == -6 & f2f1 == 0]=16   # Live alone
newdata$f2f2d2[f2f2d2 == -6 & f2f1 ==1]=17  # person 1 

newdata$f2f2d3[f2f2d3 == -6 & f2f0 == 1]=0  # mother and father living together 
newdata$f2f2d3[f2f2d3 == -6 & f2f1 == 0]=16   # Live alone
newdata$f2f2d3[f2f2d3 == -6 & f2f1 %in% c(1,2)]=17   # person 1 & 2 

newdata$f2f2d4[f2f2d4 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2d4[f2f2d4 == -6 & f2f1 == 0]=1   # Live alone
newdata$f2f2d4[f2f2d4 == -6 & f2f1 %in% c(1,2,3)]=2   # person 1,2,3

newdata$f2f2d5[f2f2d5 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2d5[f2f2d5 == -6 & f2f1 == 0]=1   # Live alone
newdata$f2f2d5[f2f2d5 == -6 & f2f1 %in% c(1,2,3,4)]=2   # person 1,2,3,4

newdata$f2f2d6[f2f2d6 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2d6[f2f2d6 == -6 & f2f1 == 0]=1   # Live alone
newdata$f2f2d6[f2f2d6 == -6 & f2f1 %in% c(1,2,3,4,5)]=2   # person 1,2,3,4,5


newdata$f2f2d7[f2f2d7 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2d7[f2f2d7 == -6 & f2f1 == 0]=1   # Live alone
newdata$f2f2d7[f2f2d7 == -6 & f2f1 %in% c(1,2,3,4,5,6)]=2   # person 1,2,3,4,6

newdata$f2f2d8[f2f2d8 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2d8[f2f2d8 == -6 & f2f1 == 0]=1   # Live alone
newdata$f2f2d8[f2f2d8 == -6 & f2f1 %in% c(1,2,3,4,5,6,7)]=2   # person 1,2,3,4,6,7

newdata$f2f2d10[f2f2d10 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2d10[f2f2d10 == -6 & f2f1 == 0]=1  # Live alone
newdata$f2f2d10[f2f2d10 == -6 & f2f1 %in% c(1,2,3,4,5,6,7,8)]=2  # person 1,2,3,4,6,7,8


newdata$f2f2e1[f2f2e1 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2e1[f2f2e1 == -6 & f2f1 == 0]=3   # Live alone 

newdata$f2f2e2[f2f2e2 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2e2[f2f2e2 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2e2[f2f2e2 == -6 & f2f1 ==1]=4  # person 1 

newdata$f2f2e3[f2f2e3 == -6 & f2f0 == 1]=0  # mother and father living together 
newdata$f2f2e3[f2f2e3 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2e3[f2f2e3 == -6 & f2f1 %in% c(1,2)]=4   # person 1 & 2 

newdata$f2f2e4[f2f2e4 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2e4[f2f2e4 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2e4[f2f2e4 == -6 & f2f1 %in% c(1,2,3)]=4   # person 1,2,3

newdata$f2f2e5[f2f2e5 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2e5[f2f2e5 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2e5[f2f2e5 == -6 & f2f1 %in% c(1,2,3,4)]=4   # person 1,2,3,4

newdata$f2f2e6[f2f2e6 == -6 & f2f0 == 1]=0   # mother and father living together 
newdata$f2f2e6[f2f2e6 == -6 & f2f1 == 0]=3   # Live alone
newdata$f2f2e6[f2f2e6 == -6 & f2f1 %in% c(1,2,3,4,5,6)]=4   # person 1,2,3,4,5


##### NA CODING ####
  
newdata$f2f0[newdata$f2f0 %in% c(-1,-2,-6,-9,-10)] = NA
newdata$f2f1[newdata$f2f1 %in% c(-1,-2,-6,-9,-10)] = NA
newdata$f2f2b1[newdata$f2f2b1 %in% c(-1,-6,-9)] = NA
newdata$f2f2b2[newdata$f2f2b2 %in% c(-6,-9)] = NA
newdata$f2f2b3[newdata$f2f2b3 %in% c(-6,-9)] = NA
newdata$f2f2b4[newdata$f2f2b4 %in% c(-6,-9)] = NA
newdata$f2f2b5[newdata$f2f2b5 %in% c(-6,-9)] = NA
newdata$f2f2b6[newdata$f2f2b6 %in% c(-6,-9)] = NA
newdata$f2f2b7[newdata$f2f2b7 %in% c(-6,-9)] = NA
newdata$f2f2b8[newdata$f2f2b8 %in% c(-6,-9)] = NA
newdata$f2f2b10[newdata$f2f2b10 %in% c(-6,-9)] = NA

newdata$f2f2c1[newdata$f2f2c1 %in% c(-2,-6,-9)] = NA
newdata$f2f2c2[newdata$f2f2c2 %in% c(-2,-6,-9)] = NA
newdata$f2f2c3[newdata$f2f2c3 %in% c(-2,-6,-9)] = NA
newdata$f2f2c4[newdata$f2f2c4 %in% c(-6,-9)] = NA
newdata$f2f2c5[newdata$f2f2c5 %in% c(-6,-9)] = NA
newdata$f2f2c6[newdata$f2f2c6 %in% c(-6,-9)] = NA
newdata$f2f2c7[newdata$f2f2c7 %in% c(-6,-9)] = NA
newdata$f2f2c8[newdata$f2f2c8 %in% c(-6,-9)] = NA
newdata$f2f2c10[newdata$f2f2c10 %in% c(-6,-9,-11)] = NA

newdata$f2f2d1[newdata$f2f2d1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2f2d2[newdata$f2f2d2 %in% c(-1,-2,-6,-9)] = NA
newdata$f2f2d3[newdata$f2f2d3 %in% c(-1,-2,-6,-9)] = NA
newdata$f2f2d4[newdata$f2f2d4 %in% c(-1,-2,-6,-9)] = NA
newdata$f2f2d5[newdata$f2f2d5 %in% c(-6,-9)] = NA
newdata$f2f2d6[newdata$f2f2d6 %in% c(-6,-9)] = NA
newdata$f2f2d7[newdata$f2f2d7 %in% c(-6,-9)] = NA
newdata$f2f2d8[newdata$f2f2d8 %in% c(-6,-9)] = NA
newdata$f2f2d10[newdata$f2f2d10 %in% c(-6,-9)] = NA

newdata$f2f2e1[newdata$f2f2e1 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$f2f2e2[newdata$f2f2e2 %in% c(-2,-3,-6,-9)] = NA
newdata$f2f2e3[newdata$f2f2e3 %in% c(-2,-3,-6,-9)] = NA
newdata$f2f2e4[newdata$f2f2e4 %in% c(-3,-6,-9)] = NA
newdata$f2f2e5[newdata$f2f2e5 %in% c(-3,-6,-9)] = NA
newdata$f2f2e6[newdata$f2f2e6 %in% c(-6,-9)] = NA

newdata$cf2adult[newdata$cf2adult %in% c(-3,-7,-9)] = NA
newdata$cf2kids[newdata$cf2kids %in% c(-3,-7,-9)] = NA
newdata$cf2gdad[newdata$cf2gdad == -9] = NA
newdata$cf2gmom[newdata$cf2gmom == -9] = NA

################### SECTION g##########################################


################# SKIP RECODING ##################
newdata$f2g1d[f2g1d == -6 & f2g1c == 1]=0   # both parents were born in united states
newdata$f2g2c[f2g2c == -6 & f2g2 %in% c(1,2,4,5,6,7,8,9,10,11,12)]=0 # highest school grade of mother other than HS
newdata$f2g3c[f2g3c == -6 & f2g3 %in% c(1,2,4,5,6,7,8,9,10,11,12)]=0 # highest school grade of Father other than HS
newdata$f2g5[f2g5 == -6 & f2g4 == 1]=0 # father interviewed at the base line   
newdata$f2g5a[f2g5a == -6 & f2g4 == 1]=0 # father interviewed at the base line
newdata$f2g5b[f2g5b == -6 & f2g4 == 1]=0 # father interviewed at the base line
newdata$f2g5b[f2g5b == -6 & f2g5a == 2]=103 # not hispanic and latino decent
newdata$f2g7a1[f2g7a1 == -6 & f2g7 == 2]=0 # did not recieve FS from anyone
newdata$f2g7a2[f2g7a2 == -6 & f2g7 == 2]=0 # did not recieve FS from anyone
newdata$f2g7a3[f2g7a3 == -6 & f2g7 == 2]=0 # did not recieve FS from anyone
newdata$f2g7a4[f2g7a4 == -6 & f2g7 == 2]=0 # did not recieve FS from anyone
newdata$f2g7a5[f2g7a5 == -6 & f2g7 == 2]=0 # did not recieve FS from anyone
newdata$f2g7a6[f2g7a6 == -6 & f2g7 == 2]=0 # did not recieve FS from anyone
newdata$f2g7a7[f2g7a7 == -6 & f2g7 == 2]=0 # did not recieve FS from anyone
newdata$f2g7a8[f2g7a8 == -6 & f2g7 == 2]=0 # did not recieve FS from anyone
newdata$f2g7b[f2g7b == -6 & f2g7 == 2]=0 # did not recieve FS from anyone
newdata$f2g7c[f2g7c == -6 & f2g7 == 2]=0 # did not recieve FS from anyone
newdata$f2g8a1[f2g8a1 == -6 & f2g8a == 2]=0 # will not count on someone to loan money 
newdata$f2g8d1[f2g8d1 == -6 & f2g8d == 2]=0  # there is no one who an cosign for a bank loan 
newdata$f2g9a[f2g9a == -6 & f2g9 %in% c(1,2)]=0 # biological father was very/somewhat involved in life
newdata$f2g10[f2g10 == -6 & f2g9 == 1]=0 # biological father was very involved in life
newdata$f2g10a[f2g10a == -6 & f2g10 == 2]=12 # there was'nt any man like a father while growing  up 
newdata$f2g11b[f2g11b == -6 & f2g11a == 1]=0 # responded know his father 
newdata$f2g12a[f2g12a == -6 & f2g11a == 2]=0  # responded dont know his father
newdata$f2g12b[f2g12b == -6 & f2g11a == 1]=0  #responded know his father 
newdata$f2g12b[f2g12b == -6 & f2g11b == 2]=4  # respnded dont have a father figure
newdata$f2g13[f2g13 == -6 & f2g12d == 1]=0  # Responded parents are decread or unknown
newdata$f2g15[f2g15 == -6 & f2g14a == 1]=0  # responded both parents are decreased
newdata$f2g16[f2g16 == -6 & f2g15a == 1]=0   # mother both parents decreased
################## NA RECODING #################

newdata$f2g1a[newdata$f2g1a %in% c(-1,-2,-9)] = NA
newdata$f2g1b[newdata$f2g1b %in% c(-1,-2,-9)] = NA
newdata$f2g1c[newdata$f2g1c == -9] = NA
newdata$f2g1d[newdata$f2g1d %in% c(-1,-2,-6,-9)] = NA
newdata$f2g2[newdata$f2g2 %in% c(-1,-2,-9)] = NA
newdata$f2g2c[newdata$f2g2c %in% c(-2,-6,-9)] = NA
newdata$f2g3[newdata$f2g3 %in% c(-1,-2,-9)] = NA
newdata$f2g3c[newdata$f2g3c %in% c(-2,-6,-9)] = NA
newdata$f2g4[newdata$f2g4 == -9] = NA
newdata$f2g5[newdata$f2g5 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$f2g5a[newdata$f2g5a %in% c(-1,-2,-3,-6,-9)] = NA
newdata$f2g5b[newdata$f2g5b %in% c(-2,-3,-6,-9)] = NA
newdata$f2g6a[newdata$f2g6a %in% c(-1,-2,-9)] = NA
newdata$f2g6b[newdata$f2g6b %in% c(-1,-2,-9)] = NA
newdata$f2g6c[newdata$f2g6c %in% c(-1,-2,-9)] = NA
newdata$f2g7[newdata$f2g7 %in% c(-1,-2,-9)] = NA
newdata$f2g7a1[newdata$f2g7a1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2g7a2[newdata$f2g7a2 %in% c(-1,-2,-6,-9)] = NA
newdata$f2g7a3[newdata$f2g7a3 %in% c(-1,-2,-6,-9)] = NA
newdata$f2g7a4[newdata$f2g7a4 %in% c(-1,-2,-6,-9)] = NA
newdata$f2g7a5[newdata$f2g7a5 %in% c(-1,-2,-6,-9)] = NA
newdata$f2g7a6[newdata$f2g7a6 %in% c(-1,-2,-6,-9)] = NA
newdata$f2g7a7[newdata$f2g7a7 %in% c(-1,-2,-6,-9)] = NA
newdata$f2g7a8[newdata$f2g7a8 %in% c(-1,-2,-6,-9)] = NA
newdata$f2g7b[newdata$f2g7b %in% c(-1,-2,-6,-9)] = NA
newdata$f2g7c[newdata$f2g7c %in% c(-1,-2,-6,-9)] = NA
newdata$f2g8a[newdata$f2g8a %in% c(-2,-9)] = NA
newdata$f2g8a1[newdata$f2g8a1 %in% c(-2,-6,-9)] = NA
newdata$f2g8b[newdata$f2g8b %in% c(-1,-2,-9)] = NA
newdata$f2g8c[newdata$f2g8c %in% c(-1,-2,-9)] = NA
newdata$f2g8d[newdata$f2g8d %in% c(-1,-2,-9)] = NA
newdata$f2g8d1[newdata$f2g8d1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2g9[newdata$f2g9 %in% c(-1,-2,-9)] = NA
newdata$f2g9a[newdata$f2g9a %in% c(-1,-2,-6,-9)] = NA
newdata$f2g10[newdata$f2g10 %in% c(-1,-2,-6,-9)] = NA
newdata$f2g10a[newdata$f2g10a %in% c(-1,-6,-9)] = NA
newdata$f2g11a[newdata$f2g11a == -9] = NA
newdata$f2g11b[newdata$f2g11b %in% c(-6,-9)] = NA
newdata$f2g12a[newdata$f2g12a %in% c(-1,-2,-6,-9,-10)] = NA
newdata$f2g12b[newdata$f2g12b %in% c(-1,-2,-3,-6,-9,-10)] = NA
newdata$f2g12c[newdata$f2g12c %in% c(-1,-2,-9,-10)] = NA
newdata$f2g12d[newdata$f2g12d == -9] = NA
newdata$f2g13[newdata$f2g13 %in% c(-1,-2,-3,-6,-9,-11,-14)] = NA
newdata$f2g14[newdata$f2g14 %in% c(-1,-2,-9,-10,-11,-14)] = NA
newdata$f2g14a[newdata$f2g14a == -9] = NA
newdata$f2g15[newdata$f2g15 %in% c(-1,-2,-3,-6,-9,-10)] = NA
newdata$f2g15a[newdata$f2g15a == -9] = NA
newdata$f2g16[newdata$f2g16 %in% c(-1,-2,-6,-9)] = NA

###################### SECTION H ##################################

##########SKIP RECODINE ###############
newdata$f2h1a[f2h1a == -6 & f2h1 == 2]=0   # moved since child was born 
newdata$f2h3[f2h3 == -6 & f2h2 !=4 & f2h2 !=5]=0 # own a house & live in a house own by other family member
newdata$f2h3a[f2h3a == -6 & f2h2 !=4 & f2h2 !=5]=0 # own a house & live in a house own by other family member
newdata$f2h3b[f2h3b == -6 & f2h2 !=4 & f2h2 !=5]=0 # own a house & live in a house own by other family member
newdata$f2h3c[f2h3c == -6 & f2h2 !=4 & f2h2 !=5]=0 # not own a house & live in a house own by other family member
newdata$f2h4[f2h4 == -6 & f2h2 !=1 & f2h2 !=2 & f2h2!=5]=0 # not rent own apparment/contribue to rent
newdata$f2h5[f2h5 == -6 & f2h2 !=1 & f2h2 !=2 & f2h2!=5]=0 # not rent own apparment/contribue to rent
newdata$f2h5a[f2h5a == -6 & f2h2 !=5]=0   # not live with a family and pay no rent
newdata$f2h6[f2h6 == -6 & f2h5a ==1]=0  # live with family and pay rent 
newdata$f2h8b1[f2h8b1 == -6 & f2h8a1 ==2]=0  # no walfare
newdata$f2h8b2[f2h8b2 == -6 & f2h8a2 ==2]=0  # no Food stamp
newdata$f2h8b3[f2h8b3 == -6 & f2h8a3 ==2]=0   # no other assistance
newdata$f2h8c1[f2h8c1 == -6 & f2h8a1 ==2]=0  # no walfare
newdata$f2h8c2[f2h8c2 == -6 & f2h8a2 ==2]=0  # no Food stamp
newdata$f2h8c3[f2h8c3 == -6 & f2h8a3 ==2]=0   # no other assistance
newdata$f2h9a[f2h9a == -6 & f2h9 ==2]=0  # did not recieve TANF in last 12 months 
newdata$f2h9b1[f2h9b1 == -6 & f2h9 ==2]=0  # did not recieve TANF in last 12 months
newdata$f2h9b1[f2h9b1 == -6 & f2h9a ==2]=6  # not recieve TANF currently
newdata$f2h9b2[f2h9b2 == -6 & f2h9 ==2]=0  # did not recieve TANF in last 12 months
newdata$f2h9b2[f2h9b2 == -6 & f2h9a ==2]=11  # not recieve TANF currently
newdata$f2h9c[f2h9c == -6 & f2h9 ==1]=0  # did not recieve TANF in last 12 months
newdata$f2h9d2[f2h9d2 == -6 & f2h9c ==2]=0 # never recieved TANF
newdata$f2h10a[f2h10a == -6 & f2h10 ==2]=0 # do not reciecve SSI
newdata$f2h10b[f2h10b == -6 & f2h10 ==2]=0 # do not reciecve SSI
newdata$f2h10c[f2h10c == -6 & f2h10 ==2]=0 # do not reciecve SSI
newdata$f2h12[f2h12 == -6 & f2h12 ==2]=0 # was not on TANF from last 12 month 
newdata$f2h12a1[f2h12a1 == -6 & f2h11 ==2]=0 # was not on TANF from last 12 month 
newdata$f2h12a1[f2h12a1 == -6 & f2h12 ==2]=3 # not required to do anything in return of walfare benefits
newdata$f2h12a2[f2h12a2 == -6 & f2h11 ==2]=0 # was not on TANF from last 12 month 
newdata$f2h12a2[f2h12a2 == -6 & f2h12 ==2]=3 # not required to do anything in return of walfare benefits
newdata$f2h12a3[f2h12a3 == -6 & f2h11 ==2]=0 # was not on TANF from last 12 month 
newdata$f2h12a3[f2h12a3 == -6 & f2h12 ==2]=1 # not required to do anything in return of walfare benefits
newdata$f2h12a4[f2h12a4 == -6 & f2h11 ==2]=0 # was not on TANF from last 12 month 
newdata$f2h12a4[f2h12a4 == -6 & f2h12 ==2]=3 # not required to do anything in return of walfare benefits
newdata$f2h12a5[f2h12a5 == -6 & f2h11 ==2]=0 # was not on TANF from last 12 month 
newdata$f2h12a5[f2h12a5 == -6 & f2h12 ==2]=1 # not required to do anything in return of walfare benefits
newdata$f2h12a6[f2h12a6 == -6 & f2h11 ==2]=0 # was not on TANF from last 12 month 
newdata$f2h12a6[f2h12a6 == -6 & f2h12 ==2]=1 # not required to do anything in return of walfare benefits
newdata$f2h13[f2h13 == -6 & f2h11 ==2]=0 # was not on TANF from last 12 month 
newdata$f2h13[f2h13 == -6 & f2h12 ==2]=3 # not required to do anything in return of walfare benefits
newdata$f2h14[f2h14 == -6 & f2h12 ==2]=3 # not required to do anything in return of walfare benefits
newdata$f2h14a[f2h14a == -6 & f2h12 ==2]=0 # not required to do anything in return of walfare benefits
newdata$f2h14a[f2h14a == -6 & f2h14 ==2]=3  # never thought about walfare eligibiliy in last 12 months
newdata$f2h14b[f2h14b == -6 & f2h14 ==2]=0  # never thought about walfare eligibiliy in last 12 months
newdata$f2h14b[f2h14b == -6 & f2h14a ==2]=3  # did not apply for walfare 
newdata$f2h16[f2h16 == -6 & f2h15 ==1]=0 # responded recived food stamp
newdata$f2h16a[f2h16a == -6 & f2h15 ==1]=0 # responded recived food stamp
newdata$f2h16a[f2h16a == -6 & f2h16 ==2]=3 # never thought about food stamp eligibiliy in last 12 months
newdata$f2h16b[f2h16b == -6 & f2h15 ==1]=0 # responded recived food stamp
newdata$f2h16b[f2h16b == -6 & f2h16 ==2]=4 # never thought about food stamp eligibiliy in last 12 months
newdata$f2h16b[f2h16b == -6 & f2h16a ==2]=5  # never applied for food stamp
newdata$f2h16c1[f2h16c1 == -6 & f2h16c %in% c(2,3)]=0 # did not file Tax / but will file Tax
newdata$f2h17a[f2h17a == -6 & f2h16d ==1]=0  # motherand father married/living together 
newdata$f2h17b[f2h17b == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2h17c[f2h17c == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2h17d[f2h17d == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2h17e[f2h17e == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2h17f[f2h17f == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2h17g[f2h17g == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2h17h[f2h17h == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2h17i[f2h17i == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2h17j[f2h17j == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2h17k[f2h17k == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2h17l[f2h17l == -6 & f2h16d ==1]=0  # motherand father married/living together
newdata$f2fh20[f2fh20 == -6 & f2fh19 ==2]=0     # never been booked or charged with breaking a law
newdata$f2fh20a[f2fh20a == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh20a[f2fh20a == -6 & f2fh19 ==2]=18 # no charges pending against father
newdata$f2fh21[f2fh21 == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh21a[f2fh21a == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh21a[f2fh21a == -6 & f2fh21 ==2]=31  # never been convicted
newdata$f2fh22[f2fh22 == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh22[f2fh22 == -6 & f2fh21 ==2]=3  # never been convicted
newdata$f2fh22a[f2fh22a == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh22a[f2fh22a == -6 & f2fh21 ==2]=31  # never been convicted
newdata$f2fh22a[f2fh22a == -6 & f2fh22 ==2]=32  #ever spent time in a correctional institution 
newdata$f2fh23[f2fh23 == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh23[f2fh23 == -6 & f2fh21 ==2]=4  # never been convicted
newdata$f2fh23[f2fh23 == -6 & f2fh22 ==2]=5  #ever spent time in a correctional institution 
newdata$f2fh23a[f2fh23a == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh23a[f2fh23a == -6 & f2fh21 ==2]=84  # never been convicted
newdata$f2fh23a[f2fh23a == -6 & f2fh22 ==2]=85  #ever spent time in a correctional institution 
newdata$f2fh23a[f2fh23a == -6 & f2fh23 ==2]=86  #never spent time  in youth/reform school correctional facilities
newdata$f2fh24[f2fh24 == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh24[f2fh24 == -6 & f2fh21 ==2]=3  # never been convicted
newdata$f2fh24[f2fh24 == -6 & f2fh22 ==2]=4  #ever spent time in a correctional institution 
newdata$f2fh24a[f2fh24a == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh24a[f2fh24a == -6 & f2fh21 ==2]=121  # never been convicted
newdata$f2fh24a[f2fh24a == -6 & f2fh22 ==2]=122  #ever spent time in a correctional institution 
newdata$f2fh24a[f2fh24a == -6 & f2fh24 ==2]=123 #ever spent time in an adult correctional institution 

newdata$f2fh25a2[f2fh25a2 == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh25a2[f2fh25a2 == -6 & f2fh21 ==2]=1  # never been convicted
newdata$f2fh25a2[f2fh25a2 == -6 & f2fh22 ==2]=2  #ever spent time in a correctional institution 

newdata$f2fh26b[f2fh26b == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law
newdata$f2fh26b[f2fh26b == -6 & f2fh21 ==2]=1  # never been convicted
newdata$f2fh26b[f2fh26b == -6 & f2fh22 ==2]=2  #ever spent time in a correctional institution 

newdata$f2fh27[f2fh27 == -6 & f2fh19 ==2]=0   # never been booked or charged with breaking a law


########## NA CODING ##############
newdata$f2h1[newdata$f2h1 %in% c(-1,-2,-9)] = NA
newdata$f2h1a[newdata$f2h1a %in% c(-1,-2,-6,-9)] = NA
newdata$f2h2[newdata$f2h2 %in% c(-1,-2,-9)] = NA
newdata$f2h3[newdata$f2h3 %in% c(-1,-2,-6,-9)] = NA
newdata$f2h3a[newdata$f2h3a %in% c(-1,-2,-6,-9)] = NA
newdata$f2h3b[newdata$f2h3b %in% c(-1,-2,-6,-9)] = NA
newdata$f2h3c[newdata$f2h3c %in% c(-6,-9)] = NA
newdata$f2h4[newdata$f2h4 %in% c(-1,-2,-6,-9)] = NA
newdata$f2h5[newdata$f2h5 %in% c(-1,-2,-6,-9)] = NA
newdata$f2h5a[newdata$f2h5a %in% c(-6,-9)] = NA
newdata$f2h6[newdata$f2h6 %in% c(-1,-2,-6,-9)] = NA
newdata$f2h7a[newdata$f2h7a %in% c(-1,-2,-9)] = NA
newdata$f2h7b[newdata$f2h7b %in% c(-1,-2,-9)] = NA
newdata$f2h7c[newdata$f2h7c %in% c(-1,-2,-9,-10)] = NA
newdata$f2h8a1[newdata$f2h8a1 %in% c(-1,-2,-9)] = NA
newdata$f2h8a2[newdata$f2h8a2 %in% c(-1,-2,-9)] = NA
newdata$f2h8a3[newdata$f2h8a3 %in% c(-1,-2,-9)] = NA
newdata$f2h8b1[newdata$f2h8b1 %in% c(-2,-6,-9)] = NA
newdata$f2h8b2[newdata$f2h8b2 %in% c(-2,-6,-9)] = NA
newdata$f2h8b3[newdata$f2h8b3 %in% c(-2,-6,-9)] = NA
newdata$f2h8c1[newdata$f2h8c1 %in% c(-2,-6,-9)] = NA
newdata$f2h8c2[newdata$f2h8c2 %in% c(-1,-2,-6,-9)] = NA
newdata$f2h8c3[newdata$f2h8c3 %in% c(-1,-2,-6,-9)] = NA
newdata$f2h9[newdata$f2h9 %in% c(-2,-6,-9)] = NA
newdata$f2h9a[newdata$f2h9a %in% c(-2,-6,-9)] = NA
newdata$f2h9b1[newdata$f2h9b1 %in% c(-2,-6,-9)] = NA
newdata$f2h9b2[newdata$f2h9b2 %in% c(-2,-6,-9)] = NA
newdata$f2h9c[newdata$f2h9c %in% c(-1,-2,-6,-9)] = NA
newdata$f2h9d2[newdata$f2h9d2 %in% c(-1,-2,-6,-9)] = NA
newdata$f2h10[newdata$f2h10 %in% c(-1,-2,-9)] = NA
newdata$f2h10a[newdata$f2h10a %in% c(-1,-2,-6,-9)] = NA
newdata$f2h10b[newdata$f2h10b %in% c(-6,-9)] = NA
newdata$f2h10c[newdata$f2h10c %in% c(-2,-6,-9)] = NA
newdata$f2h11[newdata$f2h11 == -9] = NA
newdata$f2h12[newdata$f2h12 %in% c(-6,-9)] = NA
newdata$f2h12a1[newdata$f2h12a1 %in% c(-2,-6,-9)] = NA
newdata$f2h12a2[newdata$f2h12a2 %in% c(-2,-6,-9)] = NA
newdata$f2h12a3[newdata$f2h12a3 %in% c(-2,-6,-9)] = NA
newdata$f2h12a4[newdata$f2h12a4 %in% c(-2,-6,-9)] = NA
newdata$f2h12a5[newdata$f2h12a5 %in% c(-2,-6,-9)] = NA
newdata$f2h12a6[newdata$f2h12a6 %in% c(-2,-6,-9)] = NA
newdata$f2h13[newdata$f2h13 %in% c(-6,-9)] = NA
newdata$f2h14[newdata$f2h14 %in% c(-1,-2,-6,-9)] = NA
newdata$f2h14a[newdata$f2h14a %in% c(-2,-6,-9)] = NA
newdata$f2h14b[newdata$f2h14b %in% c(-6,-9)] = NA
newdata$f2h15[newdata$f2h15 == -9] = NA
newdata$f2h16[newdata$f2h16 %in% c(-1,-2,-6,-9)] = NA
newdata$f2h16a[newdata$f2h16a %in% c(-6,-9)] = NA
newdata$f2h16b[newdata$f2h16b %in% c(-2,-6,-9)] = NA
newdata$f2h16c[newdata$f2h16c %in% c(-1,-2,-9)] = NA
newdata$f2h16c1[newdata$f2h16c1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2h16d[newdata$f2h16d == -9] = NA
newdata$f2h17a[newdata$f2h17a %in% c(-1,-2,-6,-9)] = NA
newdata$f2h17b[newdata$f2h17b %in% c(-2,-6,-9)] = NA
newdata$f2h17c[newdata$f2h17c %in% c(-2,-6,-9)] = NA
newdata$f2h17d[newdata$f2h17d %in% c(-1,-2,-6,-9)] = NA
newdata$f2h17e[newdata$f2h17e %in% c(-1,-2,-6,-9)] = NA
newdata$f2h17f[newdata$f2h17f %in% c(-1,-2,-6,-9)] = NA
newdata$f2h17g[newdata$f2h17g %in% c(-1,-2,-6,-9)] = NA
newdata$f2h17h[newdata$f2h17h %in% c(-1,-2,-6,-9)] = NA
newdata$f2h17i[newdata$f2h17i %in% c(-2,-6,-9)] = NA
newdata$f2h17j[newdata$f2h17j %in% c(-1,-2,-6,-9)] = NA
newdata$f2h17k[newdata$f2h17k %in% c(-1,-2,-6,-9)] = NA
newdata$f2h17l[newdata$f2h17l %in% c(-1,-2,-6,-9)] = NA
newdata$f2fh18[newdata$f2fh18 %in% c(-1,-2,-9)] = NA
newdata$f2fh19[newdata$f2fh19 %in% c(-1,-2,-9)] = NA
newdata$f2fh20[newdata$f2fh20 %in% c(-1,-2,-6,-9)] = NA
newdata$f2fh20a[newdata$f2fh20a %in% c(-1,-2,-6,-9)] = NA
newdata$f2fh21[newdata$f2fh21 %in% c(-1,-2,-6,-9)] = NA
newdata$f2fh21a[newdata$f2fh21a %in% c(-1,-2,-6,-9)] = NA
newdata$f2fh22[newdata$f2fh22 %in% c(-1,-6,-9)] = NA
newdata$f2fh22a[newdata$f2fh22a %in% c(-1,-2,-6,-9)] = NA
newdata$f2fh23[newdata$f2fh23 %in% c(-1,-6,-9)] = NA
newdata$f2fh23a[newdata$f2fh23a %in% c(-1,-2,-6,-9)] = NA
newdata$f2fh24[newdata$f2fh24 %in% c(-6,-9)] = NA
newdata$f2fh24a[newdata$f2fh24a %in% c(-1,-2,-6,-9)] = NA
newdata$f2fh25a2[newdata$f2fh25a2 %in% c(-1,-2,-6,-9)] = NA
newdata$f2fh26b[newdata$f2fh26b %in% c(-1,-2,-6,-9)] = NA
newdata$f2fh27[newdata$f2fh27 %in% c(-1,-6,-9)] = NA

######################### SECTION J #########################################

########### SKIP recoding#####
newdata$f2j3a[f2j3a == -6 & f2j3 ==2]=0   # not cover by medicaid or other public assistance program
newdata$f2j4[f2j4 == -6 & f2j3a ==2]=0   # both father and children covered by medicaid/ other assistance program
newdata$f2j4a[f2j4a == -6 & f2j3a ==2]=0   # both father and children covered by medicaid/ other assistance program
newdata$f2j4a[f2j4a == -6 & f2j4 ==2]=4    # not covered by private insurence
newdata$f2j4b1[f2j4b1 == -6 & f2j3a ==2]=0   # both father and children covered by medicaid/ other assistance program
newdata$f2j4b1[f2j4b1 == -6 & f2j4 ==2]=3    # not covered by private insurence
newdata$f2j4b2[f2j4b2 == -6 & f2j3a ==2]=0   # both father and children covered by medicaid/ other assistance program
newdata$f2j4b2[f2j4b2 == -6 & f2j4 ==2]=3    # not covered by private insurence
newdata$f2j4b3[f2j4b3 == -6 & f2j3a ==2]=0   # both father and children covered by medicaid/ other assistance program
newdata$f2j4b3[f2j4b3 == -6 & f2j4 ==2]=3    # not covered by private insurence
newdata$f2j4b4[f2j4b4 == -6 & f2j3a ==2]=0   # both father and children covered by medicaid/ other assistance program
newdata$f2j4b4[f2j4b4 == -6 & f2j4 ==2]=3    # not covered by private insurence
newdata$f2j4b5[f2j4b5 == -6 & f2j3a ==2]=0   # both father and children covered by medicaid/ other assistance program
newdata$f2j4b5[f2j4b5 == -6 & f2j4 ==2]=3    # not covered by private insurence
newdata$f2j4b6[f2j4b6 == -6 & f2j3a ==2]=0   # both father and children covered by medicaid/ other assistance program
newdata$f2j4b6[f2j4b6 == -6 & f2j4 ==2]=3    # not covered by private insurence
newdata$f2j5a [f2j5a == -6 & f2j5  ==2]=0    # did not smoke cigarette 
newdata$f2j6a [f2j6a == -6 & f2j6  ==2]=0    # did not drinl alcohal
newdata$f2j13 [f2j13 == -6 & f2j12  ==2]=0     # did not feel depressed or sad in last 12 months
newdata$f2j13a [f2j13a == -6 & f2j12  ==2]=0     # did not feel depressed or sad in last 12 months 
newdata$f2j13a [f2j13a == -6 & f2j13  ==4]=4     # feeling of depression/sadness last less than 1/2 a day
newdata$f2j13b [f2j13b == -6 & f2j12  ==2]=0     # did not feel depressed or sad in last 12 months 
newdata$f2j13b [f2j13b == -6 & f2j13  ==4]=3      # feeling of depression/sadness last less than 1/2 a day
newdata$f2j13b [f2j13b == -6 & f2j13a  ==2]=4      # less ofthen feel depressed/ sad


newdata$f2j13c1 [f2j13c1 == -6 & f2j12  ==2]=0     # did not feel depressed or sad in last 12 months 
newdata$f2j13c1 [f2j13c1 == -6 & f2j13  ==4]=2      # feeling of depression/sadness last less than 1/2 a day
newdata$f2j13c1 [f2j13c1 == -6 & f2j13a  ==2]=3      # less ofthen feel depressed/ sad

newdata$f2j13c2 [f2j13c2 == -6 & f2j12  ==2]=0     # did not feel depressed or sad in last 12 months 
newdata$f2j13c2 [f2j13c2 == -6 & f2j13  ==4]=2      # feeling of depression/sadness last less than 1/2 a day
newdata$f2j13c2 [f2j13c2 == -6 & f2j13a  ==2]=3      # less ofthen feel depressed/ sad

newdata$f2j13c3 [f2j13c3 == -6 & f2j12  ==2]=0     # did not feel depressed or sad in last 12 months 
newdata$f2j13c3 [f2j13c3 == -6 & f2j13  ==4]=2      # feeling of depression/sadness last less than 1/2 a day
newdata$f2j13c3 [f2j13c3 == -6 & f2j13a  ==2]=3      # less ofthen feel depressed/ sad
newdata$f2j14 [f2j14 == -6 & f2j13c3  == 1]=0         # responded feel depress every day / most of the time
newdata$f2j14a [f2j14a == -6 & f2j13c3 == 1]=0       # responded feel depress every day / most of the time 
newdata$f2j14a [f2j14a == -6 & f2j14 == 2]=5         # there never been a time responded lost inerest in activites/hobby lasted 2 weeks or more
newdata$f2j14b [f2j14b == -6 & f2j13c3 == 1]=0       # responded feel depress every day / most of the time 
newdata$f2j14b [f2j14b == -6 & f2j14 == 2]=4         # there never been a time responded lost inerest in activites/hobby lasted 2 weeks or more
newdata$f2j14b [f2j14b == -6 & f2j14a ==4]=5         #less than1/2 day in 12 months when responder completely loss interest in things

newdata$f2j15a [f2j15a == -6 & f2j14 == 2]=0         # there never been a time responded lost inerest in activites/hobby lasted 2 weeks or more
newdata$f2j15a [f2j15a == -6 & f2j14a ==4]=3         #less than1/2 day in 12 months when responder completely loss interest in things
newdata$f2j15a [f2j15a == -6 & f2j14b ==3]=4         # less often feel depressed /sad
    
newdata$f2j15b [f2j15b == -6 & f2j14 == 2]=0         # there never been a time responded lost inerest in activites/hobby lasted 2 weeks or more
newdata$f2j15b [f2j15b == -6 & f2j14a ==4]=4         #less than1/2 day in 12 months when responder completely loss interest in things
newdata$f2j15b [f2j15b == -6 & f2j14b ==3]=5         # less often feel depressed /sad

newdata$f2j15b1 [f2j15b1 == -6 & f2j14 == 2]=0         # there never been a time responded lost inerest in activites/hobby lasted 2 weeks or more
newdata$f2j15b1 [f2j15b1 == -6 & f2j14a ==4]=4         #less than1/2 day in 12 months when responder completely loss interest in things
newdata$f2j15b1 [f2j15b1 == -6 & f2j14b ==3]=5         # less often feel depressed /sad
newdata$f2j15b1 [f2j15b1 == -6 & f2j15b ==4]=6         # did not loose weight in las two week


newdata$f2j15c [f2j15c == -6 & f2j14 == 2]=0         # there never been a time responded lost inerest in activites/hobby lasted 2 weeks or more
newdata$f2j15c [f2j15c == -6 & f2j14a ==4]=3         #less than1/2 day in 12 months when responder completely loss interest in things
newdata$f2j15c [f2j15c == -6 & f2j14b ==3]=4         # less often feel depressed /sad

newdata$f2j15c1 [f2j15c1 == -6 & f2j14 == 2]=0         # there never been a time responded lost inerest in activites/hobby lasted 2 weeks or more
newdata$f2j15c1 [f2j15c1== -6 & f2j14a ==4]=4         #less than1/2 day in 12 months when responder completely loss interest in things
newdata$f2j15c1 [f2j15c1 == -6 & f2j14b ==3]=5         # less often feel depressed /sad
newdata$f2j15c1 [f2j15c1 == -6 & f2j15c ==2]=6         # did not have trouble falling sleep

newdata$f2j15d [f2j15d == -6 & f2j14 == 2]=0         # there never been a time responded lost inerest in activites/hobby lasted 2 weeks or more
newdata$f2j15d [f2j15d == -6 & f2j14a ==4]=3         #less than1/2 day in 12 months when responder completely loss interest in things
newdata$f2j15d [f2j15d == -6 & f2j14b ==3]=4         # less often feel depressed /sad

newdata$f2j15e [f2j15e == -6 & f2j14 == 2]=0         # there never been a time responded lost inerest in activites/hobby lasted 2 weeks or more
newdata$f2j15e [f2j15e == -6 & f2j14a ==4]=3         #less than1/2 day in 12 months when responder completely loss interest in things
newdata$f2j15e [f2j15e == -6 & f2j14b ==3]=4         # less often feel depressed /sad

newdata$f2j15f [f2j15f == -6 & f2j14 == 2]=0         # there never been a time responded lost inerest in activites/hobby lasted 2 weeks or more
newdata$f2j15f [f2j15f == -6 & f2j14a ==4]=3         #less than1/2 day in 12 months when responder completely loss interest in things
newdata$f2j15f [f2j15f == -6 & f2j14b ==3]=4         # less often feel depressed /sad

newdata$f2j16a [f2j16a == -6 & f2j16 ==1]=0           # did not feel worry/anxious anytime last month 
newdata$f2j16b [f2j16b == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation

newdata$f2j16b1a [f2j16b1a == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j16b1a [f2j16b1a == -6 & f2j16b ==2]=0      # period of depression/sadness is ended

newdata$f2j16b1b [f2j16b1a == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j16b1b [f2j16b1a == -6 & f2j16b ==2]=0      # period of depression/sadness is ended

newdata$f2j16b1c [f2j16b1a == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j16b1c [f2j16b1a == -6 & f2j16b ==2]=0      # period of depression/sadness is ended

newdata$f2j16b2a [f2j16b2a == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j16b2a [f2j16b2a == -6 & f2j16b ==2]=0      # period of depression/sadness is ended


newdata$f2j16b2b [f2j16b2b == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j16b2b [f2j16b2b == -6 & f2j16b ==2]=0      # period of depression/sadness is ended


newdata$f2j16b2c [f2j16b2c == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j16b2c [f2j16b2c == -6 & f2j16b ==2]=0      # period of depression/sadness is ended

newdata$f2j17 [f2j17 == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j18a [f2j18a == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j18a [f2j18a == -6 & f2j17 ==2]=0       #worry last less than 6 month 

newdata$f2j18b [f2j18b == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j18b [f2j18b == -6 & f2j17 ==2]=0       #worry last less than 6 month 

newdata$f2j18c [f2j18c == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j18c [f2j18c == -6 & f2j17 ==2]=0       #worry last less than 6 month 

newdata$f2j18d [f2j18d == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j18d [f2j18d == -6 & f2j17 ==2]=0       #worry last less than 6 month 

newdata$f2j18e [f2j18e == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j18e [f2j18e == -6 & f2j17 ==2]=0       #worry last less than 6 month 

newdata$f2j19 [f2j19 == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j19 [f2j19 == -6 & f2j17 ==2]=0       #worry last less than 6 month 

newdata$f2j19a [f2j19a == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j19a [f2j19a == -6 & f2j17 ==2]=0       #worry last less than 6 month 

newdata$f2j20a [f2j20a == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j20a [f2j20a == -6 & f2j17 ==2]=0       #worry last less than 6 month 

newdata$f2j20b [f2j20b == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j20b [f2j20b == -6 & f2j17 ==2]=0       #worry last less than 6 month 


newdata$f2j20c [f2j20c == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j20c [f2j20c == -6 & f2j17 ==2]=0       #worry last less than 6 month 


newdata$f2j20d [f2j20d == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j20d [f2j20d == -6 & f2j17 ==2]=0       #worry last less than 6 month 


newdata$f2j20e [f2j20e == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j20e [f2j20e == -6 & f2j17 ==2]=0       #worry last less than 6 month 


newdata$f2j20f [f2j20f == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j20f [f2j20f == -6 & f2j17 ==2]=0       #worry last less than 6 month 

newdata$f2j20g [f2j20g == -6 & f2j16a ==2]=0         # did not worried a lot more than most people would in my situation
newdata$f2j20g [f2j20g == -6 & f2j17 ==2]=0       #worry last less than 6 month 



#### NA coding ##############   
newdata$f2j1[newdata$f2j1 %in% c(-1,-9)] = NA 
newdata$f2j2[newdata$f2j2 %in% c(-1,-2,-9)] = NA  
newdata$f2j3[newdata$f2j3 %in% c(-1,-6,-9)] = NA
newdata$f2j3a[newdata$f2j3a %in% c(-2,-6,-9)] = NA     
newdata$f2j4[newdata$f2j4 %in% c(-1,-2,-6,-9)] = NA  
newdata$f2j4a[newdata$f2j4a %in% c(-1,-2,-6,-9)] = NA 
newdata$f2j4b1[newdata$f2j4b1 %in% c(-1,-2,-6,-9)] = NA  
newdata$f2j4b2[newdata$f2j4b2 %in% c(-1,-2,-6,-9)] = NA                  
newdata$f2j4b3[newdata$f2j4b3 %in% c(-1,-2,-6,-9)] = NA                  
newdata$f2j4b4[newdata$f2j4b4 %in% c(-1,-2,-6,-9)] = NA                  
newdata$f2j4b5[newdata$f2j4b5 %in% c(-1,-2,-6,-9)] = NA                  
newdata$f2j4b6[newdata$f2j4b6 %in% c(-1,-2,-6,-9)] = NA 
newdata$f2j5[newdata$f2j5 %in% c(-1,-2,-9)] = NA                  
newdata$f2j5a[newdata$f2j5a %in% c(-1,-2,-6,-9)] = NA  
newdata$f2j6[newdata$f2j6 %in% c(-1,-2,-9)] = NA                  
newdata$f2j6a[newdata$f2j6a %in% c(-1,-2,-6,-9)] = NA   
newdata$f2j9[newdata$f2j9 %in% c(-1,-2,-9,-10)] = NA 
newdata$f2j10[newdata$f2j10 %in% c(-1,-2,-6,-9)] = NA 
newdata$f2j11[newdata$f2j11 %in% c(-1,-2,-6,-9)] = NA 
newdata$f2j12[newdata$f2j12 %in% c(-1,-9,-11)] = NA 
newdata$f2j13[newdata$f2j13 %in% c(-2,-6,-9)] = NA 
newdata$f2j13a[newdata$f2j13a %in% c(-2,-6,-9)] = NA  
newdata$f2j13b[newdata$f2j13b %in% c(-6,-9)] = NA 
newdata$f2j13c1[newdata$f2j13c1 %in% c(-6,-9)] = NA
newdata$f2j13c2[newdata$f2j13c2 %in% c(-6,-9)] = NA
newdata$f2j13c3[newdata$f2j13c3 %in% c(-6,-9)] = NA
newdata$f2j14[newdata$f2j14 %in% c(-1,-2,-6,-9,-11)] = NA
newdata$f2j14a[newdata$f2j14a %in% c(-2,-6,-9)] = NA 
newdata$f2j14b[newdata$f2j14b %in% c(-6,-9)] = NA 
newdata$f2j15a[newdata$f2j15a %in% c(-2,-6,-9)] = NA 
newdata$f2j15b[newdata$f2j15b %in% c(-2,-6,-9)] = NA
newdata$f2j15b1[newdata$f2j15b1 %in% c(-2,-6,-9)] = NA  
newdata$f2j15c[newdata$f2j15c %in% c(-2,-6,-9)] = NA  
newdata$f2j15c1[newdata$f2j15c1 %in% c(-2,-6,-9)] = NA 
newdata$f2j15d[newdata$f2j15d %in% c(-6,-9)] = NA  
newdata$f2j15e[newdata$f2j15e %in% c(-6,-9)] = NA  
newdata$f2j15f[newdata$f2j15f %in% c(-2,-6,-9)] = NA 
newdata$f2j16[newdata$f2j16 %in% c(-1,-2,-9)] = NA  
newdata$f2j16a[newdata$f2j16a %in% c(-1,-2,-6,-9)] = NA 
newdata$f2j16b[newdata$f2j16b %in% c(-2,-6,-9)] = NA  
newdata$f2j16b1a[newdata$f2j16b1a %in% c(-6,-9)] = NA 
newdata$f2j16b1b[newdata$f2j16b1b %in% c(-6,-9)] = NA 
newdata$f2j16b1c[newdata$f2j16b1c %in% c(-2,-6,-9)] = NA 
newdata$f2j16b2a[newdata$f2j16b2a %in% c(-2,-6,-9)] = NA  
newdata$f2j16b2b[newdata$f2j16b2b %in% c(-6,-9)] = NA
newdata$f2j16b2c[newdata$f2j16b2c %in% c(-6,-9)] = NA 
newdata$f2j17[newdata$f2j17 %in% c(-6,-9)] = NA 
newdata$f2j18a[newdata$f2j18a %in% c(-2,-6,-9)] = NA
newdata$f2j18b[newdata$f2j18b %in% c(-6,-9)] = NA
newdata$f2j18c[newdata$f2j18c %in% c(-6,-9)] = NA
newdata$f2j18d[newdata$f2j18d %in% c(-6,-9)] = NA
newdata$f2j18e[newdata$f2j18e %in% c(-6,-9)] = NA 
newdata$f2j19[newdata$f2j19 %in% c(-6,-9)] = NA   
newdata$f2j19a[newdata$f2j19a %in% c(-6,-9)] = NA 
newdata$f2j20a[newdata$f2j20a %in% c(-2,-6,-9)] = NA 
newdata$f2j20b[newdata$f2j20b %in% c(-2,-6,-9)] = NA 
newdata$f2j20c[newdata$f2j20c %in% c(-2,-6,-9)] = NA 
newdata$f2j20d[newdata$f2j20d %in% c(-2,-6,-9)] = NA 
newdata$f2j20e[newdata$f2j20e %in% c(-2,-6,-9)] = NA 
newdata$f2j20f[newdata$f2j20f %in% c(-6,-9)] = NA 
newdata$f2j20g[newdata$f2j20g %in% c(-2,-6,-9)] = NA 
newdata$f2j21[newdata$f2j21 %in% c(-1,-2,-9)] = NA  
newdata$f2j22[newdata$f2j22 %in% c(-1,-2,-9)] = NA  
newdata$f2j23[newdata$f2j23 %in% c(-1,-2,-9)] = NA  
newdata$f2j24[newdata$f2j24 %in% c(-1,-2,-9)] = NA  
newdata$f2j25[newdata$f2j25 %in% c(-1,-2,-9)] = NA  
newdata$f2j26[newdata$f2j26 %in% c(-1,-2,-9)] = NA 
newdata$cf2gad_case[newdata$cf2gad_case %in% c(-3,-9)] = NA   
newdata$cf2md_case_con[newdata$cf2md_case_con %in% c(-3,-9)] = NA  
newdata$cf2md_case_lib[newdata$cf2md_case_lib %in% c(-3,-9)] = NA


################### SECTION K ###############################      

###############SKIP RECODING #####

newdata$f2k1a [f2k1a == -6 & f2k1 ==1]=0       # father interviewed at base line
newdata$f2k3a [f2k3a == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3b [f2k3b == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3c [f2k3c == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3d [f2k3d == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3e [f2k3e == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3f [f2k3f == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3g [f2k3g == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3h [f2k3h == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3i [f2k3i == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3j [f2k3j == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3k [f2k3k == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3l [f2k3l == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3m [f2k3m == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3n [f2k3n == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k3o [f2k3o == -6 & f2k2 ==2]=0      # not attending any school/participationg in training
newdata$f2k4[f2k4 == -6 & f2k2 ==2]=0          # not attending any school/participationg in training
newdata$f2k5a1[f2k5a1 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a1c[f2k5a1c == -6 & f2k5 ==2]=0    # not completed any schooling/training since born
newdata$f2k5a1c[f2k5a1c == -6 & f2k5a1 ==2]=1  # did not complete regular HS
newdata$f2k5a2[f2k5a2 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a3[f2k5a3 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a4[f2k5a4 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a5[f2k5a5 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a6[f2k5a6 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a7[f2k5a7 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a8[f2k5a8 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a9[f2k5a9 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a10[f2k5a10 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a11[f2k5a11 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a12[f2k5a12 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a13[f2k5a13 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a14[f2k5a14 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a15[f2k5a15 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k5a16[f2k5a16 == -6 & f2k5 ==2]=0      # not completed any schooling/training since born
newdata$f2k7a[f2k7a == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b1[f2k7b1 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b1[f2k7b1 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  
newdata$f2k7b2[f2k7b2 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b2[f2k7b2 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  
newdata$f2k7b3[f2k7b3 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b3[f2k7b3 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b4[f2k7b4 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b4[f2k7b4 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b5[f2k7b5 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b5[f2k7b5 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b6[f2k7b6 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b6[f2k7b6 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b7[f2k7b7 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b7[f2k7b7 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b8[f2k7b8 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b8[f2k7b8 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b9[f2k7b9 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b9[f2k7b9 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b10[f2k7b10 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b10[f2k7b10 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b11[f2k7b11 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b11[f2k7b11 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b12[f2k7b12 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b12[f2k7b12 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b13[f2k7b13 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b13[f2k7b13 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b14[f2k7b14 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b14[f2k7b14 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7b15[f2k7b15 == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7b15[f2k7b15 == -6 & f2k7a ==2]=1        # After 20th birthday, did not attend any school/training  

newdata$f2k7c[f2k7c == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 

newdata$f2k7d[f2k7d == -6 & f2k7 ==2]=13          # Respondent is younger than 22 yrs old 
newdata$f2k7d[f2k7d == -6 & f2k7c ==2]=0          # Respondent is younger than 22 yrs old 

newdata$f2k7e[f2k7e == -6 & f2k7 ==2]=21          # Respondent is younger than 22 yrs old 

newdata$f2k7f[f2k7f == -6 & f2k7 ==2]=0          # Respondent is younger than 22 yrs old 
newdata$f2k7f[f2k7f == -6 & f2k7e ==0]=0          # did not have any job in 20

newdata$f2k9[f2k9 == -6 & f2k8 ==1]=0               # Last week, did regular work for pay 

newdata$f2k9a[f2k9a == -6 & f2k8 ==1]=0               # Last week, did regular work for pay 
newdata$f2k9a[f2k9a == -6 & f2k9 ==2]=0            # not currently looking for a regular job

newdata$f2k9b[f2k9b == -6 & f2k8 ==1]=0               # Last week, did regular work for pay 
newdata$f2k9b[f2k9b == -6 & f2k9 ==1]=1            #  currently looking for a regular job

newdata$f2k9c[f2k9c == -6 & f2k8 ==1]=0               # Last week, did regular work for pay 
newdata$f2k10b[f2k10b == -6 & f2k8 ==1]=0               # Last week, did regular work for pay 

newdata$f2k12[f2k12 == -6 & f2k11 ==2]=0             # Farher did'nt work since childbirth

newdata$f2k12a[f2k12a == -6 & f2k11 ==2]=0             # Farher did'nt work since childbirth
newdata$f2k12a[f2k12a == -6 & f2k12 ==1]=0         #took time off from work for the birth of a child 

newdata$f2k12b[f2k12b == -6 & f2k11 ==2]=0            # Farher did'nt work since childbirth
newdata$f2k12b[f2k12b == -6 & f2k12 ==2]=0        #took time off from work for the birth of a child 

newdata$f2k12c[f2k12c == -6 & f2k11 ==2]=53            # Farher did'nt work since childbirth
newdata$f2k12c[f2k12c == -6 & f2k12 ==2]= 54        #took time off from work for the birth of a child 

newdata$f2k13[f2k13 == -6 & f2k12 ==2]= 0         #took time off from work for the birth of a child 
newdata$f2k14[f2k14 == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k14a[f2k14a == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k15a[f2k15a == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k15ap[f2k15ap == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k15bc[f2k15bc == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW

newdata$f2k16a[f2k16a == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k16b[f2k16b == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k16c[f2k16c == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k16d[f2k16d == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW

newdata$f2k17[f2k17 == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW

newdata$f2k18a[f2k18a == -6 & f2k13 ==2]= 5          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k18a[f2k18a == -6 & f2k17 ==2]= 6          # Father did not work since chid birth 
newdata$f2k18b[f2k18b == -6 & f2k13 ==2]= 5          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k18b[f2k18b == -6 & f2k17 ==2]= 6            # Father did not work since chid birth
newdata$f2k18c[f2k18c == -6 & f2k13 ==2]= 5          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k18c[f2k18c == -6 & f2k17 ==2]= 6            # Father did not work since chid birth


newdata$f2k19[f2k19 == -6 & f2k13 ==2]= 0          # FATHER NEVER WORKED FOR 2 WEEKS IN A ROW
newdata$f2k19[f2k19 == -6 & f2k17 ==2]= 0            # Father did not work since chid birth

newdata$f2k19a[f2k19a == -6 & f2k17 ==2]= 0       # Father did not work since chid birth
newdata$f2k19a[f2k19a == -6 & f2k19 ==2]= 1        # did not work more than 2 jobs at the same time 

newdata$f2k20[f2k20 == -6 & f2k17 ==2]=0       # Father did not work since chid birth
newdata$f2k20[f2k20 == -6 & f2k19 ==2]=0        # did not work more than 2 jobs at the same time 

newdata$f2k20a[f2k20a == -6 & f2k17 ==2]=0       # Father did not work since chid birth
newdata$f2k20a[f2k20a == -6 & f2k19 ==2]=10        # did not work more than 2 jobs at the same
newdata$f2k20a[f2k20a == -6 & f2k20 ==0]=11        # did not work last 12 month

newdata$f2k21[f2k21 == -6 & f2k19 ==2]=0        # did not work more than 2 jobs at the same
newdata$f2k21[f2k21 == -6 & f2k20 ==0]=0        # did not work last 12 month

newdata$f2k22a1[f2k22a1 == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table
newdata$f2k22b[f2k22b == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table

newdata$f2k22c[f2k22c == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table

newdata$f2k22d[f2k22d == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table

newdata$f2k22e[f2k22e == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table

newdata$f2k22e1[f2k22e1 == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table
newdata$f2k22e1[f2k22e1 == -6 & f2k22e ==0]= 0     # did not recieve anything working under the table

newdata$f2k22f[f2k22f == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table

newdata$f2k22f1a[f2k22f1a == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table
newdata$f2k22f1a[f2k22f1a == -6 & f2k22f ==2]= 0    # No  other type of payment received for working under table

newdata$f2k22f1b[f2k22f1b == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table
newdata$f2k22f1b[f2k22f1b == -6 & f2k22f ==2]= 0    # No  other type of payment received for working under table

newdata$f2k22f1c[f2k22f1c == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table
newdata$f2k22f1c[f2k22f1c == -6 & f2k22f ==2]= 0    # No  other type of payment received for working under table

newdata$f2k22f1d[f2k22f1d == -6 & f2k22a ==2]= 0       # did not-Work off the books/under the table
newdata$f2k22f1d[f2k22f1d == -6 & f2k22f ==2]= 0    # No  other type of payment received for working under table


newdata$f2k23a1[f2k23a1 == -6 & f2k23a ==2]= 0         # did not work in own business
newdata$f2k23b[f2k23b == -6 & f2k23a ==2]= 0           # did not work in own business
newdata$f2k23c[f2k23c == -6 & f2k23a ==2]= 0           # did not work in own business
newdata$f2k23d[f2k23d == -6 & f2k23a ==2]= 0           # did not work in own business
newdata$f2k23e[f2k23e == -6 & f2k23a ==2]= 0           # did not work in own business
newdata$f2k23e[f2k23e == -6 & f2k23d ==2]= 0        # When working own business,did not receive cash, or something els

newdata$f2k23e1[f2k23e1 == -6 & f2k23a ==2]= 0         # did not work in own business
newdata$f2k23e1[f2k23e1 == -6 & f2k23d ==2]= 0      # When working own business,did not receive cash, or something els

newdata$f2k23f[f2k23f == -6 & f2k23a ==2]= 0           # did not work in own business

newdata$f2k23f1a[f2k23f1a == -6 & f2k23a ==2]= 0       # did not work in own business
newdata$f2k23f1a[f2k23f1a == -6 & f2k23f ==2]= 0       # No other type of payment received for working in own business

newdata$f2k23f1b[f2k23f1b == -6 & f2k23a ==2]= 0       # did not work in own business
newdata$f2k23f1b[f2k23f1b == -6 & f2k23f ==2]= 0       # No other type of payment received for workin


newdata$f2k23f1c[f2k23f1c == -6 & f2k23a ==2]= 0       # did not work in own business
newdata$f2k23f1c[f2k23f1c == -6 & f2k23f ==2]= 0       # No other type of payment received for workin

newdata$f2k23f1d[f2k23f1d == -6 & f2k23a ==2]= 0       # did not work in own business
newdata$f2k23f1d[f2k23f1d == -6 & f2k23f ==2]= 0       # No other type of payment received for workin

newdata$f2k25b[f2k25b == -6 & f2k25a ==2]= 0         # did not do anything else to earn money
newdata$f2k25c[f2k25c == -6 & f2k25a ==2]= 0         # did not do anything else to earn money

newdata$f2k25d[f2k25d == -6 & f2k25a ==2]= 0         # did not do anything else to earn money

newdata$f2k25e[f2k25e == -6 & f2k25a ==2]= 0         # did not do anything else to earn money

newdata$f2k25e[f2k25e == -6 & f2k25d ==2]= 0     # When earning money other ways, did not you receive cash
newdata$f2k25e1[f2k25e1 == -6 & f2k25a ==2]= 0      # did not do anything else to earn money

newdata$f2k25e1[f2k25e1 == -6 & f2k25d ==2]= 0   # When earning money other ways, did not receive cash,
newdata$f2k25f[f2k25f == -6 & f2k25a ==2]= 0      # did not do anything else to earn money

newdata$f2k25f1a[f2k25f1a == -6 & f2k25a ==2]= 0   # did not do anything else to earn money
newdata$f2k25f1a[f2k25f1a == -6 & f2k25f ==2]= 0   # Was not other type of payment received for doing something else
newdata$f2k25f1b[f2k25f1b == -6 & f2k25a ==2]= 0    # did not do anything else to earn money
newdata$f2k25f1b[f2k25f1b == -6 & f2k25f ==2]= 0   # Was not other type of payment received for doing something else
newdata$f2k25f1c[f2k25f1c == -6 & f2k25a ==2]= 0    # did not do anything else to earn money
newdata$f2k25f1c[f2k25f1c == -6 & f2k25f ==2]= 0   # Was not other type of payment received for doing something else
newdata$f2k25f1d[f2k25f1d == -6 & f2k25a ==2]= 0   # did not do anything else to earn money
newdata$f2k25f1d[f2k25f1d == -6 & f2k25f ==2]= 0   # Was not other type of payment received for doing something else

##### NA CODING #######

newdata$f2k1[newdata$f2k1 == -9] = NA 
newdata$f2k1a[newdata$f2k1a %in% c(-1,-2,-6,-9)] = NA 
newdata$f2k2[newdata$f2k2 %in% c(-1,-9)] = NA 
newdata$f2k3a[newdata$f2k3a %in% c(-2,-6,-9)] = NA 
newdata$f2k3b[newdata$f2k3b %in% c(-2,-6,-9)] = NA 
newdata$f2k3c[newdata$f2k3c %in% c(-2,-6,-9)] = NA 
newdata$f2k3d[newdata$f2k3d %in% c(-2,-6,-9)] = NA 
newdata$f2k3e[newdata$f2k3e %in% c(-2,-6,-9)] = NA 
newdata$f2k3f[newdata$f2k3f %in% c(-2,-6,-9)] = NA 
newdata$f2k3g[newdata$f2k3g %in% c(-2,-6,-9)] = NA 
newdata$f2k3h[newdata$f2k3h %in% c(-2,-6,-9)] = NA 
newdata$f2k3i[newdata$f2k3i %in% c(-2,-6,-9)] = NA 
newdata$f2k3j[newdata$f2k3j %in% c(-2,-6,-9)] = NA 
newdata$f2k3k[newdata$f2k3k %in% c(-2,-6,-9)] = NA 
newdata$f2k3l[newdata$f2k3l %in% c(-2,-6,-9)] = NA 
newdata$f2k3m[newdata$f2k3m %in% c(-2,-6,-9)] = NA 
newdata$f2k3n[newdata$f2k3n %in% c(-2,-6,-9)] = NA 
newdata$f2k3o[newdata$f2k3o %in% c(-2,-6,-9)] = NA 
newdata$f2k4[newdata$f2k4 %in% c(-6,-9)] = NA 
newdata$f2k5[newdata$f2k5 %in% c(-1,-2,-9)] = NA 
newdata$f2k5a1[newdata$f2k5a1 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a1c[newdata$f2k5a1c %in% c(-6,-9)] = NA 
newdata$f2k5a2[newdata$f2k5a2 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a3[newdata$f2k5a3 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a4[newdata$f2k5a4 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a5[newdata$f2k5a5 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a6[newdata$f2k5a6 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a7[newdata$f2k5a7 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a8[newdata$f2k5a8 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a9[newdata$f2k5a9 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a10[newdata$f2k5a10 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a11[newdata$f2k5a11 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a12[newdata$f2k5a12 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a13[newdata$f2k5a13 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a14[newdata$f2k5a14 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a15[newdata$f2k5a15 %in% c(-1,-6,-9)] = NA 
newdata$f2k5a16[newdata$f2k5a16 %in% c(-1,-6,-9)] = NA 
newdata$f2k6[newdata$f2k6 %in% c(-1,-2,-9)] = NA 
newdata$f2k7[newdata$f2k7 == -9] = NA 
newdata$f2k7a[newdata$f2k7a %in% c(-2,-6,-9)] = NA 
newdata$f2k7b1[newdata$f2k7b1 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b2[newdata$f2k7b2 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b3[newdata$f2k7b3 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b4[newdata$f2k7b4 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b5[newdata$f2k7b5 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b6[newdata$f2k7b6 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b7[newdata$f2k7b7 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b8[newdata$f2k7b8 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b9[newdata$f2k7b9 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b10[newdata$f2k7b10 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b11[newdata$f2k7b11 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b12[newdata$f2k7b12 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b13[newdata$f2k7b13 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b14[newdata$f2k7b14 %in% c(-2,-6,-9)] = NA 
newdata$f2k7b15[newdata$f2k7b15 %in% c(-2,-6,-9)] = NA 
newdata$f2k7c[newdata$f2k7c %in% c(-1,-2,-6,-9)] = NA 
newdata$f2k7d[newdata$f2k7d %in% c(-1,-2,-6,-9)] = NA 
newdata$f2k7e[newdata$f2k7e %in% c(-1,-2,-6,-9)] = NA 
newdata$f2k7f[newdata$f2k7f %in% c(-1,-2,-6,-9)] = NA
newdata$f2k8[newdata$f2k8 %in% c(-1,-2,-9)] = NA
newdata$f2k9[newdata$f2k9 %in% c(-1,-6,-9)] = NA
newdata$f2k9a[newdata$f2k9a %in% c(-2,-6,-9)] = NA 
newdata$f2k9b[newdata$f2k9b %in% c(-1,-2,-6,-9)] = NA 
newdata$f2k9c[newdata$f2k9c %in% c(-1,-2,-6,-9,-10)] = NA 
newdata$f2k10b[newdata$f2k10b %in% c(-1,-2,-6,-9)] = NA 
newdata$f2k11[newdata$f2k11 == -9] = NA 
newdata$f2k12[newdata$f2k12 %in% c(-1,-2,-3,-6,-9)] = NA 
newdata$f2k12a[newdata$f2k12a %in% c(-1,-2,-3,-6,-9)] = NA 
newdata$f2k12b[newdata$f2k12b %in% c(-2,-6,-9)] = NA 
newdata$f2k12c[newdata$f2k12c %in% c(-1,-2,-6,-9)] = NA 
newdata$f2k13[newdata$f2k13 %in% c(-6,-9)] = NA 
newdata$f2k14[newdata$f2k14 %in% c(-1,-2,-6,-9)] = NA
newdata$f2k14a[newdata$f2k14a %in% c(-1,-2,-6,-9)] = NA 
newdata$f2k15a[newdata$f2k15a %in% c(-1,-2,-6,-9)] = NA 
newdata$f2k15ap[newdata$f2k15ap %in% c(-6,-9)] = NA 
newdata$f2k15bc[newdata$f2k15bc %in% c(-3,-6,-9)] = NA 
newdata$f2k16a[newdata$f2k16a %in% c(-1,-2,-6,-9)] = NA
newdata$f2k16b[newdata$f2k16b %in% c(-1,-2,-6,-9)] = NA
newdata$f2k16c[newdata$f2k16c %in% c(-1,-2,-6,-9)] = NA
newdata$f2k16d[newdata$f2k16d %in% c(-1,-2,-6,-9)] = NA 
newdata$f2k17[newdata$f2k17 %in% c(-6,-9)] = NA 
newdata$f2k18a[newdata$f2k18a %in% c(-1,-2,-6,-9)] = NA
newdata$f2k18b[newdata$f2k18b %in% c(-1,-2,-6,-9)] = NA
newdata$f2k18c[newdata$f2k18c %in% c(-1,-2,-6,-9)] = NA
newdata$f2k19[newdata$f2k19 %in% c(-1,-2,-6,-9)] = NA
newdata$f2k19a[newdata$f2k19a %in% c(-1,-2,-6,-9)] = NA
newdata$f2k20[newdata$f2k20 %in% c(-1,-2,-6,-9)] = NA
newdata$f2k20a[newdata$f2k20a %in% c(-1,-2,-6,-9)] = NA
newdata$f2k21[newdata$f2k21 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$f2k22a[newdata$f2k22a %in% c(-1,-2,-9)] = NA
newdata$f2k22a1[newdata$f2k22a1 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$f2k22b[newdata$f2k22b %in% c(-1,-2,-6,-9)] = NA
newdata$f2k22c[newdata$f2k22c %in% c(-1,-2,-6,-9)] = NA
newdata$f2k22d[newdata$f2k22d %in% c(-1,-2,-6,-9)] = NA
newdata$f2k22e[newdata$f2k22e %in% c(-1,-2,-6,-9)] = NA
newdata$f2k22e1[newdata$f2k22e1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2k22f[newdata$f2k22f %in% c(-6,-9)] = NA
newdata$f2k22f1a[newdata$f2k22f1a %in% c(-1,-6,-9)] = NA
newdata$f2k22f1b[newdata$f2k22f1b %in% c(-1,-6,-9)] = NA
newdata$f2k22f1c[newdata$f2k22f1c %in% c(-1,-6,-9)] = NA
newdata$f2k22f1d[newdata$f2k22f1d %in% c(-1,-6,-9)] = NA
newdata$f2k23a[newdata$f2k23a %in% c(-1,-2,-9)] = NA
newdata$f2k23a1[newdata$f2k23a1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2k23b[newdata$f2k23b %in% c(-1,-2,-6,-9)] = NA
newdata$f2k23c[newdata$f2k23c %in% c(-1,-2,-6,-9)] = NA
newdata$f2k23d[newdata$f2k23d %in% c(-1,-2,-6,-9)] = NA
newdata$f2k23e[newdata$f2k23e %in% c(-1,-2,-6,-9)] = NA
newdata$f2k23e1[newdata$f2k23e1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2k23f[newdata$f2k23f %in% c(-6,-9)] = NA
newdata$f2k23f1a[newdata$f2k23f1a %in% c(-2,-6,-9)] = NA
newdata$f2k23f1b[newdata$f2k23f1b %in% c(-2,-6,-9)] = NA
newdata$f2k23f1c[newdata$f2k23f1c %in% c(-2,-6,-9)] = NA
newdata$f2k23f1d[newdata$f2k23f1d %in% c(-2,-6,-9)] = NA

newdata$f2k25a[newdata$f2k25a %in% c(-1,-2,-9)] = NA
newdata$f2k25b[newdata$f2k25b %in% c(-1,-2,-6,-9)] = NA
newdata$f2k25c[newdata$f2k25c %in% c(-1,-2,-6,-9)] = NA
newdata$f2k25d[newdata$f2k25d %in% c(-1,-2,-6,-9)] = NA
newdata$f2k25e[newdata$f2k25e %in% c(-1,-2,-6,-9)] = NA
newdata$f2k25e1[newdata$f2k25e1 %in% c(-1,-2,-6,-9)] = NA
newdata$f2k25f[newdata$f2k25f %in% c(-6,-9)] = NA
newdata$f2k25f1a[newdata$f2k25f1a %in% c(-2,-6,-9)] = NA
newdata$f2k25f1b[newdata$f2k25f1b %in% c(-2,-6,-9)] = NA
newdata$f2k25f1c[newdata$f2k25f1c %in% c(-2,-6,-9)] = NA
newdata$f2k25f1d[newdata$f2k25f1d %in% c(-2,-6,-9)] = NA

####################### SECTION L ##############


#### Skip Recoding ###
newdata$f2l1a[f2l1a == -6 & f2l1 ==0]=0 #zero total household income  
newdata$f2l2a[f2l2a == -6 & f2l2 ==2]=0  # did not gave any money to friend and relative 
newdata$f2l4[f2l4 == -6 & f2l3 ==2]=0       #Father is not living  with mother/current partner
newdata$f2l4a[f2l4a == -6 & f2l3 ==2]=0     #Father is not living  with mother/current partner
newdata$f2l4a[f2l4a == -6 & f2l4 ==3]=6     #Father or wife/partner do not have bank account
newdata$f2l5[f2l5 == -6 & f2l3 ==2]=0       #Father or wife/partner do not have bank account
newdata$f2l5a[f2l5a == -6 & f2l3 ==2]=0     #Father or wife/partner do not have bank account
newdata$f2l5a[f2l5a == -6 & f2l5 ==2]=6     #Father or wife/partner do not have credit card 

newdata$f2l6[f2l6 == -6 & f2l3 ==2]=0      #Father is not living  with mother/current partner

newdata$f2l6a[f2l6a == -6 & f2l3 ==2]=0    #Father is not living  with mother/current partner

newdata$f2l6a[f2l6a == -6 & f2l6 ==2]=3     #do not own a car/ van
newdata$f2l6b[f2l6b == -6 & f2l3 ==2]=0      #Father is not living  with mother/current partner

newdata$f2l6b[f2l6a == -6 & f2l6 ==2]=0     #do not own a car/ van
newdata$f2l6c[f2l6c == -6 & f2l3 ==2]=0  #Father is not living  with mother/current partner

newdata$f2l6c[f2l6a == -6 & f2l6 ==2]=0 #do not own a car/ van

newdata$f2l7[f2l7 == -6 & f2l3 ==2]=0        #Father is not living  with mother/current partner

newdata$f2l8[f2l8 == -6 & f2l3 ==2]=0        #Father is not living  with mother/current partner


newdata$f2l8[f2l8 == -6 & f2l7 ==3]=4       # put all the money together
newdata$f2l8a[f2l8a == -6 & f2l3 ==2]=0      #Father is not living  with mother/current partner

newdata$f2l8a[f2l8a == -6 & f2l7 ==3]=6     # put all the money together

newdata$f2l8b[f2l8b == -6 & f2l3 ==2]=0     #Father is not living  with mother/current partner

newdata$f2l9[f2l9 == -6 & f2l3 ==1]=0        #Father is living  with mother/current partner
newdata$f2l10[f2l10 == -6 & f2l3 ==1]=0        #Father is living  with mother/current partner 

newdata$f2l11[f2l11 == -6 & f2l3 ==1]=0        #Father is living  with mother/current partner

newdata$f2l11a[f2l11a == -6 & f2l3 ==1]=0        #Father is living  with mother/current partner
newdata$f2l11a[f2l11a == -6 & f2l11 ==2]=3       #do not own a car/van

newdata$f2l11b[f2l11b == -6 & f2l3 ==1]=0        #Father is living  with mother/current partner
newdata$f2l11b[f2l11b == -6 & f2l11 ==2]=0       #do not own a car/van

newdata$f2l11c[f2l11c == -6 & f2l3 ==1]=0        #Father is living  with mother/current partner
newdata$f2l11c[f2l11c == -6 & f2l11 ==2]=0       #do not own a car/van


#### NA Coding ##### 
newdata$f2l1[newdata$f2l1 %in% c(-1,-2,-9)] = NA  
newdata$f2l1a[newdata$f2l1a %in% c(-1,-2,-6,-9)] = NA  
newdata$f2l2[newdata$f2l2 %in% c(-1,-2,-9)] = NA  
newdata$f2l2a[newdata$f2l2a %in% c(-1,-2,-6,-8,-9)] = NA 
newdata$f2l3[newdata$f2l3 == -9] = NA  
newdata$f2l4[newdata$f2l4 %in% c(-1,-2,-6,-9)] = NA  
newdata$f2l4a[newdata$f2l4a %in% c(-1,-2,-6,-9)] = NA 
newdata$f2l5[newdata$f2l5 %in% c(-1,-2,-6,-9)] = NA  
newdata$f2l5a[newdata$f2l5a %in% c(-1,-2,-6,-9)] = NA 
newdata$f2l6[newdata$f2l6 %in% c(-1,-2,-3,-6,-9)] = NA 
newdata$f2l6a[newdata$f2l6a %in% c(-2,-6,-9)] = NA 
newdata$f2l6b[newdata$f2l6b %in% c(-1,-2,-6,-9)] = NA 
newdata$f2l6c[newdata$f2l6c %in% c(-1,-2,-3,-6,-9)] = NA 
newdata$f2l6d[newdata$f2l6d == -9] = NA 

newdata$f2l7[newdata$f2l7 %in% c(-1,-2,-6,-9)] = NA 
newdata$f2l8[newdata$f2l8 %in% c(-1,-2,-6,-9)] = NA 
newdata$f2l8a[newdata$f2l8a %in% c(-1,-2,-6,-9)] = NA

newdata$f2l8b[newdata$f2l8b %in% c(-6,-9)] = NA 
newdata$f2l9[newdata$f2l9 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$f2l10[newdata$f2l10 %in% c(-1,-2,-3,-6,-9)]=NA
newdata$f2l11[newdata$f2l11 %in% c(-1,-2,-3,-6,-9)]=NA
newdata$f2l11a[newdata$f2l11a %in% c(-1,-2,-3,-6,-9)]=NA
newdata$f2l11b[newdata$f2l11b %in% c(-1,-2,-6,-9)]=NA
newdata$f2l11c[newdata$f2l11c %in% c(-2,-6,-9)]=NA
newdata$cf2hhincb[newdata$cf2hhincb == -9] = NA 
newdata$cf2povco[newdata$cf2povco == -9] = NA
newdata$cf2povca[newdata$cf2povca == -9] = NA 
newdata$cf2povcab[newdata$cf2povcab == -9] = NA
newdata$cf2span[newdata$cf2span == -9] = NA


###########
#Factorization
###########
newdata$f2a3 = factor(newdata$f2a3)
newdata$f2a4a = factor(newdata$f2a4a)
newdata$f2a5 = factor(newdata$f2a5)
newdata$f2a5a = factor(newdata$f2a5a)
newdata$f2a6 = factor(newdata$f2a6)
newdata$f2a6a = factor(newdata$f2a6a)
newdata$f2a7d1 = factor(newdata$f2a7d1)
newdata$f2a10 = factor(newdata$f2a10)

newdata$f2b2 = factor(newdata$f2b2)
newdata$f2b6 = factor(newdata$f2b6)
newdata$f2b15 = factor(newdata$f2b15)
newdata$f2b16a = factor(newdata$f2b16a)
newdata$f2b16b = factor(newdata$f2b16b)
newdata$f2b16c = factor(newdata$f2b16c)
newdata$f2b16d = factor(newdata$f2b16d)
newdata$f2b16e = factor(newdata$f2b16e)
newdata$f2b16f = factor(newdata$f2b16f)
newdata$f2b17i1 = factor(newdata$f2b17i1)
newdata$f2b18a = factor(newdata$f2b18a)
newdata$f2b18b = factor(newdata$f2b18b)
newdata$f2b18c = factor(newdata$f2b18c)
newdata$f2b18d = factor(newdata$f2b18d)

newdata$f2b22 = factor(newdata$f2b22)
newdata$f2b31 = factor(newdata$f2b31)
newdata$f2b32 = factor(newdata$f2b32)
newdata$f2b36i1 = factor(newdata$f2b36i1)
newdata$f2b37a = factor(newdata$f2b37a)
newdata$f2b37b = factor(newdata$f2b37b)
newdata$f2b37c = factor(newdata$f2b37c)
newdata$f2b37d = factor(newdata$f2b37d)
newdata$f2b37e = factor(newdata$f2b37e)
newdata$f2b37f = factor(newdata$f2b37f)
newdata$f2b38a = factor(newdata$f2b38a)
newdata$f2b38b = factor(newdata$f2b38b)
newdata$f2b38c = factor(newdata$f2b38c)
newdata$f2b38d = factor(newdata$f2b38d)

newdata$f2c3k1 = factor(newdata$f2c3k1)
newdata$f2c4 = factor(newdata$f2c4)
newdata$f2c6b = factor(newdata$f2c6b)
newdata$f2c6c = factor(newdata$f2c6c)
newdata$f2c6d = factor(newdata$f2c6d)
newdata$f2c13 = factor(newdata$f2c13)
newdata$f2c15a = factor(newdata$f2c15a)
newdata$f2c18a = factor(newdata$f2c18a)
newdata$f2c18b = factor(newdata$f2c18b)
newdata$f2c18c = factor(newdata$f2c18c)
newdata$f2c18d = factor(newdata$f2c18d)
newdata$f2c18e = factor(newdata$f2c18e)
newdata$f2c18f = factor(newdata$f2c18f)
newdata$f2fc19c1 = factor(newdata$f2fc19c1)
newdata$f2fc19c2 = factor(newdata$f2fc19c2)
newdata$f2fc19c3 = factor(newdata$f2fc19c3)
newdata$f2fc19c4 = factor(newdata$f2fc19c4)
newdata$f2fc19c5 = factor(newdata$f2fc19c5)
newdata$f2fc19c6 = factor(newdata$f2fc19c6)

newdata$f2d2a = factor(newdata$f2d2a)
newdata$f2d2b = factor(newdata$f2d2b)
newdata$f2d2c = factor(newdata$f2d2c)
newdata$f2d2d = factor(newdata$f2d2d)
newdata$f2d2e = factor(newdata$f2d2e)
newdata$f2d3 = factor(newdata$f2d3)
newdata$f2d3a = factor(newdata$f2d3a)
newdata$f2d5a = factor(newdata$f2d5a)
newdata$f2d5b = factor(newdata$f2d5b)
newdata$f2d5c = factor(newdata$f2d5c)
newdata$f2d5d = factor(newdata$f2d5d)
newdata$f2d5e = factor(newdata$f2d5e)
newdata$f2d5f = factor(newdata$f2d5f)
newdata$f2d5g = factor(newdata$f2d5g)
newdata$f2d5h = factor(newdata$f2d5h)
newdata$f2d5i = factor(newdata$f2d5i)
newdata$f2d7a = factor(newdata$f2d7a)
newdata$f2d7b = factor(newdata$f2d7b)
newdata$f2d7c = factor(newdata$f2d7c)
newdata$f2d7d = factor(newdata$f2d7d)
newdata$f2d7e = factor(newdata$f2d7e)
newdata$f2d7f = factor(newdata$f2d7f)
newdata$f2d7g = factor(newdata$f2d7g)
newdata$f2d7h = factor(newdata$f2d7h)
newdata$f2d7i = factor(newdata$f2d7i)

newdata$f2e4a = factor(newdata$f2e4a)

newdata$f2g1a = factor(newdata$f2g1a)
newdata$f2g1b = factor(newdata$f2g1b)
newdata$f2g2 = factor(newdata$f2g2)
newdata$f2g3 = factor(newdata$f2g3)
newdata$f2g5 = factor(newdata$f2g5)
newdata$f2g5b = factor(newdata$f2g5b)
newdata$f2g6a = factor(newdata$f2g6a)
newdata$f2g6b = factor(newdata$f2g6b)
newdata$f2g6c = factor(newdata$f2g6c)
newdata$f2g9 = factor(newdata$f2g9)
newdata$f2g10a = factor(newdata$f2g10a)
newdata$f2g12a = factor(newdata$f2g12a)
newdata$f2g12b = factor(newdata$f2g12b)
newdata$f2g12c = factor(newdata$f2g12c)
newdata$f2g13 = factor(newdata$f2g13)
newdata$f2g14 = factor(newdata$f2g14)
newdata$f2g15 = factor(newdata$f2g15)
newdata$f2g16 = factor(newdata$f2g16)

newdata$f2h2 = factor(newdata$f2h2)
newdata$f2h10a = factor(newdata$f2h10a)
newdata$f2h16b = factor(newdata$f2h16b)

newdata$f2j1 = factor(newdata$f2j1)
newdata$f2j3a = factor(newdata$f2j3a)
newdata$f2j4a = factor(newdata$f2j4a)
newdata$f2j5a = factor(newdata$f2j5a)
newdata$f2j13 = factor(newdata$f2j13)
newdata$f2j13a = factor(newdata$f2j13a)
newdata$f2j14a = factor(newdata$f2j14a)
newdata$f2j14b = factor(newdata$f2j14b)
newdata$f2j15c1 = factor(newdata$f2j15c1)
newdata$f2j19 = factor(newdata$f2j19)
newdata$f2j19a = factor(newdata$f2j19a)
newdata$f2j21 = factor(newdata$f2j21)
newdata$f2j22 = factor(newdata$f2j22)
newdata$f2j23 = factor(newdata$f2j23)
newdata$f2j24 = factor(newdata$f2j24)
newdata$f2j25 = factor(newdata$f2j25)
newdata$f2j26 = factor(newdata$f2j26)

newdata$f2k1a = factor(newdata$f2k1a)
newdata$f2k9a = factor(newdata$f2k9a)
newdata$f2k9b = factor(newdata$f2k9b)
newdata$f2k12a = factor(newdata$f2k12a)
newdata$f2k15bc = factor(newdata$f2k15bc)
newdata$f2k18a = factor(newdata$f2k18a)
newdata$f2k18b = factor(newdata$f2k18b)
newdata$f2k18c = factor(newdata$f2k18c)

newdata$f2l4a = factor(newdata$f2l4a)
newdata$f2l5a = factor(newdata$f2l5a)
newdata$f2l7 = factor(newdata$f2l7)
newdata$f2l8 = factor(newdata$f2l8)
newdata$f2l8a = factor(newdata$f2l8a)

###########
#Mother survey
###########
drop = which(names(newdata) %in% c("idnum","mpthid2","m2intmon","m2intyr","cm2twoc ","cm2mint","cf2fint","cm2tdiff","cm2fdiff","cm2samp",
                                   "cm2natsm","m2natwt","cm2natsmx","m2natwtx ","cm2citsm","m2citywt"))

newdata = newdata[,-drop] 

############### SECTION A ############################

##### SKIP RECODING ###

newdata$m2a4[m2a4 == -6 & m2a3 == 1 & m2a3==2 ] = 0   # spend most/half of the time with mother
newdata$m2a4a[m2a4a == -6 & m2a3 == 1 & m2a3==2] = 0   
newdata$m2a4b[m2a4b == -6 & f2a3 == 1& m2a3 ==2] = 0   
newdata$m2a4c[m2a4c == -6 & f2a3 == 1& m2a3==2] = 0   
newdata$m2a4d[m2a4d == -6 & f2a3 == 1 & m2a3==2] = 0    

newdata$m2a6c[m2a6c == -6 & m2a6 != 1 & m2a6 != 2 ] = 0    # Seperated/friend/noromantic relation when child was born
newdata$m2a7a[m2a7a == -6 & m2a7 != 1 & m2a7 != 2] = 0     # Seperated/friend/noromantic relation now
newdata$m2a7a1[m2a7a1 == -6 & m2a7 != 1 & m2a7 != 2] = 0   # Seperated/friend/noromantic relation now
newdata$m2a7a2[m2a7a2 == -6 & m2a7 != 1 & m2a7 != 2] = 0 # Seperated/friend/noromantic relation now
newdata$m2a7b2[m2a7b2 == -6 & m2a6 %in% c(1,2,3,4,5)] = 0  # father is alive
newdata$m2a7c[m2a7c == -6 & m2a6 %in% c(1,2,3,4,5)] = 0    # father is alive
newdata$m2a8a[m2a8a == -6 & m2a7 == -13] = 0               #  Father is umknown 
newdata$m2a8a1b[m2a8a1b == -6 & m2a7 == -13] = 0        #  father is unkown
newdata$m2a8a1b[m2a8a1b == -6 & m2a7 %in% c(2,4,5)] = 0    #  Romantic/ friends/no relation assume never married 
newdata$m2a8b[m2a8b == -6 & m2a7 == -13] = 0       #  father in unknown
newdata$m2a8b1b[m2a8b1b == -6 & m2a7 == -13] = 0   #  father in unknown
newdata$m2a8b1b[m2a8b1b == -6 & m2a8b == 2] = 1    # M and F not living togeter at the timeof birth/follow up
newdata$m2a8c[m2a8c == -6 & m2a7 == -13] = 0       #  father in Unknown
newdata$m2a8c1b[m2a8c1b == -6 & m2a7 == -13] = 0   #  father in unkown 
newdata$m2a8c1b[m2a8c1b == -6 & m2a8c == 2] = 1    #  M $ F are not divorcd/seperated from eachother

newdata$m2a8d[m2a8d == -6 & m2a7 == -13] = 0   #  father in unkown 
newdata$m2a8d[m2a8d == -6 & m2a8c == 1] = 1    #   M $ F are divorcd/seperated from eachother

newdata$m2a8d1[m2a8d1 == -6 & m2a7 == -13] = 0     # father is Unknown
newdata$m2a8d1[m2a8d1 == -6 & m2a8c == 1] = 0   #   M $ F are divorcd/seperated from eachother
newdata$m2a8d1[m2a8d1 == -6 & m2a8d == 2] = 1      #   M $ F are not romantically involved 


newdata$m2a8e[m2a8e == -6 & m2a7 == -13] = 0     # father is Unknown
newdata$m2a8e[m2a8e == -6 & m2a8c == 1] = 0   #   M $ F are divorcd/seperated from eachother
newdata$m2a8e[m2a8e == -6 & m2a8d == 1] = 1      #   M $ F are romantically involved 

newdata$m2a8e1b[m2a8e1b == -6 & m2a7 == -13] = 0   # father is Unknown
newdata$m2a8e1b[m2a8e1b == -6 & m2a8c == 1] = 1   #   M & F are divorcd/seperated from eachother
newdata$m2a8e1b[m2a8e1b == -6 & m2a8d == 1] = 2   #   M & F are romantically involved 
newdata$m2a8e1b[m2a8e1b == -6 & m2a8e == 2] = 3   #  M &F were romatically involved at birth, and still ina realtion now   

newdata$m2a9a[m2a9a == -6 & m2a7 == -13] = 0     # father is Unknown
newdata$m2a9a[m2a9a == -6 & m2a8c == 2] = 0   #   M & F are not divorcd/seperated from eachother

newdata$m2a9b[m2a9b == -6 & m2a7 == -13] = 0     # father is Unknown
newdata$m2a9b[m2a9b == -6 & m2a8c == 2] = 0   #   M & F are not divorcd/seperated from eachother

newdata$m2a9c[m2a9c == -6 & m2a7 == -13] = 0     # father is Unknown
newdata$m2a9c[m2a9c == -6 & m2a8c == 2] = 0   #   M & F are not divorcd/seperated from eachother

newdata$m2a9d[m2a9d == -6 & m2a7 == -13] = 0     # father is Unknown
newdata$m2a9d[m2a9d == -6 & m2a8c == 2] = 0   #   M & F are not divorcd/seperated from eachother

newdata$m2a9e[m2a9e == -6 & m2a7 == -13] = 0     # father is Unknown
newdata$m2a9e[m2a9e == -6 & m2a8c == 2] = 0   #   M & F are not divorcd/seperated from eachother

newdata$m2a9f[m2a9f == -6 & m2a7 == -13] = 0     # father is Unknown
newdata$m2a9f[m2a9f == -6 & m2a8c == 2] = 0   #   M & F are not divorcd/seperated from eachother

newdata$m2a9g[m2a9g == -6 & m2a7 == -13] = 0     # father is Unknown
newdata$m2a9g[m2a9g == -6 & m2a8c == 2] = 0   #   M & F are not divorcd/seperated from eachother
newdata$m2a10[m2a10 == -6 & m2a7 == -13] = 0       # father is Unknown
newdata$m2a10[m2a10 == -6 & m2a8e == -14] = 0   # Father is died
newdata$m2a11[m2a10 == -6 & m2a7 == -13] = 0   # father is Unknown
newdata$m2a11[m2a10 == -6 & m2a8e == -14] = 6     # Father is died
newdata$m2a11[m2a10 == -6 & m2a10 == 1] = 7       # M & F live most of the time together 


#### NA CODING ####
newdata$m2a3[newdata$m2a3 %in% c(-1,-9)] = NA
newdata$m2a4[newdata$m2a4 %in% c(-2,-6,-9,-10)] = NA
newdata$m2a4a[newdata$m2a4a %in% c(-6,-9)] = NA
newdata$m2a4b[newdata$m2a4b %in% c(-6,-9)] = NA
newdata$m2a4c[newdata$m2a4c %in% c(-2,-6,-9)] = NA
newdata$m2a4d[newdata$m2a4d %in% c(-2,-6,-9)] = NA
newdata$m2a6[newdata$m2a6 %in% c(-1,-2,-9,-13,-14)] = NA
newdata$m2a6b[newdata$m2a6b %in% c(-6,-9)] = NA
newdata$m2a6c[newdata$m2a6c %in% c(-6,-9)] = NA
newdata$m2a7[newdata$m2a7 %in% c(-1,-2,-9,-13,-14)] = NA
newdata$m2a7a[newdata$m2a7a %in% c(-1,-6,-9)] = NA
newdata$m2a7a1[newdata$m2a7a1 %in% c(-6,-9)] = NA
newdata$m2a7a2[newdata$m2a7a2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2a7b2[newdata$m2a7b2 %in% c(-2,-6,-9)] = NA
newdata$m2a7c[newdata$m2a7c %in% c(-2,-6,-9)] = NA
newdata$m2a8a[newdata$m2a8a %in% c(-6,-9)] = NA
newdata$f2a8a1b[newdata$m2a8a1b %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2a8b[newdata$m2a8b %in% c(-6,-9)] = NA
newdata$m2a8b1b[newdata$m2a8b1b %in% c(-1,2,-6,-9)] = NA
newdata$m2a8c[newdata$m2a8c %in% c(-6,-9)] = NA
newdata$m2a8c1b[newdata$m2a8c1b %in% c(-1,-2,-6,-9)] = NA
newdata$m2a8d[newdata$m2a8d %in% c(-6,-9)] = NA
newdata$m2a8d1[newdata$m2a8d1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2a8e[newdata$m2a8e %in% c(-6,-9,-14)] = NA
newdata$m2a8e1b[newdata$m2a8e1b %in% c(-1,-2,-6,-8,-9)] = NA
newdata$m2a9a[newdata$m2a9a %in% c(-1,-2,-6,-9)] = NA
newdata$m2a9b[newdata$m2a9b %in% c(-1,-2,-6,-9)] = NA
newdata$m2a9c[newdata$m2a9c %in% c(-1,-2,-6,-9)] = NA
newdata$m2a9d[newdata$m2a9d %in% c(-1,-2,-6,-9)] = NA
newdata$m2a9e[newdata$m2a9e %in% c(-1,-2,-6,-9)] = NA
newdata$m2a9f[newdata$m2a9f %in% c(-1,-2,-6,-9)] = NA
newdata$m2a9g[newdata$m2a9g %in% c(-1,-2,-6,-9)] = NA
newdata$m2a10[newdata$m2a10 %in% c(-6,-9)] = NA
newdata$m2a11[newdata$m2a11 %in% c(-1,-6,-9)] = NA
newdata$cm2age[newdata$cm2age %in% c(-1,-9)] = NA
newdata$cm2b_age[newdata$cm2b_age %in% c(-3,-9)] = NA
newdata$cm2relf[newdata$cm2relf %in% c(-3,-9)] = NA
newdata$cm2marf[newdata$cm2marf %in% c(-3,-9)] = NA
newdata$cm2amrf[newdata$cm2amrf %in% c(-3,-7,-9)] = NA
newdata$cm2cohf[newdata$cm2cohf == -9] = NA
newdata$cm2alvf[newdata$cm2alvf %in% c(-9,-8,-7,-3)] = NA

######### creating factor ########

newdata$m2a3=factor(m2a3)
newdata$m2a4a=factor(m2a4a)
newdata$m2a6=factor(m2a6)
newdata$m2a6b=factor(m2a6b)
newdata$m2a6c=factor(m2a6c)
newdata$m2a7=factor(m2a7)
newdata$m2a7a=factor(m2a7a)
newdata$m2a7c=factor(m2a7c)
newdata$m2a8d1=factor(m2a8d1)
newdata$m2a11=factor(m2a11)

############################# SECTION B ####################################

#### SKIP RECODING #####

newdata$m2b2[m2b2 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b3[m2b3 == -6 & m2b1 == 2] = 0    

newdata$m2b4a[m2b4a == -6 & m2b1 == 2] = 0    # child mostly live with someone else
newdata$m2b4a[m2b4a == -6 & m2b3 == 2] = 3    # childdoes not have physical disability

newdata$m2b4b[m2b4b == -6 & m2b1 == 2] = 0    # child mostly live with someone else
newdata$m2b4b[m2b4b == -6 & m2b3 == 2] = 1    # childdoes not have physical disability

newdata$m2b4c[m2b4c == -6 & m2b1 == 2] = 0    # child mostly live with someone else
newdata$m2b4c[m2b4c == -6 & m2b3 == 2] = 3    # childdoes not have physical disability

newdata$m2b4d[m2b4d == -6 & m2b1 == 2] = 0    # child mostly live with someone else
newdata$m2b4d[m2b4d == -6 & m2b3 == 2] = 3    # childdoes not have physical disability

newdata$m2b4e[m2b4e == -6 & m2b1 == 2] = 0    # child mostly live with someone else
newdata$m2b4e[m2b4e == -6 & m2b3 == 2] = 3    # childdoes not have physical disability

newdata$m2b4f[m2b4f == -6 & m2b1 == 2] = 0    # child mostly live with someone else
newdata$m2b4f[m2b4f == -6 & m2b3 == 2] = 3    # childdoes not have physical disability

newdata$m2b4g[m2b4g == -6 & m2b1 == 2] = 0    # child mostly live with someone else
newdata$m2b4g[m2b4g == -6 & m2b3 == 2] = 3    # childdoes not have physical disability

newdata$m2b5b[m2b5b == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b5c1[m2b5c1 == -6 & m2b1 == 2] = 0    # child mostly live with someone else
newdata$m2b5c2[m2b5c2 == -6 & m2b1 == 2] = 0 # child mostly live with someone else

newdata$m2b7[m2b7 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b7a[m2b7a == -6 & m2b1 == 2] = 0    # child mostly live with someone else
newdata$m2b8[m2b8 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b8a[m2b8a == -6 & m2b1 == 2] = 0    # child mostly live with someone else
newdata$m2b8a[m2b8a == -6 & m2b8 == 0] = 10      #child never been taken to the ER

newdata$m2b9[m2b9 == -6 & m2b1 == 2] = 0            # child mostly live with someone else

newdata$m2b10[m2b10 == -6 & m2b1 == 2] = 0          # child mostly live with someone else
newdata$m2b10[m2b10 == -6 & m2b9 == 2] = 0       #child never stayed overnight at the hospital

newdata$m2b10a[m2b10a == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b10a[m2b10a == -6 & m2b9 == 2] = 0     #child never stayed overnight at the hospital

newdata$m2b10b[m2b10b == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b10b[m2b10b == -6 & m2b9 == 2] = 0     #child never stayed overnight at the hospital


newdata$m2b11[m2b11 == -6 & m2b1 == 2] = 0        # child mostly live with someone else

newdata$m2b11a[m2b11a == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b11a[m2b11a == -6 & m2b11 == 2] = 3     # doctor never told that child has Asthma


newdata$m2b11b[m2b11b == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b11b[m2b11b == -6 & m2b11 == 2] = 3     # doctor never told that child has Asthma

newdata$m2b12[m2b12 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b13a[m2b13a == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b13a[m2b13a == -6 & m2b12 == 2] = 27    # Never breasfeed a child 

newdata$m2b13b[m2b13b == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b13b[m2b13b == -6 & m2b12 == 2] = 19    # Never breasfeed a child 

newdata$m2b15[m2b15 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b15a1[m2b15a1 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b15a1[m2b15a1 == -6 & m2b15 == 0] = 3      # mother never been seperated from a child for a week or more

newdata$m2b15a2[m2b15a2 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b15a2[m2b15a2 == -6 & m2b15 == 0] = 3      # mother never been seperated from a child for a week or more

newdata$m2b15a3[m2b15a3 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b15a3[m2b15a3 == -6 & m2b15 == 0] = 3      # mother never been seperated from a child for a week or more

newdata$m2b15a4[m2b15a4 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b15a4[m2b15a4 == -6 & m2b15 == 0] = 3      # mother never been seperated from a child for a week or more

newdata$m2b15a5[m2b15a5 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b15a5[m2b15a5 == -6 & m2b15 == 0] = 3      # mother never been seperated from a child for a week or more

newdata$m2b15a6[m2b15a6 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b15a6[m2b15a6 == -6 & m2b15 == 0] = 3      # mother never been seperated from a child for a week or more

newdata$m2b15a7[m2b15a7 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b15a7[m2b15a7 == -6 & m2b15 == 0] = 3      # mother never been seperated from a child for a week or more

newdata$m2b15a8[m2b15a8 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b15a8[m2b15a8 == -6 & m2b15 == 0] = 3      # mother never been seperated from a child for a week or more

newdata$m2b16[m2b16 == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b16[m2b16 == -6 & m2b15 == 0] = 0      # mother never been seperated from a child for a week 


newdata$m2b17a[m2b17a == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b17b[m2b17b == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b17c[m2b17c == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b17d[m2b17d == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b17e[m2b17e == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b17f[m2b17f == -6 & m2b1 == 2] = 0      # child mostly live with someone else


newdata$m2b18a[m2b18a == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b18b[m2b18b == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b18c[m2b18c == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b18d[m2b18d == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b18e[m2b18e == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b18f[m2b18f == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b18g[m2b18g == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b18h[m2b18h == -6 & m2b1 == 2] = 0      # child mostly live with someone else

newdata$m2b19[m2b19 == -6 & m2b1 == 2] = 0         # child mostly live with someone else

newdata$m2b19a[m2b19a == -6 & m2b1 == 2] = 0       # child mostly live with someone else
newdata$m2b19a[m2b19a == -6 & m2b19 == 2] = 5      # never spanked a child 

newdata$m2b20a[m2b20a == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b20b[m2b20b == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b20c[m2b20c == -6 & m2b1 == 2] = 0      # child mostly live with someone else
newdata$m2b20d[m2b20d == -6 & m2b1 == 2] = 0      # child mostly live with someone else

newdata$m2b21[m2b21 == -6 & m2b1 == 2] = 0          # child mostly live with someone else

newdata$m2b21a[m2b21a == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b21a[m2b21a == -6 & m2b21 == 2] = 0    # child not being cared by someone else

newdata$m2b22[m2b22 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b22[m2b22 == -6 & m2b21 == 2] = 3    # child not being cared by someone else

newdata$m2b23[m2b23 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b23[m2b23 == -6 & m2b21 == 2] = 11    # child not being cared by someone else
newdata$m2b23[m2b23 == -6 & m2b22 == 1] = 12    # CHILD IN CARE LESS THAN 10 HOURS A WEEK


newdata$m2b24a1[m2b24a1 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b24a1[m2b24a1 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b24a1[m2b24a1 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b24a2[m2b24a2 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b24a2[m2b24a2 == -6 & m2b21 == 2] = 13    # child not being cared by someone else
newdata$m2b24a2[m2b24a2 == -6 & m2b22 == 1] = 14    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a1[m2b25a1 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a1[m2b25a1 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a1[m2b25a1 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a2[m2b25a2 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a2[m2b25a2 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a2[m2b25a2 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a3[m2b25a3 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a3[m2b25a3 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a3[m2b25a3 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a4[m2b25a4 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a4[m2b25a4 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a4[m2b25a4 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a5[m2b25a5 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a5[m2b25a5 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a5[m2b25a5 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a6[m2b25a6 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a6[m2b25a6 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a6[m2b25a6 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a7[m2b25a7 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a7[m2b25a7 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a7[m2b25a7 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a8[m2b25a8 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a8[m2b25a8 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a8[m2b25a8 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a9[m2b25a9 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a9[m2b25a9 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a9[m2b25a9 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a10[m2b25a10 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a10[m2b25a10 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a10[m2b25a10 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a11[m2b25a11 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a11[m2b25a11 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a11[m2b25a11 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a12[m2b25a12 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a12[m2b25a12 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a12[m2b25a12 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25a13[m2b25a13 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25a13[m2b25a13 == -6 & m2b21 == 2] = 3    # child not being cared by someone else
newdata$m2b25a13[m2b25a13 == -6 & m2b22 == 1] = 4    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b25b[m2b25b == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b25b[m2b25b == -6 & m2b21 == 2] = 14   # child not being cared by someone else
newdata$m2b25b[m2b25b == -6 & m2b22 == 1] = 15    # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b26[m2b26 == -6 & m2b1 == 2] = 0                       # child mostly live with someone else
newdata$m2b26[m2b26 == -6 & m2b21 == 2] = 103                    # child not being cared by someone else
newdata$m2b26[m2b26 == -6 & m2b22 == 1] = 104                    # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b26[m2b26 == -6 & m2b25b == 11 ]=101                   # day care /School
newdata$m2b26[m2b26 == -6 & m2b25b == 12 ]=105                   # Head start 

newdata$m2b27[m2b27 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b27[m2b27 == -6 & m2b21 == 2] = 14      # child not being cared by someone else
newdata$m2b27[m2b27 == -6 & m2b22 == 1] = 15      # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b28[m2b28 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b28[m2b28 == -6 & m2b21 == 2] = 14      # child not being cared by someone else
newdata$m2b28[m2b28 == -6 & m2b22 == 1] = 15      # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b28a[m2b28a == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b28a[m2b28a == -6 & m2b21 == 2] = 13      # child not being cared by someone else
newdata$m2b28a[m2b28a == -6 & m2b22 == 1] = 14      # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b28b[m2b28b == -6 & m2b1 == 2] = 0     # child mostly live with someone else
newdata$m2b28b[m2b28b == -6 & m2b21 == 2] = 10      # child not being cared by someone else
newdata$m2b28b[m2b28b == -6 & m2b22 == 1] = 11      # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b29[m2b29 == -6 & m2b1 == 2] = 0        # child mostly live with someone else
newdata$m2b29[m2b29 == -6 & m2b21 == 2] = 4       # child not being cared by someone else
newdata$m2b29[m2b29 == -6 & m2b22 == 1] = 5       # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b30a[m2b30a == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b30a[m2b30a == -6 & m2b21 == 2] = 3               # child not being cared by someone else
newdata$m2b30a[m2b30a == -6 & m2b22 == 1] = 4               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b30a[m2b30a == -6 & m2b29 == 2 & m2b29== 3] = 5   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b30b[m2b30b == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b30b[m2b30b == -6 & m2b21 == 2] = 3               # child not being cared by someone else
newdata$m2b30b[m2b30b == -6 & m2b22 == 1] = 4               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b30b[m2b30b == -6 & m2b29 == 2 & m2b29== 3] = 5   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b30c[m2b30c == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b30c[m2b30c == -6 & m2b21 == 2] = 3               # child not being cared by someone else
newdata$m2b30c[m2b30c == -6 & m2b22 == 1] = 4               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b30c[m2b30c == -6 & m2b29 == 2 & m2b29== 3] = 5   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b30d[m2b30d == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b30d[m2b30d == -6 & m2b21 == 2] = 3               # child not being cared by someone else
newdata$m2b30d[m2b30d == -6 & m2b22 == 1] = 4               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b30d[m2b30d == -6 & m2b29 == 2 & m2b29== 3] = 5   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b30e[m2b30e == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b30e[m2b30e == -6 & m2b21 == 2] = 3               # child not being cared by someone else
newdata$m2b30e[m2b30e == -6 & m2b22 == 1] = 4               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b30e[m2b30e == -6 & m2b29 == 2 & m2b29== 3] = 5   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b30f[m2b30f == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b30f[m2b30f == -6 & m2b21 == 2] = 1               # child not being cared by someone else
newdata$m2b30f[m2b30f == -6 & m2b22 == 1] = 3               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b30f[m2b30f == -6 & m2b29 == 2 & m2b29== 3] = 4   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b30g[m2b30g == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b30g[m2b30g == -6 & m2b21 == 2] = 1               # child not being cared by someone else
newdata$m2b30g[m2b30g == -6 & m2b22 == 1] = 3               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b30g[m2b30g == -6 & m2b29 == 2 & m2b29== 3] = 4   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b31b[m2b31b == -6 & m2b1 == 2] = 1                # child mostly live with someone else
newdata$m2b31b[m2b31b == -6 & m2b21 == 2] = 2               # child not being cared by someone else
newdata$m2b31b[m2b31b == -6 & m2b22 == 1] = 3               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b31b[m2b31b == -6 & m2b29 == 2 & m2b29== 3] = 4   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b31c[m2b31c == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b31c[m2b31c == -6 & m2b21 == 2] = 1               # child not being cared by someone else
newdata$m2b31c[m2b31c == -6 & m2b22 == 1] = 2               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b31c[m2b31c == -6 & m2b29 == 2 & m2b29== 3] = 3   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b31cp[m2b31cp == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b31cp[m2b31cp == -6 & m2b21 == 2] = 102               # child not being cared by someone else
newdata$m2b31cp[m2b31cp == -6 & m2b22 == 1] = 103               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b31cp[m2b31cp == -6 & m2b29 == 2 & m2b29== 3]= 104   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b31d[m2b31d == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b31d[m2b31d == -6 & m2b21 == 2] = 1               # child not being cared by someone else
newdata$m2b31d[m2b31d == -6 & m2b22 == 1] = 2               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b31d[m2b31d == -6 & m2b29 == 2 & m2b29== 3] = 3   # did not get any help (money,Voucher) to pay for childcare/ no chagre for chilcare ,care by relative

newdata$m2b31dp[m2b31dp == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b31dp[m2b31dp == -6 & m2b21 == 2] = 1               # child not being cared by someone else
newdata$m2b31dp[m2b31dp == -6 & m2b22 == 1] = 2               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b31dp[m2b31dp == -6 & m2b29 == 2 & m2b29== 3] = 3   # did not get any help (money,Voucher) 

newdata$m2b31e[m2b31e == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b31e[m2b31e == -6 & m2b21 == 2] = 1               # child not being cared by someone else
newdata$m2b31e[m2b31e == -6 & m2b22 == 1] = 2               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b31e[m2b31e == -6 & m2b29 == 2 & m2b29== 3] = 3   # did not get any help (money,Voucher) 

newdata$m2b31ep[m2b31ep == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b31ep[m2b31ep == -6 & m2b21 == 2] = 2               # child not being cared by someone else
newdata$m2b31ep[m2b31ep == -6 & m2b22 == 1] = 3               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b31ep[m2b31ep == -6 & m2b29 == 2 & m2b29== 3] = 4   # did not get any help (money,Voucher) 

newdata$m2b31g[m2b31g == -6 & m2b1 == 2] = 1                # child mostly live with someone else
newdata$m2b31g[m2b31g == -6 & m2b21 == 2] = 2               # child not being cared by someone else
newdata$m2b31g[m2b31g == -6 & m2b22 == 1] = 3               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b31g[m2b31g == -6 & m2b29 == 2 & m2b29== 3] = 4   # did not get any help (money,Voucher) 

newdata$m2b31gp[m2b31gp == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b31gp[m2b31gp == -6 & m2b21 == 2] = 104               # child not being cared by someone else
newdata$m2b31gp[m2b31gp == -6 & m2b22 == 1] = 105               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b31gp[m2b31gp == -6 & m2b29 == 2 & m2b29== 3] = 106   # did not get any help (money,Voucher) 

newdata$m2b32[m2b32 == -6 & m2b1 == 2] = 0                  # child mostly live with someone else
newdata$m2b32[m2b32 == -6 & m2b21 == 2] = 104               # child not being cared by someone else
newdata$m2b32[m2b32 == -6 & m2b22 == 1] = 105               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b32[m2b32 == -6 & m2b29== 3] = 106                #No charge for childcare, care by relative             

newdata$m2b32p[m2b32p == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b32p[m2b32p == -6 & m2b21 == 2] = 5               # child not being cared by someone else
newdata$m2b32p[m2b32p == -6 & m2b22 == 1] = 6               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b32p[m2b32p == -6 & m2b29== 3] = 7                # No charge for chid care care by relative
newdata$m2b32p[m2b32p == -6 & m2b32 == 0 ] = 8              # pay nothing out of pocket for childcare

newdata$m2b33a[m2b33a == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b33a[m2b33a == -6 & m2b21 == 2] = 5               # child not being cared by someone else
newdata$m2b33a[m2b33a == -6 & m2b22 == 1] = 6               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b33a[m2b33a == -6 & m2b29== 3] = 7                # No charge for chid care care by relative
newdata$m2b33a[m2b33a == -6 & m2b32 == 0 ] = 8              # pay nothing out of pocket for childcare
newdata$m2b33a[m2b33a == -6 & m2b33 == 1 ] = 9              # child ony

newdata$m2b34[m2b34 == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b34[m2b34 == -6 & m2b21 == 2] = 3               # child not being cared by someone else
newdata$m2b34[m2b34 == -6 & m2b22 == 1] = 3               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b34[m2b34 == -6 & m2b29== 3] = 3               # No charge for chid care care by relative

newdata$m2b34a[m2b34a == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b34a[m2b34a == -6 & m2b21 == 2] = 5               # child not being cared by someone else
newdata$m2b34a[m2b34a == -6 & m2b22 == 1] = 6               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b34a[m2b34a == -6 & m2b29== 3] = 7                # No charge for chid care care by relative
newdata$m2b34a[m2b34a == -6 & m2b34 == 1 ] = 8              # responder recieve help froma non family member

newdata$m2b35[m2b35 == -6 & m2b1 == 2] = 2                # child mostly live with someone else
newdata$m2b35[m2b35 == -6 & m2b21 == 2] = 3               # child not being cared by someone else
newdata$m2b35[m2b35 == -6 & m2b22 == 1] = 4               # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b35a[m2b35a == -6 & m2b1 == 2] = 31                # child mostly live with someone else
newdata$m2b35a[m2b35a == -6 & m2b21 == 2] = 32               # child not being cared by someone else
newdata$m2b35a[m2b35a == -6 & m2b22 == 1] = 33               # CHILD IN CARE LESS THAN 10 HOURS A WEEK
newdata$m2b35a[m2b35a == -6 & m2b35 == 0] = 34               # did not make any special da care arrangemen in past month

newdata$m2b35b[m2b35b == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b35b[m2b35b == -6 & m2b21 == 2] = 3               # child not being cared by someone else
newdata$m2b35b[m2b35b == -6 & m2b22 == 1] = 4               # CHILD IN CARE LESS THAN 10 HOURS A WEEK

newdata$m2b36[m2b36 == -6 & m2b1 == 2] = 0                # child mostly live with someone else
newdata$m2b36[m2b36 == -6 & m2b21 == 2] = 4               # child not being cared by someone else
newdata$m2b36[m2b36 == -6 & m2b22 == 1] = 5               # CHILD IN CARE 

newdata$m2b37[m2b37 == -6 & m2b1 == 1] = 0                # child live with mother at least some of the time
newdata$m2b37[m2b37 == -6 & m2b21 == 2] = 4               # child not being cared by someone else
newdata$m2b37[m2b37 == -6 & m2b22 == 1] = 5               # CHILD IN CARE 


newdata$m2b38[m2b38 == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b38a[m2b38a == -6 & m2b1 == 1] = 0              # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b38a[m2b38a == -6 & m2b38 == 1] = 3             # mother talked to doctor about how he cild is doing 

newdata$m2b39[m2b39 == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b40[m2b40 == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b40[m2b40 == -6 & m2b39 == 2] = 3               # Child is not currently being cared by someone else
newdata$m2b40a[m2b40a == -6 & m2b1 == 1] = 0              # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b40a[m2b40a == -6 & m2b39 == 2] = 3             # Child is not currently being cared by someone else
newdata$m2b40a[m2b40a == -6 & m2b40 == 1] = 4             # did talk to child care provider ABOUT HOW THE CHILD IS DOING 


newdata$m2b41[m2b41 == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME

newdata$m2b43a[m2b43a == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b43b[m2b43b == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b43c[m2b43c == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b43d[m2b43d == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b43e[m2b43e == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b43f[m2b43f == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME

newdata$m2b44a[m2b44a == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b44b[m2b44b == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b44c[m2b44c == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME
newdata$m2b44d[m2b44d == -6 & m2b1 == 1] = 0                # child LIVES WITH MOTHER AT LEASTSOME OF THE TIME



##### NA CODING  #######
newdata$m2b1[newdata$m2b1 == -9] = NA
newdata$m2b2[newdata$m2b2 %in% c(-2,-6,-9)] = NA
newdata$m2b3[newdata$m2b3 %in% c(-2,-6,-9)] = NA
newdata$m2b4a[newdata$m2b4a %in% c(-6,-9)] = NA
newdata$m2b4b[newdata$m2b4b %in% c(-6,-9)] = NA
newdata$m2b4c[newdata$m2b4c %in% c(-6,-9)] = NA
newdata$m2b4d[newdata$m2b4d %in% c(-6,-9)] = NA
newdata$m2b4e[newdata$m2b4e %in% c(-6,-9)] = NA
newdata$m2b4f[newdata$m2b4f %in% c(-6,-9)] = NA
newdata$m2b4g[newdata$m2b4g %in% c(-6,-9)] = NA
newdata$m2b5b[newdata$m2b5b %in% c(-2,-6,-9)] = NA
newdata$m2b5c1[newdata$m2b5c1 %in% c(-1,-2,-6,-8,-9)] = NA
newdata$m2b5c2[newdata$m2b5c2 %in% c(-2,-6,-8,-9)] = NA
newdata$m2b7[newdata$m2b7 %in% c(-2,-6,-9)] = NA
newdata$m2b7a[newdata$m2b7a %in% c(-2,-6,-9)] = NA
newdata$m2b8[newdata$m2b8 %in% c(-2,-6,-9)] = NA
newdata$m2b8a[newdata$m2b8a %in% c(-2,-6,-9)] = NA
newdata$m2b9[newdata$m2b9 %in% c(-2,-6,-9)] = NA
newdata$m2b10[newdata$m2b10 %in% c(-2,-6,-9)] = NA
newdata$m2b10a[newdata$m2b10a %in% c(-6,-9)] = NA
newdata$m2b10b[newdata$m2b10b%in% c(-2,-6,-9)] = NA
newdata$m2b11[newdata$m2b11 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2b11a[newdata$m2b11a %in% c(-2,-3,-6,-9)] = NA
newdata$m2b11b[newdata$m2b11b%in% c(-3,-6,-9)] = NA
newdata$m2b12[newdata$m2b12 %in% c(-2,-6,-9)] = NA
newdata$m2b13a[newdata$m2b13a %in% c(-1,-2,-6,-9,-12)] = NA
newdata$m2b13b[newdata$m2b13b %in% c(-2,-6,-9)] = NA
newdata$m2b15[newdata$m2b15 %in% c(-1,2,-6,-9)] = NA
newdata$m2b15a1[newdata$m2b15a1 %in% c(-1,-6,-9)] = NA
newdata$m2b15a2[newdata$m2b15a2 %in% c(-1,-6,-9)] = NA
newdata$m2b15a3[newdata$m2b15a3 %in% c(-1,-6,-9)] = NA
newdata$m2b15a4[newdata$m2b15a4 %in% c(-1,-6,-9)] = NA
newdata$m2b15a5[newdata$m2b15a5 %in% c(-1,-6,-9)] = NA
newdata$m2b15a6[newdata$m2b15a6 %in% c(-1,-6,-9)] = NA
newdata$m2b15a7[newdata$m2b15a7 %in% c(-1,-6,-9)] = NA
newdata$m2b15a8[newdata$m2b15a8 %in% c(-1,-6,-9)] = NA
newdata$m2b16[newdata$m2b16 %in% c(-1,-2,-6,-9)] = NA
newdata$m2b17a[newdata$m2b17a %in% c(-2,-6,-9)] = NA
newdata$m2b17b[newdata$m2b17b %in% c(-2,-6,-9)] = NA
newdata$m2b17c[newdata$m2b17c %in% c(-2,-6,-9)] = NA
newdata$m2b17d[newdata$m2b17d %in% c(-2,-6,-9)] = NA
newdata$m2b17e[newdata$m2b17e %in% c(-1,-2,-6,-9)] = NA
newdata$m2b17f[newdata$m2b17f %in% c(-2,-6,-9)] = NA
newdata$m2b18a[newdata$m2b18a %in% c(-1,-2,-6,-9)] = NA
newdata$m2b18b[newdata$m2b18b %in% c(-1,-2,-6,-9)] = NA
newdata$m2b18c[newdata$m2b18c %in% c(-1,-2,-6,-9)] = NA
newdata$m2b18d[newdata$m2b18d %in% c(-1,-2,-6,-9)] = NA
newdata$m2b18e[newdata$m2b18e %in% c(-1,-2,-6,-9)] = NA
newdata$m2b18f[newdata$m2b18f %in% c(-1,-2,-6,-9)] = NA
newdata$m2b18g[newdata$m2b18g %in% c(-1,-2,-6,-9)] = NA
newdata$m2b18h[newdata$m2b18h %in% c(-1,-2,-6,-9)] = NA
newdata$m2b19[newdata$m2b19 %in% c(-1,-6,-9)] = NA
newdata$m2b19a[newdata$m2b19a %in% c(-1,-6,-9)] = NA
newdata$m2b20a[newdata$m2b20a %in% c(-2,-6,-9)] = NA
newdata$m2b20b[newdata$m2b20b %in% c(-1,-2,-6,-9)] = NA
newdata$m2b20c[newdata$m2b20c %in% c(-2,-6,-9)] = NA
newdata$m2b20d[newdata$m2b20d %in% c(-1,-2,-6,-9)] = NA
newdata$m2b21[newdata$m2b21 %in% c(-2,-6,-9)] = NA
newdata$m2b21a[newdata$m2b21a %in% c(-1,-2,-6,-9)] = NA
newdata$m2b22[newdata$m2b22 %in% c(-6,-9)] = NA
newdata$m2b23[newdata$m2b23 %in% c(-2,-6,-9)] = NA
newdata$m2b24a1[newdata$m2b24a1 %in% c(-2,-6,-9)] = NA
newdata$m2b24a2[newdata$m2b24a2 %in% c(-2,-6,-9)] = NA
newdata$m2b25a1[newdata$m2b25a1 %in% c(-2,-6,-9)] = NA
newdata$m2b25a2[newdata$m2b25a24 %in% c(-2,-6,-9)] = NA
newdata$m2b25a3[newdata$m2b25a3 %in% c(-2,-6,-9)] = NA
newdata$m2b25a4[newdata$m2b25a4 %in% c(-2,-6,-9)] = NA
newdata$m2b25a5[newdata$m2b25a5 %in% c(-2,-6,-9)] = NA
newdata$m2b25a6[newdata$m2b25a6 %in% c(-2,-6,-9)] = NA
newdata$m2b25a7[newdata$m2b25a7 %in% c(-2,-6,-9)] = NA
newdata$m2b25a8[newdata$m2b25a8 %in% c(-2,-6,-9)] = NA
newdata$m2b25a9[newdata$m2b25a9 %in% c(-2,-6,-9)] = NA
newdata$m2b25a10[newdata$m2b25a10 %in% c(-2,-6,-9)] = NA
newdata$m2b25a11[newdata$m2b25a11 %in% c(-2,-6,-9)] = NA
newdata$m2b25a12[newdata$m2b25a12 %in% c(-2,-6,-9)] = NA
newdata$m2b25a13[newdata$m2b25a13 %in% c(-2,-6,-9)] = NA
newdata$m2b25b[newdata$m2b25b %in% c(-6,-9)] = NA
newdata$m2b26[newdata$m2b26 %in% c(-1,-2,-6,-9)] = NA
newdata$m2b27[newdata$m2b27 %in% c(-2,-6,-9)] = NA
newdata$m2b28[newdata$m2b28 %in% c(-2,-6,-9)] = NA
newdata$m2b28a[newdata$m2b28a %in% c(-2,-6,-9,-11)] = NA
newdata$m2b28b[newdata$m2b28b %in% c(-2,-6,-9)] = NA
newdata$m2b29[newdata$m2b29 %in% c(-2,-6,-9)] = NA
newdata$m2b30a[newdata$m2b30a %in% c(-1,-2,-6,-9)] = NA
newdata$m2b30b[newdata$m2b30b %in% c(-1,-2,-6,-9)] = NA
newdata$m2b30c[newdata$m2b30c %in% c(-1,-2,-6,-9)] = NA
newdata$m2b30d[newdata$m2b30d %in% c(-1,-2,-6,-9)] = NA
newdata$m2b30e[newdata$m2b30e %in% c(-1,-2,-6,-9)] = NA
newdata$m2b30f[newdata$m2b30f %in% c(-1,-2,-6,-9)] = NA
newdata$m2b30g[newdata$m2b30g %in% c(-1,-2,-6,-9)] = NA
newdata$m2b31b[newdata$m2b31b %in% c(-6,-9)] = NA
newdata$m2b31c[newdata$m2b31c %in% c(-1,-2,-6,-9)] = NA
newdata$m2b31cp[newdata$m2b31cp %in% c(-2,-6,-9)] = NA
newdata$m2b31d[newdata$m2b31d %in% c(-6,-9)] = NA
newdata$m2b31dp[newdata$m2b31dp %in% c(-6,-9)] = NA
newdata$m2b31e[newdata$m2b31e %in% c(-2,-6,-9)] = NA
newdata$m2b31ep[newdata$m2b31ep %in% c(-6,-9)] = NA
newdata$m2b31g[newdata$m2b31g %in% c(-1,-2,-6,-9)] = NA
newdata$m2b31gp[newdata$m2b31gp %in% c(-6,-9)] = NA
newdata$m2b32[newdata$m2b32 %in% c(-1,-2,-6,-8,-9,-17)] = NA
newdata$m2b32p[newdata$m2b32p %in% c(-6,-9)] = NA
newdata$m2b33a[newdata$m2b33a %in% c(-6,-9)] = NA
newdata$m2b34[newdata$m2b34 %in% c(-6,-9)] = NA
newdata$m2b34a[newdata$m2b34a %in% c(-6,-9)] = NA
newdata$m2b35[newdata$m2b35 %in% c(-2,-6,-9,-10)] = NA
newdata$m2b35a[newdata$m2b35a %in% c(-6,-9)] = NA
newdata$m2b35b[newdata$m2b35b %in% c(-2,-6,-9)] = NA
newdata$m2b36[newdata$m2b36 %in% c(-1,-2,-6,-9)] = NA
newdata$m2b37[newdata$m2b37 %in% c(-2,-6,-9)] = NA
newdata$m2b38[newdata$m2b38 %in% c(-6,-9)] = NA
newdata$m2b38a[newdata$m2b38a %in% c(-2,-6,-9)] = NA
newdata$m2b39[newdata$m2b39 %in% c(-2,-6,-9)] = NA
newdata$m2b40[newdata$m2b40 %in% c(-6,-9)] = NA
newdata$m2b40a[newdata$m2b40a %in% c(-6,-9)] = NA
newdata$m2b41[newdata$m2b41 %in% c(-6,-9)] = NA
newdata$m2b43a[newdata$m2b43a %in% c(-1,-2,-6,-9)] = NA
newdata$m2b43b[newdata$m2b43b %in% c(-1,-6,-9)] = NA
newdata$m2b43c[newdata$m2b43c %in% c(-1,-2,-6,-9)] = NA
newdata$m2b43d[newdata$m2b43d %in% c(-1,-2,-6,-9)] = NA
newdata$m2b43e[newdata$m2b43e %in% c(-1,-2,-6,-9)] = NA
newdata$m2b43f[newdata$m2b43f %in% c(-1,-2,-6,-9)] = NA
newdata$m2b44a[newdata$m2b44a %in% c(-6,-9)] = NA
newdata$m2b44b[newdata$m2b44b %in% c(-6,-9)] = NA
newdata$m2b44c[newdata$m2b44c %in% c(-2,-6,-9)] = NA
newdata$m2b44d[newdata$m2b44d %in% c(-2,-6,-9)] = NA

######## CREATING FACTORS ###########

newdata$m2b2=factor(m2b2)
newdata$m2b6=factor(m2b6)
newdata$m2b17a=factor(m2b17a)
newdata$m2b17b=factor(m2b17b)
newdata$m2b17c=factor(m2b17c)
newdata$m2b17d=factor(m2b17d)
newdata$m2b17e=factor(m2b17e)
newdata$m2b17f=factor(m2b17f)
newdata$m2b18a=factor(m2b18a)
newdata$m2b18b=factor(m2b18b)
newdata$m2b18c=factor(m2b18c)
newdata$m2b18d=factor(m2b18d)
newdata$m2b18e=factor(m2b18e)
newdata$m2b18f=factor(m2b18f)
newdata$m2b18g=factor(m2b18g)
newdata$m2b18h=factor(m2b18h)
newdata$m2b19a=factor(m2b19a)
newdata$m2b20a=factor(m2b20a)
newdata$m2b20b=factor(m2b20b)
newdata$m2b20c=factor(m2b20c)
newdata$m2b20d=factor(m2b20d) 
newdata$m2b31cp=factor(m2b31cp)
newdata$m2b31dp=factor(m2b31dp)
newdata$m2b31gp=factor(m2b31gp)
newdata$m2b32p=factor(m2b32p)
newdata$m2b33=factor(m2b33)
newdata$m2b37=factor(m2b37)
newdata$m2b43a=factor(m2b43a)
newdata$m2b43b=factor(m2b43b)
newdata$m2b43c=factor(m2b43c)
newdata$m2b43d=factor(m2b43d)
newdata$m2b43e=factor(m2b43e)
newdata$m2b43f=factor(m2b43f)
newdata$m2b44a=factor(m2b44a)
newdata$m2b44b=factor(m2b44b)
newdata$m2b44c=factor(m2b44c)
newdata$m2b44d=factor(m2b44d)


####################### SECTION C ######################


##### SKIP RECODING ######

newdata$m2c1a[m2c1a == -6 & m2c1 == 1] = 0    # mother and father living togther 
newdata$m2c1b[m2c1b == -6 & m2c1 == 1] = 0    # mother and father living togther
newdata$m2c1b[m2c1b == -6 & m2c1a == 1] =3    #Father is decreased

newdata$m2c2[m2c2 == -6 & m2c1 == 1] = 3      # mother and father living togther
newdata$m2c2[m2c2 == -6 & m2c1a == 1] =4      #Father is decreased
newdata$m2c2[m2c2 == -6 & m2c1b == 2] =5      # Faher is unknown

newdata$m2c2a[m2c2a == -6 & m2c1 == 1] = 5    # mother and father living togther
newdata$m2c2a[m2c2a == -6 & m2c1a == 1] =6    #Father is decreased
newdata$m2c2a[m2c2a == -6 & m2c1b == 2] =7    # Faher is unknown
newdata$m2c2a[m2c2a == -6 & m2c2 == 2] =8     # father did not seen a chid since he was born

newdata$m2c2b2[m2c2b2 == -6 & m2c1 == 1] = 0    # mother and father living togther
newdata$m2c2b2[m2c2b2 == -6 & m2c1a == 1] =1    #Father is decreased
newdata$m2c2b2[m2c2b2 == -6 & m2c1b == 2] =2    # Faher is unknown
newdata$m2c2b2[m2c2b2 == -6 & m2c2 == 2] =3     # father did not seen a chid since he was born
newdata$m2c2b2[m2c2b2 == -6 & m2c2a != 0] =4    # father seen a child in last 30 days  
newdata$m2c2e[m2c2e == -6 & m2c1 == 1] = 3    # mother and father living togther
newdata$m2c2e[m2c2e == -6 & m2c1a == 1] =4    #Father is decreased
newdata$m2c2e[m2c2e == -6 & m2c1b == 2] =5    # Faher is unknown
newdata$m2c2e[m2c2e == -6 & m2c2 == 2] =6     # father did not seen a chid since he was born
newdata$m2c2f[m2c2f == -6 & m2c1 == 1] = 4    # mother and father living togther
newdata$m2c2f[m2c2f == -6 & m2c1a == 1] =5    #Father is decreased
newdata$m2c2f[m2c2f == -6 & m2c1b == 2] =6    # Faher is unknown
newdata$m2c2f[m2c2f == -6 & m2c2 == 2] =7     # father did not seen a chid since he was born 
newdata$m2c2f[m2c2f == -6 & m2c2e == 2] =8    # child never stayed over night with father since birth

newdata$m2c2g[m2c2g == -6 & m2c1 == 1] = 3    # mother and father living togther
newdata$m2c2g[m2c2g == -6 & m2c1a == 1] =4    #Father is decreased
newdata$m2c2g[m2c2g == -6 & m2c1b == 2] =5    # Faher is unknown
newdata$m2c2g[m2c2g == -6 & m2c2 == 2] = 9    # father did not seen a chid since he was born

newdata$m2c3a[m2c3a == -6 & m2c1 == 2] = 205    # mother and father are not living togther

newdata$m2c3b[m2c3b == -6 & m2c1 == 2] = 205    # mother and father are not  living togther

newdata$m2c3c[m2c3c == -6 & m2c1 == 2] = 205    # mother and father are not living togther

newdata$m2c3d[m2c3d == -6 & m2c1 == 2] = 205    # mother and father are not living togther

newdata$m2c3e[m2c3e == -6 & m2c1 == 2] = 205    # mother and father are not living togther


newdata$m2c3f[m2c3f == -6 & m2c1 == 2] = 205    # mother and father are not living togther
newdata$m2c3g[m2c3g == -6 & m2c1 == 2] = 205    # mother and father are not living togther
newdata$m2c3h[m2c3h == -6 & m2c1 == 2] = 205    # mother and father are not living togther
newdata$m2c3i[m2c3i == -6 & m2c1 == 2] = 205    # mother and father are not living togther
newdata$m2c3j[m2c3j == -6 & m2c1 == 2] = 205    # mother and father are not living togther

newdata$m2c4[m2c4 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c4a[m2c4a == -6 & m2c1 == 2] = 5      # mother and father are not living togther
newdata$m2c4a[m2c4a == -6 & m2c4 == 2] = 6      # Father did not spanked a child in last month 

newdata$m2c5[m2c5 == -6 & m2c1 == 2] = 6        # mother and father are not living togther
newdata$m2c5a[m2c5a == -6 & m2c1 == 2] = 6        # mother and father are not living togther
newdata$m2c5b[m2c5b == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c6a[m2c6a == -6 & m2c1 == 2] = 5        # mother and father are not living togther
newdata$m2c6b[m2c6b == -6 & m2c1 == 2] = 5        # mother and father are not living togther
newdata$m2c6c[m2c6c == -6 & m2c1 == 2] = 5        # mother and father are not living togther
newdata$m2c6d[m2c6d == -6 & m2c1 == 2] = 5        # mother and father are not living togther
newdata$m2c7[m2c7 == -6 & m2c1 == 2] = 3          # mother and father are not living togther
newdata$m2c8a[m2c8a == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c8a[m2c8a == -6 & m2c7 == 1] = 4        # when child was born, M&F were married to eachother

newdata$m2c8b[m2c8b == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c8b[m2c8b == -6 & m2c7 == 1] = 4        # when child was born, M&F were married to eachother
newdata$m2c8b[m2c8b == -6 & m2c8a == 1] = 5       # father has legal paternity 

newdata$m2c8c[m2c8c == -6 & m2c1 == 2] = 109       # mother and father are not living togther
newdata$m2c8c[m2c8c == -6 & m2c7 == 1] = 110       # when child was born, M&F were married to eachother
newdata$m2c8c[m2c8c == -6 & m2c8a == 1] = 111       # father has legal paternity 
newdata$m2c8c[m2c8c == -6 & m2c8b == 2] = 112       #Not mother or anyone wants father to establish legal paternity

newdata$m2c8d[m2c8d == -6 & m2c1 == 2] = 107       # mother and father are not living togther
newdata$m2c8d[m2c8d == -6 & m2c7 == 1] = 108       # when child was born, M&F were married to eachother
newdata$m2c8d[m2c8d == -6 & m2c8b == 2] = 109       #Not mother or anyone wants father to establish legal

newdata$m2c8e[m2c8e == -6 & m2c1 == 2] = 102        # mother and father are not living togther
newdata$m2c8e[m2c8e == -6 & m2c7 == 1] = 103        # when child was born, M&F were married to eachother
newdata$m2c8e[m2c8e == -6 & m2c8b == 2] = 105       # Not mother or anyone wants father to establish legal


newdata$m2c9[m2c9 == -6 & m2c1 == 2] = 3            # mother and father are not living togther

newdata$m2c10[m2c10 == -6 & m2c1 == 2] = 3          # mother and father are not living togther
newdata$m2c10[m2c10 == -6 & m2c9 == 1] = 4         #No legal agreement that father will provide child support

newdata$m2c10a2[m2c10a2 == -6 & m2c1 == 2] = 0        # mother and father are not living togther
newdata$m2c10a2[m2c10a2 == -6 & m2c9 == 1] = 1        # M& F are married and living together 
newdata$m2c10a2[m2c10a2 == -6 & m2c10 == 2] = 2       # No legal agreement that father will provide child support

newdata$m2c11[m2c11 == -6 & m2c1 == 2] = 3            # mother and father are not living togther
newdata$m2c11[m2c11 == -6 & m2c9 == 1] = 4           #  M& F are married and living together 
newdata$m2c11[m2c11 == -6 & m2c10 == 2] = 5           # No legal agreement that father will provide child support


newdata$m2c11a[m2c11a == -6 & m2c1 == 2] = 3            # mother and father are not living togther
newdata$m2c11a[m2c11a == -6 & m2c9 == 1] = 4           #  M& F are married and living together 
newdata$m2c11a[m2c11a == -6 & m2c10 == 2] = 5           # No legal agreement that father will provide child support
newdata$m2c11a[m2c11a == -6 & m2c11 == 2] = 6           #No other chidren other than focus child


newdata$m2c12[m2c12 == -6 & m2c1 == 2] = 1            # mother and father are not living togther
newdata$m2c12[m2c12 == -6 & m2c9 == 1] = 2           #  M& F are married and living together 
newdata$m2c12[m2c12 == -6 & m2c10 == 2] = 3           # No legal agreement that father will provide child support


newdata$m2c12p[m2c12p == -6 & m2c1 == 2] = 106            # mother and father are not living togther
newdata$m2c12p[m2c12p == -6 & m2c9 == 1] = 107          #  M& F are married and living together 
newdata$m2c12p[m2c12p == -6 & m2c10 == 2] = 108          # No legal agreement that father will provide child support

newdata$m2c13[m2c13 == -6 & m2c1 == 2] = 3            # mother and father are not living togther
newdata$m2c13[m2c13 == -6 & m2c9 == 1] = 4          #  M& F are married and living together 
newdata$m2c13[m2c13 == -6 & m2c10 == 2] = 5          # No legal agreement that father will provide child support


newdata$m2c14[m2c14 == -6 & m2c1 == 2] = 102            # mother and father are not living togther
newdata$m2c14[m2c14 == -6 & m2c9 == 1] = 103          #  M& F are married and living together 
newdata$m2c14[m2c14 == -6 & m2c10 == 2] = 104          # No legal agreement that father will provide child support
newdata$m2c14[m2c14 == -6 & m2c13 == 1] = 105          # M & F are living together 

newdata$m2c15[m2c15 == -6 & m2c1 == 2] = 6           # mother and father are not living togther
newdata$m2c15[m2c15 == -6 & m2c9 == 1] = 7          #  M& F are married and living together 
newdata$m2c15[m2c15 == -6 & m2c10 == 2] = 8          # No legal agreement that father will provide child support

newdata$m2c15a[m2c15a == -6 & m2c1 == 2] = 1           # mother and father are not living togther
newdata$m2c15a[m2c15a == -6 & m2c9 == 1] = 2          #  M& F are married and living together 
newdata$m2c15a[m2c15a == -6 & m2c10 == 2] = 3          # No legal agreement that father will provide child support

newdata$m2c15a1[m2c15a1 == -6 & m2c1 == 2] = 8           # mother and father are not living togther
newdata$m2c15a1[m2c15a1 == -6 & m2c9 == 1] = 9          #  M& F are married and living together 
newdata$m2c15a1[m2c15a1 == -6 & m2c10 == 2] = 10          # No legal agreement that father will provide child support
newdata$m2c15a1[m2c15a1 == -6 & m2c15a == 0] = 11         #Father paid none of the amount agreed upon child support 

newdata$m2c16[m2c16 == -6 & m2c1 == 2] = 3          # mother and father are not living togther
newdata$m2c16[m2c16 == -6 & m2c9 == 1] = 4          #  M& F are married and living together 
newdata$m2c16[m2c16 == -6 & m2c10 == 2] = 5          # No legal agreement that father will provide child support


newdata$m2c16a[m2c16a == -6 & m2c1 == 2] = 1           # mother and father are not living togther
newdata$m2c16a[m2c16a == -6 & m2c9 == 1] = 2          #  M& F are married and living together 
newdata$m2c16a[m2c16a == -6 & m2c10 == 2] = 3          # No legal agreement that father will provide child support
newdata$m2c16a[m2c16a == -6 & m2c16 == 2] = 4          # No unpaid child support 


newdata$m2c16a1[m2c16a1 == -6 & m2c1 == 2] = 3          # mother and father are not living togther
newdata$m2c16a1[m2c16a1 == -6 & m2c9 == 1] = 4          #  M& F are married and living together 
newdata$m2c16a1[m2c16a1 == -6 & m2c10 == 2] = 5         # No legal agreement that father will provide child support
newdata$m2c16a1[m2c16a1 == -6 & m2c16 == 2 ] = 6          # No unpaid child support 
newdata$m2c16a1[m2c16a1 == -6 & m2c16a == 0] = 7        # zero amount of unpaid child support

newdata$m2c17[m2c17 == -6 & m2c1 == 2] = 3          # mother and father are not living togther
newdata$m2c17[m2c17 == -6 & m2c9 == 1] = 4          #  M& F are married and living together 
newdata$m2c17[m2c17 == -6 & m2c10 == 2] = 5         # No legal agreement that father will provide child su

newdata$m2c18[m2c18 == -6 & m2c1 == 2] = 3          # mother and father are not living togther
newdata$m2c18[m2c18 == -6 & m2c9 == 1] = 4          #  M& F are married and living together 
newdata$m2c18[m2c18 == -6 & m2c10 == 2] = 5         # No legal agreement that father will provide child su
newdata$m2c18[m2c18 == -6 & m2c17 == 1] = 6          #M & F living together          


newdata$m2c18a[m2c18a == -6 & m2c1 == 2] = 32         # mother and father are not living togther
newdata$m2c18a[m2c18a == -6 & m2c9 == 1] = 33         #  M& F are married and living together 
newdata$m2c18a[m2c18a == -6 & m2c10 == 2] = 34        # No legal agreement that father will provide child su
newdata$m2c18a[m2c18a == -6 & m2c17 == 1] = 35        # M & F living together          
newdata$m2c18a[m2c18a == -6 & m2c18 == 2] = 36        # child support agreeent does not specify visit between C & F         


newdata$m2c19[m2c19 == -6 & m2c1 == 2] = 3         # mother and father are not living togther
newdata$m2c19[m2c19 == -6 & m2c9 == 1] = 4         #  M& F are married and living together 
newdata$m2c19[m2c19 == -6 & m2c10 == 2] = 5        # No legal agreement that father will provide child su
newdata$m2c19[m2c19 == -6 & m2c17 == 1] = 6        # M & F living together          
newdata$m2c19[m2c19 == -6 & m2c18 == 2] = 7        # child support agreeent does not specify visit between C & F         

newdata$m2c19a[m2c19a == -6 & m2c1 == 2] = 3         # mother and father are not living togther
newdata$m2c19a[m2c19a == -6 & m2c9 == 1] = 4         #  M& F are married and living together 
newdata$m2c19a[m2c19a == -6 & m2c10 == 2] = 5        # No legal agreement that father will provide child su
newdata$m2c19a[m2c19a == -6 & m2c17 == 1] = 6        # M & F living together          
newdata$m2c19a[m2c19a == -6 & m2c18 == 2] = 7        # child support agreeent does not specify visit between C & F         
newdata$m2c19a[m2c19a == -6 & m2c19 == 1] = 8        # M&F living together all or most of the time 

newdata$m2c20[m2c20 == -6 & m2c1 == 2] = 1        # mother and father are not living togther
newdata$m2c20[m2c20 == -6 & m2c9 == 1] = 2         #  M& F are married and living together 
newdata$m2c20[m2c20 == -6 & m2c10 == 2] =3        # No legal agreement that father will provide child su
newdata$m2c20[m2c20 == -6 & m2c17 == 1] = 4        # M & F living together          
newdata$m2c20[m2c20 == -6 & m2c18 == 2] = 5        # child support agreeent does not specify visit between C & F         
newdata$m2c20[m2c20 == -6 & m2c19 == 1] = 6        # M&F living together all or most of the time 

newdata$m2c20a[m2c20a == -6 & m2c1 == 2] = 2        # mother and father are not living togther
newdata$m2c20a[m2c20a == -6 & m2c9 == 1] = 3         #  M& F are married and living together 
newdata$m2c20a[m2c20a == -6 & m2c10 == 2] =4        # No legal agreement that father will provide child su
newdata$m2c20a[m2c20a == -6 & m2c17 == 1] = 5        # M & F living together          
newdata$m2c20a[m2c20a == -6 & m2c18 == 2] = 6        # child support agreeent does not specify visit between C & F         
newdata$m2c20a[m2c20a == -6 & m2c19 == 1] = 7        # M&F living together all or most of the time 

newdata$m2c20b[m2c20b == -6 & m2c1 == 2] = 2        # mother and father are not living togther
newdata$m2c20b[m2c20b == -6 & m2c9 == 1] = 3         #  M& F are married and living together 
newdata$m2c20b[m2c20b == -6 & m2c10 == 2] =4        # No legal agreement that father will provide child su
newdata$m2c20b[m2c20b == -6 & m2c17 == 1] = 5        # M & F living together          
newdata$m2c20b[m2c20b == -6 & m2c18 == 2] = 6        # child support agreeent does not specify visit between C & F         
newdata$m2c20b[m2c20b == -6 & m2c19 == 1] = 7        # M&F living together all or most of the time 

newdata$m2c20b1[m2c20b1 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c20b1[m2c20b1 == -6 & m2c9 == 1] = 4         #  M& F are married and living together 
newdata$m2c20b1[m2c20b1 == -6 & m2c10 == 2] =5        # No legal agreement that father will provide child support
newdata$m2c20b1[m2c20b1 == -6 & m2c17 == 1] = 6        # M & F living together          
newdata$m2c20b1[m2c20b1 == -6 & m2c18 == 2] = 7        # child support agreeent does not specify visit between C & F         
newdata$m2c20b1[m2c20b1 == -6 & m2c19 == 1] = 8        # M&F living together all or most of the time 
newdata$m2c20b1[m2c20b1 == -6 & m2c20b == 0] = 9       #received 0 amount from F in child support payments since informal agreement was reached 

newdata$m2c20p[m2c20p == -6 & m2c1 == 2] = 4        # mother and father are not living togther
newdata$m2c20p[m2c20p == -6 & m2c9 == 1] = 5         #  M& F are married and living together 
newdata$m2c20p[m2c20p == -6 & m2c10 == 2] =6        # No legal agreement that father will provide child support
newdata$m2c20p[m2c20p == -6 & m2c17 == 1] = 7        # M & F living together          
newdata$m2c20p[m2c20p == -6 & m2c18 == 2] = 8        # child support agreeent does not specify visit between C & F         
newdata$m2c20p[m2c20p == -6 & m2c19 == 1] = 9        # M&F living together all or most of the time 
newdata$m2c20p[m2c20p == -6 & m2c20b == 0] = 10       #received 0 amount from F in child support payments since informal agreement was reached 

newdata$m2c21[m2c21 == -6 & m2c1 == 2] = 3       # mother and father are not living togther
newdata$m2c21[m2c21 == -6 & m2c9 == 1] = 4         #  M& F are married and living together 
newdata$m2c21[m2c21 == -6 & m2c10 == 2] =5        # No legal agreement that father will provide child support
newdata$m2c21[m2c21 == -6 & m2c17 == 1] = 6        # M & F living together          
newdata$m2c21[m2c21 == -6 & m2c18 == 2] = 7        # child support agreeent does not specify visit between C & F         
newdata$m2c21[m2c21 == -6 & m2c19 == 1] = 8        # M&F living together all or most of the time 
newdata$m2c21[m2c21 == -6 & m2c20b == 0] = 9       #received 0 amount from F in child support p


newdata$m2c21a[m2c21a == -6 & m2c1 == 2] = 1        # mother and father are not living togther
newdata$m2c21a[m2c21a == -6 & m2c9 == 1] = 2         #  M& F are married and living together 
newdata$m2c21a[m2c21a == -6 & m2c10 == 2] =3        # No legal agreement that father will provide child support
newdata$m2c21a[m2c21a == -6 & m2c17 == 1] = 4        # M & F living together          
newdata$m2c21a[m2c21a == -6 & m2c18 == 2] = 5        # child support agreeent does not specify visit between C & F         
newdata$m2c21a[m2c21a == -6 & m2c19 == 1] = 6        # M&F living together all or most of the time 
newdata$m2c21a[m2c21a == -6 & m2c20b == 0] = 7       #received 0 amount from F in child support p
newdata$m2c21a[m2c21a == -6 & m2c21 == 2] = 8        # father did not pay anything towards child support

newdata$m2c21a1[m2c21a1 == -6 & m2c1 == 2] = 9        # mother and father are not living togther
newdata$m2c21a1[m2c21a1 == -6 & m2c9 == 1] = 10         #  M& F are married and living together 
newdata$m2c21a1[m2c21a1 == -6 & m2c10 == 2] =11        # No legal agreement that father will provide child support
newdata$m2c21a1[m2c21a1 == -6 & m2c17 == 1] = 12        # M & F living together          
newdata$m2c21a1[m2c21a1 == -6 & m2c18 == 2] = 13       # child support agreeent does not specify visit between C & F         
newdata$m2c21a1[m2c21a1 == -6 & m2c19 == 1] = 14       # M&F living together all or most of the time 
newdata$m2c21a1[m2c21a1 == -6 & m2c20b == 0] = 15       #received 0 amount from F in child support p
newdata$m2c21a1[m2c21a1 == -6 & m2c21 == 2] = 16       # father did not pay anything towards child support

newdata$m2c22[m2c22 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c22[m2c22 == -6 & m2c9 == 1] = 4         #  M& F are married and living together 
newdata$m2c22[m2c22 == -6 & m2c10 == 2] = 5        # No legal agreement that father will provide child support
newdata$m2c22[m2c22 == -6 & m2c17 == 1] = 6        # M & F living together          

newdata$m2c23a[m2c23a == -6 & m2c1 == 2] = 5        # mother and father are not living togther
newdata$m2c23a[m2c23a == -6 & m2c9 == 1] = 6         #  M& F are married and living together 
newdata$m2c23a[m2c23a == -6 & m2c10 == 2] =7        # No legal agreement that father will provide child support
newdata$m2c23a[m2c23a == -6 & m2c17 == 1] = 8        # M & F living together          

newdata$m2c23b[m2c23b == -6 & m2c1 == 2] = 5        # mother and father are not living togther
newdata$m2c23b[m2c23b == -6 & m2c9 == 1] = 6         #  M& F are married and living together 
newdata$m2c23b[m2c23b == -6 & m2c10 == 2] =7        # No legal agreement that father will provide child support
newdata$m2c23b[m2c23b == -6 & m2c17 == 1] = 8        # M & F living together          

newdata$m2c23c[m2c23c == -6 & m2c1 == 2] = 5        # mother and father are not living togther
newdata$m2c23c[m2c23c == -6 & m2c9 == 1] = 6         #  M& F are married and living together 
newdata$m2c23c[m2c23c == -6 & m2c10 == 2] =7        # No legal agreement that father will provide child support
newdata$m2c23c[m2c23c == -6 & m2c17 == 1] = 8        # M & F living together          

newdata$m2c23d[m2c23d == -6 & m2c1 == 2] = 5        # mother and father are not living togther
newdata$m2c23d[m2c23d == -6 & m2c9 == 1] = 6         #  M& F are married and living together 
newdata$m2c23d[m2c23d == -6 & m2c10 == 2] =7        # No legal agreement that father will provide child support
newdata$m2c23d[m2c23d == -6 & m2c17 == 1] = 8        # M & F living together          

newdata$m2c23e[m2c23e == -6 & m2c1 == 2] = 5        # mother and father are not living togther
newdata$m2c23e[m2c23e == -6 & m2c9 == 1] = 6         #  M& F are married and living together 
newdata$m2c23e[m2c23e == -6 & m2c10 == 2] =7        # No legal agreement that father will provide child support
newdata$m2c23e[m2c23e == -6 & m2c17 == 1] = 8        # M & F living together          

newdata$m2c23f[m2c23f == -6 & m2c1 == 2] = 5        # mother and father are not living togther
newdata$m2c23f[m2c23f == -6 & m2c9 == 1] = 6         #  M& F are married and living together 
newdata$m2c23f[m2c23f == -6 & m2c10 == 2] =7        # No legal agreement that father will provide child support
newdata$m2c23f[m2c23f == -6 & m2c17 == 1] = 8        # M & F living together          

newdata$m2c24[m2c24 == -6 & m2c1 == 2] = 3          # mother and father are not living togther

newdata$m2c24a[m2c24a == -6 & m2c1 == 2] = 11        # mother and father are not living togther
newdata$m2c24a[m2c24a == -6 & m2c24 == 2] = 12       #No children with someone else other than father 

newdata$m2c24b[m2c24b == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c24b[m2c24b == -6 & m2c24 == 2] = 4       # No children with someone else other than father 
newdata$m2c24b[m2c24b == -6 & m2c24a == 1] = 5      # Only one child 

newdata$m2c24c[m2c24c == -6 & m2c1 == 2] = 7        # mother and father are not living togther
newdata$m2c24c[m2c24c == -6 & m2c24 == 2] = 8       # No children with someone else other than father 
newdata$m2c24c[m2c24c == -6 & m2c24a == 1] = 9      # Only one child with someone esle 
newdata$m2c24c[m2c24c == -6 & m2c24b == 1] = 10     # no other child with someone else

newdata$m2c25[m2c25 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c25[m2c25 == -6 & m2c24 == 2] = 4       # No children with someone else other than father 

newdata$m2c25a1[m2c25a1 == -6 & m2c1 == 2] = 8        # mother and father are not living togther
newdata$m2c25a1[m2c25a1 == -6 & m2c24 == 2] = 9       # No children with someone else other than father 
newdata$m2c25a1[m2c25a1 == -6 & m2c25 == 2] = 10      # do not recive a child support for child/chidren with someone other than father

newdata$m2c26[m2c26 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c27[m2c27 == -6 & m2c1 == 2] = 11        # mother and father are not living togther
newdata$m2c27[m2c27 == -6 & m2c26 == 2] = 12       # father does not have children with someone else 

newdata$m2c27a[m2c27a == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c27a[m2c27a == -6 & m2c26 == 2] = 4       # father does not have children with someone else 

newdata$m2c27b[m2c27b == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c27b[m2c27b == -6 & m2c26 == 2] = 4       # father does not have children with someone else 
newdata$m2c27b[m2c27b == -6 & m2c27a == 1] = 5      # Father is obligated to pay child support for child/children with someone else

newdata$m2c27c[m2c27c == -6 & m2c1 == 2] = 4       # mother and father are not living togther
newdata$m2c27c[m2c27c == -6 & m2c26 == 2] = 5       # father does not have children with someone else 
newdata$m2c27c[m2c27c == -6 & m2c27b == 1] = 6      # Father does not  pay child support for child/children with someone else

newdata$m2c27cp[m2c27cp == -6 & m2c1 == 2] = 4        # mother and father are not living togther
newdata$m2c27cp[m2c27cp == -6 & m2c26 == 2] = 5       # father does not have children with someone else 
newdata$m2c27cp[m2c27cp == -6 & m2c27b == 1] = 6      # Father does not  pay child support for child/children with someone else

newdata$m2c28[m2c28 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c28[m2c28 == -6 & m2c26 == 2] = 4       # father does not have children with someone else 
newdata$m2c28[m2c28 == -6 & m2c27b == 1] = 5      # Father does not  pay child support for child/children with someone else

newdata$m2c29[m2c29 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c29[m2c29 == -6 & m2c26 == 2] = 4       # father does not have children with someone else 
newdata$m2c29[m2c29 == -6 & m2c28 == 2] = 5      # Father does not  have legal obligation to pay child support for other children

newdata$m2c29a[m2c29a == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c29a[m2c29a == -6 & m2c26 == 2] = 4       # father does not have children with someone else 
newdata$m2c29a[m2c29a == -6 & m2c28 == 2] = 5      # Father does not have legal obligaion to pay child support fo other children 

newdata$m2c29b[m2c29b == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c29b[m2c29b == -6 & m2c26 == 2] = 4       # father does not have children with someone else 
newdata$m2c29b[m2c29b == -6 & m2c28 == 2] = 5      # Father does not have legal obligaion to pay child support fo other children 
newdata$m2c29b[m2c29b == -6 & m2c29a == 0] = 6     # zero amount of the arrears? 

newdata$m2c31[m2c31 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c33[m2c33 == -6 & m2c1 == 2] = 6       # mother and father are not living togther
newdata$m2c33b[m2c23b == -6 & m2c1 == 2] = 4        # mother and father are not living togther
newdata$m2c33b[m2c23b == -6 & m2c33 != 3] = 5      # F is working/inschool/school+working/unemployed

newdata$m2c33d2[m2c33d2 == -6 & m2c1 == 2] = 1        # mother and father are not living togther
newdata$m2c33d2[m2c33d2 == -6 & m2c33 != 3] = 2      # F is working/inschool/school+working/unemployed

newdata$m2c33e2[m2c33e2 == -6 & m2c1 == 2] = 1        # mother and father are not living togther
newdata$m2c33e2[m2c33e2 == -6 & m2c33 != 3] = 2      # F is working/inschool/school+working/unemployed

newdata$m2c34[m2c34 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c35[m2c35 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36[m2c36 == -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a1[m2c36a1== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a1[m2c36a1== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 

newdata$m2c36a1[m2c36a1== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a1[m2c36a1== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a2[m2c36a2== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a2[m2c36a2== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a3[m2c36a3== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a3[m2c36a3== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a4[m2c36a4== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a4[m2c36a4== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a5[m2c36a5== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a5[m2c36a5== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a6[m2c36a6== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a6[m2c36a6== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a7[m2c36a7== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a7[m2c36a7== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a8[m2c36a8== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a8[m2c36a8== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a9[m2c36a9== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a9[m2c36a9== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a10[m2c36a10== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a10[m2c36a10== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a11[m2c36a11== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a11[m2c36a11== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a12[m2c36a12== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a12[m2c36a12== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a13[m2c36a13== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a13[m2c36a13== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a14[m2c36a14== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a14[m2c36a14== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a15[m2c36a15== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a15[m2c36a15= -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a16[m2c36a16== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a16[m2c36a16== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a17[m2c36a17== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a17[m2c36a17== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a18[m2c36a18== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a18[m2c36a18== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 
newdata$m2c36a19[m2c36a19== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2c36a19[m2c36a19== -6 & m2c36 == 2] = 4      #Father has never spent any time in fail 

newdata$m2c37a1[m2c36a7== -6 & m2c1 == 2] = 16        # mother and father are not living togther
newdata$m2c37a1[m2c36a7== -6 & m2c36 == 2] = 17      #Father has never spent any time in fail 
newdata$m2c37a2[m2c36a7== -6 & m2c1 == 2] = 13        # mother and father are not living togther
newdata$m2c37a2[m2c36a7== -6 & m2c36 == 2] = 14      #Father has never spent any time in fail 
newdata$m2c37a3[m2c36a7== -6 & m2c1 == 2] = 53        # mother and father are not living togther
newdata$m2c37a3[m2c36a7== -6 & m2c36 == 2] = 54      #Father has never spent any time in fail 
newdata$m2c37a4[m2c36a7== -6 & m2c1 == 2] = 91        # mother and father are not living togther
newdata$m2c37a4[m2c36a7== -6 & m2c36 == 2] = 92      #Father has never spent any time in fail 

newdata$m2c38[m2c38== -6 & m2c1 == 2] = 1       # mother AND f ATHER ARE NOT LIVING TOGETHER 
newdata$m2c38a[m2c38a== -6 & m2c1 == 2] = 10       # mother AND f ATHER ARE NOT LIVING TOGETHER 
newdata$m2c38a[m2c38a== -6 & m2c38 == 0] = 11       # fATHER  sent zero amount last year 


##### NA CODING #################

newdata$m2c1[newdata$m2c1 == -9] = NA
newdata$m2c1a[newdata$m2c1a %in% c(-6,-9)] = NA
newdata$m2c1b[newdata$m2c1b %in% c(-6,-9)] = NA
newdata$m2c2[newdata$m2c2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c2a[newdata$m2c2a %in% c(-1,-2,-6,-9)] = NA
newdata$m2c2b2[newdata$m2c2b2 %in% c(-2,-6,-9)] = NA
newdata$m2c2e[newdata$m2c2e %in% c(-2,-6,-9)] = NA
newdata$m2c2f[newdata$m2c2f %in% c(-2,-6,-9)] = NA
newdata$m2c2g[newdata$m2c2g %in% c(-6,-9)] = NA
newdata$m2c3a[newdata$m2c3a %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c3b[newdata$m2c3b %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c3c[newdata$m2c3c %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c3d[newdata$m2c3d %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c3e[newdata$m2c3e %in% c(-1,-2,-6,-9)] = NA
newdata$m2c3f[newdata$m2c3f %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c3g[newdata$m2c3g %in% c(-2,-3,-6,-9)] = NA
newdata$m2c3h[newdata$m2c3h %in% c(-1,-2,-6,-9)] = NA
newdata$m2c3i[newdata$m2c3i %in% c(-2,-6,-9)] = NA
newdata$m2c3j[newdata$m2c3j %in% c(-2,-6,-9)] = NA
newdata$m2c4[newdata$m2c4 %in% c(-2,-6,-9)] = NA
newdata$m2c4a[newdata$m2c4a %in% c(-1,-2,-6,-9)] = NA
newdata$m2c5[newdata$m2c5 %in% c(-2,-6,-9)] = NA
newdata$m2c5a[newdata$m2c5a %in% c(-1,-2,-6,-9)] = NA
newdata$m2c5b[newdata$m2c5b %in% c(-1,-2,-6,-9)] = NA
newdata$m2c6a[newdata$m2c6a %in% c(-1,-2,-6,-9)] = NA
newdata$m2c6b[newdata$m2c6b %in% c(-1,-2,-6,-9)] = NA
newdata$m2c6c[newdata$m2c6c %in% c(-1,-2,-6,-9)] = NA
newdata$m2c6d[newdata$m2c6d %in% c(-1,-2,-6,-9)] = NA
newdata$m2c7[newdata$m2c7 %in% c(-6,-9)] = NA
newdata$m2c8a[newdata$m2c8a %in% c(-1,-2,-6,-9)] = NA
newdata$m2c8b[newdata$m2c8b %in% c(-1,-2,-6,-9)] = NA
newdata$m2c8c[newdata$m2c8c %in% c(-1,-2,-6,-9)] = NA
newdata$m2c8d[newdata$m2c8d %in% c(-1,-2,-6,-9)] = NA
newdata$m2c8e[newdata$m2c8e %in% c(-2,-6,-9)] = NA
newdata$m2c9[newdata$m2c9 %in% c(-6,-9)] = NA
newdata$m2c10[newdata$m2c10 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c10a[newdata$m2c10a %in% c(-1,-2,-6,-9)] = NA
newdata$m2c11[newdata$m2c11 %in% c(-6,-9)] = NA
newdata$m2c11a[newdata$m2c11a %in% c(-2,-6,-9)] = NA
newdata$m2c12[newdata$m2c12 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c12p[newdata$m2c12p %in% c(-6,-9)] = NA
newdata$m2c13[newdata$m2c13 %in% c(-6,-9)] = NA
newdata$m2c14[newdata$m2c14 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c15[newdata$m2c15 %in% c(-6,-9)] = NA
newdata$m2c15a[newdata$m2c15a %in% c(-1,-2,-6,-9,-15)] = NA
newdata$m2c15a1[newdata$m2c15a1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c16[newdata$m2c16 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c16a[newdata$m2c16a %in% c(-1,-2,-6,-9)] = NA
newdata$m2c16a1[newdata$m2c16a1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c17[newdata$m2c17 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c18[newdata$m2c18 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c18a[newdata$m2c18a %in% c(-2,-6,-9,-10)] = NA
newdata$m2c19[newdata$m2c19 %in% c(-6,-9)] = NA
newdata$m2c19a[newdata$m2c19a %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c20[newdata$m2c20 %in% c(-1,-2,-6,-9,-10)] = NA
newdata$m2c20a[newdata$m2c20a %in% c(-1,-2,-6,-9,-10)] = NA
newdata$m2c20b[newdata$m2c20b %in% c(-1,-2,-6,-9,-15)] = NA
newdata$m2c20b1[newdata$m2c20b1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c20p[newdata$m2c20p %in% c(-6,-9,-10)] = NA
newdata$m2c21[newdata$m2c21 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c21a[newdata$m2c21a %in% c(-1,-2,-6,-9)] = NA
newdata$m2c21a1[newdata$m2c21a1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c22[newdata$m2c22 %in% c(-6,-9)] = NA
newdata$m2c23a[newdata$m2c23a %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c23b[newdata$m2c23b %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c23c[newdata$m2c23c %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c23d[newdata$m2c23d %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c23e[newdata$m2c23e %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c23f[newdata$m2c23f %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c24[newdata$m2c23a %in% c (-6,-9)] = NA
newdata$m2c24a[newdata$m2c23b %in% c(-1,-6,-9)] = NA
newdata$m2c24b[newdata$m2c23c %in% c(-2,-6,-9)] = NA
newdata$m2c24c[newdata$m2c23d %in% c(-1,-2,-6,-9)] = NA
newdata$m2c25[newdata$m2c25 %in% c(-6,-9)] = NA
newdata$m2c25a1[newdata$m2c25a1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c26[newdata$m2c26 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c27[newdata$m2c27 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c27a[newdata$m2c27a %in% c(-1,-2,-6,-9)] = NA
newdata$m2c27b[newdata$m2c27b %in% c(-2,-6,-9)] = NA
newdata$m2c27c[newdata$m2c27c %in% c(-1,-2,-6,-9)] = NA
newdata$m2c27cp[newdata$m2c27cp %in% c(-6,-9)] = NA
newdata$m2c28[newdata$m2c28 %in% c(-6,-9)] = NA
newdata$m2c29[newdata$m2c29 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2c29a[newdata$m2c29a %in% c(-2,-6,-9)] = NA
newdata$m2c29b[newdata$m2c29b %in% c(-2,-6,-9)] = NA
newdata$m2c30[newdata$m2c30 %in% c(-6,-9)] = NA
newdata$m2c30a[newdata$m2c30a %in% c(-1,-2,-6,-9)] = NA
newdata$m2c31[newdata$m2c31 %in% c(-6,-9)] = NA
newdata$m2c33[newdata$m2c33 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c33b[newdata$m2c33b %in% c(-2,-6,-9)] = NA
newdata$m2c33d2[newdata$m2c33d2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c33e2[newdata$m2c33e2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c34[newdata$m2c34 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c35[newdata$m2c35 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c36[newdata$m2c36 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c36a1[newdata$m2c36a1 %in% c(-3,-6,-9)] = NA
newdata$m2c36a2[newdata$m2c36a2 %in% c(-3,-6,-9)] = NA
newdata$m2c36a3[newdata$m2c36a3 %in% c(-3,-6,-9)] = NA
newdata$m2c36a4[newdata$m2c36a4 %in% c(-3,-6,-9)] = NA
newdata$m2c36a5[newdata$m2c36a5 %in% c(-3,-6,-9)] = NA
newdata$m2c36a6[newdata$m2c36a6 %in% c(-3,-6,-9)] = NA
newdata$m2c36a7[newdata$m2c36a7 %in% c(-3,-6,-9)] = NA
newdata$m2c36a8[newdata$m2c36a8 %in% c(-3,-6,-9)] = NA
newdata$m2c36a9[newdata$m2c36a9 %in% c(-3,-6,-9)] = NA
newdata$m2c36a10[newdata$m2c36a10 %in% c(-3,-6,-9)] = NA
newdata$m2c36a11[newdata$m2c36a11 %in% c(-3,-6,-9)] = NA
newdata$m2c36a12[newdata$m2c36a12 %in% c(-3,-6,-9)] = NA
newdata$m2c36a13[newdata$m2c36a13 %in% c(-3,-6,-9)] = NA
newdata$m2c36a14[newdata$m2c36a14 %in% c(-3,-6,-9)] = NA
newdata$m2c36a15[newdata$m2c36a15 %in% c(-3,-6,-9)] = NA
newdata$m2c36a16[newdata$m2c36a16 %in% c(-3,-6,-9)] = NA
newdata$m2c36a17[newdata$m2c36a17 %in% c(-3,-6,-9)] = NA
newdata$m2c36a18[newdata$m2c36a18 %in% c(-3,-6,-9)] = NA
newdata$m2c36a19[newdata$m2c36a19 %in% c(-3,-6,-9)] = NA
newdata$m2c37a1[newdata$m2c37a1 %in% c(-1,-2,-6,-9,-10)] = NA
newdata$m2c37a2[newdata$m2c37a2 %in% c (-6,-9)] = NA
newdata$m2c37a3[newdata$m2c37a3 %in% c(-6,-9)] = NA
newdata$m2c37a4[newdata$m2c37a4 %in% c(-6,-9)] = NA
newdata$m2c38[newdata$m2c38 %in% c(-1,-2,-6,-9)] = NA
newdata$m2c38a[newdata$m2c38a %in% c(-1,-2,-6,-9)] = NA
newdata$cm2finst[newdata$cm2finst %in% c(-1,-2,-9)] = NA
newdata$cm2stflg[newdata$cm2stflg == -9] = NA

#### Creating factor #########
newdata$m2c1=factor(newdata$m2c1)
newdata$m2c1a=factor(newdata$m2c1a)
newdata$m2c1b=factor(newdata$m2c1b)
newdata$m2c2=factor(newdata$m2c2)
newdata$m2c5=factor(newdata$m2c5)
newdata$m2c5a=factor(newdata$m2c5a)
newdata$m2c6a=factor(newdata$m2c6a)
newdata$m2c6b=factor(newdata$m2c6b)
newdata$m2c6c=factor(newdata$m2c6c)
newdata$m2c6d=factor(newdata$m2c6d)
newdata$m2c7=factor(newdata$m2c7)
newdata$m2c9=factor(newdata$m2c9)
newdata$m2c13=factor(newdata$m2c13)
newdata$m2c15=factor(newdata$m2c15)
newdata$m2c17=factor(newdata$m2c17)
newdata$m2c19=factor(newdata$m2c19)
newdata$m2c20a=factor(newdata$m2c20a)
newdata$m2c20p=factor(newdata$m2c20p)
newdata$m2c23a=factor(newdata$m2c23a)
newdata$m2c23b=factor(newdata$m2c23b)
newdata$m2c23c=factor(newdata$m2c23c)
newdata$m2c23d=factor(newdata$m2c23d)
newdata$m2c23e=factor(newdata$m2c23e)
newdata$m2c23f=factor(newdata$m2c23f)
newdata$m2c30=factor(newdata$m2c30)
newdata$m2c30a=factor(newdata$m2c30a)
newdata$m2c31=factor(newdata$m2c31)
newdata$m2c33b=factor(newdata$m2c33b)

############################# SECTION D #############################


###### Skip Recoding #################
newdata$m2d1[m2d1== -6 & m2c1 == 2] = 3        # mother and father are not living togther
newdata$m2d2[m2d2== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d2[m2d2== -6 & m2d1 == 2] = 4         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d2a[m2d2a== -6 & m2d1 == -6] = 5        # mother and father are not living togther
newdata$m2d2a[m2d2a== -6 & m2d1 == 2] = 6         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d2a[m2d2a== -6 & m2d2 == 2] = 7         # Father does not have any relation with child 

newdata$m2d2b[m2d2b== -6 & m2d1 == -6] = 5        # mother and father are not living togther
newdata$m2d2b[m2d2b== -6 & m2d1 == 2] = 6         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d2b[m2d2b== -6 & m2d2 == 2] = 7         # Father does not have any relation with child 

newdata$m2d2c[m2d2c== -6 & m2d1 == -6] = 5        # mother and father are not living togther
newdata$m2d2c[m2d2c== -6 & m2d1 == 2] = 6         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d2c[m2d2c== -6 & m2d2 == 2] = 7         # Father does not have any relation with child 

newdata$m2d2d[m2d2d== -6 & m2d1 == -6] = 5        # mother and father are not living togther
newdata$m2d2d[m2d2d== -6 & m2d1 == 2] = 6         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d2d[m2d2d== -6 & m2d2 == 2] = 7         # Father does not have any relation with child 

newdata$m2d2e[m2d2e== -6 & m2d1 == -6] = 5        # mother and father are not living togther
newdata$m2d2e[m2d2e== -6 & m2d1 == 2] = 6         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d2e[m2d2e== -6 & m2d2 == 2] = 7         # Father does not have any relation with child 

newdata$m2d2f[m2d2f== -6 & m2d1 == -6] = 5        # mother and father are not living togther
newdata$m2d2f[m2d2f== -6 & m2d1 == 2] = 6         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d2f[m2d2f== -6 & m2d2 == 2] = 7         # Father does not have any relation with child 

newdata$m2d3[m2d3== -6 & m2d1 == -6] = 4        # mother and father are not living togther
newdata$m2d3[m2d3== -6 & m2d1 == 2] = 5         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d3[m2d3== -6 & m2d2 == 2] = 6         # Father does not have any relation with child 


newdata$m2d3a[m2d3a== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d3a[m2d3a== -6 & m2d1 == 2] = 4         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d3a[m2d3a== -6 & m2d2 == 2] = 5         # Father does not have any relation with child 

newdata$m2d3b1[m2d3b1== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d3b1[m2d3b1== -6 & m2d1 == 2] = 4         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d3b1[m2d3b1== -6 & m2d2 == 2] = 5         # Father does not have any relation with child 
newdata$m2d3b1[m2d3b1== -6 & m2d3a == 2] = 6        #Can not trust anyone else to look after (CHILD)

newdata$m2d3b2[m2d3b2== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d3b2[m2d3b2== -6 & m2d1 == 2] = 4         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d3b2[m2d3b2== -6 & m2d2 == 2] = 5         # Father does not have any relation with child 
newdata$m2d3b2[m2d3b2== -6 & m2d3a == 2] = 6        #Can not trust anyone else to look after (CHILD)

newdata$m2d3b3[m2d3b3== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d3b3[m2d3b3== -6 & m2d1 == 2] = 4         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d3b3[m2d3b3== -6 & m2d2 == 2] = 5         # Father does not have any relation with child 
newdata$m2d3b3[m2d3b3== -6 & m2d3a == 2] = 6        #Can not trust anyone else to look after (CHILD)

newdata$m2d3b4[m2d3b4== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d3b4[m2d3b4== -6 & m2d1 == 2] = 4         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d3b4[m2d3b4== -6 & m2d2 == 2] = 5         # Father does not have any relation with child 
newdata$m2d3b4[m2d3b4== -6 & m2d3a == 2] = 6        #Can not trust anyone else to look after (CHILD)

newdata$m2d3b5[m2d3b5== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d3b5[m2d3b5== -6 & m2d1 == 2] = 4         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d3b5[m2d3b5== -6 & m2d2 == 2] = 5         # Father does not have any relation with child 
newdata$m2d3b5[m2d3b5== -6 & m2d3a == 2] = 6        #Can not trust anyone else to look after (CHILD)

newdata$m2d3b6[m2d3b6== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d3b6[m2d3b6== -6 & m2d1 == 2] = 4         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d3b6[m2d3b6== -6 & m2d2 == 2] = 5         # Father does not have any relation with child 
newdata$m2d3b6[m2d3b6== -6 & m2d3a == 2] = 6        #Can not trust anyone else to look after (CHILD)

newdata$m2d3b7[m2d3b7== -6 & m2d1 == -6] = 104        # mother and father are not living togther
newdata$m2d3b7[m2d3b7== -6 & m2d1 == 2] = 105         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d3b7[m2d3b7== -6 & m2d2 == 2] = 106         # Father does not have any relation with child 
newdata$m2d3b7[m2d3b7== -6 & m2d3a == 2] = 107       #Can not trust anyone else to look after (CHILD)

newdata$m2d4[m2d4== -6 & m2d1 == -6] = 6        # mother and father are not living togther
newdata$m2d4[m2d4== -6 & m2d1 == 2] = 7         #Parents were not in any kind of relation at baselien or follow up   

newdata$m2d4a[m2d4a== -6 & m2d1 == -6] = 6        # mother and father are not living togther
newdata$m2d4a[m2d4a== -6 & m2d1 == 2] = 7         #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d4a[m2d4a== -6 & m2d4 == -10] = 8       # Mother never in a relationship with father 

newdata$m2d5[m2d5== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d5[m2d5== -6 & m2d1 == 2] = 4        #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d5[m2d5== -6 & m2d4 == -10] = 5       # Mother never in a relationship with father 

newdata$m2d7[m2d7== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d7[m2d7== -6 & m2d1 == 2] = 4        #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d7[m2d7== -6 & m2d4 == -10] = 5       # Mother never in a relationship with father 
newdata$m2d7[m2d7== -6 & m2d5 == 1] = 6         #

newdata$m2d9a1[m2d9a1== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d9a1[m2d9a1== -6 & m2d1 == 2] = 4        #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d9a1[m2d9a1== -6 & m2d4 == -10] = 5       # Mother never in a relationship with father 


newdata$m2d9a2[m2d9a2== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d9a2[m2d9a2== -6 & m2d1 == 2] = 4        #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d9a2[m2d9a2== -6 & m2d4 == -10] = 5       # Mother never in a relationship with father 

newdata$m2d9a3[m2d9a3== -6 & m2d1 == -6] = 3        # mother and father are not living togther
newdata$m2d9a3[m2d9a3== -6 & m2d1 == 2] = 4        #Parents were not in any kind of relation at baselien or follow up   
newdata$m2d9a3[m2d9a3== -6 & m2d4 == -10] = 5       # Mother never in a relationship with father 




################## NA CODING #####################

newdata$m2d1[newdata$m2d1 %in% c(-6,-9)] = NA
newdata$m2d2[newdata$m2d2 %in% c(-6,-9)] = NA
newdata$m2d2a[newdata$m2d2a %in% c(-1,-2,-6,-9)] = NA
newdata$m2d2b[newdata$m2d2b %in% c(-1,-2,-6,-9)] = NA
newdata$m2d2c[newdata$m2d2c %in% c(-1,-2,-6,-9)] = NA
newdata$m2d2d[newdata$m2d2d %in% c(-1,-2,-6,-9)] = NA
newdata$m2d2e[newdata$m2d2e %in% c(-1,-2,-6,-9)] = NA
newdata$m2d2f[newdata$m2d2f %in% c(-1,-2,-6,-9)] = NA
newdata$m2d3[newdata$m2d3 %in% c(-1,-2,-6,-9)] = NA
newdata$m2d3a[newdata$m2d3a %in% c(-2,-6,-9)] = NA
newdata$m2d3b1[newdata$m2d3b1 %in% c(-2,-6,-9)] = NA
newdata$m2d3b2[newdata$m2d3b2 %in% c(-2,-6,-9)] = NA
newdata$m2d3b3[newdata$m2d3b3 %in% c(-2,-6,-9)] = NA
newdata$m2d3b4[newdata$m2d3b4 %in% c(-2,-6,-9)] = NA
newdata$m2d3b5[newdata$m2d3b5 %in% c(-2,-6,-9)] = NA
newdata$m2d3b6[newdata$m2d3b6 %in% c(-2,-6,-9)] = NA
newdata$m2d3b7[newdata$m2d3b7 %in% c(-2,-6,-9)] = NA
newdata$m2d4[newdata$m2d4 %in% c(-1,-2,-6,-9)] = NA
newdata$m2d4a[newdata$m2d4a %in% c(-1,-2,-6,-9)] = NA
newdata$m2d5[newdata$m2d5 %in% c(-6,-9)] = NA
newdata$m2d7[newdata$m2d7 %in% c(-6,-9)] = NA
newdata$m2d9a1[newdata$m2d9a1 %in% c(-2,-6,-9)] = NA
newdata$m2d9a2[newdata$m2d9a1 %in% c(-2,-6,-9)] = NA
newdata$m2d9a3[newdata$m2d9a1 %in% c(-2,-6,-9)] = NA

##### Creating Factors#####
newdata$m2d2a=factor(newdata$m2d2a)
newdata$m2d2b=factor(newdata$m2d2b)
newdata$m2d2c=factor(newdata$m2d2c)
newdata$m2d2d=factor(newdata$m2d2d)
newdata$m2d2e=factor(newdata$m2d2e)
newdata$m2d2f=factor(newdata$m2d2f)
newdata$m2d3=factor(newdata$m2d3)
newdata$m2d4=factor(newdata$m2d4)
newdata$m2d4a=factor(newdata$m2d4a)
newdata$m2d5=factor(newdata$m2d5)
newdata$m2d7=factor(newdata$m2d7)

############################## SECTON E ############################


################## SKIP Recoding ############################

newdata$m2e2[m2e2== -6 & m2e1 == 1] = 3        # M $ F currently living together 
newdata$m2e2a1[m2e2a1== -6 & m2e1 == 1] = 3    # M $ F currently living together
newdata$m2e2a1[m2e2a1== -6 & m2e2 == 2] = 4    # not currently involved in a romantic relationship with someone other than (FATHER)
newdata$m2e2a2[m2e2a2== -6 & m2e1 == 1] = 3    # M $ F currently living together
newdata$m2e2a2[m2e2a2== -6 & m2e2 == 2] = 4    # not currently involved in a romantic relationship with someone other than (FATHER)
newdata$m2e2b[m2e2b== -6 & m2e1 == 1] = 3      # M $ F currently living together
newdata$m2e2b[m2e2b== -6 & m2e2 == 2] = 4      # not currently involved in a romantic relationship with someone other than (FATHER)
newdata$m2e2b[m2e2b== -6 & m2e2a2 == 1] = 5    # M $ F married 
newdata$m2e2c[m2e2c== -6 & m2e1 == 1] = 3      # M $ F currently living together
newdata$m2e2c[m2e2c== -6 & m2e2 == 2] = 4      # not currently involved in a rom

newdata$m2e3[m2e3== -6 & m2e1 == 1] = 3        # M $ F currently living together
newdata$m2e3[m2e3== -6 & m2e2 == 2] = 4        # not currently involved in a rom
newdata$m2e3[m2e3== -6 & m2e2c == 2] = 5       # Parents live together most of the time

newdata$m2e4a[m2e4a== -6 & m2e1 == 1] = 205    # M $ F currently living together
newdata$m2e4a[m2e4a== -6 & m2e2 == 2] = 206    # not currently involved in a rom
newdata$m2e4a[m2e4a== -6 & m2e2c == 2] = 207   # Parents live together most of the time 
newdata$m2e4a[m2e4a== -6 & m2e3 == 1] = 208    # Child live away form mother

newdata$m2e4b[m2e4b== -6 & m2e1 == 1] = 205    # M $ F currently living together
newdata$m2e4b[m2e4b== -6 & m2e2 == 2] = 206    # not currently involved in a rom
newdata$m2e4b[m2e4b== -6 & m2e2c == 2] = 207   # Parents live together most of the time 
newdata$m2e4b[m2e4b== -6 & m2e3 == 1] = 208    # Child live away form mother

newdata$m2e4c[m2e4c== -6 & m2e1 == 1] = 205    # M $ F currently living together
newdata$m2e4c[m2e4c== -6 & m2e2 == 2] = 206    # not currently involved in a rom
newdata$m2e4c[m2e4c== -6 & m2e2c == 2] = 207   # Parents live together most of the time 
newdata$m2e4c[m2e4c== -6 & m2e3 == 1] = 208    # Child live away form mother

newdata$m2e4d[m2e4d== -6 & m2e1 == 1] = 205    # M $ F currently living together
newdata$m2e4d[m2e4d== -6 & m2e2 == 2] = 206    # not currently involved in a rom
newdata$m2e4d[m2e4d== -6 & m2e2c == 2] = 207   # Parents live together most of the time 
newdata$m2e4d[m2e4d== -6 & m2e3 == 1] = 208    # Child live away form mother

newdata$m2e4e[m2e4e== -6 & m2e1 == 1] = 205    # M $ F currently living together
newdata$m2e4e[m2e4e== -6 & m2e2 == 2] = 206    # not currently involved in a rom
newdata$m2e4e[m2e4e== -6 & m2e2c == 2] = 207   # Parents live together most of the time 
newdata$m2e4e[m2e4e== -6 & m2e3 == 1] = 208    # Child live away form mother

newdata$m2e4f[m2e4f== -6 & m2e1 == 1] = 205    # M $ F currently living together
newdata$m2e4f[m2e4f== -6 & m2e2 == 2] = 206    # not currently involved in a rom
newdata$m2e4f[m2e4f== -6 & m2e2c == 2] = 207   # Parents live together most of the time 
newdata$m2e4f[m2e4f== -6 & m2e3 == 1] = 208    # Child live away form mother

newdata$m2e4g[m2e4g== -6 & m2e1 == 1] = 205    # M $ F currently living together
newdata$m2e4g[m2e4g== -6 & m2e2 == 2] = 206    # not currently involved in a rom
newdata$m2e4g[m2e4g== -6 & m2e2c == 2] = 207   # Parents live together most of the time 
newdata$m2e4g[m2e4g== -6 & m2e3 == 1] = 208    # Child live away form mother

newdata$m2e4h[m2e4h== -6 & m2e1 == 1] = 205    # M $ F currently living together
newdata$m2e4h[m2e4h== -6 & m2e2 == 2] = 206    # not currently involved in a rom
newdata$m2e4h[m2e4h== -6 & m2e2c == 2] = 207   # Parents live together most of the time 
newdata$m2e4h[m2e4h== -6 & m2e3 == 1] = 208    # Child live away form mother

newdata$m2e4i[m2e4i== -6 & m2e1 == 1] = 205    # M $ F currently living together
newdata$m2e4i[m2e4i== -6 & m2e2 == 2] = 206    # not currently involved in a rom
newdata$m2e4i[m2e4i== -6 & m2e2c == 2] = 207   # Parents live together most of the time 
newdata$m2e4i[m2e4i== -6 & m2e3 == 1] = 208    # Child live away form mother

newdata$m2e4j[m2e4j== -6 & m2e1 == 1] = 205    # M $ F currently living together
newdata$m2e4j[m2e4j== -6 & m2e2 == 2] = 206    # not currently involved in a rom
newdata$m2e4j[m2e4j== -6 & m2e2c == 2] = 207   # Parents live together most of the time 
newdata$m2e4j[m2e4j== -6 & m2e3 == 1] = 208    # Child live away form mother

newdata$m2e5[m2e5== -6 & m2e1 == 1] = 3    # M $ F currently living together
newdata$m2e5[m2e5== -6 & m2e2 == 2] = 4    # not currently involved in a rom
newdata$m2e5[m2e5== -6 & m2e2c == 2] = 5   # Parents live together most of the time 
newdata$m2e5[m2e5== -6 & m2e3 == 1] = 6    # Child live away form mother

newdata$m2e5a[m2e5a== -6 & m2e1 == 1] = 5    # M $ F currently living together
newdata$m2e5a[m2e5a== -6 & m2e2 == 2] = 6    # not currently involved in a rom
newdata$m2e5a[m2e5a== -6 & m2e2c == 2] = 7   # Parents live together most of the time 
newdata$m2e5a[m2e5a== -6 & m2e3 == 1] = 8    # Child live away form mother

newdata$m2e6a[m2e6a== -6 & m2e1 == 1] = 5    # M $ F currently living together
newdata$m2e6a[m2e6a== -6 & m2e2 == 2] = 6    # not currently involved in a rom
newdata$m2e6a[m2e6a== -6 & m2e2c == 2] = 7   # Parents live together most of the time 
newdata$m2e6a[m2e6a== -6 & m2e3 == 1] = 8    # Child live away form mother

newdata$m2e6b[m2e6b== -6 & m2e1 == 1] = 5    # M $ F currently living together
newdata$m2e6b[m2e6b== -6 & m2e2 == 2] = 6    # not currently involved in a rom
newdata$m2e6b[m2e6b== -6 & m2e2c == 2] = 7   # Parents live together most of the time 
newdata$m2e6b[m2e6b== -6 & m2e3 == 1] = 8    # Child live away form mother

newdata$m2e6c[m2e6c== -6 & m2e1 == 1] = 5    # M $ F currently living together
newdata$m2e6c[m2e6c== -6 & m2e2 == 2] = 6    # not currently involved in a rom
newdata$m2e6c[m2e6c== -6 & m2e2c == 2] = 7   # Parents live together most of the time 
newdata$m2e6c[m2e6c== -6 & m2e3 == 1] = 8    # Child live away form mother

newdata$m2e6d[m2e6d== -6 & m2e1 == 1] = 5    # M $ F currently living together
newdata$m2e6d[m2e6d== -6 & m2e2 == 2] = 6    # not currently involved in a rom
newdata$m2e6d[m2e6d== -6 & m2e2c == 2] = 7   # Parents live together most of the time 
newdata$m2e6d[m2e6d== -6 & m2e3 == 1] = 8    # Child live away form mother



newdata$m2e7a[m2e7a== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e7a[m2e7a== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e7a[m2e7a== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e7a[m2e7a== -6 & m2e3 == 1] = 7   # Child live away form mother



newdata$m2e7b[m2e7b== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e7b[m2e7b== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e7b[m2e7b== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e7b[m2e7b== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8a[m2e8a== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8a[m2e8a== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8a[m2e8a== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8a[m2e8a== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8b[m2e8b== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8b[m2e8b== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8b[m2e8b== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8b[m2e8b== -6 & m2e3 == 1] = 7   # Child live away form mother

newdata$m2e8c[m2e8c== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8c[m2e8c== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8c[m2e8c== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8c[m2e8c== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8d[m2e8d== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8d[m2e8d== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8d[m2e8d== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8d[m2e8d== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8e[m2e8e== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8e[m2e8e== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8e[m2e8e== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8e[m2e8e== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8f[m2e8f== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8f[m2e8f== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8f[m2e8f== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8f[m2e8f== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8g[m2e8g== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8g[m2e8g== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8g[m2e8g== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8g[m2e8g== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8h[m2e8h== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8h[m2e8h== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8h[m2e8h== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8h[m2e8h== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8i[m2e8i== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8i[m2e8i== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8i[m2e8i= -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8i[m2e8i== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8j[m2e8j== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8j[m2e8j== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8j[m2e8j== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8j[m2e8j== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8k[m2e8k== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8k[m2e8k= -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8k[m2e8k== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8k[m2e8k== -6 & m2e3 == 1] = 7   # Child live away form mother


newdata$m2e8l[m2e8l== -6 & m2e1 == 1] = 4    # M $ F currently living together
newdata$m2e8l[m2e8l== -6 & m2e2 == 2] = 5    # not currently involved in a rom
newdata$m2e8l[m2e8l== -6 & m2e2c == 2] = 6   # Parents live together most of the time 
newdata$m2e8l[m2e8l== -6 & m2e3 == 1] = 7   # Child live away form mother8

newdata$m2e9a1[m2e9a1== -6 & m2e1 == 1] = 3    # M $ F currently living together
newdata$m2e9a1[m2e9a1== -6 & m2e2 == 2] = 4    # not currently involved in a rom
newdata$m2e9a1[m2e9a1== -6 & m2e2c == 2] = 5   # Parents live together most of the time 
newdata$m2e9a1[m2e9a1== -6 & m2e3 == 1] = 6   # Child live away form mother

newdata$m2e9a2[m2e9a2== -6 & m2e1 == 1] = 3    # M $ F currently living together
newdata$m2e9a2[m2e9a2== -6 & m2e2 == 2] = 4    # not currently involved in a rom
newdata$m2e9a2[m2e9a2== -6 & m2e2c == 2] = 5   # Parents live together most of the time 
newdata$m2e9a2[m2e9a2== -6 & m2e3 == 1] = 6   # Child live away form mother


newdata$m2e9a3[m2e9a3== -6 & m2e1 == 1] = 3    # M $ F currently living together
newdata$m2e9a3[m2e9a3== -6 & m2e2 == 2] = 4    # not currently involved in a rom
newdata$m2e9a3[m2e9a3== -6 & m2e2c == 2] = 5   # Parents live together most of the time 
newdata$m2e9a3[m2e9a3== -6 & m2e3 == 1] = 6   # Child live away form mother

newdata$m2e10[m2e10== -6 & m2e1 == 1] = 3    # M $ F currently living together
newdata$m2e10[m2e10== -6 & m2e2 == 2] = 4    # not currently involved in a rom
newdata$m2e10[m2e10== -6 & m2e2c == 2] = 5   # Parents live together most of the time 
newdata$m2e10[m2e10== -6 & m2e3 == 1] = 6   # Child live away form mother


#################### NA CODING #######################################
newdata$m2e1[newdata$m2e1 == -9] = NA
newdata$m2e2[newdata$m2e2 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2e2a1[newdata$m2e2a1 %in% c(-6,-9)] = NA
newdata$m2e2a2[newdata$m2e2a2 %in% c(-6,-9)] = NA
newdata$m2e2b[newdata$m2e2b %in% c(-6,-9)] = NA
newdata$m2e2c[newdata$m2e2c %in% c(-6,-9)] = NA
newdata$m2e3[newdata$m2e3 %in% c(-6,-9)] = NA
newdata$m2e4a[newdata$m2e4a %in% c(-2,-6,-9)] = NA
newdata$m2e4b[newdata$m2e4b %in% c(-2,-6,-9)] = NA
newdata$m2e4c[newdata$m2e4c %in% c(-2,-6,-9)] = NA
newdata$m2e4d[newdata$m2e4d %in% c(-6,-9)] = NA
newdata$m2e4e[newdata$m2e4e %in% c(-6,-9)] = NA
newdata$m2e4f[newdata$m2e4f %in% c(-6,-9)] = NA
newdata$m2e4g[newdata$m2e4g %in% c(-6,-9)] = NA
newdata$m2e4h[newdata$m2e4h %in% c(-6,-9)] = NA
newdata$m2e4i[newdata$m2e4i %in% c(-6,-9)] = NA
newdata$m2e4j[newdata$m2e4j %in% c(-2,-6,-9)] = NA
newdata$m2e5[newdata$m2e5 %in% c(-6,-9)] = NA
newdata$m2e5a[newdata$m2e5a %in% c(-6,-9)] = NA
newdata$m2e6a[newdata$m2e6a %in% c(-3,-6,-9)] = NA
newdata$m2e6b[newdata$m2e6b %in% c(-6,-9)] = NA
newdata$m2e6c[newdata$m2e6c %in% c(-6,-9)] = NA
newdata$m2e6d[newdata$m2e6d %in% c(-6,-9)] = NA
newdata$m2e7a[newdata$m2e7a %in% c(-2,-6,-9)] = NA
newdata$m2e7b[newdata$m2e7b %in% c(-6,-9)] = NA
newdata$m2e8a[newdata$m2e8a %in% c(-6,-9)] = NA
newdata$m2e8b[newdata$m2e8b %in% c(-6,-9)] = NA
newdata$m2e8c[newdata$m2e8c %in% c(-6,-9)] = NA
newdata$m2e8d[newdata$m2e8d %in% c(-6,-9)] = NA
newdata$m2e8e[newdata$m2e8e %in% c(-6,-9)] = NA
newdata$m2e8f[newdata$m2e8f %in% c(-6,-9)] = NA
newdata$m2e8g[newdata$m2e8g %in% c(-6,-9)] = NA
newdata$m2e8h[newdata$m2e8h %in% c(-6,-9)] = NA
newdata$m2e8i[newdata$m2e8i %in% c(-1,-6,-9)] = NA
newdata$m2e8j[newdata$m2e8j %in% c(-6,-9)] = NA
newdata$m2e8k[newdata$m2e8k %in% c(-6,-9)] = NA
newdata$m2e8l[newdata$m2e8l %in% c(-6,-9)] = NA
newdata$m2e9a1[newdata$m2e9a1 %in% c(-6,-9)] = NA
newdata$m2e9a2[newdata$m2e9a2 %in% c(-6,-9)] = NA
newdata$m2e9a3[newdata$m2e9a3 %in% c(-6,-9)] = NA
newdata$m2e10[newdata$m2e10 %in% c(-2,-6,-9)] = NA
newdata$cm2marp[newdata$cm2marp == -9] = NA
newdata$cm2cohp[newdata$cm2cohp %in% c(-3,-9)] = NA

############### CREATING FACTORS ####

newdata$m2e1=factor(newdata$m2e1)
newdata$m2e5a=factor(newdata$m2e5a)
newdata$m2e6a=factor(newdata$m2e6a)
newdata$m2e6b=factor(newdata$m2e6b)
newdata$m2e6c=factor(newdata$m2e6c)
newdata$m2e6d=factor(newdata$m2e6d)
newdata$m2e7a=factor(newdata$m2e7a)
newdata$m2e7b=factor(newdata$m2e7b)
newdata$m2e7c=factor(newdata$m2e7c)
newdata$m2e7d=factor(newdata$m2e7d)
newdata$m2e7e=factor(newdata$m2e7e)
newdata$m2e7f=factor(newdata$m2e7f)
newdata$m2e7g=factor(newdata$m2e7g)

newdata$m2e8a=factor(newdata$m2e8a)
newdata$m2e8b=factor(newdata$m2e8b)
newdata$m2e8c=factor(newdata$m2e8c)
newdata$m2e8d=factor(newdata$m2e8d)
newdata$m2e8e=factor(newdata$m2e8e)
newdata$m2e8f=factor(newdata$m2e8f)
newdata$m2e8g=factor(newdata$m2e8g)
newdata$m2e8h=factor(newdata$m2e8h)
newdata$m2e8i=factor(newdata$m2e8i)
newdata$m2e8j=factor(newdata$m2e8j)
newdata$m2e8k=factor(newdata$m2e8k)
newdata$m2e8l=factor(newdata$m2e8l)

######################### SECTION F ##########################



#################### SKIP RECODING####

newdata$m2f2b1[m2f2b1 == -6 & m2f1 == 0] = 3     # Responder live alone 
newdata$m2f2b2[m2f2b2 == -6 & m2f1 == 0] = 3     # Responder live alone
newdata$m2f2b3[m2f2b3 == -6 & m2f1 == 0] = 3     # Responder live alone
newdata$m2f2b4[m2f2b4 == -6 & m2f1 == 0] = 3     # Responder live alone
newdata$m2f2b5[m2f2b5 == -6 & m2f1 == 0] = 3     # Responder live alone
newdata$m2f2b6[m2f2b6 == -6 & m2f1 == 0] = 3     # Responder live alone
newdata$m2f2b7[m2f2b7 == -6 & m2f1 == 0] = 3     # Responder live alone
newdata$m2f2b8[m2f2b8 == -6 & m2f1 == 0] = 3     # Responder live alone
newdata$m2f2b9[m2f2b9 == -6 & m2f1 == 0] = 3     # Responder live alone
newdata$m2f2b10[m2f2b10 == -6 & m2f1 == 0] = 3     # Responder live alone
newdata$m2f2c1[m2f2c1 == -6 & m2f1 == 0] = 0     # Responder live alone 
newdata$m2f2c2[m2f2c2 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2c3[m2f2c3 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2c4[m2f2c4 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2c5[m2f2c5 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2c6[m2f2c6 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2c7[m2f2c7 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2c8[m2f2c8 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2c9[m2f2c9 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2c10[m2f2c10 == -6 & m2f1 == 0] = 0    # Responder live alone

newdata$m2f2d1[m2f2d1 == -6 & m2f1 == 0] = 0     # Responder live alone 
newdata$m2f2d2[m2f2d2 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2d3[m2f2d3 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2d4[m2f2d4 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2d5[m2f2d5 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2d6[m2f2d6 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2d7[m2f2d7 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2d8[m2f2d8 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2d9[m2f2d9 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2d10[m2f2d10 == -6 & m2f1 == 0] = 0     # Responder live alone

newdata$m2f2e1[m2f2e1 == -6 & m2f1 == 0] = 0     # Responder live alone 
newdata$m2f2e2[m2f2e2 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2e3[m2f2e3 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2e4[m2f2e4 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2e5[m2f2e5 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2e6[m2f2e6 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2e7[m2f2e7 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2e8[m2f2e8 == -6 & m2f1 == 0] = 0     # Responder live alone
newdata$m2f2e10[m2f2e10 == -6 & m2f1 == 0] = 0     # Responder live alone

newdata$m2f3[m2f3 == -6 & m2f1 == 0] = 0          # Responder live alone 
newdata$m2f4[m2f4 == -6 & m2f1 == 0] = 3          # Responder live alone 
newdata$m2f4[m2f4 == -6 & m2f3 == 1] = 4          # child is mothers only biological child  

newdata$m2f4a[m2f4a == -6 & m2f1 == 0] = 11        # Responder live alone 
newdata$m2f4a[m2f4a == -6 & m2f3 == 1] = 12        # child is mothers only biological child
newdata$m2f4a[m2f4a == -6 & m2f4 == 2] = 13        # Do not have any other biological children who are not living with mother now


newdata$m2f4b1[m2f4b1 == -6 & m2f1 == 0] = 28        # Responder live alone 
newdata$m2f4b1[m2f4b1 == -6 & m2f3 == 1] = 29        # child is mothers only biological child
newdata$m2f4b1[m2f4b1 == -6 & m2f4 == 2] = 30        # Do not have any other biological children w

newdata$m2f4b2[m2f4b2 == -6 & m2f1 == 0] = 29        # Responder live alone 
newdata$m2f4b2[m2f4b2 == -6 & m2f3 == 1] = 30        # child is mothers only biological child
newdata$m2f4b2[m2f4b2 == -6 & m2f4 == 2] = 31        # Do not have any other biological children w

newdata$m2f4b3[m2f4b3 == -6 & m2f1 == 0] = 20        # Responder live alone 
newdata$m2f4b3[m2f4b3 == -6 & m2f3 == 1] = 21        # child is mothers only biological child
newdata$m2f4b3[m2f4b3 == -6 & m2f4 == 2] = 22        # Do not have any other biological children w

newdata$m2f4b4[m2f4b4 == -6 & m2f1 == 0] = 19        # Responder live alone 
newdata$m2f4b4[m2f4b4 == -6 & m2f3 == 1] = 20        # child is mothers only biological child
newdata$m2f4b4[m2f4b4 == -6 & m2f4 == 2] = 21        # Do not have any other biological children w


newdata$m2f4b5[m2f4b5 == -6 & m2f1 == 0] = 13        # Responder live alone 
newdata$m2f4b5[m2f4b5 == -6 & m2f3 == 1] = 14        # child is mothers only biological child
newdata$m2f4b5[m2f4b5 == -6 & m2f4 == 2] = 15        # Do not have any other biological children w

newdata$m2f4b6[m2f4b6 == -6 & m2f1 == 0] = 8        # Responder live alone 
newdata$m2f4b6[m2f4b6 == -6 & m2f3 == 1] = 9        # child is mothers only biological child
newdata$m2f4b6[m2f4b6 == -6 & m2f4 == 2] = 10        # Do not have any other biological children w

newdata$m2f4b7[m2f4b7 == -6 & m2f1 == 0] = 7        # Responder live alone 
newdata$m2f4b7[m2f4b7 == -6 & m2f3 == 1] = 8        # child is mothers only biological child
newdata$m2f4b7[m2f4b7 == -6 & m2f4 == 2] = 9        # Do not have any other biological children w

newdata$m2f4b8[m2f4b8 == -6 & m2f1 == 0] = 4        # Responder live alone 
newdata$m2f4b8[m2f4b8 == -6 & m2f3 == 1] = 5        # child is mothers only biological child
newdata$m2f4b8[m2f4b8 == -6 & m2f4 == 2] = 6        # Do not have any other biological children w

newdata$m2f4b9[m2f4b9 == -6 & m2f1 == 0] = 2        # Responder live alone 
newdata$m2f4b9[m2f4b9 == -6 & m2f3 == 1] = 3        # child is mothers only biological child
newdata$m2f4b9[m2f4b9 == -6 & m2f4 == 2] = 4        # Do not have any other biological children w

newdata$m2f4b10[m2f4b10 == -6 & m2f1 == 0] = 2       # Responder live alone 
newdata$m2f4b10[m2f4b10 == -6 & m2f3 == 1] = 3        # child is mothers only biological child
newdata$m2f4b10[m2f4b10 == -6 & m2f4 == 2] = 4        # Do not have any other biological children w

newdata$m2f5[m2f5 == -6 & m2f1 == 0] = 3      # Responder live alone
newdata$m2f5a[m2f5a == -6 & m2f1 == 0] = 4       # Responder live alone
newdata$m2f5a[m2f5a == -6 & m2f5 == 2] = 5       # Responder live alone
newdata$m2f6[m2f6 == -6 & m2f5 == 2] = 5       # Responder live alone



################## NA CODING ###################

newdata$m2f1[newdata$m2f1 %in% c(-1,-2,-9,-10)] = NA
newdata$m2f2b1[newdata$m2f2b1 %in% c(-6,-9)] = NA
newdata$m2f2b2[newdata$m2f2b2 %in% c(-2,-6,-9)] = NA
newdata$m2f2b3[newdata$m2f2b3 %in% c(-2,-6,-9)] = NA
newdata$m2f2b4[newdata$m2f2b4 %in% c(-2,-6,-9)] = NA
newdata$m2f2b5[newdata$m2f2b5 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f2b6[newdata$m2f2b6 %in% c(-6,-9)] = NA
newdata$m2f2b7[newdata$m2f2b7 %in% c(-2,-6,-9)] = NA
newdata$m2f2b8[newdata$m2f2b8 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f2b9[newdata$m2f2b9 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f2b10[newdata$m2f2b10 %in% c(-1,-6,-9)] = NA

newdata$m2f2c1[newdata$m2f2c1 %in% c(-3,-6,-9,-11,-12,-13,-15,-16)] = NA
newdata$m2f2c2[newdata$m2f2c2 %in% c(-2,-3,-6,-9,-11,-13,-15)] = NA
newdata$m2f2c3[newdata$m2f2c3 %in% c(-2,-3,-6,-9,-11,-13,-15)] = NA
newdata$m2f2c4[newdata$m2f2c4 %in% c(-3,-6,-9,-13)] = NA
newdata$m2f2c5[newdata$m2f2c5 %in% c(-2,-3,-6,-9)] = NA
newdata$m2f2c6[newdata$m2f2c6 %in% c(-2,-3,-6,-9)] = NA
newdata$m2f2c7[newdata$m2f2c7 %in% c(-2,-3,-6,-9)] = NA
newdata$m2f2c8[newdata$m2f2c8 %in% c(-2,-6,-9)] = NA
newdata$m2f2c9[newdata$m2f2c9 %in% c(-2,-6,-9)] = NA
newdata$m2f2c10[newdata$m2f2c10 %in% c(-2,-6,-9)] = NA

newdata$m2f2d1[newdata$m2f2d1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f2d2[newdata$m2f2d2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f2d3[newdata$m2f2d3 %in% c(-2,-6,-9)] = NA
newdata$m2f2d4[newdata$m2f2d4 %in% c(-2,-6,-9)] = NA
newdata$m2f2d5[newdata$m2f2d5 %in% c(-2,-6,-9)] = NA
newdata$m2f2d6[newdata$m2f2d6 %in% c(-6,-9)] = NA
newdata$m2f2d7[newdata$m2f2d7 %in% c(-2,-6,-9)] = NA
newdata$m2f2d8[newdata$m2f2d8 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f2d9[newdata$m2f2d9 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f2d10[newdata$m2f2d10 %in% c(-1,-2,-6,-9)] = NA

newdata$m2f2e1[newdata$m2f2e1 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2f2e2[newdata$m2f2e2 %in% c(-2,-3,-6,-9)] = NA
newdata$m2f2e3[newdata$m2f2e3 %in% c(-2,-3,-6,-9)] = NA
newdata$m2f2e4[newdata$m2f2e4 %in% c(-3,-6,-9)] = NA
newdata$m2f2e5[newdata$m2f2e5 %in% c(-2,-3,-6,-9)] = NA
newdata$m2f2e6[newdata$m2f2e6 %in% c(-3,-6,-9)] = NA
newdata$m2f2e7[newdata$m2f2e7 %in% c(-3,-6,-9)] = NA
newdata$m2f2e8[newdata$m2f2e8 %in% c(-6,-9)] = NA
newdata$m2f2e10[newdata$m2f2e10 %in% c(-6,-9)] = NA

newdata$m2f3[newdata$m2f3 %in% c(-6,-9)] = NA
newdata$m2f4[newdata$m2f4 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f4a[newdata$m2f4a %in% c(-2,-6,-9)] = NA

newdata$m2f4b1[newdata$m2f4b1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f4b2[newdata$m2f4b2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f4b3[newdata$m2f4b3 %in% c(-6,-9)] = NA
newdata$m2f4b4[newdata$m2f4b4 %in% c(-6,-9)] = NA
newdata$m2f4b5[newdata$m2f4b5 %in% c(-6,-9)] = NA
newdata$m2f4b6[newdata$m2f4b6 %in% c(-6,-9)] = NA
newdata$m2f4b7[newdata$m2f4b7 %in% c(-6,-9)] = NA
newdata$m2f4b8[newdata$m2f4b8 %in% c(-6,-9)] = NA
newdata$m2f4b9[newdata$m2f4b9 %in% c(-6,-9)] = NA
newdata$m2f4b10[newdata$m2f4b10 %in% c(-6,-9)] = NA
newdata$m2f5[newdata$m2f5 %in% c(-1,-2,-6,-9)] = NA
newdata$m2f5a[newdata$m2f5a %in% c(-1,-2,-6,-9)] = NA
newdata$m2f6[newdata$m2f6 %in% c(-1,-2,-6,-9)] = NA
newdata$cm2adult[newdata$cm2adult %in% c(-3,-7,-9)] = NA
newdata$cm2kids[newdata$cm2kids %in% c(-3,-7,-9)] = NA
newdata$cm2gdad[newdata$cm2gdad %in% c(-3,-9)] = NA
newdata$cm2gmom[newdata$cm2gmom %in% c(-3,-9)] = NA
newdata$cm2biok[newdata$cm2biok %in% c(-3,-9)] = NA
newdata$cm2fbir[newdata$cm2fbir %in% c(-3,-8,-9)] = NA

######### CREATING FACTOR#####

newdata$m2f5a=factor(newdata$m2f5a)
newdata$m2f6=factor(newdata$m2f6)

##################### SECTION G ###########################

################ Skip Recoding#############


newdata$m2g1d[m2g1d == -6 & m2g1c == 1] = 3     # Both parents were born in US 
newdata$m2g2c1[m2g2c1 == -6 & m2g2 != 3] = 13   # Mothers's education grade higher than HS
newdata$m2g3c1[m2g3c1 == -6 & m2g3 != 3] = 13   # Father educatiom's grade higher than HS
newdata$m2g5a1[m2g5a1 == -6 & m2g5 ==2] = 3     # No finalcial help other than father
newdata$m2g5a2[m2g5a2 == -6 & m2g5 ==2] = 3     # No finalcial help other than father
newdata$m2g5a3[m2g5a3 == -6 & m2g5 ==2] = 3     # No finalcial help other than father
newdata$m2g5a4[m2g5a4 == -6 & m2g5 ==2] = 3     # No finalcial help other than father
newdata$m2g5a5[m2g5a5 == -6 & m2g5 ==2] = 3     # No finalcial help other than father
newdata$m2g5a6[m2g5a6 == -6 & m2g5 ==2] = 3     # No finalcial help other than father
newdata$m2g5a7[m2g5a7 == -6 & m2g5 ==2] = 3     # No finalcial help other than father
newdata$m2g5a8[m2g5a8 == -6 & m2g5 ==2] = 3     # No finalcial help other than father
newdata$m2g5b[m2g5b == -6 & m2g5 ==2] = 0     # No finalcial help other than father
newdata$m2g5b_a1[m2g5b_a1 == -6 & m2g5 ==2] = 0     # No finalcial help other than father
newdata$m2g5c[m2g5c == -6 & m2g5 ==2] = 0      # No finalcial help other than father
newdata$m2g5c[m2g5c == -6 & m2g5b == 0] =  9       # No finalcial help given since child was born  
newdata$m2g6a1[m2g6a1 == -6 & m2g6a == 2] = 3      # Can not count on someone to loan $ 200
newdata$m2g6d1[m2g6d1 == -6 & m2g6d == 2] = 3      # Can not count on someone to co-asign for a loan of $ 1000
newdata$m2g7a[m2g7a == -6 & m2g7 != 3] = 3         # father was very/somewhat involved
newdata$m2g8[m2g8 == -6 & m2g7 == 1] = 3         # father was very involved 
newdata$m2g8a[m2g8a == -6 & m2g8 == 2] = 3         #No other man like a father when growing up 
newdata$m2g8a[m2g8a == -6 & m2g7 == 1] = 4         # father was very involved 
newdata$m2g11[m2g11 == -6 & m2g10d == 1] = 4       # respondent parents both were decreased/ unknown 
newdata$m2g13[m2g13 == -6 & m2g12a == 1] = 6       #respondent parents both were decreased
newdata$m2g14[m2g14 == -6 & m2g13a == 1] = 6       # father both parents decreased


################# NA CODING #############################

newdata$m2g1a[newdata$m2g1a %in% c(-1,-2,-9)] = NA
newdata$m2g1b[newdata$m2g1b %in% c(-1,-2,-9)] = NA
newdata$m2g1c[newdata$m2g1c == -9] = NA
newdata$m2g1d[newdata$m2g1d %in% c(-1,-2,-6,-9)] = NA
newdata$m2g2[newdata$m2g2 %in% c(-1,-2,-9)] = NA
newdata$m2g2c1[newdata$m2g2c1 %in% c(-2,-6,-9)] = NA
newdata$m2g3[newdata$m2g3 %in% c(-1,-2,-9)] = NA
newdata$m2g3c1[newdata$m2g3c1 %in% c(-2,-6,-9)] = NA
newdata$m2g4a[newdata$m2g4a %in% c(-1,-2,-9)] = NA
newdata$m2g4b[newdata$m2g4b %in% c(-1,-2,-9)] = NA
newdata$m2g4c[newdata$m2g4c %in% c(-1,-2,-9)] = NA
newdata$m2g5[newdata$m2g5 %in% c(-1,-2,-9)] = NA
newdata$m2g5a1[newdata$m2g5a1 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2g5a2[newdata$m2g5a2 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2g5a3[newdata$m2g5a3 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2g5a4[newdata$m2g5a4 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2g5a5[newdata$m2g5a5 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2g5a6[newdata$m2g5a6 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2g5a7[newdata$m2g5a7 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2g5a8[newdata$m2g5a8 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2g5b[newdata$m2g5b %in% c(-1,-2,-9)] = NA
newdata$m2g5b_a1[newdata$m2g5b_a1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2g5c[newdata$m2g5c %in% c(-1,-2,-6,-9)] = NA
newdata$m2g6a[newdata$m2g6a %in% c(-1,-2,-9)] = NA
newdata$m2g6a1[newdata$m2g6a1 %in% c(-2,-6,-9)] = NA
newdata$m2g6b[newdata$m2g6b %in% c(-1,-2,-9)] = NA
newdata$m2g6c[newdata$m2g6c %in% c(-1,-2,-9)] = NA
newdata$m2g6d[newdata$m2g6d %in% c(-1,-2,-9)] = NA
newdata$m2g6d1[newdata$m2g6d1 %in% c(-2,-6,-9)] = NA
newdata$m2g7[newdata$m2g7 %in% c(-1,-2,-9)] = NA
newdata$m2g7a[newdata$m2g7a %in% c(-1,-2,-6,-9)] = NA
newdata$m2g8[newdata$m2g8 %in% c(-1,-2,-6,-9)] = NA
newdata$m2g8a[newdata$m2g8a %in% c(-1,-2,-6,-9)] = NA
newdata$m2g9a[newdata$m2g9a ==-9] = NA
newdata$m2g9b[newdata$m2g9b %in% c(-6,-9)] = NA
newdata$m2g10a[newdata$m2g10a %in% c(-1,-2,-6,-9,-10)] = NA
newdata$m2g10b[newdata$m2g10b %in% c(-1,-2,-3,-6,-9,-10)] = NA
newdata$m2g10c[newdata$m2g10c %in% c(-1,-2,-9,-10)] = NA
newdata$m2g10d[newdata$m2g10d == -9 ] = NA
newdata$m2g11[newdata$m2g11 %in% c(-1,-2,-3,-6,-9,-11,-14) ] = NA
newdata$m2g12[newdata$m2g12 %in% c(-1,-2,-9,-10,-11,-14) ] = NA
newdata$m2g12a[newdata$m2g12a == -9 ] = NA
newdata$m2g13[newdata$m2g13 %in% c(-1,-2,-3,-6,-9) ] = NA
newdata$m2g13a[newdata$m2g13a == -9] = NA
newdata$m2g14[newdata$m2g14 %in% c(-1,-2,-6,-9) ] = NA

################## CREATING FACTOR #################
newdata$m2g2=factor(newdata$m2g2)
newdata$m2g3=factor(newdata$m2g3)
newdata$m2g4a=factor(newdata$m2g4a)
newdata$m2g4b=factor(newdata$m2g4b)
newdata$m2g4c=factor(newdata$m2g4c)
newdata$m2g5c=factor(newdata$m2g5c)
newdata$m2g7=factor(newdata$m2g7)
newdata$m2g10a=factor(newdata$m2g10a)
newdata$m2g10b=factor(newdata$m2g10b)
newdata$m2g10c=factor(newdata$m2g10c)
newdata$m2g11=factor(newdata$m2g11)
newdata$m2g12=factor(newdata$m2g12)
newdata$m2g13=factor(newdata$m2g13)
newdata$m2g14=factor(newdata$m2g14)

########################## SECTION H ############################

############# SKIP RECODING#####################################

newdata$m2h1a[m2h1a == -6 & m2h1 == 2] = 11      # did not move since child was born
newdata$m2h3[m2h3 == -6 & m2h2 !=4 & m2h2!= 5] = 0 # dont own a house/live ina condo own by other family
newdata$m2h3a[m2h3a == -6 & m2h2 !=4 & m2h2!= 5] = 0 # dont own a house/live ina condo own by other family
newdata$m2h3b[m2h3b == -6 & m2h2 !=4 & m2h2!= 5] = 0 # dont own a house/live ina condo own by other family
newdata$m2h3c[m2h3c == -6 & m2h2 !=4 & m2h2!= 5] = 0 # dont own a house/live ina condo own by other family
newdata$m2h4[m2h4 == -6 & m2h2 !=1 & m2h2!= 2] = 0 # dont rent a house/pay rent 
newdata$m2h5[m2h5 == -6 & m2h2 !=1 & m2h2!= 2 & m2h2 !=3 & m2h2 !=5]= 0    # own a house/ live in a shelter/housing project/homeless/jail/facilty
newdata$m2h6[m2h6 == -6 & m2h2 !=1 & m2h2!= 2 & m2h2 !=3 & m2h2 !=5]= 0    # own a house/ live in a shelter/housing project/homeless/jail/facilty
newdata$m2h7[m2h7 == -6 & m2h2 !=1 & m2h2!= 2 & m2h2 !=5]= 0               # do not live in a rental property/pay rent
newdata$m2h9b1[m2h9b1 == -6 & m2h2!= 2 ]= 13              # did not recieve other fiancial help
newdata$m2h9b2[m2h9b2 == -6 & m2h2!= 2 ]= 13              # did not recieve other fiancial help`
newdata$m2h9b3[m2h9b3 == -6 & m2h2!= 2 ]= 13              # did not recieve other fiancial help

newdata$m2h9c1[m2h9c1 == -6 & m2h2!= 2 ]= 13             # did not recieve other fiancial help
newdata$m2h9c2[m2h9c2 == -6 & m2h2!= 2 ]= 13             # did not recieve other fiancial help`
newdata$m2h9c3[m2h9c3 == -6 & m2h2!= 2 ]= 13             # did not recieve other fiancial help

newdata$m2h10b[m2h10b == -6 & m2h10a == 2 ]= 13           # mother did not take Walfare in last 12 months
newdata$m2h10c1[m2h10c1 == -6 & m2h10a ==2 ]= 13         # mother did not take Walfare in last 12 months
newdata$m2h10c1[m2h10c1 == -6 & m2h10b ==2 ]= 14         # not recieving walfare now
newdata$m2h10c2[m2h10c2 == -6 & m2h10a ==2 ]= 13         # mother did not take Walfare in last 12 months
newdata$m2h10c2[m2h10c2 == -6 & m2h10b == 2 ]= 14         # not recieving walfare now

newdata$m2h11[m2h11 == -6 & m2h10a == 1 ]= 3             # mother take Walfare in last 12 months
newdata$m2h11a2[m2h11a2 == -6 & m2h10a == 2 ]= 1         # mother did not take Walfare in last 12 monthsnewdata$m2h11a2[m2h11a2 == -6 & m2h10b = 1 ]= 1          # recieving walfare now 

newdata$m2h12a[m2h12a == -6 & m2h12 == 2 ]= 0         #do not recieve SSI
newdata$m2h12b[m2h12b == -6 & m2h12 ==2 ]= 0         #do not recienewdata$m2h14[m2h14 == -6 & m2h13 = 2 ]= 3       # not on walfare in last 12 month  ve SSI
newdata$m2h12c[m2h12c == -6 & m2h12 == 2 ]= 0         #do not recieve SSI

newdata$m2h14[m2h14 == -6 & m2h13 == 2 ]= 3           # not on walfare in last 12 month
newdata$m2h14a1[m2h14a1 == -6 & m2h13 == 2 ]= 3       # not on walfare in last 12 month
newdata$m2h14a1[m2h14a1 == -6 & m2h14 == 2 ]= 4       # not required to do anything in return of walfare benefit  

newdata$m2h14a2[m2h14a2 == -6 & m2h13 == 2 ]= 3       # not on walfare in last 12 month
newdata$m2h14a2[m2h14a2 == -6 & m2h14 == 2 ]= 4       # not required to do anything in return of walfare benefit  

newdata$m2h14a3[m2h14a1 == -6 & m2h13 == 2 ]= 3       # not on walfare in last 12 month
newdata$m2h14a3[m2h14a1 == -6 & m2h14 == 2 ]= 4       # not required to do anything in return of walfare benefit  

newdata$m2h14a5[m2h14a1 == -6 & m2h13 == 2 ]= 3       # not on walfare in last 12 month
newdata$m2h14a5[m2h14a1 == -6 & m2h14 == 2 ]= 4       # not required to do anything in return of walfare benefit  

newdata$m2h14a6[m2h14a6 == -6 & m2h13 == 2 ]= 3       # not on walfare in last 12 month
newdata$m2h14a6[m2h14a6 == -6 & m2h14 == 2 ]= 4       # not required to do anything in return of walfare benefit  

newdata$m2h15[m2h15 == -6 & m2h13 == 2 ]= 3           # not on walfare in last 12 month
newdata$m2h15[m2h15 == -6 & m2h14 == 2 ]= 4           # not required to do anything in return of walfare benefit  

newdata$m2h16[m2h16 == -6 & m2h14 == 2 ]= 3           # not required to do anything in return of walfare benefit  
newdata$m2h16a[m2h16a == -6 & m2h14 == 2 ]= 3         # not required to do anything in retuen of walfare benefit  
newdata$m2h16a[m2h16a == -6 & m2h16 == 2 ]= 4         #  there was'nt  a time in the past 12 months that mother thought of eligible for welfare

newdata$m2h16b[m2h16b == -6 & m2h14 == 2 ]= 4         # not required to do anything in retuen of walfare benefit  
newdata$m2h16b[m2h16b == -6 & m2h16 == 2 ]= 5         #  there was'nt  a time in the past 12 months that mother thought of eligible for welfare

newdata$m2h18[m2h18 == -6 & m2h17 == 1 ]= 3           # RESPONDENT RECEIVED FOOD STAMPS IN THE PAST 12 MONTHS 

newdata$m2h18a[m2h18a == -6 & m2h17 == 1 ]= 3         # RESPONDENT RECEIVED FOOD STAMPS IN THE PAST 12 MONTHS   
newdata$m2h18a[m2h18a == -6 & m2h18 == 2 ]= 4         #there was'nt  a time in the past 12 months that mother thought of eligible for food stamp

newdata$m2h18b[m2h18b == -6 & m2h17 == 1 ]= 4         # RESPONDENT RECEIVED FOOD STAMPS IN THE PAST 12 MONTHS   
newdata$m2h18b[m2h18b == -6 & m2h18 == 2 ]= 5         #there was'nt  a time in the past 12 months that mother thought of eligible for food stamp
newdata$m2h18b[m2h18b == -6 & m2h18a == 2 ]= 6        # did not apply for food stamps in last 12 months 

newdata$m2h18c1[m2h18c1 == -6 & m2h18c != 1 ]= 3     # did not fill federal tax return/ but will file 




################## NA RECODING #############################

newdata$m2h1[newdata$m2h1 == -9] = NA
newdata$m2h1a[newdata$m2h1a %in% c(-2,-6,-9)] = NA
newdata$m2h2[newdata$m2h2 %in% c(-1,-9)] = NA
newdata$m2h3[newdata$m2h3 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h3a[newdata$m2h3a %in% c(-1,-2,-6,-9)] = NA
newdata$m2h3b[newdata$m2h3b %in% c(-1,-2,-6,-9)] = NA
newdata$m2h3c[newdata$m2h3c %in% c(-1,-2,-6,-9)] = NA

newdata$m2h4[newdata$m2h4 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h5[newdata$m2h5 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h6[newdata$m2h6 %in% c(-6,-9)] = NA
newdata$m2h7[newdata$m2h7 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h8a[newdata$m2h8a %in% c(-1,-2,-9)] = NA
newdata$m2h8b[newdata$m2h8b %in% c(-1,-9)] = NA
newdata$m2h8c[newdata$m2h8c %in% c(-1,-2,-9)] = NA
newdata$m2h8d[newdata$m2h8d %in% c(-1,-2,-9)] = NA
newdata$m2h8e[newdata$m2h8e %in% c(-1,-9)] = NA
newdata$m2h8f[newdata$m2h8f %in% c(-1,-9)] = NA
newdata$m2h8g[newdata$m2h8g %in% c(-1,-2,-3,-9,-10)] = NA
newdata$m2h9a1[newdata$m2h9a1 %in% c(-1,-2,-9)] = NA
newdata$m2h9a2[newdata$m2h9a2 %in% c(-1,-9)] = NA
newdata$m2h9a3[newdata$m2h9a3 %in% c(-1,-2,-9)] = NA

newdata$m2h9b1[newdata$m2h9b1 %in% c(-2,-6,-9)] = NA
newdata$m2h9b2[newdata$m2h9b2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h9b3[newdata$m2h9b3 %in% c(-1,-2,-6,-9)] = NA

newdata$m2h9c1[newdata$m2h9c1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h9c2[newdata$m2h9c2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h9c3[newdata$m2h9c3 %in% c(-1,-2,-6,-9)] = NA

newdata$m2h10a[newdata$m2h10a == -9] = NA
newdata$m2h10b[newdata$m2h10b %in% c(-2,-6,-9)] = NA

newdata$m2h10c1[newdata$m2h10c1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h10c2[newdata$m2h10c2 %in% c(-1,-2,-6,-9)] = NA

newdata$m2h11[newdata$m2h11 %in% c(-1,-2,-6,-9)] = NA

newdata$m2h11a2[newdata$m2h11a2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h12[newdata$m2h12 %in% c(-1,-2,-9)] = NA
newdata$m2h12a[newdata$m2h12a %in% c(-6,-9)] = NA
newdata$m2h12b[newdata$m2h12b %in% c(-2,-6,-9)] = NA
newdata$m2h12c[newdata$m2h12c %in% c(-1,-2,-6,-9)] = NA

newdata$m2h13[newdata$m2h13 == -9] = NA
newdata$m2h14[newdata$m2h14 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h14a1[newdata$m2h14a1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h14a2[newdata$m2h14a2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h14a3[newdata$m2h14a3 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h14a4[newdata$m2h14a4 %in% c(-1,-2,-6,9)] = NA
newdata$m2h14a5[newdata$m2h14a5 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h14a6[newdata$m2h14a6 %in% c(-1,-2,-6,-9)] = NA  

newdata$m2h15[newdata$m2h15 %in% c(-2,-6,-9)] = NA
newdata$m2h16[newdata$m2h16 %in% c(-1,-2,-6,-9)] = NA
newdata$m2h16a[newdata$m2h16a %in% c(-6,-9)] = NA
newdata$m2h16b[newdata$m2h16b %in% c(-1,-2,-6,-9)] = NA
newdata$m2h17[newdata$m2h17 == -9] = NA
newdata$m2h18[newdata$m2h18 %in% c(-1,-2,-9)] = NA
newdata$m2h18a[newdata$m2h18a %in% c(-1,-2,-6,-9)] = NA
newdata$m2h18b[newdata$m2h18b %in% c(-6,-9)] = NA
newdata$m2h18c[newdata$m2h18c %in% c(-1,-2,-9)] = NA
newdata$m2h18c1[newdata$m2h18c1 %in% c(-1,-2,-6,-9)] = NA

newdata$m2h19a[newdata$m2h19a %in% c(-1,-2,-9)] = NA
newdata$m2h19b[newdata$m2h19b %in% c(-1,-9)] = NA
newdata$m2h19c[newdata$m2h19c %in% c(-1,-9)] = NA
newdata$m2h19d[newdata$m2h19d %in% c(-1,-2,-9)] = NA

newdata$m2h19e[newdata$m2h19e %in% c(-1,-2,-9)] = NA
newdata$m2h19f[newdata$m2h19f %in% c(-1,-2,-9)] = NA
newdata$m2h19g[newdata$m2h19g %in% c(-1,-2,-9)] = NA
newdata$m2h19h[newdata$m2h19h %in% c(-1,-2,-9)] = NA

newdata$m2h19i[newdata$m2h19i %in% c(-1,-9)] = NA
newdata$m2h19j[newdata$m2h19j %in% c(-1,-9)] = NA
newdata$m2h19k[newdata$m2h19k %in% c(-1,-9)] = NA
newdata$m2h19l[newdata$m2h19l %in% c(-1,-2,-9)] = NA

############### Creating Factor #######################
newdata$m2h12a=factor(m2h12a)
newdata$m2h16b=factor(m2h16b)
newdata$m2h18b=factor(m2h18b)


############################# SECTION J ############################


################## SKIP RECODING ######
newdata$m2j3a[m2j3a == -6 & m2j3 == 2] = 4      # not covered by assistance program that pay for medical care 
newdata$m2j4[m2j4 == -6 & m2j3a == 3] = 3       # only chid or mother covered by assistance program
newdata$m2j4a[m2j4a == -6 & m2j3a == 3] = 4       # only chid or mother covered by assistance program
newdata$m2j4a[m2j4a == -6 & m2j4 == 2] = 5        #mother or child not covered by private insurance  

newdata$m2j4b1[m2j4b1 == -6 & m2j3a == 3] = 3       # only chid or mother covered by assistance program
newdata$m2j4b1[m2j4b1 == -6 & m2j4 == 2] = 4        #mother or child not covered by private insurance  

newdata$m2j4b2[m2j4b2 == -6 & m2j3a == 3] = 3       # only chid or mother covered by assistance program
newdata$m2j4b2[m2j4b2 == -6 & m2j4 == 2] = 4        #mother or child not covered by private insurance  

newdata$m2j4b3[m2j4b3 == -6 & m2j3a == 3] = 3       # only chid or mother covered by assistance program
newdata$m2j4b3[m2j4b3 == -6 & m2j4 == 2] = 4        #mother or child not covered by private insurance  

newdata$m2j4b4[m2j4b4 == -6 & m2j3a == 3] = 3       # only chid or mother covered by assistance program
newdata$m2j4b4[m2j4b4 == -6 & m2j4 == 2] = 4       #mother or child not covered by private insurance  

newdata$m2j4b5[m2j4b5 == -6 & m2j3a == 3] = 3       # only chid or mother covered by assistance program
newdata$m2j4b5[m2j4b5 == -6 & m2j4 == 2] = 4        #mother or child not covered by private insurance  

newdata$m2j4b6[m2j4b6 == -6 & m2j3a == 3] = 3       # only chid or mother covered by assistance program
newdata$m2j4b6[m2j4b6 == -6 & m2j4 == 2] = 4        #mother or child not covered by private insurance  

newdata$m2j5a[m2j5a == -6 & m2j5 == 2] = 6         # did nt smoke cigarette in pas month    
newdata$m2j6a[m2j6a == -6 & m2j6 == 2] = 32         #did not drink any alcohal beverage 

newdata$m2j10[m2j10 == -6 & m2j9 == -10] = 3       # hardly drank/use drug

newdata$m2j11[m2j11 == -6 & m2j9 == -10] = 3        # hardly drank/use drug
newdata$m2j13[m2j13 == -6 & m2j12 == 2] = 5         #never been depreed/sad/blue for 2 week in a row 

newdata$m2j13a[m2j13a == -6 & m2j12 == 2] = 4         #never been depreed/sad/blue for 2 week in a row 
newdata$m2j13a[m2j13a == -6 & m2j13 == 4] = 5         #feeling of depression/sadnes last less than 1/2  day 

newdata$m2j13b[m2j13b == -6 & m2j12 == 2] = 3         #never been depreed/sad/blue for 2 week in a row 
newdata$m2j13b[m2j13b == -6 & m2j13 == 4] = 4         #feeling of depression/sadnes last less than 1/2  day 
newdata$m2j13b[m2j13b == -6 & m2j13a == 3] =5         # during last two week of depression, felt depress less often


newdata$m2j13c1[m2j13c1 == -6 & m2j12 == 2] = 2         #never been depreed/sad/blue for 2 week in a row 
newdata$m2j13c1[m2j13c1 == -6 & m2j13 == 4] = 3         #feeling of depression/sadnes last less than 1/2  day 
newdata$m2j13c1[m2j13c1 == -6 & m2j13a == 3] =4         # during last two week of depression, felt depress less often

newdata$m2j13c2[m2j13c2 == -6 & m2j12 == 2] = 3         #never been depreed/sad/blue for 2 week in a row 
newdata$m2j13c2[m2j13c2 == -6 & m2j13 == 4] = 4         #feeling of depression/sadnes last less than 1/2  day 
newdata$m2j13c2[m2j13c2 == -6 & m2j13a == 3] =5         # during last two week of depression, felt depress less often

newdata$m2j13c3[m2j13c3 == -6 & m2j12 == 2] = 3         #never been depreed/sad/blue for 2 week in a row 
newdata$m2j13c3[m2j13c3 == -6 & m2j13 == 4] = 4         #feeling of depression/sadnes last less than 1/2  day 
newdata$m2j13c3[m2j13c3 == -6 & m2j13a == 3] =5         # during last two week of depression, felt depress less often

newdata$m2j14[m2j14 == -6 & m2j13a == 1 & m2j13a == 2 ] =3         # during last two week of depression, felt depress everyday/almost everyday
newdata$m2j14a[m2j14a == -6 & m2j13a == 1 & m2j13a == 2] =5         # during last two week of depression, felt depress everyday/almost everyday
newdata$m2j14a[m2j14a == -6 & m2j14 == 2] =6                 # in last 12 month never lost interest in hobbies/activies lasting two weeks or more 

newdata$m2j14b[m2j14b == -6 & m2j13a == 1 & m2j13a == 2]=4         # during last two week of depression, felt depress everyday/almost everyday
newdata$m2j14b[m2j14b == -6 & m2j14 == 2] = 5                 # in last 12 month never lost interest in hobbies/activies lasting two weeks or more 

newdata$m2j15a[m2j15a == -6 & m2j14 == 2] = 3                 # in last 12 month never lost interest in hobbies/activies lasting two weeks or more 
newdata$m2j15b[m2j15b == -6 & m2j14 == 2] = 6                 # in last 12 month never lost interest in hobbies/activies lasting two weeks or more 
newdata$m2j15b1[m2j15b1 == -6 & m2j14 == 2] = 101                 # in last 12 month never lost interest in hobbies/activies lasting two weeks or more 
newdata$m2j15c[m2j15c == -6 & m2j14 == 2] = 3                 # in last 12 month never lost interest in hobbies/activies lasting two weeks or more 
newdata$m2j15c1[m2j15c1 == -6 & m2j14 == 2] = 4                 # in last 12 month never lost interest in hobbies/activies lasting two weeks or more 
newdata$m2j15d[m2j15d == -6 & m2j14 == 2] = 3                 # in last 12 month never lost interest in hobbies/activies lasting two weeks or more 
newdata$m2j15e[m2j15e == -6 & m2j14 == 2] = 3                 # in last 12 month never lost interest in hobbies/activies lasting two weeks or more 
newdata$m2j15f[m2j15f == -6 & m2j14 == 2] = 3                 # in last 12 month never lost interest in hobbies/activies lasting two weeks or more 


newdata$m2j16a[m2j16a == -6 & m2j16 == 1] = 3              # there was a period in last 12 month when mother felt worried/tense/anxious

newdata$m2j16b[m2j16b == -6 & m2j16a == 2] = 3             #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation

newdata$m2j16b1a[m2j16b1a == -6 & m2j16a == 2] = 17             #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j16b1a[m2j16b1a == -6 & m2j16b == 2] = 18             #the period of anxiousness/worries is ended

newdata$m2j16b1b[m2j16b1b == -6 & m2j16a == 2] = 21             #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j16b1b[m2j16b1b == -6 & m2j16b == 2] = 22             #the period of anxiousness/worries is ended

newdata$m2j16b1c[m2j16b1c == -6 & m2j16a == 2] = 18             #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j16b1c[m2j16b1c == -6 & m2j16b == 2] = 19             #the period of anxiousness/worries is ended


newdata$m2j16b2a[m2j16b2a == -6 & m2j16a == 2] = 13             #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j16b2b[m2j16b2b == -6 & m2j16a == 2] = 19             #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j16b2c[m2j16b2c == -6 & m2j16a == 2] = 16             #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation

newdata$m2j17[m2j17 == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j18a[m2j18a == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j18b[m2j18b == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j18c[m2j18c == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j18d[m2j18d == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j18e[m2j18e == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation

newdata$m2j19[m2j19 == -6 & m2j16a == 2] = 5            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j19a[m2j19a == -6 & m2j16a == 2] = 4            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j20a[m2j20a == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j20b[m2j20b == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j20c[m2j20c == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j20d[m2j20d == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j20e[m2j20e == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j20f[m2j20f == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation
newdata$m2j20g[m2j20g == -6 & m2j16a == 2] = 3            #there wasnt a time in the past 12 months when mother worried a lot more than most people would in her situation


##### NA CODING ######
newdata$m2j1[newdata$m2j1 %in% c(-1,-9)] = NA
newdata$m2j2[newdata$m2j2 %in% c(-1,-2,-9)] = NA
newdata$m2j3[newdata$m2j3 %in% c(-1,-2,-9)] = NA
newdata$m2j3a[newdata$m2j3a %in% c(-6,-9)] = NA
newdata$m2j4[newdata$m2j4 %in% c(-1,-2,-6,-9)] = NA
newdata$m2j4a[newdata$m2j4a %in% c(-2,-6,-9)] = NA
newdata$m2j4b1[newdata$m2j4b1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2j4b2[newdata$m2j4b2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2j4b3[newdata$m2j4b3 %in% c(-1,-2,-6,-9)] = NA
newdata$m2j4b4[newdata$m2j4b4 %in% c(-1,-2,-6,-9)] = NA
newdata$m2j4b5[newdata$m2j4b5 %in% c(-1,-2,-6,-9)] = NA
newdata$m2j4b6[newdata$m2j4b6 %in% c(-1,-2,-6,-9)] = NA
newdata$m2j5[newdata$m2j5 %in% c(-1,-9)] = NA
newdata$m2j5a[newdata$m2j5a %in% c(-2,-6,-9)] = NA
newdata$m2j6[newdata$m2j6 %in% c(-1,-9)] = NA
newdata$m2j6a[newdata$m2j6a %in% c(-2,-6,-9)] = NA
newdata$m2j8a[newdata$m2j8a %in% c(-1,-2,-9,-10)] = NA
newdata$m2j9[newdata$m2j9 %in% c(-1,-2,-9,-10)] = NA
newdata$m2j10[newdata$m2j10 %in% c(-1,-2,-6,-9)] = NA
newdata$m2j11[newdata$m2j11 %in% c(-1,-2,-6,-9)] = NA
newdata$m2j12[newdata$m2j12 %in% c(-1,-9,-11)] = NA
newdata$m2j13[newdata$m2j13 %in% c(-1,-6,-9)] = NA
newdata$m2j13a[newdata$m2j13a %in% c(-2,-6,-9)] = NA
newdata$m2j13b[newdata$m2j13b %in% c(-2,-6,-9)] = NA
newdata$m2j13c1[newdata$m2jc1 %in% c(-6,-9)] = NA
newdata$m2j13c2[newdata$m2jc2 %in% c(-6,-9)] = NA
newdata$m2j13c3[newdata$m2jc3 %in% c(-6,-9)] = NA

newdata$m2j14[newdata$m2j14 %in% c(-1,-2,-6,-9,-11)] = NA
newdata$m2j14a[newdata$m2j14a %in% c(-2,-6,-9)] = NA
newdata$m2j14b[newdata$m2j14b %in% c(-6,-9)] = NA
newdata$m2j15a[newdata$m2j15a %in% c(-2,-6,-9)] = NA
newdata$m2j15b[newdata$m2j15b %in% c(-2,-6,-9)] = NA
newdata$m2j15b1[newdata$m2j15b1 %in% c(-2,-6,-9)] = NA
newdata$m2j15c[newdata$m2j15c %in% c(-2,-6,-9)] = NA
newdata$m2j15c1[newdata$m2j15c1 %in% c(-6,-9)] = NA
newdata$m2j15d[newdata$m2j15d %in% c(-1,-2,-6,-9)] = NA
newdata$m2j15e[newdata$m2j15e %in% c(-1,-2,-6,-9)] = NA
newdata$m2j15f[newdata$m2j15f %in% c(-1,-2,-6,-9)] = NA
newdata$m2j16[newdata$m2j16 %in% c(-1,-2,-9)] = NA
newdata$m2j16a[newdata$m2j16a %in% c(-1,-2,-6,-9)] = NA
newdata$m2j16b[newdata$m2j16b %in% c(-2,-6,-9)] = NA
newdata$m2j16b1a[newdata$m2j16b1a %in% c(-1,-2,-6,-9,-15)] = NA
newdata$m2j16b1b[newdata$m2j16b1b %in% c(-6,-9)] = NA
newdata$m2j16b1c[newdata$m2j16b1c %in% c(-6,-9)] = NA

newdata$m2j16b2a[newdata$m2j16b2a %in% c(-1,-2,-6,-9,-15)] = NA
newdata$m2j16b2b[newdata$m2j16b2b %in% c(-6,-9)] = NA
newdata$m2j16b2c[newdata$m2j16b2c %in% c(-6,-9)] = NA
newdata$m2j17[newdata$m2j17 %in% c(-6,-9)] = NA
newdata$m2j18a[newdata$m2j18a %in% c(-2,-6,-9)] = NA
newdata$m2j18b[newdata$m2j18b %in% c(-2,-6,-9)] = NA
newdata$m2j18c[newdata$m2j18c %in% c(-1,-2,-6,-9)] = NA
newdata$m2j18d[newdata$m2j18d %in% c(-2,-6,-9)] = NA
newdata$m2j18e[newdata$m2j18e %in% c(-2,-6,-9)] = NA

newdata$m2j19[newdata$m2j19 %in% c(-2,-6,-9)] = NA
newdata$m2j19a[newdata$m2j19a %in% c(-2,-6,-9)] = NA
newdata$m2j20a[newdata$m2j20a %in% c(-2,-6,-9)] = NA
newdata$m2j20b[newdata$m2j20b %in% c(-2,-6,-9)] = NA
newdata$m2j20c[newdata$m2j20c %in% c(-2,-6,-9)] = NA
newdata$m2j20d[newdata$m2j20d %in% c(-2,-6,-9)] = NA
newdata$m2j20e[newdata$m2j20e %in% c(-2,-6,-9)] = NA
newdata$m2j20f[newdata$m2j20f %in% c(-2,-6,-9)] = NA
newdata$m2j20g[newdata$m2j20g %in% c(-2,-6,-9)] = NA

newdata$cm2gad_case[newdata$cm2gad_case %in% c(-3,-9)] = NA
newdata$cm2md_case_con[newdata$cm2md_case_con %in% c(-3,-9)] = NA
newdata$cm2md_case_lib[newdata$cm2md_case_lib %in% c(-3,-9)] = NA

########## CREATING FACTOR ######
newdata$m2j1=factor(m2j1)
newdata$m2j3a=factor(m2j3a)
newdata$m2j4a=factor(m2j4a)
newdata$m2j5a=factor(m2j5a)
#newdata$m2j7a=factor(m2j7a)
newdata$m2j8a=factor(m2j8a)
newdata$m2j13=factor(m2j13)
newdata$m2j13a=factor(m2j13a)
newdata$m2j14a=factor(m2j14a)
newdata$m2j14b=factor(m2j14b)
newdata$m2j15b=factor(m2j15b)
newdata$m2j15c1=factor(m2j15c1)
newdata$m2j18c=factor(m2j18c)
newdata$m2j19=factor(m2j19)
newdata$m2j19a=factor(m2j19a)


########################### SECTION K #######################

############## SKIP RECODING ##################
newdata$m2k2a[m2k2a == -6 & m2k1 == 2] = 3                # not participating in school/training program  
newdata$m2k2b[m2k2b == -6 & m2k1 == 2] = 3                # not participating in school/training program  
newdata$m2k2c[m2k2c == -6 & m2k1 == 2] = 3                # not participating in school/training program  
newdata$m2k2d[m2k2d == -6 & m2k1 == 2] = 3                # not participating in school/training program  
newdata$m2k2e[m2k2e == -6 & m2k1 == 2] = 3                # not participating in school/training program  
newdata$m2k2f[m2k2f == -6 & m2k1 == 2] = 3                # not participating in school/training program  
newdata$m2k2g[m2k2g == -6 & m2k1 == 2] = 3                # not participating in school/training program 
newdata$m2k2h[m2k2h == -6 & m2k1 == 2] = 3                # not participting ...........
newdata$m2k2i[m2k2i == -6 & m2k1 == 2] = 3                # not participting ...........
newdata$m2k2j[m2k2j == -6 & m2k1 == 2] = 3
newdata$m2k2k[m2k2k == -6 & m2k1 == 2] = 3
newdata$m2k2l[m2k2l == -6 & m2k1 == 2] = 3
newdata$m2k2m[m2k2m == -6 & m2k1 == 2] = 3
newdata$m2k2n[m2k2n == -6 & m2k1 == 2] = 3
newdata$m2k2o[m2k2o == -6 & m2k1 == 2] = 3

newdata$m2k3a1[m2k3a1 == -6 & m2k3 == 2] = 3       # did not complete any schooling/training program since child was born 
newdata$m2k3a1c[m2k3a1c == -6 & m2k3 == 2] = 13     # did not complete any schooling/training program since child was born
newdata$m2k3a2[m2k3a2 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a3[m2k3a3 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a4[m2k3a4 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a5[m2k3a5 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a6[m2k3a6 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a7[m2k3a7 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a8[m2k3a8 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a9[m2k3a9 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a10[m2k3a10 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a11[m2k3a11 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a12[m2k3a12 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a13[m2k3a13 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a14[m2k3a14 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a15[m2k3a15 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born
newdata$m2k3a16[m2k3a16 == -6 & m2k3 == 2] = 3     # did not complete any schooling/training program since child was born

newdata$m2k6[m2k6 == -6 & m2k5 == 1] = 3                    #last week did regular work for pay

newdata$m2k6a[m2k6a == -6 & m2k5 == 1] = 6                  #last week did regular work for pay
newdata$m2k6a[m2k6a == -6 & m2k6 == 2] = 7                  #Not currently looking for a job
newdata$m2k6b[m2k6b == -6 & m2k5 == 1] = 107                 #last week did regular work for pay
newdata$m2k6b[m2k6b == -6 & m2k6 == 2] = 108                  #Not currently looking for a job
newdata$m2k6c[m2k6c == -6 & m2k5 == 1] = 107                  #last week did regular work for pay
newdata$m2k6c[m2k6c == -6 & m2k6 == 2] = 108                  #Not currently looking for a job
newdata$m2k6c[m2k6c == -6 & m2k6b == 1 & m2k6b == 2 & m2k6b == 3 ] = 108   # own buisness/aleardy have a job/in school for training program
newdata$m2k7b[m2k7b == -6 & m2k5 == 1] = 0                  #last week did regular work for pay

newdata$m2k8a[m2k8a == -6 & m2k8 == 2] = 19               # mother did not work sicce child birth

newdata$m2k8b[m2k8b == -6 & m2k8 == 2] = 3               # mother did not work since child birth
newdata$m2k9[m2k9 == -6 & m2k8c == 2] = 21               # Responder never work for 2 week consecutively

newdata$m2k13a[m2k13a == -6 & m2k12 == 2] = 5             # mother did not work since child birth
newdata$m2k13b[m2k13b == -6 & m2k12 == 2] = 5             # mother did not work since child birth
newdata$m2k13c[m2k13c == -6 & m2k12 == 2] = 5             # mother did not work since child birth
newdata$m2k14[m2k14 == -6 & m2k12 == 2] = 3               # mother did not work since child birth 
newdata$m2k14a[m2k14a == -6 & m2k12 == 2] = 1             # mother did not work since child birth jon
newdata$m2k14a[m2k14a == -6 & m2k14 == 2] = 2             #did not work more than one regular job in last 12 months 


newdata$m2k15[m2k15 == -6 & m2k12 == 2] = 1             # mother did not work since child birth jon
newdata$m2k15[m2k15 == -6 & m2k14 == 2] = 2             #did not work more than one regular job in last 12 months 



newdata$m2k15a[m2k15a == -6 & m2k12 == 2] = 9            # mother did not work since child birth 
newdata$m2k15a[m2k15a == -6 & m2k14 == 2] = 10           #did not work more than one regular job in last 12 months 
newdata$m2k15a[m2k15a == -6 & m2k15 == 0] = 11           # did no work in last 12 months


newdata$m2k16[m2k16 == -6 & m2k12 == 2] = 0              # mother did not work since child birth 
newdata$m2k17a1[m2k17a1 == -6 & m2k17a == 2] = 0         #did not work off the book or under the table
newdata$m2k17b[m2k17b == -6 & m2k17a == 2] = 0         #did not work off the book or under the table
newdata$m2k17c[m2k17c == -6 & m2k17a == 2] = 0         #did not work off the book or under the table
newdata$m2k17d[m2k17d == -6 & m2k17a == 2] = 0         #did not work off the book or under the table
newdata$m2k17e[m2k17e == -6 & m2k17a == 2] = 0         #did not work off the book or under the table
newdata$m2k17e1[m2k17e1 == -6 & m2k17a == 2] = 0         #did not work off the book or under the table
newdata$m2k17e1[m2k17e1 == -6 & m2k17e == 0] = 3 
newdata$m2k17f[m2k17f == -6 & m2k17a ==2 ] = 0         #did not work off the book or under the table
newdata$m2k17f1a[m2k17f1a == -6 & m2k17a == 2] = 0      #did not work off the book or under the table
newdata$m2k17f1a[m2k17f1a == -6 & m2k17f == 2] = 3    # there was no other type of payment recieve working uder the table 

newdata$m2k17f1b[m2k17f1b == -6 & m2k17a == 2] = 0      #did not work off the book or under the table
newdata$m2k17f1b[m2k17f1b == -6 & m2k17f == 2] = 3    # there was no other type of payment recieve working uder the table 

newdata$m2k17f1c[m2k17f1c == -6 & m2k17a == 2] = 0      #did not work off the book or under the table
newdata$m2k17f1c[m2k17f1c == -6 & m2k17f == 2] = 3    # there was no other type of payment recieve working uder the table 

newdata$m2k17f1d[m2k17f1d == -6 & m2k17a == 2] = 0      #did not work off the book or under the table
newdata$m2k17f1d[m2k17f1d == -6 & m2k17f == 2] = 3    # there was no other type of payment recieve working uder the table 



newdata$m2k18b[m2k18b == -6 & m2k18a == 2] = 0         #did not work in my own buisness
newdata$m2k18c[m2k18c == -6 & m2k18a == 2] = 0         #did not work in my own buisness
newdata$m2k18d[m2k18d == -6 & m2k18a == 2] = 0         #did not work in my own buisness
newdata$m2k18e[m2k18e == -6 & m2k18a == 2] = 0         #did not work in my own buisness
newdata$m2k18e1[m2k18e1 == -6 & m2k18a == 2] = 0         #did not work in my own buisness
newdata$m2k18e1[m2k18e1 == -6 & m2k18e == 0] = 8         #did not recieve anything from own business
newdata$m2k18f[m2k18f == -6 & m2k18a ==2 ] = 0         #did not work in my own buisness
newdata$m2k18f1a[m2k18f1a == -6 & m2k18a == 2] = 0      #did not work in my own buisness
newdata$m2k18f1a[m2k18f1a == -6 & m2k18f == 2] = 3      # there was no other type of payment recieve working in own buisness

newdata$m2k18f1b[m2k18f1b == -6 & m2k18a == 2] = 0      #did not work in my own buisness
newdata$m2k18f1b[m2k18f1b == -6 & m2k18f == 2] = 3      # there was no other type of payment recieve working in own buisness 

newdata$m2k18f1c[m2k18f1c == -6 & m2k18a == 2] = 0      #did not work in my own buisness
newdata$m2k18f1c[m2k18f1c == -6 & m2k18f == 2] = 3      # there was no other type of payment recieve working in own buisness 

newdata$m2k18f1d[m2k18f1d == -6 & m2k18a == 2] = 0      #did not work in my own buisness
newdata$m2k18f1d[m2k18f1d == -6 & m2k18f == 2] = 3      #there was no other type of payment recieve working in own buisness 


newdata$m2k20a1[m2k20a1 == -6 & m2k20a == 2] = 0
newdata$m2k20b[m2k20b == -6 & m2k20a == 2] = 0         #did not work in my own buisness
newdata$m2k20c[m2k20c == -6 & m2k20a == 2] = 0         #did not work in my own buisness
newdata$m2k20d[m2k20d == -6 & m2k20a == 2] = 0         #did not work in my own buisness
newdata$m2k20e[m2k20e == -6 & m2k20a == 2] = 0         #did not work in my own buisness
newdata$m2k20e1[m2k20e1 == -6 & m2k20a == 2] = 0         #did not work in my own buisness
newdata$m2k20e1[m2k20e1 == -6 & m2k20e == 0] = 8         #did not recieve anything from own business
newdata$m2k20f[m2k20f == -6 & m2k20a ==2 ] = 0         #did not work in my own buisness
newdata$m2k20f1a[m2k20f1a == -6 & m2k20a == 2] = 0      #did not work in my own buisness
newdata$m2k20f1a[m2k20f1a == -6 & m2k20f == 2] = 3      # there was no other type of payment recieve working in own buisness
newdata$m2k20f1b[m2k20f1b == -6 & m2k20a == 2] = 0      #did not work in my own buisness
newdata$m2k20f1b[m2k20f1b == -6 & m2k20f == 2] = 3      # there was no other type of payment recieve working in own buisness 

newdata$m2k20f1c[m2k20f1c == -6 & m2k20a == 2] = 0      #did not work in my own buisness
newdata$m2k20f1c[m2k20f1c == -6 & m2k20f == 2] = 3      # there was no other type of payment recieve working in own buisness 

newdata$m2k20f1d[m2k20f1d == -6 & m2k20a == 2] = 0      #did not work in my own buisness
newdata$m2k20f1d[m2k20f1d == -6 & m2k20f == 2] = 3      #there was no other type of payment recieve working in own buisness 



################ NA CODING ################        
newdata$m2k1[newdata$m2k1 %in% c(-1,-9)] = NA
newdata$m2k2a[newdata$m2k2a %in% c(-6,-9)] = NA
newdata$m2k2b[newdata$m2k2b %in% c(-6,-9)] = NA
newdata$m2k2c[newdata$m2k2c %in% c(-6,-9)] = NA
newdata$m2k2d[newdata$m2k2d %in% c(-6,-9)] = NA
newdata$m2k2e[newdata$m2k2e %in% c(-6,-9)] = NA
newdata$m2k2f[newdata$m2k2f %in% c(-6,-9)] = NA
newdata$m2k2g[newdata$m2k2g %in% c(-6,-9)] = NA
newdata$m2k2h[newdata$m2k2h %in% c(-6,-9)] = NA
newdata$m2k2i[newdata$m2k2i %in% c(-6,-9)] = NA
newdata$m2k2j[newdata$m2k2j %in% c(-6,-9)] = NA
newdata$m2k2k[newdata$m2k2k %in% c(-6,-9)] = NA
newdata$m2k2l[newdata$m2k2l %in% c(-6,-9)] = NA
newdata$m2k2m[newdata$m2k2m %in% c(-6,-9)] = NA
newdata$m2k2n[newdata$m2k2n %in% c(-6,-9)] = NA
newdata$m2k2o[newdata$m2k2o %in% c(-6,-9)] = NA

newdata$m2k3[newdata$m2k3 %in% c(-1,-9)] = NA
newdata$m2k3a1[newdata$m2k3a1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a2[newdata$m2k3a2 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a3[newdata$m2k3a3 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a4[newdata$m2k3a4 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a5[newdata$m2k3a5 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a6[newdata$m2k3a6 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a7[newdata$m2k3a7 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a8[newdata$m2k3a8 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a9[newdata$m2k3a9 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a10[newdata$m2k3a10 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a11[newdata$m2k3a11 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a12[newdata$m2k3a12 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a13[newdata$m2k3a13 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a14[newdata$m2k3a14 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a15[newdata$m2k3a15 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k3a16[newdata$m2k3a16 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k4[newdata$m2k4 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k15[newdata$m2k15 %in% c(-1,-9)] = NA
newdata$m2k16[newdata$m2k16 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k7b[newdata$m2k7b %in% c(-1,-2,-6,-8,-9)] = NA
newdata$m2k8[newdata$m2k8 %in% c(-6,-9)] = NA
newdata$m2k8a[newdata$m2k8a %in% c(-1,-2,-6,-9)] = NA
newdata$m2k8b[newdata$m2k8b %in% c(-1,-2,-6,-9)] = NA
newdata$m2k8c[newdata$m2k8c == -9] = NA
newdata$m2k9[newdata$m2k9 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k9a[newdata$m2k9a %in% c(-1,-2,-6,-9)] = NA
newdata$m2k10a[newdata$m2k10a %in% c(-1,-2,-6,-9)] = NA
newdata$m2k10ap[newdata$m2k10ap %in% c(-1,-2,-6,-9)] = NA
newdata$m2k10bc[newdata$m2k10bc %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2k11a[newdata$m2k11a %in% c(-1,-2,-6,-9)] = NA
newdata$m2k11b[newdata$m2k11b %in% c(-1,-2,-6,-9)] = NA
newdata$m2k11c[newdata$m2k11c %in% c(-1,-2,-6,-9)] = NA
newdata$m2k11d[newdata$m2k11d %in% c(-1,-2,-6,-9)] = NA
newdata$m2k12[newdata$m2k12 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k13a[newdata$m2k13a %in% c(-1,-2,-6,-9)] = NA
newdata$m2k13b[newdata$m2k13b %in% c(-2,-6,-9)] = NA
newdata$m2k13c[newdata$m2k13c %in% c(-1,-2,-6,-9)] = NA
newdata$m2k14[newdata$m2k14 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k14a[newdata$m2k14a %in% c(-2,-6,-9)] = NA
newdata$m2k15[newdata$m2k15 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2k15a[newdata$m2k15a %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2k16[newdata$m2k16 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2k17a[newdata$m2k17a %in% c(-1,-2,-9)] = NA
newdata$m2k17a1[newdata$m2k17a1 %in% c(-6,-9)] = NA
newdata$m2k17b[newdata$m2k17b %in% c(-1,-2,-6,-9)] = NA
newdata$m2k17c[newdata$m2k17c %in% c(-1,-2,-6,-9)] = NA
newdata$m2k17d[newdata$m2k17d %in% c(-6,-9)] = NA
newdata$m2k17e[newdata$m2k17e %in% c(-1,-2,-6,-9)] = NA
newdata$m2k17e1[newdata$m2k17e1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k17f[newdata$m2k17f %in% c(-6,-9)] = NA
newdata$m2k17f1a[newdata$m2k17f1a %in% c(-2,-6,-9)] = NA
newdata$m2k17f1b[newdata$m2k17f1b %in% c(-2,-6,-9)] = NA
newdata$m2k17f1c[newdata$m2k17fc %in% c(-2,-6,-9)] = NA
newdata$m2k17f1d[newdata$m2k17fd %in% c(-2,-6,-9)] = NA
newdata$m2k18a[newdata$m2k18a %in% c(-1,-2,-9)] = NA
newdata$m2k18b[newdata$m2k18b %in% c(-1,-2,-6,-9)] = NA
newdata$m2k18c[newdata$m2k18c %in% c(-1,-2,-6,-9)] = NA
newdata$m2k18d[newdata$m2k18d %in% c(-1,-2,-6,-9)] = NA
newdata$m2k18e[newdata$m2k18e %in% c(-1,-2,-6,-9)] = NA
newdata$m2k18e1[newdata$m2k18e1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k18f[newdata$m2k178 %in% c(-6,-9)] = NA
newdata$m2k18f1a[newdata$m2k18f1a %in% c(-6,-9)] = NA
newdata$m2k18f1b[newdata$m2k18f1b %in% c(-6,-9)] = NA
newdata$m2k18f1c[newdata$m2k18fc %in% c(-6,-9)] = NA
newdata$m2k18f1d[newdata$m2k18fd %in% c(-6,-9)] = NA
newdata$m2k20a[newdata$m2k20a %in% c(-1,-2,-9)] = NA
newdata$m2k20a1[newdata$m2k20a1 %in% c(-1,-2,-6,-9)] = NA
newdata$m2k20b[newdata$m2k20b %in% c(-2,-6,-9)] = NA
newdata$m2k20c[newdata$m2k20c %in% c(-2,-6,-9)] = NA
newdata$m2k20d[newdata$m2k20d %in% c(-2,-6,-9)] = NA
newdata$m2k20e[newdata$m2k20e %in% c(-2,-6,-9)] = NA
newdata$m2k20e1[newdata$m2k20e1 %in% c(-2,-6,-9)] = NA
newdata$m2k20f[newdata$m2k20f %in% c(-6,-9)] = NA
newdata$m2k20f1a[newdata$m2k20f1a %in% c(-1,-6,-9)] = NA
newdata$m2k20f1b[newdata$m2k20f1b %in% c(-1,-6,-9)] = NA
newdata$m2k20f1c[newdata$m2k20f1c %in% c(-1,-6,-9)] = NA
newdata$m2k20f1d[newdata$m2k20f1d %in% c(-1,-6,-9)] = NA

########## Creating Factors############
newdata$m2k6a=factor(m2k6a)
newdata$m2k8b=factor(m2k8b)
newdata$m2k9a=factor(m2k9a)
newdata$m2k10ap=factor(m2k10ap)
newdata$m2k13a=factor(m2k13a)
newdata$m2k13b=factor(m2k13b)
newdata$m2k13c=factor(m2k13c)
newdata$m2k15a=factor(m2k15a)
newdata$m2k17d=factor(m2k17d)
newdata$m2k17e1=factor(m2k17e1)
newdata$m2k18d=factor(m2k18d)
newdata$m2k18e1=factor(m2k18e1)
newdata$m2k20d=factor(m2k20d)
newdata$m2k20e1=factor(m2k20e1)


############################# SECTION L #############################


#################### SKIP RECODING ##########
newdata$m2l1a[m2l1a == -6 & m2l1 == 0] = 3          #no income 
newdata$m2l2a[m2l2a == -6 & m2l2 == 2] = 0       # did not give money to relative/friend
newdata$m2l4[m2l4 == -6 & m2l3 == 2] = 3            #mother is not living with a father or current partner
newdata$m2l4a[m2l4a == -6 & m2l3 == 2] = 3          #mother is not living with a father or current partner
newdata$m2l4a[m2l4a == -6 & m2l4 == 3] = 4          #mother and her husband has no bank accout
newdata$m2l5[m2l5 == -6 & m2l3 == 2] = 3            #mother is not living with a father or current partner
newdata$m2l5a[m2l5a == -6 & m2l3 == 2] = 4          #mother is not living with a father or current partner
newdata$m2l5a[m2l5a == -6 & m2l3 == 2] = 5          # mother and her(husband/partner) has no major credit card
newdata$m2l6[m2l6 == -6 & m2l3 == 2] = 2            #mother is not living with a father or current partner
newdata$m2l6a[m2l6a == -6 & m2l3 == 2] = 3          #mother is not living with a father or current partner
newdata$m2l6a[m2l6a == -6 & m2l6 == 2] = 4          #mother and her(husband/partner) do not own a car/van

newdata$m2l6b[m2l6b == -6 & m2l3 == 2] = 1          #mother is not living with a father or current partner
newdata$m2l6b[m2l6b == -6 & m2l6 == 2] = 2          #mother and her(husband/partner) do not own a car/van

newdata$m2l6c[m2l6c == -6 & m2l3 == 2] = 1          #mother is not living with a father or current partner
newdata$m2l6c[m2l6c == -6 & m2l6 == 2] = 2          #mother and her(husband/partner) do not own a car/van

newdata$m2l8[m2l8 == -6 & m2l7 == 2] = 4            #mother and father are not married/romatically involved ormother is not romatically involed with anoher partner 
newdata$m2l9[m2l9 == -6 & m2l7 == 2] = 105            #mother and father are not married/romatically involved ormother is not romatically involed with anoher partner 
newdata$m2l9[m2l9 == -6 & m2l8 == 3] = 106           #mother and husband/partner keep all the money together 

newdata$m2l9a[m2l9a == -6 & m2l7 == 2] = 106            #mother and father are not married/romatically involved ormother is not romatically involed with anoher partner 
newdata$m2l9a[m2l9a == -6 & m2l8 == 3] = 107           #mother and husband/partner keep all the money together 

newdata$m2l10[m2l10 == -6 & m2l7 == 2] = 3            #mother and father are not married/romatically involved ormother is not romatically involed with anoher partner 
newdata$m2l11[m2l11 == -6 & m2l10 == 1] = 3           #mother is living with father or current partner
newdata$m2l12[m2l12 == -6 & m2l10 == 1] = 3           #mother is living with father or current partner
newdata$m2l13[m2l13 == -6 & m2l10 == 1] = 3           #mother is living with father or current partner
newdata$m2l13a[m2l13a == -6 & m2l10 == 1] = 3           #mother is living with father or current partner
newdata$m2l13a[m2l13a == -6 & m2l13 == 2] = 4          #mother do not own a car/truck/van 
newdata$m2l13b[m2l13b == -6 & m2l10 == 1] = 1           #mother is living with father or current partner
newdata$m2l13b[m2l13b == -6 & m2l13 == 2] = 2          #mother do not own a car/truck/van
newdata$m2l13c[m2l13c == -6 & m2l10 == 1] = 0           #mother is living with father or current partner
newdata$m2l13c[m2l13c == -6 & m2l13 == 2] = 1         #mother do not own a car/truck/van

########### NA CODING ##############
newdata$m2l1[newdata$m2l1 %in% c(-1,-2,-9)] = NA
newdata$m2l1a[newdata$m2l1a %in% c(-1,-2,-6,-9)] = NA
newdata$m2l2[newdata$m2l2 %in% c(-1,-2,-9)] = NA
newdata$m2l2a[newdata$m2l2a %in% c(-1,-2,-6,-9)] = NA
newdata$m2l3[newdata$m2l3 == -9] = NA
newdata$m2l4[newdata$m2l4 %in% c(-1,-2,-6,-9)] = NA
newdata$m2l4a[newdata$m2l4a %in% c(-1,-2,-6,-9)] = NA
newdata$m2l5[newdata$m2l5 %in% c(-1,-2,-6,-9)] = NA
newdata$m2l5a[newdata$m2l5a %in% c(-1,-2,-6,-9)] = NA
newdata$m2l6[newdata$m2l6 %in% c(-1,-2,-6,-9,-18)] = NA
newdata$m2l6a[newdata$m2l6a %in% c(-1,-2,-6,-9)] = NA
newdata$m2l6b[newdata$m2l6b %in% c(-1,-2,-6,-9,-18)] = NA
newdata$m2l6c[newdata$m2l6c %in% c(-1,-2,-6,-9)] = NA
newdata$m2l7[newdata$m2l7 == -9] = NA
newdata$m2l8[newdata$m2l8 %in% c(-1,-2,-6,-9)] = NA
newdata$m2l9[newdata$m2l9 %in% c(-1,-2,-6,-9)] = NA
newdata$m2l9a[newdata$m2l9a %in% c(-1,-2,-6,-9)] = NA
newdata$m2l10[newdata$m2l10 %in% c(-6,-9)] = NA
newdata$m2l11[newdata$m2l11 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2l12[newdata$m2l12 %in% c(-1,-2,-3,-6,-9)] = NA
newdata$m2l13[newdata$m2l13 %in% c(-1,-2,-3,-6,-9,-18)] = NA
newdata$m2l13a[newdata$m2l13a %in% c(-6,-9)] = NA
newdata$m2l13b[newdata$m2l13b %in% c(-1,-2,-6,-9)] = NA
newdata$m2l13c[newdata$m2l13c %in% c(-1,-2,-6,-9)] = NA
newdata$cm2hhinc[newdata$cm2hhinc == -9] = NA
#newdata$cm2hhimp[newdata$cm2hhimp == -9] = NA
newdata$cm2povco[newdata$cm2povco == -9] = NA
newdata$cm2povca [newdata$cm2povca  == -9] = NA
#newdata$cm2tele[newdata$cm2tele == -9] = NA
newdata$cm2span[newdata$cm2span == -9] = NA

### Creating factor #####
newdata$m2l1a=factor(m2l1a)
newdata$m2l4=factor(m2l4)
newdata$m2l4a=factor(m2l4a)
newdata$m2l5a=factor(m2l5a)
newdata$m2l8=factor(m2l8)
newdata$m2l9=factor(m2l9)
newdata$m2l9a=factor(m2l9a)

#########
#Output cleaned data
#########
write.csv(newdata, file = outname, row.names = F)
var.classes = sapply(newdata, class)
save(var.classes, file = "../Data/Wave2_clean_class.RData")

