filename ="../Data/Wave3.csv"
outname ="../Data/Wave3_clean.csv"
data = read.csv(filename)
attach(data)


###########
#Remove variables we don't need to include
#(Some - mostly weights - already removed, but will not affect code if they are missing)
###########
drop = which(names(data) %in% c("idnum", "mothid3", "m3intmon", "m3intyr", "cm3twoc", "cm3mint", "cm3fint", "cm3tdiff", "cm3fdiff", "cm3inhom", "cm3inccprov", "cm3samp", "cm3natsm", 'm3natwt', "cm3natsmx", "m3natwtx", "cm3citsm", "m3citywt",
                                "cm3hhimp", "cm3povca", "cm3tele", "cm3span", "fathid3", "cf3twoc", "f3intmon", "f3intyr", "cf3fint", "cf3mint", "cf3new30", "cf3samp", "cf3natsm", "f3natwt", "cf3natsmx", "f3natwtx", "cf3citsm", "f3citywt", 
                                "cf3hhimp", "cf3hhincb", "cf3hhimpb", "cf3povca", "cf3povcob", "cf3povcab", "cf3tele", "cf3span", "cc3natsm", "cc3natsmx", "c3natwt", "cc3citsm"))
newdata = data[,-drop]  #note that if you need to drop more, add them to the above, or replace names(data) with names(newdata), or indices won't line up.

###########
#Section A (Mother & Father)
###########
newdata$m3a2[m3a2 %in% c(-9, -3, -2, -1)] = NA
newdata$m3a2 = factor(newdata$m3a2)
newdata$m3a3a[m3a3a %in% c(-9, -3, -2, -1)] = NA
newdata$m3a3a = factor(newdata$m3a3a)
newdata$m3a3b1[m3a3b1 %in% c(-9, -3, -2, -1)] = NA
newdata$m3a3b1 = factor(newdata$m3a3b1)
newdata$m3a3d[m3a3d %in% c(-9, -3, -2, -1)] = NA
newdata$m3a3d = factor(newdata$m3a3d)
#newdata$m3a3e[m2a2 == 1] = 30
newdata$m3a3f[m3a3f %in% c(-9, -3, -2, -1)] = NA
newdata$m3a3f = factor(newdata$m3a3f)
#newdata$m3a3g[m2a2 == 1] = 30
#newdata$m3a3g[m2a2 %in% c(4,6)] = 0

newdata$cm3relf[cm3relf %in% c(-9, -3, -2, -1)] = NA
newdata$cm3relf = factor(newdata$cm3relf)
newdata$m3a4a[m3a4 == 1] = 1
newdata$m3a4a[m3a4 %in% c(3,4,5, -13)] = 3
newdata$m3a4a[m3a4a %in% c(-9, -3, -2, -1)] = NA
newdata$m3a4a = factor(newdata$m3a4a)
newdata$m3a4b[m3a4a2 == 1] = 7
newdata$m3a4b[m3a4 %in% c(3,4,5, -13)] = 0
newdata$m3a8b_1[m3a4 %in% c(1,2)] = 0
newdata$m3a8b_1[m3a4 == -13 | m3a4e == 2] = 4
newdata$m3a8b_1[m3a4 == -14] = 2
newdata$m3a8b_1[m3a8b_1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a8b_1 = factor(newdata$m3a8b_1)
newdata$m3a8b_2[m3a4 %in% c(1,2)] = 0
newdata$m3a8b_2[m3a4 == -13 | m3a4e == 2] = 4
newdata$m3a8b_2[m3a4 == -14] = 2
newdata$m3a8b_2[m3a8b_2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a8b_2 = factor(newdata$m3a8b_2)
newdata$m3a8b_3[m3a4 %in% c(1,2)] = 0
newdata$m3a8b_3[m3a4 == -13 | m3a4e == 2] = 4
newdata$m3a8b_3[m3a4 == -14] = 2
newdata$m3a8b_3[m3a8b_3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a8b_3 = factor(newdata$m3a8b_3)
newdata$m3a8b_4[m3a4 %in% c(1,2)] = 0
newdata$m3a8b_4[m3a4 == -13 | m3a4e == 2] = 4
newdata$m3a8b_4[m3a4 == -14] = 2
newdata$m3a8b_4[m3a8b_4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a8b_4 = factor(newdata$m3a8b_4)
newdata$m3a8b_5[m3a4 %in% c(1,2)] = 0
newdata$m3a8b_5[m3a4 == -13 | m3a4e == 2] = 4
newdata$m3a8b_5[m3a4 == -14] = 2
newdata$m3a8b_5[m3a8b_5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a8b_5 = factor(newdata$m3a8b_5)
newdata$m3a8b_6[m3a4 %in% c(1,2)] = 0
newdata$m3a8b_6[m3a4 == -13 | m3a4e == 2] = 4
newdata$m3a8b_6[m3a4 == -14] = 2
newdata$m3a8b_6[m3a8b_6 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a8b_6 = factor(newdata$m3a8b_6)
newdata$m3a8b_7[m3a4 %in% c(1,2)] = 0
newdata$m3a8b_7[m3a4 == -13 | m3a4e == 2] = 4
newdata$m3a8b_7[m3a4 == -14] = 2
newdata$m3a8b_7[m3a8b_7 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a8b_7 = factor(newdata$m3a8b_7)
newdata$m3a8b_8[m3a4 %in% c(1,2)] = 0
newdata$m3a8b_8[m3a4 == -13 | m3a4e == 2] = 4
newdata$m3a8b_8[m3a4 == -14] = 2
newdata$m3a8b_8[m3a8b_8 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a8b_8 = factor(newdata$m3a8b_8)
newdata$m3a9[m3a8c == 1] = 1
newdata$m3a9[m3a9 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a9 = factor(newdata$m3a9)
newdata$m3a10[m3a10 %in% c(3,5)] = 1
newdata$m3a10[m3a10 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a10 = factor(newdata$m3a10)
newdata$m3a10a[m3a10 == 4] = 4
newdata$m3a10a[m3a10a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a10a = factor(newdata$m3a10a)
newdata$m3a10n[m3a10 == 4] = 0
newdata$m3a12[m3a11a == 1] = 1
newdata$m3a12a[m3a12 == 2] = 0
newdata$m3a12b[m3a12a %in% c(0,1)] = 1
newdata$m3a12c[m3a12b == 1] = 1
newdata$m3a14[m3a13 == 0] = 3
newdata$m3a14[m3a14 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a14 = factor(newdata$m3a14)
newdata$m3a15[m3a13 == 0] = 3
newdata$m3a15[m3a15 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a15 = factor(newdata$m3a15)
newdata$m3a16a[m3a16 == 2] = 0
newdata$m3a16a[m3a16a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3a16a = factor(newdata$m3a16a)

newdata$f3a2[f3a2 %in% c(-9, -3, -2, -1)] = NA
newdata$f3a2 = factor(newdata$f3a2)
newdata$f3a2c[f3a2 %in% c(1,2,3,7)] = 1
newdata$f3a2d[f3a2c == 2] = 0
newdata$f3a2d[f3a2 == 1] = 360
newdata$f3a2d[f3a2 == 2] = 180
newdata$f3a2d[f3a2 == 7] = 100
newdata$f3a3a[f3a3a %in% c(-9, -3, -2, -1)] = NA
newdata$f3a3a = factor(newdata$f3a3a)
newdata$f3a3b1[f3a3b1 %in% c(-9, -3, -2, -1)] = NA
newdata$f3a3b1 = factor(newdata$f3a3b1)
newdata$f3a3d[f3a3d %in% c(-9, -3, -2, -1)] = NA
newdata$f3a3d = factor(newdata$f3a3d)
#newdata$f3a3e[m2a2 == 1] = 30
newdata$f3a3f[f3a3f %in% c(-9, -3, -2, -1)] = NA
newdata$f3a3f = factor(newdata$f3a3f)
#newdata$f3a3g[m2a2 == 1] = 30
#newdata$f3a3g[m2a2 %in% c(4,6)] = 0

newdata$f3a4a[f3a4 == 1] = 1
newdata$f3a4a[f3a4 %in% c(3,4,5, -13)] = 3
newdata$f3a4a[f3a4a %in% c(-9, -3, -2, -1)] = NA
newdata$f3a4a = factor(newdata$f3a4a)
newdata$f3a4b[f3a4a2 == 1] = 7
newdata$f3a4b[f3a4 %in% c(3,4,5, -13)] = 0
newdata$f3a8b_1[f3a4 %in% c(1,2)] = 0
newdata$f3a8b_1[f3a4 == -13] = 4
newdata$f3a8b_1[f3a4 == -14] = 2
newdata$f3a8b_1[f3a8b_1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a8b_1 = factor(newdata$f3a8b_1)
newdata$f3a8b_2[f3a4 %in% c(1,2)] = 0
newdata$f3a8b_2[f3a4 == -13] = 4
newdata$f3a8b_2[f3a4 == -14] = 2
newdata$f3a8b_2[f3a8b_2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a8b_2 = factor(newdata$f3a8b_2)
newdata$f3a8b_3[f3a4 %in% c(1,2)] = 0
newdata$f3a8b_3[f3a4 == -13] = 4
newdata$f3a8b_3[f3a4 == -14] = 2
newdata$f3a8b_3[f3a8b_3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a8b_3 = factor(newdata$f3a8b_3)
newdata$f3a8b_4[f3a4 %in% c(1,2)] = 0
newdata$f3a8b_4[f3a4 == -13] = 4
newdata$f3a8b_4[f3a4 == -14] = 2
newdata$f3a8b_4[f3a8b_4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a8b_4 = factor(newdata$f3a8b_4)
newdata$f3a8b_5[f3a4 %in% c(1,2)] = 0
newdata$f3a8b_5[f3a4 == -13] = 4
newdata$f3a8b_5[f3a4 == -14] = 2
newdata$f3a8b_5[f3a8b_5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a8b_5 = factor(newdata$f3a8b_5)
newdata$f3a8b_6[f3a4 %in% c(1,2)] = 0
newdata$f3a8b_6[f3a4 == -13] = 4
newdata$f3a8b_6[f3a4 == -14] = 2
newdata$f3a8b_6[f3a8b_6 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a8b_6 = factor(newdata$f3a8b_6)
newdata$f3a8b_7[f3a4 %in% c(1,2)] = 0
newdata$f3a8b_7[f3a4 == -13] = 4
newdata$f3a8b_7[f3a4 == -14] = 2
newdata$f3a8b_7[f3a8b_7 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a8b_7 = factor(newdata$f3a8b_7)
newdata$f3a8b_8[f3a4 %in% c(1,2)] = 0
newdata$f3a8b_8[f3a4 == -13] = 4
newdata$f3a8b_8[f3a4 == -14] = 2
newdata$f3a8b_8[f3a8b_8 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a8b_8 = factor(newdata$f3a8b_8)
newdata$f3a9[f3a8c == 1] = 1
newdata$f3a9[f3a9 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a9 = factor(newdata$f3a9)
newdata$f3a10[f3a10 %in% c(3,5)] = 1
newdata$f3a10[f3a10 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a10 = factor(newdata$f3a10)
newdata$f3a10a[f3a10 == 4] = 4
newdata$f3a10a[f3a10a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a10a = factor(newdata$f3a10a)
newdata$f3a10n[f3a10 == 4] = 0
newdata$f3a12[f3a11a == 1] = 1
newdata$f3a12a[f3a12 == 2] = 0
newdata$f3a12b[f3a12a %in% c(0,1)] = 1
newdata$f3a12c[f3a12b == 1] = 1
newdata$f3a14[f3a13 == 0] = 3
newdata$f3a14[f3a14 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a14 = factor(newdata$f3a14)
newdata$f3a15[f3a13 == 0] = 3
newdata$f3a15[f3a15 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3a15 = factor(newdata$f3a15)

drop = which(names(newdata) %in% c("m3a3b", "m3a4", "m3a4a1", "m3a4a2", "m3a4c2",
                                   "m3a4d", "m3a4e", "m3a5", "m3a5a1", "m3a5a2", "m3a6",
                                   "m3a6a1", "m3a6a2", "m3a7", "m3a7a1", "m3a7a2",
                                   "m3a8", "m3a8a1", "m3a8a2", "m3a8c", "m3a11a", "m3a13a",
                                   "f3a3b", "f3a4", "f3a4a1", "f3a4a2", "f3a4c2",
                                   "f3a4d", "f3a4e", "f3a5", "f3a5a1", "f3a5a2", "f3a6",
                                   "f3a6a1", "f3a6a2", "f3a7", "f3a7a1", "f3a7a2",
                                   "f3a8", "f3a8a1", "f3a8a2", "f3a8c", "f3a11a", "f3a13a"))
newdata = newdata[,-drop]

###########
#Section B (Mother & Father)
###########

newdata$m3b1[m3b26 > 0] = m3b26[m3b26 > 0]
newdata$m3b1[m3b1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b1 = factor(newdata$m3b1)
newdata$m3b2[m3b27 > 0] = m3b27[m3b27 > 0]
newdata$m3b2[m3b2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b2 = factor(newdata$m3b2)
newdata$m3b3a[m3b3 == 0] = 0
newdata$m3b3b_1[newdata$m3b3 == 0] = 0
newdata$m3b3b_1[m3b3b_1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3b_1 = factor(newdata$m3b3b_1)
newdata$m3b3b_2[newdata$m3b3 == 0] = 0
newdata$m3b3b_2[m3b3b_2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3b_2 = factor(newdata$m3b3b_2)
newdata$m3b3b_3[newdata$m3b3 == 0] = 0
newdata$m3b3b_3[m3b3b_3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3b_3 = factor(newdata$m3b3b_3)
newdata$m3b3b_4[newdata$m3b3 == 0] = 0
newdata$m3b3b_4[m3b3b_4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3b_4 = factor(newdata$m3b3b_4)
newdata$m3b3b_5[newdata$m3b3 == 0] = 0
newdata$m3b3b_5[m3b3b_5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3b_5 = factor(newdata$m3b3b_5)
newdata$m3b3b_6[newdata$m3b3 == 0] = 0
newdata$m3b3b_6[m3b3b_6 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3b_6 = factor(newdata$m3b3b_6)
newdata$m3b3b_7[newdata$m3b3 == 0] = 0
newdata$m3b3b_7[m3b3b_7 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3b_7 = factor(newdata$m3b3b_7)
newdata$m3b3b_8[newdata$m3b3 == 0] = 0
newdata$m3b3b_8[m3b3b_8 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3b_8 = factor(newdata$m3b3b_8)
newdata$m3b3c[newdata$m3b3 == 0] = 0
newdata$m3b3c[m3b3c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3c = factor(newdata$m3b3c)

newdata$m3b3d1[m3b3 == 0 | m3b3d == 2] = 0
newdata$m3b3e_1[newdata$m3b3 == 0 | m3b3d == 2] = 0
newdata$m3b3e_1[m3b3e_1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3e_1 = factor(newdata$m3b3e_1)
newdata$m3b3e_2[newdata$m3b3 == 0| m3b3d == 2] = 0
newdata$m3b3e_2[m3b3e_2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3e_2 = factor(newdata$m3b3e_2)
newdata$m3b3e_3[newdata$m3b3 == 0| m3b3d == 2] = 0
newdata$m3b3e_3[m3b3e_3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3e_3 = factor(newdata$m3b3e_3)
newdata$m3b3e_4[newdata$m3b3 == 0| m3b3d == 2] = 0
newdata$m3b3e_4[m3b3e_4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3e_4 = factor(newdata$m3b3e_4)
newdata$m3b3e_5[newdata$m3b3 == 0| m3b3d == 2] = 0
newdata$m3b3e_5[m3b3e_5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3e_5 = factor(newdata$m3b3e_5)
newdata$m3b3e_6[newdata$m3b3 == 0| m3b3d == 2] = 0
newdata$m3b3e_6[m3b3e_6 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3e_6 = factor(newdata$m3b3e_6)
newdata$m3b3e_7[newdata$m3b3 == 0| m3b3d == 2] = 0
newdata$m3b3e_7[m3b3e_7 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3e_7 = factor(newdata$m3b3e_7)
newdata$m3b3e_8[newdata$m3b3 == 0| m3b3d == 2] = 0
newdata$m3b3e_8[m3b3e_8 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3e_8 = factor(newdata$m3b3e_8)
newdata$m3b3f[newdata$m3b3 == 0| m3b3d == 2] = 0
newdata$m3b3f[m3b3f %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b3f = factor(newdata$m3b3f)

newdata$m3b4a[m3b32a > 0] = m3b32a[m3b32a > 0]
newdata$m3b4b[m3b32b > 0] = m3b32b[m3b32b > 0]
newdata$m3b4c[m3b32c > 0] = m3b32c[m3b32c > 0]
newdata$m3b4d[m3b32d > 0] = m3b32d[m3b32d > 0]
newdata$m3b4e[m3b32e > 0] = m3b32e[m3b32e > 0]
newdata$m3b4f[m3b32f > 0] = m3b32f[m3b32f > 0]
newdata$m3b4g[m3b32g > 0] = m3b32g[m3b32g > 0]
newdata$m3b4h[m3b32h > 0] = m3b32h[m3b32h > 0]
newdata$m3b4i[m3b32i > 0] = m3b32i[m3b32i > 0]
newdata$m3b4j[m3b32j > 0] = m3b32j[m3b32j > 0]
newdata$m3b4k[m3b32k > 0] = m3b32k[m3b32k > 0]
newdata$m3b4l[m3b32l > 0] = m3b32l[m3b32l > 0]
newdata$m3b4m[m3b32m > 0] = m3b32m[m3b32m > 0]
newdata$m3b4a[m3b31 == 2] = 0
newdata$m3b4b[m3b31 == 2] = 0
newdata$m3b4c[m3b31 == 2] = 0
newdata$m3b4d[m3b31 == 2] = 0
newdata$m3b4e[m3b31 == 2] = 0
newdata$m3b4f[m3b31 == 2] = 0
newdata$m3b4g[m3b31 == 2] = 0
newdata$m3b4h[m3b31 == 2] = 0
newdata$m3b4i[m3b31 == 2] = 0
newdata$m3b4j[m3b31 == 2] = 0
newdata$m3b4k[m3b31 == 2] = 0
newdata$m3b4l[m3b31 == 2] = 0
newdata$m3b4m[m3b31 == 2] = 0

newdata$m3b5[m3b33 > 0] = m3b33[m3b33 > 0]
newdata$m3b5[m3b33a > 0] = m3b33a[m3b33a > 0]
newdata$m3b5a[m3b5 == 2] = 5
newdata$m3b5a[m3b5a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b5a = factor(newdata$m3b5a)
newdata$m3b6a[m3b34a > 0] = m3b34a[m3b34a > 0]
newdata$m3b6a[newdata$m3b6a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b6a = factor(newdata$m3b6a)
newdata$m3b6b[m3b34b > 0] = m3b34b[m3b34b > 0]
newdata$m3b6b[newdata$m3b6b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b6b = factor(newdata$m3b6b)
newdata$m3b6c[m3b34c > 0] = m3b34c[m3b34c > 0]
newdata$m3b6c[newdata$m3b6c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b6c = factor(newdata$m3b6c)
newdata$m3b6d[m3b34d > 0] = m3b34d[m3b34d > 0]
newdata$m3b6d[newdata$m3b6d %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b6d = factor(newdata$m3b6d)

newdata$m3b7a[m3b7 == 2] = 0
newdata$m3b7b[m3b7 == 2] = 0
newdata$m3b8a_1[m3b7 == 2] = 0
newdata$m3b8a_1[m3b8a_1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_1 = factor(newdata$m3b8a_1)
newdata$m3b8a_2[m3b7 == 2] = 0
newdata$m3b8a_2[m3b8a_2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_2 = factor(newdata$m3b8a_2)
newdata$m3b8a_3[m3b7 == 2] = 0
newdata$m3b8a_3[m3b8a_3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_3 = factor(newdata$m3b8a_3)
newdata$m3b8a_4[m3b7 == 2] = 0
newdata$m3b8a_4[m3b8a_4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_4 = factor(newdata$m3b8a_4)
newdata$m3b8a_5[m3b7 == 2] = 0
newdata$m3b8a_5[m3b8a_5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_5 = factor(newdata$m3b8a_5)
newdata$m3b8a_6[m3b7 == 2] = 0
newdata$m3b8a_6[m3b8a_6 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_6 = factor(newdata$m3b8a_6)
newdata$m3b8a_7[m3b7 == 2] = 0
newdata$m3b8a_7[m3b8a_7 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_7 = factor(newdata$m3b8a_7)
newdata$m3b8a_8[m3b7 == 2] = 0
newdata$m3b8a_8[m3b8a_8 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_8 = factor(newdata$m3b8a_8)
newdata$m3b8a_9[m3b7 == 2] = 0
newdata$m3b8a_9[m3b8a_9 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_9 = factor(newdata$m3b8a_9)
newdata$m3b8a_10[m3b7 == 2] = 0
newdata$m3b8a_10[m3b8a_10 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_10 = factor(newdata$m3b8a_10)
newdata$m3b8a_11[m3b7 == 2] = 0
newdata$m3b8a_11[m3b8a_11 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_11 = factor(newdata$m3b8a_11)
newdata$m3b8a_12[m3b7 == 2] = 0
newdata$m3b8a_12[m3b8a_12 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_12 = factor(newdata$m3b8a_12)
newdata$m3b8a_13[m3b7 == 2] = 0
newdata$m3b8a_13[m3b8a_13 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8a_13 = factor(newdata$m3b8a_13)
newdata$m3b8b[m3b7 == 2] = 0
newdata$m3b8b[m3b8b == -6] = 14
newdata$m3b8b[m3b8b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b8b = factor(newdata$m3b8b)
newdata$m3b9[m3b8a_11 == 1 | m3b8a_12 == 1] = 0
newdata$m3b9[m3b9 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b9 = factor(newdata$m3b9)
newdata$m3b11[m3b7 == 2] = 0
newdata$m3b12[m3b7 == 2] = 0
newdata$m3b14[m3b7 == 2] = 3
newdata$m3b14[m3b14 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b14 = factor(newdata$m3b14)
newdata$m3b15_1[newdata$m3b14 %in% c(2, 3)] = 2
newdata$m3b15_2[newdata$m3b14 %in% c(2, 3)] = 2
newdata$m3b15_3[newdata$m3b14 %in% c(2, 3)] = 2
newdata$m3b15_4[newdata$m3b14 %in% c(2, 3)] = 2
newdata$m3b15_5[newdata$m3b14 %in% c(2, 3)] = 2
newdata$m3b15_6[newdata$m3b14 %in% c(2, 3)] = 2
newdata$m3b15_7[newdata$m3b14 %in% c(2, 3)] = 2
newdata$m3b16a1[newdata$m3b15_1 == 2] = 0
newdata$m3b16a1[m3b16p1 == 1] = newdata$m3b16a1[m3b16p1 == 1]*4
newdata$m3b16a2[newdata$m3b15_2 == 2] = 0
newdata$m3b16a2[m3b16p2 == 1] = newdata$m3b16a2[m3b16p2 == 1]*4
newdata$m3b16a3[newdata$m3b15_3 == 2] = 0
newdata$m3b16a3[m3b16p3 == 1] = newdata$m3b16a3[m3b16p3 == 1]*4
newdata$m3b16a4[newdata$m3b15_4 == 2] = 0
#newdata$m3b16a4[m3b16p4 == 1] = newdata$m3b16a4[m3b16p4 == 1]*4
newdata$m3b16a5[newdata$m3b15_5 == 2] = 0
newdata$m3b16a5[m3b16p5 == 1] = newdata$m3b16a5[m3b16p5 == 1]*4
newdata$m3b16a6[newdata$m3b15_6 == 2] = 0
newdata$m3b16a6[m3b16p6 == 1] = newdata$m3b16a6[m3b16p6 == 1]*4
newdata$m3b16a7[newdata$m3b15_7 == 2] = 0
newdata$m3b16a7[m3b16p7 == 1] = newdata$m3b16a7[m3b16p7 == 1]*4
newdata$m3b17[m3b7 == 2] = 0
newdata$m3b17[m3b17p == 1] = newdata$m3b17[m3b17p == 1]*40
newdata$m3b17[m3b17p == 2] = newdata$m3b17[m3b17p == 2]*5
newdata$m3b17[m3b17p == 4] = newdata$m3b17[m3b17p == 4]/2
newdata$m3b17[m3b17p == 5] = newdata$m3b17[m3b17p == 5]/4
newdata$m3b19[m3b7 == 2] = 0
newdata$m3b19[m3b18 == 1] = 1
newdata$m3b18[m3b7 == 2] = 1
newdata$m3b18[m3b18 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b18 = factor(newdata$m3b18)
newdata$m3b21[m3b15_3 == 1 | m3b15_6 == 1 | m3b15_4 == 1] = 1
newdata$m3b22[m3b7 == 2] = 0
newdata$m3b23[m3b7 == 2] = 0
newdata$m3b24[m3b7 == 2] = 0
newdata$m3b25[m3b7 == 2] = 0
newdata$m3b25[m3b25 == -10] = 0
newdata$m3b25[m3b25 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3b25 = factor(newdata$m3b25)

newdata$m3b28[m3b28 %in% c(-9, -3, -2, -1)] = NA
newdata$m3b28 = factor(newdata$m3b28)
newdata$m3b28a[m3b28 == 1] = 1
newdata$m3b28a[m3b28a %in% c(-9, -3, -2, -1)] = NA
newdata$m3b28a = factor(newdata$m3b28a)


newdata$f3b1[f3b25 > 0] = f3b25[f3b25 > 0]
newdata$f3b1[f3b1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b1 = factor(newdata$f3b1)
newdata$f3b2[f3b26 > 0] = f3b26[f3b26 > 0]
newdata$f3b2[f3b2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b2 = factor(newdata$f3b2)
newdata$f3b3a[f3b3 == 0] = 0
newdata$f3b3b_1[newdata$f3b3 == 0] = 0
newdata$f3b3b_1[f3b3b_1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3b_1 = factor(newdata$f3b3b_1)
newdata$f3b3b_2[newdata$f3b3 == 0] = 0
newdata$f3b3b_2[f3b3b_2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3b_2 = factor(newdata$f3b3b_2)
newdata$f3b3b_3[newdata$f3b3 == 0] = 0
newdata$f3b3b_3[f3b3b_3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3b_3 = factor(newdata$f3b3b_3)
newdata$f3b3b_4[newdata$f3b3 == 0] = 0
newdata$f3b3b_4[f3b3b_4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3b_4 = factor(newdata$f3b3b_4)
newdata$f3b3b_5[newdata$f3b3 == 0] = 0
newdata$f3b3b_5[f3b3b_5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3b_5 = factor(newdata$f3b3b_5)
newdata$f3b3b_6[newdata$f3b3 == 0] = 0
newdata$f3b3b_6[f3b3b_6 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3b_6 = factor(newdata$f3b3b_6)
newdata$f3b3b_7[newdata$f3b3 == 0] = 0
newdata$f3b3b_7[f3b3b_7 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3b_7 = factor(newdata$f3b3b_7)
newdata$f3b3b_8[newdata$f3b3 == 0] = 0
newdata$f3b3b_8[f3b3b_8 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3b_8 = factor(newdata$f3b3b_8)
newdata$f3b3c[newdata$f3b3 == 0] = 0
newdata$f3b3c[f3b3c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3c = factor(newdata$f3b3c)

newdata$f3b3d1[f3b3 == 0 | f3b3d == 2] = 0
newdata$f3b3e_1[newdata$f3b3 == 0 | f3b3d == 2] = 0
newdata$f3b3e_1[f3b3e_1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3e_1 = factor(newdata$f3b3e_1)
newdata$f3b3e_2[newdata$f3b3 == 0| f3b3d == 2] = 0
newdata$f3b3e_2[f3b3e_2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3e_2 = factor(newdata$f3b3e_2)
newdata$f3b3e_3[newdata$f3b3 == 0| f3b3d == 2] = 0
newdata$f3b3e_3[f3b3e_3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3e_3 = factor(newdata$f3b3e_3)
newdata$f3b3e_4[newdata$f3b3 == 0| f3b3d == 2] = 0
newdata$f3b3e_4[f3b3e_4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3e_4 = factor(newdata$f3b3e_4)
newdata$f3b3e_5[newdata$f3b3 == 0| f3b3d == 2] = 0
newdata$f3b3e_5[f3b3e_5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3e_5 = factor(newdata$f3b3e_5)
newdata$f3b3e_6[newdata$f3b3 == 0| f3b3d == 2] = 0
newdata$f3b3e_6[f3b3e_6 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3e_6 = factor(newdata$f3b3e_6)
newdata$f3b3e_7[newdata$f3b3 == 0| f3b3d == 2] = 0
newdata$f3b3e_7[f3b3e_7 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3e_7 = factor(newdata$f3b3e_7)
newdata$f3b3e_8[newdata$f3b3 == 0| f3b3d == 2] = 0
newdata$f3b3e_8[f3b3e_8 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3e_8 = factor(newdata$f3b3e_8)
newdata$f3b3f[newdata$f3b3 == 0| f3b3d == 2] = 0
newdata$f3b3f[f3b3f %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b3f = factor(newdata$f3b3f)

newdata$f3b4a[f3b32a > 0] = f3b32a[f3b32a > 0]
newdata$f3b4b[f3b32b > 0] = f3b32b[f3b32b > 0]
newdata$f3b4c[f3b32c > 0] = f3b32c[f3b32c > 0]
newdata$f3b4d[f3b32d > 0] = f3b32d[f3b32d > 0]
newdata$f3b4e[f3b32e > 0] = f3b32e[f3b32e > 0]
newdata$f3b4f[f3b32f > 0] = f3b32f[f3b32f > 0]
newdata$f3b4g[f3b32g > 0] = f3b32g[f3b32g > 0]
newdata$f3b4h[f3b32h > 0] = f3b32h[f3b32h > 0]
newdata$f3b4i[f3b32i > 0] = f3b32i[f3b32i > 0]
newdata$f3b4j[f3b32j > 0] = f3b32j[f3b32j > 0]
newdata$f3b4k[f3b32k > 0] = f3b32k[f3b32k > 0]
newdata$f3b4l[f3b32l > 0] = f3b32l[f3b32l > 0]
newdata$f3b4m[f3b32m > 0] = f3b32m[f3b32m > 0]
newdata$f3b4a[f3b31 == 2] = 0
newdata$f3b4b[f3b31 == 2] = 0
newdata$f3b4c[f3b31 == 2] = 0
newdata$f3b4d[f3b31 == 2] = 0
newdata$f3b4e[f3b31 == 2] = 0
newdata$f3b4f[f3b31 == 2] = 0
newdata$f3b4g[f3b31 == 2] = 0
newdata$f3b4h[f3b31 == 2] = 0
newdata$f3b4i[f3b31 == 2] = 0
newdata$f3b4j[f3b31 == 2] = 0
newdata$f3b4k[f3b31 == 2] = 0
newdata$f3b4l[f3b31 == 2] = 0
newdata$f3b4m[f3b31 == 2] = 0

newdata$f3b5[f3b33 > 0] = f3b33[f3b33 > 0]
newdata$f3b5[f3b33a > 0] = f3b33a[f3b33a > 0]
newdata$f3b5a[f3b5 == 2] = 5
newdata$f3b5a[f3b5a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b5a = factor(newdata$f3b5a)
newdata$f3b6a[f3b34a > 0] = f3b34a[f3b34a > 0]
newdata$f3b6a[newdata$f3b6a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b6a = factor(newdata$f3b6a)
newdata$f3b6b[f3b34b > 0] = f3b34b[f3b34b > 0]
newdata$f3b6b[newdata$f3b6b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b6b = factor(newdata$f3b6b)
newdata$f3b6c[f3b34c > 0] = f3b34c[f3b34c > 0]
newdata$f3b6c[newdata$f3b6c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b6c = factor(newdata$f3b6c)
newdata$f3b6d[f3b34d > 0] = f3b34d[f3b34d > 0]
newdata$f3b6d[newdata$f3b6d %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b6d = factor(newdata$f3b6d)

newdata$f3b7a[f3b7 == 2] = 0
newdata$f3b7b[f3b7 == 2] = 0
newdata$f3b8a_1[f3b7 == 2] = 0
newdata$f3b8a_1[f3b8a_1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_1 = factor(newdata$f3b8a_1)
newdata$f3b8a_2[f3b7 == 2] = 0
newdata$f3b8a_2[f3b8a_2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_2 = factor(newdata$f3b8a_2)
newdata$f3b8a_3[f3b7 == 2] = 0
newdata$f3b8a_3[f3b8a_3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_3 = factor(newdata$f3b8a_3)
newdata$f3b8a_4[f3b7 == 2] = 0
newdata$f3b8a_4[f3b8a_4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_4 = factor(newdata$f3b8a_4)
newdata$f3b8a_5[f3b7 == 2] = 0
newdata$f3b8a_5[f3b8a_5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_5 = factor(newdata$f3b8a_5)
newdata$f3b8a_6[f3b7 == 2] = 0
newdata$f3b8a_6[f3b8a_6 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_6 = factor(newdata$f3b8a_6)
newdata$f3b8a_7[f3b7 == 2] = 0
newdata$f3b8a_7[f3b8a_7 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_7 = factor(newdata$f3b8a_7)
newdata$f3b8a_8[f3b7 == 2] = 0
newdata$f3b8a_8[f3b8a_8 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_8 = factor(newdata$f3b8a_8)
newdata$f3b8a_9[f3b7 == 2] = 0
newdata$f3b8a_9[f3b8a_9 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_9 = factor(newdata$f3b8a_9)
newdata$f3b8a_10[f3b7 == 2] = 0
newdata$f3b8a_10[f3b8a_10 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_10 = factor(newdata$f3b8a_10)
newdata$f3b8a_11[f3b7 == 2] = 0
newdata$f3b8a_11[f3b8a_11 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_11 = factor(newdata$f3b8a_11)
newdata$f3b8a_12[f3b7 == 2] = 0
newdata$f3b8a_12[f3b8a_12 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_12 = factor(newdata$f3b8a_12)
newdata$f3b8a_13[f3b7 == 2] = 0
newdata$f3b8a_13[f3b8a_13 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8a_13 = factor(newdata$f3b8a_13)
newdata$f3b8b[f3b7 == 2] = 0
newdata$f3b8b[f3b8b == -6] = 14
newdata$f3b8b[f3b8b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b8b = factor(newdata$f3b8b)
newdata$f3b9[f3b8a_11 == 1 | f3b8a_12 == 1] = 0
newdata$f3b9[f3b9 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b9 = factor(newdata$f3b9)
newdata$f3b11[f3b7 == 2] = 0
newdata$f3b12[f3b7 == 2] = 0
newdata$f3b14[f3b7 == 2] = 3
newdata$f3b14[f3b14 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b14 = factor(newdata$f3b14)
newdata$f3b15_1[newdata$f3b14 %in% c(2, 3)] = 2
newdata$f3b15_2[newdata$f3b14 %in% c(2, 3)] = 2
newdata$f3b15_3[newdata$f3b14 %in% c(2, 3)] = 2
newdata$f3b15_4[newdata$f3b14 %in% c(2, 3)] = 2
newdata$f3b15_5[newdata$f3b14 %in% c(2, 3)] = 2
newdata$f3b15_6[newdata$f3b14 %in% c(2, 3)] = 2
newdata$f3b15_7[newdata$f3b14 %in% c(2, 3)] = 2
newdata$f3b16a1[newdata$f3b15_1 == 2] = 0
#newdata$f3b16a1[f3b16p1 == 1] = newdata$f3b16a1[f3b16p1 == 1]*4
newdata$f3b16a2[newdata$f3b15_2 == 2] = 0
#newdata$f3b16a2[f3b16p2 == 1] = newdata$f3b16a2[f3b16p2 == 1]*4
newdata$f3b16a3[newdata$f3b15_3 == 2] = 0
newdata$f3b16a3[f3b16p3 == 1] = newdata$f3b16a3[f3b16p3 == 1]*4
newdata$f3b16a4[newdata$f3b15_4 == 2] = 0
#newdata$f3b16a4[f3b16p4 == 1] = newdata$f3b16a4[f3b16p4 == 1]*4
newdata$f3b16a5[newdata$f3b15_5 == 2] = 0
newdata$f3b16a5[f3b16p5 == 1] = newdata$f3b16a5[f3b16p5 == 1]*4
newdata$f3b16a6[newdata$f3b15_6 == 2] = 0
#newdata$f3b16a6[f3b16p6 == 1] = newdata$f3b16a6[f3b16p6 == 1]*4
newdata$f3b16a7[newdata$f3b15_7 == 2] = 0
newdata$f3b16a7[f3b16p7 == 1] = newdata$f3b16a7[f3b16p7 == 1]*4
newdata$f3b17[f3b7 == 2] = 0
newdata$f3b17[f3b17p == 1] = newdata$f3b17[f3b17p == 1]*40
newdata$f3b17[f3b17p == 2] = newdata$f3b17[f3b17p == 2]*5
newdata$f3b17[f3b17p == 4] = newdata$f3b17[f3b17p == 4]/2
newdata$f3b17[f3b17p == 5] = newdata$f3b17[f3b17p == 5]/4
newdata$f3b18[f3b7 == 2] = 0
newdata$f3b18[f3b17a == 1] = 1
newdata$f3b17a[f3b7 == 2] = 0
newdata$f3b17a[f3b17a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b17a = factor(newdata$f3b17a)
newdata$f3b20[f3b15_3 == 1 | f3b15_6 == 1 | f3b15_4 == 1] = 1
newdata$f3b21[f3b7 == 2] = 0
newdata$f3b22[f3b7 == 2] = 0
newdata$f3b23[f3b7 == 2] = 0
newdata$f3b24[f3b7 == 2] = 0
newdata$f3b24[f3b24 == -10] = 0
newdata$f3b24[f3b24 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3b24 = factor(newdata$f3b24)

newdata$f3b27[f3b27 %in% c(-9, -3, -2, -1)] = NA
newdata$f3b27 = factor(newdata$f3b27)
#newdata$f3b27a[f3b27 == 1] = 1
#newdata$f3b27a[f3b27a %in% c(-9, -3, -2, -1)] = NA
#newdata$f3b27a = factor(newdata$f3b27a)

drop = which(names(newdata) %in% c("f3b0", "f3b3d", "f3b19", "f3b25", "f3b26", "f3b31",
                                   "f3b32a","f3b32b","f3b32c","f3b32d","f3b32e","f3b32f","f3b32g",
                                   "f3b32h","f3b32i","f3b32j","f3b32k","f3b32l","f3b32m",
                                   "f3b33", "f3b33a", "f3b34a","f3b34b","f3b34c","f3b34d",
                                   "f3b29", "f3b30", "f3b30a",
                                   "m3b0", "m3b3d", "m3b20", "m3b26", "m3b27", "m3b31",
                                   "m3b32a","m3b32b","m3b32c","m3b32d","m3b32e","m3b32f","m3b32g",
                                   "m3b32h","m3b32i","m3b32j","m3b32k","m3b32l","m3b32m",
                                   "m3b33", "m3b33a", "m3b34a","m3b34b","m3b34c","m3b34d",
                                   "m3b29", "m3b30", "m3b30a"))
newdata = newdata[,-drop]

###########
#Section C (Mother & Father)
###########
newdata$m3c1c[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c1c[newdata$m3c1c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c1c = factor(newdata$m3c1c)
newdata$m3c2[m3c1a == 1 | m3c1b == 2] = 2
newdata$m3c2[m3c1 == 1] = 1
newdata$m3c2[m3c2 == 3] = 2
newdata$m3c2a[m3c2 == 2] = 0
newdata$m3c2c[m3c1a == 1 | m3c1b == 2] = 2
newdata$m3c2c[m3c1 == 1] = 1
newdata$m3c2d[m3c2c == 2] = 0
newdata$m3c2d[m3c1 == 1] = 360
newdata$m3c2d[m3c1a == 1 | m3c1b == 2] = 0
newdata$m3c3a[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3b[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3c[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3d[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3e[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3f[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3g[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3h[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3i[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3j[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3k[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3l[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c3m[m3c1a == 1 | m3c1b == 2 | m3c2e == 2] = 0
newdata$m3c4[m3c1a == 1 | m3c1b == 2] = 2
newdata$m3c4a[newdata$m3c4 == 2] = 5
newdata$m3c4a[m3c4a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c4a = factor(newdata$m3c4a)
newdata$m3c5[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c5[m3c5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c5 = factor(newdata$m3c5)
newdata$m3c5a[m3c5a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c5a = factor(newdata$m3c5a)
newdata$m3c7a[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c7b[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c7c[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c7d[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c7a[m3c7a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c7a = factor(newdata$m3c7a)
newdata$m3c7b[m3c7b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c7b = factor(newdata$m3c7b)
newdata$m3c7c[m3c7c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c7c = factor(newdata$m3c7c)
newdata$m3c7d[m3c7d %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c7d = factor(newdata$m3c7d)
newdata$m3c9[m3c10a == 1 | m3c8 == 1] = 1
newdata$m3c10b[m3c10b %in% c(-9, -3, -2, -1)] = NA
newdata$m3c10b = factor(newdata$m3c10b)
newdata$m3c12a[m3c1a == 1 | m3c1b == 2 | m3c11 == 1] = 3
newdata$m3c12a[m3c15 > 0] = m3c15[m3c15 > 0]
newdata$m3c12a[m3c12a %in% c(-9, -3, -2, -1)] = NA
newdata$m3c12a = factor(newdata$m3c12a)
newdata$m3c13[m3c12 == 1] = 1
newdata$m3c14a[m3c14 == 2] = 1
newdata$m3c16[m3c13 == 2 | m3c1a == 1 | m3c1b == 2 | m3c11 == 1] = 0
newdata$m3c16[m3c16p == 1] = newdata$m3c16[m3c16p == 1]/4
newdata$m3c16[m3c16p == 2] = newdata$m3c16[m3c16p == 2]/2
newdata$m3c18[m3c17 == 1] = 1
newdata$m3c18[m3c1a == 1 | m3c1b == 2| m3c11 == 1] = 5
newdata$m3c18[m3c18 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c18 = factor(newdata$m3c18)
newdata$m3c19[m3c1a == 1 | m3c1b == 2| m3c11 == 1] = 6
newdata$m3c19[m3c19 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c19 = factor(newdata$m3c19)
newdata$m3c20[m3c1a == 1 | m3c1b == 2 | m3c13 == 2] = 0
newdata$m3c20c[m3c1a == 1 | m3c1b == 2 | m3c20b == 2] = 0
newdata$m3c21[m3c1a == 1 | m3c1b == 2 | m3c13 == 2] = 2
newdata$m3c21a[m3c1a == 1 | m3c1b == 2 | m3c21 == 2] = 0
newdata$m3c21c[m3c1a == 1 | m3c1b == 2 | m3c21 == 2] = 2
newdata$m321d_1[m3c21c == 2] = 2
newdata$m321d_2[m3c21c == 2] = 2
newdata$m321d_3[m3c21c == 2] = 2
newdata$m321d_4[m3c21c == 2] = 2
newdata$m321d_5[m3c21c == 2] = 2
newdata$m321d_6[m3c21c == 2] = 2
newdata$m321d_7[m3c21c == 2] = 2
newdata$m321d_8[m3c21c == 2] = 2
newdata$m321d_9[m3c21c == 2] = 2
newdata$m3c22a[m3c1a == 1 | m3c1b == 2 | m3c22 == 1] = 2
newdata$m3c30a[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c30a[m3c30a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c30a = factor(newdata$m3c30a)
newdata$m3c30b[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c30b[m3c30b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c30b = factor(newdata$m3c30b)
newdata$m3c30c[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c30c[m3c30c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c30c = factor(newdata$m3c30c)
newdata$m3c30d[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c30d[m3c30d %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c30d = factor(newdata$m3c30d)
newdata$m3c30e[m3c1a == 1 | m3c1b == 2] = 5
newdata$m3c30e[m3c30e %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c30e = factor(newdata$m3c30e)
newdata$m3c32[m3c31 == 2] = 2
newdata$m3c33[m3c32 == 2] = 0
newdata$m3c35[m3c34 == 2] = 0
newdata$m3c36[m3c34 == 2] = 2
newdata$m3c36a[m3c34 == 2] = 2
newdata$m3c36a[m3c36 == 1] = 1
newdata$m3c36b[m3c34 == 2] = 0
newdata$m3c36b[m3c36bp == 1] = m3c36b[m3c36bp == 1]/4
newdata$m3c36b[m3c36bp == 2] = m3c36b[m3c36bp == 2]/2
newdata$m3c36e[m3c36d == 2 | m3c34 == 2] = 0
newdata$m3c38[m3c37 == 2 | m3c34 == 2] = 2
newdata$m3c38a[newdata$m3c38 == 2] = 0
newdata$m3c39a[newdata$m3c39 == 2] = 0
newdata$m3c41[m3c41 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3c41 = factor(newdata$m3c41)
newdata$m3c42[m3c41a == 1] = 1
newdata$m3c42a_1[m3c42 == 2] = 2
newdata$m3c42a_2[m3c42 == 2] = 2
newdata$m3c42a_3[m3c42 == 2] = 2
newdata$m3c42a_4[m3c42 == 2] = 2
newdata$m3c42a_5[m3c42 == 2] = 2
newdata$m3c42a_6[m3c42 == 2] = 2
newdata$m3c42a_7[m3c42 == 2] = 2
newdata$m3c42a_8[m3c42 == 2] = 2

newdata$f3c1b[f3c1 == 1] = 5
newdata$f3c1b[newdata$f3c1b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c1b = factor(newdata$f3c1b)
newdata$f3c2[f3c1 == 1] = 2
newdata$f3c2[f3c1a == 1] = 1
newdata$f3c2[f3c2 == 3] = 2
newdata$f3c2a[f3c2 == 2] = 0
newdata$f3c2c[f3c1 == 1] = 2
newdata$f3c2c[f3c1a == 1] = 1
newdata$f3c2d[f3c2c == 2] = 0
newdata$f3c2d[f3c1a == 1] = 360
newdata$f3c2d[f3c1 == 1] = 0
newdata$f3c3a[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3b[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3c[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3d[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3e[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3f[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3g[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3h[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3i[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3j[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3k[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3l[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c3m[f3c1 == 1 | f3c2e == 2] = 0
newdata$f3c4[f3c1 == 1] = 2
newdata$f3c4a[newdata$f3c4 == 2] = 5
newdata$f3c4a[f3c4a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c4a = factor(newdata$f3c4a)
newdata$f3c5[f3c1 == 1] = 5
newdata$f3c5[f3c5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c5 = factor(newdata$f3c5)
newdata$f3c5a[f3c5a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c5a = factor(newdata$f3c5a)
newdata$f3c7a[f3c1 == 1] = 5
newdata$f3c7b[f3c1 == 1] = 5
newdata$f3c7c[f3c1 == 1] = 5
newdata$f3c7d[f3c1 == 1] = 5
newdata$f3c7a[f3c7a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c7a = factor(newdata$f3c7a)
newdata$f3c7b[f3c7b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c7b = factor(newdata$f3c7b)
newdata$f3c7c[f3c7c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c7c = factor(newdata$f3c7c)
newdata$f3c7d[f3c7d %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c7d = factor(newdata$f3c7d)
newdata$f3c9[f3c10a == 1 | f3c8 == 1] = 1
newdata$f3c10b[f3c10b %in% c(-9, -3, -2, -1)] = NA
newdata$f3c10b = factor(newdata$f3c10b)
newdata$f3c12a[f3c1 == 1 | f3c11 == 1] = 3
newdata$f3c12a[f3c15 > 0] = f3c15[f3c15 > 0]
newdata$f3c12a[f3c12a %in% c(-9, -3, -2, -1)] = NA
newdata$f3c12a = factor(newdata$f3c12a)
newdata$f3c13[f3c12 == 1] = 1
newdata$f3c14a[f3c14 == 2] = 1
newdata$f3c16[f3c13 == 2 | f3c1 == 1 | f3c11 == 1] = 0
newdata$f3c16[f3c16p == 1] = newdata$f3c16[f3c16p == 1]/4
newdata$f3c16[f3c16p == 2] = newdata$f3c16[f3c16p == 2]/2
newdata$f3c18[f3c17 == 1] = 1
newdata$f3c18[f3c1 == 1| f3c11 == 1] = 5
newdata$f3c18[f3c18 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c18 = factor(newdata$f3c18)
newdata$f3c19[f3c1 == 1| f3c11 == 1] = 6
newdata$f3c19[f3c19 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c19 = factor(newdata$f3c19)
newdata$f3c20[f3c1 == 1 | f3c13 == 2] = 0
newdata$f3c20c[f3c1 == 1 | f3c20b == 2] = 0
newdata$f3c21[f3c1 == 1 | f3c13 == 2] = 2
newdata$f3c21a[f3c1 == 1 | f3c21 == 2] = 0
newdata$f3c21c[f3c1 == 1 | f3c21 == 2] = 2
newdata$f321d_1[f3c21c == 2] = 2
newdata$f321d_2[f3c21c == 2] = 2
newdata$f321d_3[f3c21c == 2] = 2
newdata$f321d_4[f3c21c == 2] = 2
newdata$f321d_5[f3c21c == 2] = 2
newdata$f321d_6[f3c21c == 2] = 2
newdata$f321d_7[f3c21c == 2] = 2
newdata$f321d_8[f3c21c == 2] = 2
newdata$f321d_9[f3c21c == 2] = 2
newdata$f3c22a[f3c1 == 1 | f3c22 == 1] = 2
newdata$f3c30a1[f3c1 == 1] = 5
newdata$f3c30a1[f3c30a1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c30a1 = factor(newdata$f3c30a1)
newdata$f3c30a2[f3c1 == 1] = 5
newdata$f3c30a2[f3c30a2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c30a2 = factor(newdata$f3c30a2)
newdata$f3c30a3[f3c1 == 1] = 5
newdata$f3c30a3[f3c30a3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c30a3 = factor(newdata$f3c30a3)
newdata$f3c30a4[f3c1 == 1] = 5
newdata$f3c30a4[f3c30a4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c30a4 = factor(newdata$f3c30a4)
newdata$f3c30a5[f3c1 == 1] = 5
newdata$f3c30a5[f3c30a5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c30a5 = factor(newdata$f3c30a5)
newdata$f3c30e1[f3c1 == 1] = 5
newdata$f3c30e1[f3c30e1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c30e1 = factor(newdata$f3c30e1)
newdata$f3c30e2[f3c1 == 1] = 5
newdata$f3c30e2[f3c30e2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c30e2 = factor(newdata$f3c30e2)
newdata$f3c30e3[f3c1 == 1] = 5
newdata$f3c30e3[f3c30e3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c30e3 = factor(newdata$f3c30e3)
newdata$f3c30e4[f3c1 == 1] = 5
newdata$f3c30e4[f3c30e4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c30e4 = factor(newdata$f3c30e4)
newdata$f3c30e5[f3c1 == 1] = 5
newdata$f3c30e5[f3c30e5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c30e5 = factor(newdata$f3c30e5)
newdata$f3c32[f3c31 == 2] = 2
newdata$f3c33[newdata$f3c32 == 2] = 2
newdata$f3c34[newdata$f3c32 == 2] = 0
newdata$f3c34[f3c34p == 1] = newdata$f3c34[f3c34p == 1]/4
newdata$f3c34[f3c34p == 2] = newdata$f3c34[f3c34p == 2]/2
newdata$f3c36[newdata$f3c32 == 2 | newdata$f3c33 == 2] = 0
newdata$f3c37[newdata$f3c32 == 2 | newdata$f3c33 == 2] = 2
newdata$f3c38[newdata$f3c37 == 2 | newdata$f3c32 == 2] = 2
newdata$f3c38b[newdata$f3c38 == 0] = 2
newdata$f3c38c[newdata$f3c38 == 0] = 2
newdata$f3c39a[newdata$f3c39 == 2] = 0
newdata$f3c41[f3c41 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3c41 = factor(newdata$f3c41)
#newdata$f3c42[f3c41a == 1] = 1
newdata$f3c42a_1[f3c42 == 2] = 2
newdata$f3c42a_2[f3c42 == 2] = 2
newdata$f3c42a_3[f3c42 == 2] = 2
newdata$f3c42a_4[f3c42 == 2] = 2
newdata$f3c42a_5[f3c42 == 2] = 2
newdata$f3c42a_6[f3c42 == 2] = 2
newdata$f3c42a_7[f3c42 == 2] = 2
newdata$f3c42a_8[f3c42 == 2] = 2

newdata$cm3finjail[cm3finjail == "."] = NA
newdata$cm3fevjail[cm3fevjail == "."] = NA

drop = which(names(newdata) %in% c("f3c1", "f3c1a", "f3c1b", "f3c1d", "f3c2b1", "f3c2b2",
                                   "f3c2e", "f3c8", "f3c10a", "f3c10c", "f3c11", "f3c12", "f3c13a1", 
                                   "f3c13a2", "f3c14", "f3c15", "f3c15a_1", "f3c15a_2", "f3c15a_3", "f3c15a_4",
                                   "f3c15b1", "f3c15b2", "f3c17", "f3c20a", "f3c20d", "f3c21b", "f3c22", "f3c26a",
                                   "f3c27", "f3c28", "f3c33a", "f3c36c", "f3c36d", "f3c37", "f3c38b", "f3c39",
                                   "f3c41a", "f3c42b", "f3c35", "f3c34p", "f3c38a",
                                   "f3c1", "f3c1a", "f3c1b", "f3c1d", "f3c2b1", "f3c2b2",
                                   "m3c2e", "m3c8", "m3c10a", "m3c11", "m3c12", "m3c13a1", 
                                   "m3c13a2", "m3c14", "m3c15", "m3c15a_1", "m3c15a_2", "m3c15a_3", "m3c15a_4",
                                   "m3c15b1", "m3c15b2", "m3c17", "m3c20a", "m3c20d", "m3c21b", "m3c22", "m3c26a",
                                   "m3c27", "m3c28", "m3c33a", "m3c36c", "m3c36d", "m3c37", "m3c38b", "m3c39",
                                   "m3c41a", "m3c42b"))
newdata = newdata[,-drop]

###########
#Section D (Mother & Father)
###########
newdata$m3d1a[m3d0 == 2 | m3d1] = 0
newdata$m3d1a[m3d1a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d1a = factor(newdata$m3d1a)
newdata$m3d1b[m3d0 == 2 | m3d1] = 0
newdata$m3d1b[m3d1b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d1b = factor(newdata$m3d1b)
newdata$m3d1c[m3d0 == 2 | m3d1] = 0
newdata$m3d1c[m3d1c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d1c = factor(newdata$m3d1c)
newdata$m3d1d[m3d0 == 2 | m3d1] = 0
newdata$m3d1d[m3d1d %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d1d = factor(newdata$m3d1d)
newdata$m3d1e[m3d0 == 2 | m3d1] = 0
newdata$m3d1e[m3d1e %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d1e = factor(newdata$m3d1e)
newdata$m3d1f[m3d0 == 2 | m3d1] = 0
newdata$m3d1f[m3d1f %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d1f = factor(newdata$m3d1f)
newdata$m3d2[m3d0 == 2] = 4
newdata$m3d2[m3d2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d2 = factor(newdata$m3d2)
newdata$m3d3a_1[m3d3 == 2] = 2
newdata$m3d3a_2[m3d3 == 2] = 2
newdata$m3d3a_3[m3d3 == 2] = 2
newdata$m3d3a_4[m3d3 == 2] = 2
newdata$m3d3a_5[m3d3 == 2] = 2
newdata$m3d3a_6[m3d3 == 2] = 2
newdata$m3d3a_7[m3d3 == 2] = 2
newdata$m3d4[m3d0 == 2] = 6
newdata$m3d4[m3d4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d4 = factor(newdata$m3d4)
newdata$m3d4a[m3d0 == 2] = 3
newdata$m3d4a[m3d4a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d4a = factor(newdata$m3d4a)
newdata$m3d4b[m3d4b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d4b = factor(newdata$m3d4b)
newdata$m3d5[m3d0 == 2] = 6
newdata$m3d5[m3d5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3d5 = factor(newdata$m3d5)

newdata$f3d1a[f3d00 == 1 | f3d0 == 2 | f3d1] = 0
newdata$f3d1a[f3d1a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d1a = factor(newdata$f3d1a)
newdata$f3d1b[f3d00 == 1 | f3d0 == 2 | f3d1] = 0
newdata$f3d1b[f3d1b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d1b = factor(newdata$f3d1b)
newdata$f3d1c[f3d00 == 1 | f3d0 == 2 | f3d1] = 0
newdata$f3d1c[f3d1c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d1c = factor(newdata$f3d1c)
newdata$f3d1d[f3d00 == 1 | f3d0 == 2 | f3d1] = 0
newdata$f3d1d[f3d1d %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d1d = factor(newdata$f3d1d)
newdata$f3d1e[f3d00 == 1 | f3d0 == 2 | f3d1] = 0
newdata$f3d1e[f3d1e %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d1e = factor(newdata$f3d1e)
newdata$f3d1f[f3d00 == 1 | f3d0 == 2 | f3d1] = 0
newdata$f3d1f[f3d1f %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d1f = factor(newdata$f3d1f)
newdata$f3d2[f3d00 == 1 | f3d0 == 2] = 4
newdata$f3d2[f3d2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d2 = factor(newdata$f3d2)
newdata$f3d3a_1[f3d3 == 2] = 2
newdata$f3d3a_2[f3d3 == 2] = 2
newdata$f3d3a_3[f3d3 == 2] = 2
newdata$f3d3a_4[f3d3 == 2] = 2
newdata$f3d3a_5[f3d3 == 2] = 2
newdata$f3d3a_6[f3d3 == 2] = 2
newdata$f3d3a_7[f3d3 == 2] = 2
newdata$f3d4[f3d00 == 1 | f3d0 == 2] = 6
newdata$f3d4[f3d4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d4 = factor(newdata$f3d4)
newdata$f3d4a[f3d00 == 1 | f3d0 == 2] = 3
newdata$f3d4a[f3d4a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d4a = factor(newdata$f3d4a)
newdata$f3d4b[f3d4b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d4b = factor(newdata$f3d4b)
newdata$f3d5[f3d00 == 1 | f3d0 == 2] = 6
newdata$f3d5[f3d5 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f3d5 = factor(newdata$f3d5)

drop = which(names(newdata) %in% c("f3d0", "f3d00", "f3d1", "f3d6", "f3d8", "m3d0", "m3d1", "m3d6", "m3d8"))
newdata = newdata[,-drop]

###########
#Section E (Mother & Father)
###########
newdata[m3e1 == 1, startsWith(names(newdata), "m3e")] = -0.5
#newdata[m3e2 %in% c(-2,2), startsWith(names(newdata), "m3e")][,-XX] = -1.5

#newdata$m3e2f1[m3e2f == 1] = newdata$m3e2f2[m3e2f == 1]/12
newdata$m3e2f1[m3e2f1 < 0] = NA
newdata$m3e3[m3e3 < 0] = NA

newdata$m3e5[m3e5 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e5 = factor(newdata$m3e5)
newdata$m3e5a[m3e5a %in% c(-9, -3, -2, -1)] = NA
newdata$m3e5a = factor(newdata$m3e5a)
newdata$m3e5b[m3e5a ==2] = 0
newdata$m3e5b[m3e5b %in% c(-9, -3, -2, -1)] = NA
newdata$m3e5b = factor(newdata$m3e5b)
newdata$m3e6[m3e6 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e6 = factor(newdata$m3e6)
newdata$m3e7[m3e7 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e7 = factor(newdata$m3e7)
newdata$m3e8[m3e8 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e8 = factor(newdata$m3e8)
newdata$m3e9[m3e9 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e9 = factor(newdata$m3e9)
newdata$m3e10[m3e10 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e10 = factor(newdata$m3e10)
newdata$m3e11a[m3e11 == 2] = 0
newdata$m3e11a[m3e11a == -6] = 0
newdata$m3e11[m3e11 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e11 = factor(newdata$m3e11)
#newdata$m3e11d[m3e11d %in% c(-9, -3, -2, -1)] = NA
#newdata$m3e11d = factor(newdata$m3e11d)
newdata$m3e13[m3e13 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e13 = factor(newdata$m3e13)
newdata$m3e13[m3e13 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e13 = factor(newdata$m3e13)
#newdata$m3e13f[m3e13f %in% c(-9, -3, -2, -1)] = NA
#newdata$m3e13f = factor(newdata$m3e13f)

newdata$m3e18a[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18b[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18c[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18d[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18e[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18f[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18g[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18h[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18i[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18j[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18k[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18l[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e18m[m3e16 == 2 | m3e17 == 2] = 0
newdata$m3e19[m3e16 == 2 | m3e17 == 2] = 2
newdata$m3e19a[m3e16 == 2 | m3e17 == 2 | newdata$m3e19 == 2] = 5
newdata$m3e19[m3e19 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e19 = factor(newdata$m3e19)
newdata$m3e19a[m3e19a %in% c(-9, -3, -2, -1)] = NA
newdata$m3e19a = factor(newdata$m3e19a)

newdata$m3e20a[m3e20a %in% c(-9, -3, -2, -1)] = NA
newdata$m3e20a = factor(newdata$m3e20a)
newdata$m3e20b[m3e20b %in% c(-9, -3, -2, -1)] = NA
newdata$m3e20b = factor(newdata$m3e20b)
newdata$m3e20c[m3e20c %in% c(-9, -3, -2, -1)] = NA
newdata$m3e20c = factor(newdata$m3e20c)
newdata$m3e20d[m3e20d %in% c(-9, -3, -2, -1)] = NA
newdata$m3e20d = factor(newdata$m3e20d)
newdata$m3e21a[m3e21a %in% c(-9, -3, -2, -1)] = NA
newdata$m3e21a = factor(newdata$m3e21a)
newdata$m3e21b[m3e21b %in% c(-9, -3, -2, -1)] = NA
newdata$m3e21b = factor(newdata$m3e21b)
newdata$m3e21c[m3e21c %in% c(-9, -3, -2, -1)] = NA
newdata$m3e21c = factor(newdata$m3e21c)
newdata$m3e21d[m3e21d %in% c(-9, -3, -2, -1)] = NA
newdata$m3e21d = factor(newdata$m3e21d)
newdata$m3e21e[m3e21e %in% c(-9, -3, -2, -1)] = NA
newdata$m3e21e = factor(newdata$m3e21e)
newdata$m3e21f[m3e21f %in% c(-9, -3, -2, -1)] = NA
newdata$m3e21f = factor(newdata$m3e21f)
newdata$m3e22[m3e22 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3e22 = factor(newdata$m3e22)

newdata$m3e23a[m3e23a %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23a = factor(newdata$m3e23a)
newdata$m3e23b[m3e23b %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23b = factor(newdata$m3e23b)
newdata$m3e23c[m3e23c %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23c = factor(newdata$m3e23c)
newdata$m3e23d[m3e23d %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23d = factor(newdata$m3e23d)
newdata$m3e23e[m3e23e %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23e = factor(newdata$m3e23e)
newdata$m3e23f[m3e23f %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23f = factor(newdata$m3e23f)
newdata$m3e23g[m3e23g %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23g = factor(newdata$m3e23g)
newdata$m3e23h[m3e23h %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23h = factor(newdata$m3e23h)
newdata$m3e23i[m3e23i %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23i = factor(newdata$m3e23i)
newdata$m3e23j[m3e23j %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23j = factor(newdata$m3e23j)
newdata$m3e23k[m3e23k %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23k = factor(newdata$m3e23k)
newdata$m3e23l[m3e23l %in% c(-9, -3, -2, -1)] = NA
newdata$m3e23l = factor(newdata$m3e23l)
newdata$m3e23m[m3e23m %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3e23m = factor(newdata$m3e23m)
newdata$m3e23n[m3e23n %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m3e23n = factor(newdata$m3e23n)


newdata$m3e25[m3e25 %in% c(-9, -3, -2, -1)] = NA
newdata$m3e25 = factor(newdata$m3e25)

newdata[f3e1 == 1, startsWith(names(newdata), "f3e")] = -0.5
#newdata[f3e2 %in% c(-2,2), startsWith(names(newdata), "f3e")][,-XX] = -1.5

#newdata$f3e2f1[f3e2f == 1] = newdata$f3e2f2[f3e2f == 1]/12
newdata$f3e2f1[f3e2f1 < 0] = NA
newdata$f3e3[f3e3 < 0] = NA

newdata$f3e5[f3e5 %in% c(-9, -3, -2, -1)] = NA
newdata$f3e5 = factor(newdata$f3e5)
newdata$f3e5a[f3e5a %in% c(-9, -3, -2, -1)] = NA
newdata$f3e5a = factor(newdata$f3e5a)
newdata$f3e5b[f3e5a ==2] = 0
newdata$f3e5b[f3e5b %in% c(-9, -3, -2, -1)] = NA
newdata$f3e5b = factor(newdata$f3e5b)
newdata$f3e6[f3e6 %in% c(-9, -3, -2, -1)] = NA
newdata$f3e6 = factor(newdata$f3e6)
newdata$f3e7[f3e7 %in% c(-9, -3, -2, -1)] = NA
newdata$f3e7 = factor(newdata$f3e7)
newdata$f3e8[f3e8 %in% c(-9, -3, -2, -1)] = NA
newdata$f3e8 = factor(newdata$f3e8)
newdata$f3e9[f3e9 %in% c(-9, -3, -2, -1)] = NA
newdata$f3e9 = factor(newdata$f3e9)
newdata$f3e10[f3e10 %in% c(-9, -3, -2, -1)] = NA
newdata$f3e10 = factor(newdata$f3e10)
newdata$f3e11a[f3e11 == 2] = 0
newdata$f3e11a[f3e11a == -6] = 0
newdata$f3e11[f3e11 %in% c(-9, -3, -2, -1)] = NA
newdata$f3e11 = factor(newdata$f3e11)
#newdata$f3e11d[f3e11d %in% c(-9, -3, -2, -1)] = NA
#newdata$f3e11d = factor(newdata$f3e11d)
newdata$f3e13[f3e13 %in% c(-9, -3, -2, -1)] = NA
newdata$f3e13 = factor(newdata$f3e13)
newdata$f3e13[f3e13 %in% c(-9, -3, -2, -1)] = NA
newdata$f3e13 = factor(newdata$f3e13)
#newdata$f3e13f[f3e13f %in% c(-9, -3, -2, -1)] = NA
#newdata$f3e13f = factor(newdata$f3e13f)

newdata$f3e18a[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18b[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18c[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18d[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18e[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18f[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18g[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18h[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18i[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18j[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18k[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18l[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e18m[f3e16 == 2 | f3e17 == 2] = 0
newdata$f3e19[f3e16 == 2 | f3e17 == 2] = 2
newdata$f3e19a[f3e16 == 2 | f3e17 == 2 | newdata$f3e19 == 2] = 5
newdata$f3e19[f3e19 %in% c(-9, -3, -2, -1)] = NA
newdata$f3e19 = factor(newdata$f3e19)
newdata$f3e19a[f3e19a %in% c(-9, -3, -2, -1)] = NA
newdata$f3e19a = factor(newdata$f3e19a)


drop = which(names(newdata) %in% c("m3e1", "m3e2a1", "m3e12", "m3e14", "m4e16", "m3e17", "m3e23o", "m3e23q", "m3e23s", "m3e2c1", "m3e2c2", "m3e2e1", "m3e2e2","m3e13b", "m3e13c","m3e13d","m3e13e","m3e2f_flag", "m3e2f", "m3e2f2","m3e7a", "m3e7a1","m3e7a2","m3e4m", "m3e4y","m3e6b","m3e2f_flag","m3e24a", "m3e24b", "m3e24c", "m3e24d", "cm3marp", "cm3cohp",
                                   "f3e1", "f3e2a1", "f3e12", "f3e14", "m4e16", "f3e17", "f3e2c1", "f3e2c2", "f3e2e1", "f3e2e2","f3e13b", "f3e13c","f3e13d","f3e13e","f3e2f_flag", "f3e2f", "f3e2f2","f3e7a", "f3e7a1","f3e7a2","f3e4m", "f3e4y","f3e6b","f3e2f_flag","cf3marp", "cf3cohp"))
newdata = newdata[,-drop]

###########
#Section F (Mother & Father)
###########
newdata$m3f1[m3f1 %in% c(-12,-10)] = NA
newdata$m3f3a[m3f3 == 2] = 0

newdata$f3f1[f3f1 %in% c(-12,-10)] = NA

drop = which(names(newdata) %in% c("m3f2b1","m3f2b10","m3f2b2","m3f2b3","m3f2b4","m3f2b5","m3f2b6","m3f2b7","m3f2b8","m3f2b9",
                                   "m3f2c1","m3f2c10","m3f2c2","m3f2c3","m3f2c4","m3f2c5","m3f2c6","m3f2c7","m3f2c8","m3f2c9",
                                   "m3f2d1","m3f2d10","m3f2d2","m3f2d3","m3f2d4","m3f2d5","m3f2d6","m3f2d7","m3f2d8","m3f2d9",
                                   "m3f2e1","m3f2e10","m3f2e2","m3f2e3","m3f2e4","m3f2e5","m3f2e6","m3f2e7","m3f2e8","m3f2e9",
                                   "m3f2f1","m3f2f2","m3f2f3","m3f2f4","m3f2f5","m3f2f6","m3f2f7","m3f2f8","m3f2f9",
                                   "m3f3b1","m3f3b2","m3f3b3","m3f3b4","m3f3b5","m3f3b6","m3f3b7","m3f3b8","m3f3b9","m3f3b10",
                                   "f3f2b1","f3f2b10","f3f2b2","f3f2b3","f3f2b4","f3f2b5","f3f2b6","f3f2b7","f3f2b8","f3f2b9",
                                   "f3f2c1","f3f2c10","f3f2c2","f3f2c3","f3f2c4","f3f2c5","f3f2c6","f3f2c7","f3f2c8","f3f2c9",
                                   "f3f2d1","f3f2d10","f3f2d2","f3f2d3","f3f2d4","f3f2d5","f3f2d6","f3f2d7","f3f2d8","f3f2d9",
                                   "f3f2e1","f3f2e10","f3f2e2","f3f2e3","f3f2e4","f3f2e5","f3f2e6","f3f2e7","f3f2e8","f3f2e9",
                                   "f3f2f1","f3f2f2","f3f2f3","f3f2f4","f3f2f5","f3f2f6","f3f2f7","f3f2f8","f3f2f9"))


###########
#Section H (Mother & Father)
###########
newdata$m3h2b[m3h2 == 2] = 0
newdata$m3h3a[m3h3 == 2] = 2
newdata$m3h6a[m3h6 == 2] = 2


newdata$m3h2a_1[m3h2 == 2] = 0
newdata$m3h2a_2[m3h2 == 2] = 0
newdata$m3h2a_3[m3h2 == 2] = 0
newdata$m3h2a_4[m3h2 == 2] = 0
newdata$m3h2a_5[m3h2 == 2] = 0
newdata$m3h2a_6[m3h2 == 2] = 0
newdata$m3h2a_7[m3h2 == 2] = 0
newdata$m3h2a_8[m3h2 == 2] = 0
newdata$m3h2a_91[m3h2 == 2] = 0

newdata$m3h7[m3h7 %in% c(-9, -3, -2, -1)] = NA
newdata$m3h7 = factor(newdata$m3h7)
newdata$m3h8[m3h8 %in% c(-9, -3, -2, -1)] = NA
newdata$m3h8 = factor(newdata$m3h8)

newdata$f3h2b[f3h2 == 2] = 0
newdata$f3h3a[f3h3 == 2] = 2
newdata$f3h6a[f3h6 == 2] = 2

newdata$f3h2a_1[f3h2 == 2] = 0
newdata$f3h2a_2[f3h2 == 2] = 0
newdata$f3h2a_3[f3h2 == 2] = 0
newdata$f3h2a_4[f3h2 == 2] = 0
newdata$f3h2a_5[f3h2 == 2] = 0
newdata$f3h2a_6[f3h2 == 2] = 0
newdata$f3h2a_7[f3h2 == 2] = 0
newdata$f3h2a_8[f3h2 == 2] = 0
newdata$f3h2a_91[f3h2 == 2] = 0

newdata$f3h7[f3h7 %in% c(-9, -3, -2, -1)] = NA
newdata$f3h7 = factor(newdata$f3h7)
newdata$f3h8[f3h8 %in% c(-9, -3, -2, -1)] = NA
newdata$f3h8 = factor(newdata$f3h8)

drop = which(names(newdata) %in% c("m3h1c", "m3h1a", "m3h1b", "m3h1d", "m3h1e", "m3h1e1", "m3h1f", "m3h1f1", "m3h2c",
                                   "f3h0", "f3h0b", "f3h0c","f3h0d","f3h0e", "f3h1g", "f3h1h", "f3h1i", "f3h1j", "f3h1k",
                                   "f3h1c", "f5e1a", "f5e1b", "f5e1d", "f5e1e", "f5e1e1", "f5e1f", "f5e1f1", "f5e2c",
                                   "cf3finjail", "cf3fevjail"))
newdata = newdata[,-drop]

###########
#Section I (Mother & Father)
###########

newdata$m3i0h[m3i0g == 2] = 2
newdata$m3i0j[m3i0i == 1] = 1
newdata$m3i0k[m3i0i == 2] = 2
newdata$m3i0l[m3i0l %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m3i0l = factor(newdata$m3i0l)
newdata$m3i0m[m3i0m %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m3i0m = factor(newdata$m3i0m)
newdata$m3i0n[m3i0n %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m3i0n = factor(newdata$m3i0n)
newdata$m3i0o[m3i0o %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m3i0o = factor(newdata$m3i0o)
newdata$m3i0p[m3i0p %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m3i0p = factor(newdata$m3i0p)
newdata$m3i0q[m3i0q %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m3i0q = factor(newdata$m3i0q)

newdata$m3i1a[m3i1 == 2] = 0
newdata$m3i2[m3i2 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i2 = factor(newdata$m3i2)
newdata$m3i4b[m3i4b %in% c(-9, -3, -2, -1)] = NA
newdata$m3i4b = factor(newdata$m3i4b)
newdata$m3i5[m3i5 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i5 = factor(newdata$m3i5)
newdata$m3i6[m3i6 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i6 = factor(newdata$m3i6)

newdata$m3i6b[m3i6a == 2] = 0
newdata$m3i6d[m3i6c == 2] = 0
newdata$m3i6f[m3i6e == 2] = 2
newdata$m3i6g[m3i6f == 2] = 0
newdata$m3i6i1[m3i6h == 2] = 2
newdata$m3i6i2[m3i6h == 2] = 2
newdata$m3i6i3[m3i6h == 2] = 2
newdata$m3i6i4[m3i6h == 2] = 2
newdata$m3i6i5[m3i6h == 2] = 2
newdata$m3i7j[m3i7j %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3i7j = factor(newdata$m3i7j)

newdata$m3i8b1[m3i8a1 == 2] = 0
newdata$m3i8c1[m3i8a1 == 2] = 0
newdata$m3i8b2[m3i8a2 == 2] = 0
newdata$m3i8c2[m3i8a2 == 2] = 0
newdata$m3i8b3[m3i8a3 == 2] = 0
newdata$m3i8c3[m3i8a3 == 2] = 0
newdata$m3i10[m3i10 == -6] = 2
newdata$m3i11a[m3i10 == -6] = 0
newdata$m3i12[m3i12 == -6] = 1

newdata$m3i16[m3i16 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i16 = factor(newdata$m3i16)
newdata$m3i17[m3i17 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i17 = factor(newdata$m3i17)
newdata$m3i18[m3i18 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i18 = factor(newdata$m3i18)
newdata$m3i18a[m3i18a %in% c(-9, -3, -2, -1)] = NA
newdata$m3i18a = factor(newdata$m3i18a)
newdata$m3i18b[m3i18b %in% c(-9, -3, -2, -1)] = NA
newdata$m3i18b = factor(newdata$m3i18b)
#newdata$m3i18c[m3i18c %in% c(-9, -3, -2, -1)] = NA
#newdata$m3i18c = factor(newdata$m3i18c)

newdata$m3i14[m3i14 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i14 = factor(newdata$m3i14)
newdata$m3i14a[m3i14a %in% c(-9, -3, -2, -1)] = NA
newdata$m3i14a = factor(newdata$m3i14a)
newdata$m3i14b[m3i14 == 2] = 0
newdata$m3i14c[m3i14 == 2] = 0

newdata$m3i20[m3i20 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i20 = factor(newdata$m3i20)
newdata$m3i20a[m3i20a %in% c(-9, -3, -2, -1)] = NA
newdata$m3i20a = factor(newdata$m3i20a)
newdata$m3i20b[m3i20b %in% c(-9, -3, -2, -1)] = NA
newdata$m3i20b = factor(newdata$m3i20b)
newdata$m3i21[m3i21 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i21 = factor(newdata$m3i21)
newdata$m3i22[m3i22 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i22 = factor(newdata$m3i22)

newdata$m3i26[m3i25 == 2] = 2
newdata$m3i26a[m3i26 == 2] = 0
newdata$m3i27[m3i25 == 2] = 2
newdata$m3i27a[m3i27 == 2] = 0
newdata$m3i29[m3i29 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i29 = factor(newdata$m3i29)
newdata$m3i30[m3i29 == 2] = 2
newdata$m3i30a[m3i30 == 2] = 0
newdata$m3i31[m3i29 == 2] = 2
newdata$m3i31a[m3i31 == 2] = 0
newdata$m3i31a[m3i31a1 == 2] = newdata$m3i31a[m3i31a1 == 2]/12
newdata$m3i30[m3i30 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i30 = factor(newdata$m3i30)
newdata$m3i32[m3i32 %in% c(-9, -3, -2, -1)] = NA
newdata$m3i32 = factor(newdata$m3i32)

newdata$f3i0h[f3i0g == 2] = 2
newdata$f3i0j[f3i0i == 1] = 1
newdata$f3i0k[f3i0i == 2] = 2
#newdata$f3i0l[f3i0l %in% c(-9, -5, -3, -2, -1)] = NA
#newdata$f3i0l = factor(newdata$f3i0l)
#newdata$f3i0m[f3i0m %in% c(-9, -5, -3, -2, -1)] = NA
#newdata$f3i0m = factor(newdata$f3i0m)
#newdata$f3i0n[f3i0n %in% c(-9, -5, -3, -2, -1)] = NA
#newdata$f3i0n = factor(newdata$f3i0n)
#newdata$f3i0o[f3i0o %in% c(-9, -5, -3, -2, -1)] = NA
#newdata$f3i0o = factor(newdata$f3i0o)
#newdata$f3i0p[f3i0p %in% c(-9, -5, -3, -2, -1)] = NA
#newdata$f3i0p = factor(newdata$f3i0p)
#newdata$f3i0q[f3i0q %in% c(-9, -5, -3, -2, -1)] = NA
#newdata$f3i0q = factor(newdata$f3i0q)

newdata$f3i1a[f3i1 == 2] = 0
newdata$f3i2[f3i2 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i2 = factor(newdata$f3i2)
newdata$f3i4b[f3i4b %in% c(-9, -3, -2, -1)] = NA
newdata$f3i4b = factor(newdata$f3i4b)
newdata$f3i5[f3i5 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i5 = factor(newdata$f3i5)
newdata$f3i6[f3i6 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i6 = factor(newdata$f3i6)

#newdata$f5i6b[f5fi6a == 2] = 0
newdata$f3i6d[f3i6c == 2] = 0
newdata$f3i6f[f3i6e == 2] = 2
newdata$f3i6g[f3i6f == 2] = 0
newdata$f3i6i1[f3i6h == 2] = 2
newdata$f3i6i2[f3i6h == 2] = 2
newdata$f3i6i3[f3i6h == 2] = 2
newdata$f3i6i4[f3i6h == 2] = 2
newdata$f3i6i5[f3i6h == 2] = 2
newdata$f3i7g[f3i7g %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3i7g = factor(newdata$f3i7g)

newdata$f3i8b1[f3i8a1 == 2] = 0
newdata$f3i8c1[f3i8a1 == 2] = 0
newdata$f3i8b2[f3i8a2 == 2] = 0
newdata$f3i8c2[f3i8a2 == 2] = 0
newdata$f3i8b3[f3i8a3 == 2] = 0
newdata$f3i8c3[f3i8a3 == 2] = 0
newdata$f3i10[f3i10 == -6] = 2
newdata$f3i11a[f3i10 == -6] = 0
newdata$f3i12[f3i12 == -6] = 1

newdata$f3i16[f3i16 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i16 = factor(newdata$f3i16)
newdata$f3i17[f3i17 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i17 = factor(newdata$f3i17)
newdata$f3i18[f3i18 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i18 = factor(newdata$f3i18)
newdata$f3i18a[f3i18a %in% c(-9, -3, -2, -1)] = NA
newdata$f3i18a = factor(newdata$f3i18a)
newdata$f3i18b[f3i18b %in% c(-9, -3, -2, -1)] = NA
newdata$f3i18b = factor(newdata$f3i18b)
#newdata$f3i18c[f3i18c %in% c(-9, -3, -2, -1)] = NA
#newdata$f3i18c = factor(newdata$f3i18c)

newdata$f3i14[f3i14 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i14 = factor(newdata$f3i14)
newdata$f3i14a[f3i14a %in% c(-9, -3, -2, -1)] = NA
newdata$f3i14a = factor(newdata$f3i14a)
newdata$f3i14b[f3i14 == 2] = 0
newdata$f3i14c[f3i14 == 2] = 0

newdata$f3i20[f3i20 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i20 = factor(newdata$f3i20)
newdata$f3i20a[f3i20a %in% c(-9, -3, -2, -1)] = NA
newdata$f3i20a = factor(newdata$f3i20a)
newdata$f3i20b[f3i20b %in% c(-9, -3, -2, -1)] = NA
newdata$f3i20b = factor(newdata$f3i20b)
newdata$f3i21[f3i21 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i21 = factor(newdata$f3i21)
newdata$f3i22[f3i22 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i22 = factor(newdata$f3i22)

newdata$f3i26[f3i25 == 2] = 2
newdata$f3i26a[f3i26 == 2] = 0
newdata$f3i27[f3i25 == 2] = 2
newdata$f3i27a[f3i27 == 2] = 0
newdata$f3i29[f3i29 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i29 = factor(newdata$f3i29)
newdata$f3i30[f3i29 == 2] = 2
newdata$f3i30a[f3i30 == 2] = 0
newdata$f3i31[f3i29 == 2] = 2
newdata$f3i31a[f3i31 == 2] = 0
newdata$f3i31a[f3i31a1 == 2] = newdata$f3i31a[f3i31a1 == 2]/12
newdata$f3i30[f3i30 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i30 = factor(newdata$f3i30)
newdata$f3i32[f3i32 %in% c(-9, -3, -2, -1)] = NA
newdata$f3i32 = factor(newdata$f3i32)

drop = which(names(newdata) %in% c("f3i3b1", "f3i4a", "m3i3b1", "m3i4a", "f3i13", "f3i13a", "m3i13", "m3i13a", "m3i7i", "f3i7f", "m3i27c", "f3i27c","f3i27b","m3i27b","f3i27d2","m3i27d2",
                                   "m3i9", "m3i13b", "f3i9", "f3i13b", "f3i16a_1", "f3i16a_2","f3i16a_3","f3i16a_4","f3i16a_5","f3i16a_91","f3i16a_101", 
                                   "m3i16a_1", "m3i16a_2","m3i16a_3","m3i16a_4","m3i16a_5","m3i16a_91","m3i16a_101", "m3i15", "f3i15", "m3i19", "m3i31a1", "f3i19", "f3i31a1",
                                   "f3i31c", "f3i31c2","f3i31d","f3i31d2","f3i28j3",
                                   "f3i26b_1", "f3i26b_2", "f3i26b_3","f3i26b_4", "f3i26b_5", "f3i26b_6", "f3i26b_7", "f3i26b_8", "f3i26b_9", "f3i26b_10", "f3i26b_91",
                                   "f3i28_1", "f3i28_2", "f3i28_3","f3i28_4", "f3i28_5", "f3i28_6", "f3i28_7", "f3i28_8", "f3i28_9", "f3i28_10", "f3i28_91",
                                   "m3i31c", "m3i31c2","m3i31d","m3i31d2","m3i28j3",
                                   "m3i26b_1", "m3i26b_2", "m3i26b_3","m3i26b_4", "m3i26b_5", "m3i26b_6", "m3i26b_7", "m3i26b_8", "m3i26b_9", "m3i26b_10", "m3i26b_91",
                                   "m3i28_1", "m3i28_2", "m3i28_3","m3i28_4", "m3i28_5", "m3i28_6", "m3i28_7", "m3i28_8", "m3i28_9", "m3i28_10", "m3i28_91"))
###########
#Section J (Mother & Father)
###########
newdata$m3j0a[m3j0a %in% c(-9, -3, -2, -1)] = NA
newdata$m3j0a = factor(newdata$m3j0a)
newdata$m3j0b1[m3j0b1 %in% c(-9, -3, -2, -1)] = NA
newdata$m3j0b1 = factor(newdata$m3j0b1)
newdata$m3j0b2[m3j0b2 %in% c(-9, -3, -2, -1)] = NA
newdata$m3j0b2 = factor(newdata$m3j0b2)
newdata$m3j0b3[m3j0b3 %in% c(-9, -3, -2, -1)] = NA
newdata$m3j0b3 = factor(newdata$m3j0b3)
newdata$m3j0b4[m3j0b4 %in% c(-9, -3, -2, -1)] = NA
newdata$m3j0b4 = factor(newdata$m3j0b4)
newdata$m3j0b5[m3j0b5 %in% c(-9, -3, -2, -1)] = NA
newdata$m3j0b5 = factor(newdata$m3j0b5)
newdata$m3j0b6[m3j0b6 %in% c(-9, -3, -2, -1)] = NA
newdata$m3j0b6 = factor(newdata$m3j0b6)
newdata$m3j0b7[m3j0b7 %in% c(-9, -3, -2, -1)] = NA
newdata$m3j0b7 = factor(newdata$m3j0b7)
newdata$m3j1[m3j1 %in% c(-9, -3, -2, -1)] = NA
newdata$m3j1 = factor(newdata$m3j1)
newdata$m3j2a[m3j2a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m3j2a = factor(newdata$m3j2a)

newdata$m3j2d[m3j2c == 2] = 0
newdata$m3j2d1[m3j2c == 2] = 0

newdata$m3j3a[m3j3 == 2] = 0
newdata$m3j3a[m3j3a %in% c(-9, -3, -2, -1)] = NA
newdata$m3j3a = factor(newdata$m3j3a)

newdata$m3j4[m3j3a == 3] = 2
newdata$m3j4a[m3j4 == 2] = 0
newdata$m3j4a[m3j4a %in% c(-9, -3, -2, -1)] = NA
newdata$m3j4a = factor(newdata$m3j4a)

newdata$m3j4b_1[newdata$m3j4 == 2 | newdata$m3j3a == 3] = 2
newdata$m3j4b_2[newdata$m3j4 == 2 | newdata$m3j3a == 3] = 2
newdata$m3j4b_3[newdata$m3j4 == 2 | newdata$m3j3a == 3] = 2
newdata$m3j4b_4[newdata$m3j4 == 2 | newdata$m3j3a == 3] = 2
newdata$m3j4b_5[newdata$m3j4 == 2 | newdata$m3j3a == 3] = 2
newdata$m3j4b_6[newdata$m3j4 == 2 | newdata$m3j3a == 3] = 2

newdata$m3j28a[m3j28 %in% c(0,1)] = 6
newdata$m3j29[m3j28 %in% c(0,1)] = 2
newdata$m3j29[m3j29 ==3 ] = 2
newdata$m3j29a[m3j28 %in% c(0,1) | newdata$m3j29 == 2] = 6
newdata$m3j30[m3j28 %in% c(0,1)] = 2
#newdata$m3j30[m3j30 ==3 ] = 2
newdata$m3j31[m3j28 %in% c(0,1)] = 2
newdata$m3j31[m3j31 ==3 ] = 2
newdata$m3j32[m3j28 %in% c(0,1)] = 2
newdata$m3j32[m3j32 ==3 ] = 2
newdata$m3j33[m3j28 %in% c(0,1)] = 2
newdata$m3j33[m3j33 ==3 ] = 2
newdata$m3j34[m3j28 %in% c(0,1)] = 2
newdata$m3j34[m3j34 ==3 ] = 2
newdata$m3j34a[m3j28 %in% c(0,1) | newdata$m3j34 == 2] = 6
newdata$m3j35[m3j28 %in% c(0,1)] = 2
newdata$m3j35[m3j35 ==3 ] = 2
newdata$m3j28[newdata$m3j28 %in% c(-9, -3, -2, -1)] = NA
newdata$m3j28 = factor(newdata$m3j28)
newdata$m3j28a[newdata$m3j28a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j28a = factor(newdata$m3j28a)
newdata$m3j34a[newdata$m3j34a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j34a = factor(newdata$m3j34a)

newdata$m3j36k[m3j36j == 2] = 6
newdata$m3j36k[newdata$m3j36k %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j36k = factor(newdata$m3j36k)
newdata$m3j37[m3j36j == 2] = 2
newdata$m3j37a[newdata$m3j37 == 2] = 6
newdata$m3j37a[newdata$m3j37a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j37a = factor(newdata$m3j37a)
newdata$m3j38[m3j36j == 2] = 2
newdata$m3j39[m3j36j == 2] = 2
newdata$m3j40[m3j36j == 2] = 2
newdata$m3j41[m3j36j == 2] = 2
newdata$m3j42[m3j36j == 2] = 2
newdata$m3j42a[newdata$m3j42 == 2] = 6
newdata$m3j42a[newdata$m3j42a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j42a = factor(newdata$m3j42a)
newdata$m3j43[m3j36j == 2] = 2

newdata$m3j44a[newdata$m3j44a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j44a = factor(newdata$m3j44a)
newdata$m3j44b[newdata$m3j44b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j44b = factor(newdata$m3j44b)
newdata$m3j44c[newdata$m3j44c %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j44c = factor(newdata$m3j44c)
newdata$m3j44d[newdata$m3j44d %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j44d = factor(newdata$m3j44d)
newdata$m3j44e[newdata$m3j44e %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j44e = factor(newdata$m3j44e)
newdata$m3j44f[newdata$m3j44f %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3j44f = factor(newdata$m3j44f)

newdata$m3j45a[m3j45 == 2] = 2
newdata$m3j45b[m3j45 == 2 | m3j45 == 2] = 2
newdata$m3j46a[m3j46 == 2] = 2
newdata$m3j46b[m3j46 == 2 | m3j46 == 2] = 2
newdata$m3j48a[m3j48 == 2] = 2
newdata$m3j48b[m3j48 == 2 | m3j48 == 2] = 2
newdata$m3j49a[m3j49 == 2] = 2

newdata$m3j50a[m3j50 == 2] = 2
newdata$m3j50b[m3j50 == 2 | m3j50 == 2] = 2
newdata$m3j51a[m3j51 == 2] = 2
newdata$m3j51b[m3j51 == 2 | m3j51 == 2] = 2
newdata$m3j53a[m3j53 == 2] = 2
newdata$m3j53b[m3j53 == 2 | m3j53 == 2] = 2
newdata$m3j54a[m3j54 == 2] = 2

newdata$f3j0a[f3j0a %in% c(-9, -3, -2, -1)] = NA
newdata$f3j0a = factor(newdata$f3j0a)
newdata$f3j0b1[f3j0b1 %in% c(-9, -3, -2, -1)] = NA
newdata$f3j0b1 = factor(newdata$f3j0b1)
newdata$f3j0b2[f3j0b2 %in% c(-9, -3, -2, -1)] = NA
newdata$f3j0b2 = factor(newdata$f3j0b2)
newdata$f3j0b3[f3j0b3 %in% c(-9, -3, -2, -1)] = NA
newdata$f3j0b3 = factor(newdata$f3j0b3)
newdata$f3j0b4[f3j0b4 %in% c(-9, -3, -2, -1)] = NA
newdata$f3j0b4 = factor(newdata$f3j0b4)
newdata$f3j0b5[f3j0b5 %in% c(-9, -3, -2, -1)] = NA
newdata$f3j0b5 = factor(newdata$f3j0b5)
newdata$f3j0b6[f3j0b6 %in% c(-9, -3, -2, -1)] = NA
newdata$f3j0b6 = factor(newdata$f3j0b6)
newdata$f3j0b7[f3j0b7 %in% c(-9, -3, -2, -1)] = NA
newdata$f3j0b7 = factor(newdata$f3j0b7)
newdata$f3j1[f3j1 %in% c(-9, -3, -2, -1)] = NA
newdata$f3j1 = factor(newdata$f3j1)
newdata$f3j2a[f3j2a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f3j2a = factor(newdata$f3j2a)

newdata$f3j2d[f3j2c == 2] = 0
newdata$f3j2d1[f3j2c == 2] = 0

newdata$f3j3a[f3j3 == 2] = 0
newdata$f3j3a[f3j3a %in% c(-9, -3, -2, -1)] = NA
newdata$f3j3a = factor(newdata$f3j3a)

newdata$f3j4[f3j3a == 3] = 2
newdata$f3j4a[f3j4 == 2] = 0
newdata$f3j4a[f3j4a %in% c(-9, -3, -2, -1)] = NA
newdata$f3j4a = factor(newdata$f3j4a)

newdata$f3j4b_1[newdata$f3j4 == 2 | newdata$f3j3a == 3] = 2
newdata$f3j4b_2[newdata$f3j4 == 2 | newdata$f3j3a == 3] = 2
newdata$f3j4b_3[newdata$f3j4 == 2 | newdata$f3j3a == 3] = 2
newdata$f3j4b_4[newdata$f3j4 == 2 | newdata$f3j3a == 3] = 2
newdata$f3j4b_5[newdata$f3j4 == 2 | newdata$f3j3a == 3] = 2
newdata$f3j4b_6[newdata$f3j4 == 2 | newdata$f3j3a == 3] = 2

newdata$f3j32[f3j31 == 2] = 0
newdata$f3j32[f3j32 %in% c(-9, -6, -5, -3, -2, -1, ".")] = NA
newdata$f3j32 = factor(newdata$f3j32)

newdata$f3j34[f3j33 %in% c(0,1)] = 6
newdata$f3j35[f3j33 %in% c(0,1)] = 2
newdata$f3j35[f3j35 ==3 ] = 2
newdata$f3j36[f3j33 %in% c(0,1) | newdata$f3j35 == 2] = 6
newdata$f3j37[f3j33 %in% c(0,1)] = 2
#newdata$f3j37[f3j37 ==3 ] = 2
newdata$f3j38[f3j33 %in% c(0,1)] = 2
newdata$f3j38[f3j38 ==3 ] = 2
newdata$f3j39[f3j33 %in% c(0,1)] = 2
newdata$f3j39[f3j39 ==3 ] = 2
newdata$f3j40[f3j33 %in% c(0,1)] = 2
newdata$f3j40[f3j40 ==3 ] = 2
newdata$f3j41[f3j33 %in% c(0,1)] = 2
newdata$f3j41[f3j41 ==3 ] = 2
newdata$f3j42[f3j33 %in% c(0,1) | newdata$f3j41 == 2] = 6
newdata$f3j43[f3j33 %in% c(0,1)] = 2
newdata$f3j43[f3j43 ==3 ] = 2
newdata$f3j33[newdata$f3j33 %in% c(-9, -3, -2, -1)] = NA
newdata$f3j33 = factor(newdata$f3j33)
newdata$f3j34[newdata$f3j34 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3j34 = factor(newdata$f3j34)
newdata$f3j42[newdata$f3j42 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3j42 = factor(newdata$f3j42)

#newdata$f3j44k[f3j44j == 2] = 6
#newdata$f3j44k[newdata$f3j44k %in% c(-9, -6, -5, -3, -2, -1)] = NA
#newdata$f3j44k = factor(newdata$f3j44k)
#newdata$f3j45[f3j44j == 2] = 2
newdata$f3j45a[newdata$f3j45 == 2] = 6
newdata$f3j45a[newdata$f3j45a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3j45a = factor(newdata$f3j45a)
#newdata$f3j46[f3j44j == 2] = 2
#newdata$f3j47[f3j44j == 2] = 2
#newdata$f3j48[f3j44j == 2] = 2
#newdata$f3j49[f3j44j == 2] = 2
#newdata$f3j50[f3j44j == 2] = 2
newdata$f3j50a[newdata$f3j50 == 2] = 6
newdata$f3j50a[newdata$f3j50a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3j50a = factor(newdata$f3j50a)
#newdata$f3j51[f3j44j == 2] = 2

newdata$f3j53a[f3j52 == 2] = 2
#newdata$f3j53b[f3j52 == 2 | f3j53 == 2] = 2
newdata$f3j54a[f3j54 == 2] = 2
newdata$f3j54b[f3j54 == 2 | newdata$f3j54a == 2] = 2
newdata$f3j56a[f3j56 == 2] = 2
newdata$f3j56b[f3j56 == 2 | newdata$f3j56a == 2] = 2
newdata$f3j57a[f3j57 == 2] = 2

newdata$f3j58a[f3j58 == 2] = 2
newdata$f3j58b[f3j58 == 2 | newdata$f3j58a == 2] = 2
newdata$f3j59a[f3j59 == 2] = 2
newdata$f3j59b[f3j59 == 2 | newdata$f3j59a == 2] = 2
newdata$f3j61a[f3j61 == 2] = 2
newdata$f3j61b[f3j61 == 2 | newdata$f3j61a == 2] = 2
newdata$f3j62a[f3j62 == 2] = 2

drop = which(names(newdata) %in% c('m3j43b_3', 'f3j51b_1', 'f3j51b_2', 'f3j51b_3', 'f3j51b_4', 'f3j51b_5', 'f3j51b_6'))

###########
#Section K (Mother & Father)
###########
newdata$m3k2_1[m3k1 == 2]=0
newdata$m3k2_2[m3k1 == 2]=0
newdata$m3k2_3[m3k1 == 2]=0
newdata$m3k2_4[m3k1 == 2]=0
newdata$m3k2_5[m3k1 == 2]=0
newdata$m3k2_6[m3k1 == 2]=0
newdata$m3k2_7[m3k1 == 2]=0
newdata$m3k2_8[m3k1 == 2]=0
newdata$m3k2_9[m3k1 == 2]=0
newdata$m3k2_10[m3k1 == 2]=0
newdata$m3k2_11[m3k1 == 2]=0
newdata$m3k2_12[m3k1 == 2]=0
newdata$m3k2_13[m3k1 == 2]=0
newdata$m3k2_14[m3k1 == 2]=0
newdata$m3k2_15[m3k1 == 2]=0
newdata$m3k2_101[m3k1 == 2]=0
newdata$m3k2_102[m3k1 == 2]=0
#newdata$m3k2a[m3k2a %in% c(-9, -3, -2, -1)] = NA
#newdata$m3k2a = factor(newdata$m3k2a)
#newdata$m3k2a_code[m3k2a_code %in% c(-9, -3, -2, -1)] = NA
#newdata$m3k2a_code = factor(newdata$m3k2a_code)

newdata$m3k3a_1[m3k3 == 2]=0
newdata$m3k3a_2[m3k3 == 2]=0
newdata$m3k3a_3[m3k3 == 2]=0
newdata$m3k3a_4[m3k3 == 2]=0
newdata$m3k3a_5[m3k3 == 2]=0
newdata$m3k3a_6[m3k3 == 2]=0
newdata$m3k3a_7[m3k3 == 2]=0
newdata$m3k3a_8[m3k3 == 2]=0
newdata$m3k3a_9[m3k3 == 2]=0
newdata$m3k3a_10[m3k3 == 2]=0
newdata$m3k3a_11[m3k3 == 2]=0
newdata$m3k3a_12[m3k3 == 2]=0
newdata$m3k3a_13[m3k3 == 2]=0
newdata$m3k3a_14[m3k3 == 2]=0
newdata$m3k3a_15[m3k3 == 2]=0
newdata$m3k3a_15[m3k3 == 2]=0
newdata$m3k3a_102[m3k3 == 2]=0
newdata$m3k3a_2a[m3k3a_2a %in% c(-9, -3, -2, -1)] = NA
newdata$m3k3a_2a = factor(newdata$m3k3a_2a)

newdata$m3k5[m3k4 == 1] = 2
newdata$m3k6[m3k6 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k6 = factor(newdata$m3k6)
newdata$m3k7[m3k7 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k7 = factor(newdata$m3k7)
newdata$m3k11[m3k11 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k11 = factor(newdata$m3k11)
newdata$m3k14a1[m3k14a1 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k14a1 = factor(newdata$m3k14a1)
newdata$m3k14a2[m3k14a2 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k14a2 = factor(newdata$m3k14a2)
newdata$m3k14a3[m3k14a3 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k14a3 = factor(newdata$m3k14a3)
newdata$m3k14a4[m3k14a4 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k14a4 = factor(newdata$m3k14a4)
newdata$m3k14a5[m3k14a5 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k14a5 = factor(newdata$m3k14a5)
newdata$m3k14b1[m3k14b1 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k14b1 = factor(newdata$m3k14b1)
newdata$m3k14b2[m3k14b2 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k14b2 = factor(newdata$m3k14b2)
newdata$m3k14b3[m3k14b3 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k14b3 = factor(newdata$m3k14b3)
newdata$m3k14b4[m3k14b4 %in% c(-9, -3, -2, -1)] = NA
newdata$m3k14b4 = factor(newdata$m3k14b4)
newdata$m3k16a[m3k16a %in% c(-9, -3, -2, -1)] = NA
newdata$m3k16a = factor(newdata$m3k16a)
newdata$m3k16b[m3k16b %in% c(-9, -3, -2, -1)] = NA
newdata$m3k16b = factor(newdata$m3k16b)
newdata$m3k16c[m3k16c %in% c(-9, -3, -2, -1)] = NA
newdata$m3k16c = factor(newdata$m3k16c)
newdata$m3k21[m3k21 == -6] = 0
newdata$m3k22[m3k22 == -6] = 0
newdata$m3k24b[m3k24a == 2] = 0
newdata$m3k24c[m3k24a == 2] = 0
newdata$m3k24d[m3k24d %in% c(-9, -3, -2, -1)] = NA
newdata$m3k24d = factor(newdata$m3k24d)
newdata$m3k24e[m3k24a == 2] = 0
newdata$m3k25b[m3k25a == 2] = 0
newdata$m3k25c[m3k25a == 2] = 0
newdata$m3k25d[m3k25d %in% c(-9, -3, -2, -1)] = NA
newdata$m3k25d = factor(newdata$m3k25d)
newdata$m3k25e[m3k25a == 2] = 0
newdata$m3k27b[m3k27a == 2] = 0
newdata$m3k27c[m3k27a == 2] = 0
newdata$m3k27d[m3k27d %in% c(-9, -3, -2, -1)] = NA
newdata$m3k27d = factor(newdata$m3k27d)
newdata$m3k27e[m3k27a == 2] = 0

newdata$f3k2_1[f3k1 == 2]=0
newdata$f3k2_2[f3k1 == 2]=0
newdata$f3k2_3[f3k1 == 2]=0
newdata$f3k2_4[f3k1 == 2]=0
newdata$f3k2_5[f3k1 == 2]=0
newdata$f3k2_6[f3k1 == 2]=0
newdata$f3k2_7[f3k1 == 2]=0
newdata$f3k2_8[f3k1 == 2]=0
newdata$f3k2_9[f3k1 == 2]=0
newdata$f3k2_10[f3k1 == 2]=0
newdata$f3k2_11[f3k1 == 2]=0
newdata$f3k2_12[f3k1 == 2]=0
newdata$f3k2_13[f3k1 == 2]=0
newdata$f3k2_14[f3k1 == 2]=0
newdata$f3k2_15[f3k1 == 2]=0
newdata$f3k2_101[f3k1 == 2]=0
newdata$f3k2_102[f3k1 == 2]=0
#newdata$f3k2a[f3k2a %in% c(-9, -3, -2, -1)] = NA
#newdata$f3k2a = factor(newdata$f3k2a)
#newdata$f3k2a_code[f3k2a_code %in% c(-9, -3, -2, -1)] = NA
#newdata$f3k2a_code = factor(newdata$f3k2a_code)

newdata$f3k3a_1[f3k3 == 2]=0
newdata$f3k3a_2[f3k3 == 2]=0
newdata$f3k3a_3[f3k3 == 2]=0
newdata$f3k3a_4[f3k3 == 2]=0
newdata$f3k3a_5[f3k3 == 2]=0
newdata$f3k3a_6[f3k3 == 2]=0
newdata$f3k3a_7[f3k3 == 2]=0
newdata$f3k3a_8[f3k3 == 2]=0
newdata$f3k3a_9[f3k3 == 2]=0
newdata$f3k3a_10[f3k3 == 2]=0
newdata$f3k3a_11[f3k3 == 2]=0
newdata$f3k3a_12[f3k3 == 2]=0
newdata$f3k3a_13[f3k3 == 2]=0
newdata$f3k3a_14[f3k3 == 2]=0
newdata$f3k3a_15[f3k3 == 2]=0
newdata$f3k3a_16[f3k3 == 2]=0
newdata$f3k3a_102[f3k3 == 2]=0
newdata$f3k3a_2a[f3k3a_2a %in% c(-9, -3, -2, -1)] = NA
newdata$f3k3a_2a = factor(newdata$f3k3a_2a)

newdata$f3k5[f3k4 == 1] = 2
newdata$f3k6[f3k6 %in% c(-9, -3, -2, -1)] = NA
newdata$f3k6 = factor(newdata$f3k6)
newdata$f3k7[f3k7 %in% c(-9, -3, -2, -1)] = NA
newdata$f3k7 = factor(newdata$f3k7)
newdata$f3k11[f3k11 %in% c(-9, -3, -2, -1)] = NA
newdata$f3k11 = factor(newdata$f3k11)
#newdata$f3k14a1[f3k14a1 %in% c(-9, -3, -2, -1)] = NA
#newdata$f3k14a1 = factor(newdata$f3k14a1)
#newdata$f3k14a2[f3k14a2 %in% c(-9, -3, -2, -1)] = NA
#newdata$f3k14a2 = factor(newdata$f3k14a2)
#newdata$f3k14a3[f3k14a3 %in% c(-9, -3, -2, -1)] = NA
#newdata$f3k14a3 = factor(newdata$f3k14a3)
#newdata$f3k14a4[f3k14a4 %in% c(-9, -3, -2, -1)] = NA
#newdata$f3k14a4 = factor(newdata$f3k14a4)
#newdata$f3k14a5[f3k14a5 %in% c(-9, -3, -2, -1)] = NA
#newdata$f3k14a5 = factor(newdata$f3k14a5)
newdata$f3k15a[f3k15a %in% c(-9, -3, -2, -1)] = NA
newdata$f3k15a = factor(newdata$f3k15a)
newdata$f3k15b[f3k15b %in% c(-9, -3, -2, -1)] = NA
newdata$f3k15b = factor(newdata$f3k15b)
newdata$f3k15c[f3k15c %in% c(-9, -3, -2, -1)] = NA
newdata$f3k15c = factor(newdata$f3k15c)
newdata$f3k15d[f3k15d %in% c(-9, -3, -2, -1)] = NA
newdata$f3k15d = factor(newdata$f3k15d)
newdata$f3k17a[f3k17a %in% c(-9, -3, -2, -1)] = NA
newdata$f3k17a = factor(newdata$f3k17a)
newdata$f3k17b[f3k17b %in% c(-9, -3, -2, -1)] = NA
newdata$f3k17b = factor(newdata$f3k17b)
newdata$f3k17c[f3k17c %in% c(-9, -3, -2, -1)] = NA
newdata$f3k17c = factor(newdata$f3k17c)
newdata$f3k22[f3k22 == -6] = 0
newdata$f3k23[f3k23 == -6] = 0
newdata$f3k24b[f3k24a == 2] = 0
newdata$f3k24c[f3k24a == 2] = 0
newdata$f3k24d[f3k24d %in% c(-9, -3, -2, -1)] = NA
newdata$f3k24d = factor(newdata$f3k24d)
newdata$f3k24e[f3k24a == 2] = 0
newdata$f3k25b[f3k25a == 2] = 0
newdata$f3k25c[f3k25a == 2] = 0
newdata$f3k25d[f3k25d %in% c(-9, -3, -2, -1)] = NA
newdata$f3k25d = factor(newdata$f3k25d)
newdata$f3k25e[f3k25a == 2] = 0
newdata$f3k27b[f3k27a == 2] = 0
newdata$f3k27c[f3k27a == 2] = 0
newdata$f3k27d[f3k27d %in% c(-9, -3, -2, -1)] = NA
newdata$f3k27d = factor(newdata$f3k27d)
newdata$f3k27e[f3k27a == 2] = 0

drop = which(names(newdata) %in% c("m3k15", "m3k3a_1a", "m3k8", "m3k8a", "m3k9", "m3k9a", "m3k9b", "m3k13", "m3k13p", "m3k14f",
                                   "m3k19", "m3k19a", "m3k20", "m3k23", "m3k25e1","m3k25aos_code","m3k27aos_code",
                                   "m3k25f_1", "m3k25f_2", "m3k25f_3", "m3k25f_4", "m3k25f_5","m3k27f_1", "m3k27f_2", "m3k27f_3", "m3k27f_4", "m3k27f_5",
                                   "m3k24f_1", "m3k24f_2", "m3k24f_3", "m3k24f_4", "m3k24f_5",
                                   "f3k16", "f3k3a_1a", "f3k8", "f3k8a", "f3k9", "f3k9a", "f3k9b", "f3k13", "f3k13p", "f3k14f",
                                   "f3k20", "f3k20a", "f3k21", "f3k23a", "f3k25e1","f3k25aos_code","f3k27aos_code",
                                   "f3k25f_1", "f3k25f_2", "f3k25f_3", "f3k25f_4", "f3k25f_5","f3k27f_1", "f3k27f_2", "f3k27f_3", "f3k27f_4", "f3k27f_5",
                                   "f3k24f_1", "f3k24f_2", "f3k24f_3", "f3k24f_4", "f3k24f_5", "f3k0", "f3k0a"))
newdata = newdata[,-drop]
###########
#Section L (Mother & Father)
###########

newdata$m3l2a[m3l2 == 2] = 0
newdata$m3l1a[m3l1a %in% c(-9, -3, -2, -1)] = NA
newdata$m3l1a = factor(newdata$m3l1a)
newdata$m3l4[m3l4 %in% c(-9, -3, -2, -1)] = NA
newdata$m3l4 = factor(newdata$m3l4)
newdata$m3l4a[m3l4a %in% c(-9, -3, -2, -1)] = NA
newdata$m3l4a = factor(newdata$m3l4a)
newdata$m3l5[m3l5 %in% c(-9, -3, -2, -1)] = NA
newdata$m3l5 = factor(newdata$m3l5)
newdata$m3l5a[m3l5a %in% c(-9, -3, -2, -1)] = NA
newdata$m3l5a = factor(newdata$m3l5a)
newdata$m3l5b[m3l5b %in% c(-9, -3, -2, -1)] = NA
newdata$m3l5b = factor(newdata$m3l5b)
newdata$m3l5c[m3l5c %in% c(-9, -3, -2, -1)] = NA
newdata$m3l5c = factor(newdata$m3l5c)
newdata$m3l5d[m3l5d %in% c(-9, -3, -2, -1)] = NA
newdata$m3l5d = factor(newdata$m3l5d)
newdata$m3l6[m3l6 %in% c(-9, -3, -2, -1)] = NA
newdata$m3l6 = factor(newdata$m3l6)
newdata$m3l6a[m3l6==2] = 2
newdata$m3l7[m3l7 %in% c(-9, -3, -2, -1)] = NA
newdata$m3l7 = factor(newdata$m3l7)
newdata$m3l8[m3l8 %in% c(-9, -3, -2, -1)] = NA
newdata$m3l8 = factor(newdata$m3l8)
newdata$m3l9a[m3l9 == 2] = 2
newdata$m3l9[m3l9 %in% c(-9, -3, -2, -1)] = NA
newdata$m3l9 = factor(newdata$m3l9)
newdata$m3l9a[m3l9a %in% c(-9, -3, -2, -1)] = NA
newdata$m3l9a = factor(newdata$m3l9a)

newdata$f3l2a[f3l2 == 2] = 0
newdata$f3l1a[f3l1a %in% c(-9, -3, -2, -1)] = NA
newdata$f3l1a = factor(newdata$f3l1a)
newdata$f3l4[f3l4 %in% c(-9, -3, -2, -1)] = NA
newdata$f3l4 = factor(newdata$f3l4)
newdata$f3l4a[f3l4a %in% c(-9, -3, -2, -1)] = NA
newdata$f3l4a = factor(newdata$f3l4a)
newdata$f3l5[f3l5 %in% c(-9, -3, -2, -1)] = NA
newdata$f3l5 = factor(newdata$f3l5)
newdata$f3l5a[f3l5a %in% c(-9, -3, -2, -1)] = NA
newdata$f3l5a = factor(newdata$f3l5a)
newdata$f3l5b[f3l5b %in% c(-9, -3, -2, -1)] = NA
newdata$f3l5b = factor(newdata$f3l5b)
newdata$f3l5c[f3l5c %in% c(-9, -3, -2, -1)] = NA
newdata$f3l5c = factor(newdata$f3l5c)
newdata$f3l5d[f3l5d %in% c(-9, -3, -2, -1)] = NA
newdata$f3l5d = factor(newdata$f3l5d)
newdata$f3l6[f3l6 %in% c(-9, -3, -2, -1)] = NA
newdata$f3l6 = factor(newdata$f3l6)
newdata$f3l6a[f3l6==2] = 2
newdata$f3l7[f3l7 %in% c(-9, -3, -2, -1)] = NA
newdata$f3l7 = factor(newdata$f3l7)
newdata$f3l8[f3l8 %in% c(-9, -3, -2, -1)] = NA
newdata$f3l8 = factor(newdata$f3l8)
newdata$f3l9a[f3l9 == 2] = 2
newdata$f3l9[f3l9 %in% c(-9, -3, -2, -1)] = NA
newdata$f3l9 = factor(newdata$f3l9)
newdata$f3l9a[f3l9a %in% c(-9, -3, -2, -1)] = NA
newdata$f3l9a = factor(newdata$f3l9a)

drop = which(names(newdata) %in% c("m3l3", "m3l6b", "m3l6c", "m3l9b", "m3l9b1", "m3l9c","f3l3", "f3l6b", "f3l6c", "f3l9b", "f3l9b1", "f3l9c"))
newdata = newdata[,-drop]

###########
#Section R (Mother & Father)
###########
newdata$m3r0a[newdata$m3r0a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r0a = factor(newdata$m3r0a)
newdata$m3r0b[newdata$m3r0b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r0b = factor(newdata$m3r0b)
newdata$m3r2[m3r1 %in% c(1,3,4,5,6,101,102,103,104)] = 0
newdata$m3r2[newdata$m3r2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r2 = factor(newdata$m3r2)
newdata$m3r3[m3r1 %in% c(1,3,4)] = 0
newdata$m3r3[newdata$m3r3 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r3 = factor(newdata$m3r3)
newdata$m3r4[m3r1 %in% c(1,3,4)] = 0
newdata$m3r4[newdata$m3r4 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r4 = factor(newdata$m3r4)
newdata$m3r5[m3r1 %in% c(2,3,4,5,6,101,102,103,104)] = 0
newdata$m3r5[newdata$m3r5 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r5 = factor(newdata$m3r5)
newdata$m3r6[m3r1 %in% c(2,3,4,5,6,101,102,103,104)] = 0
newdata$m3r6[newdata$m3r6 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r6 = factor(newdata$m3r6)
newdata$m3r7[m3r1 %in% c(2,1,4,5,6,101,102,103,104)] = 0
newdata$m3r7[newdata$m3r7 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r7 = factor(newdata$m3r7)
newdata$m3r8[m3r1 %in% c(2,3,1,5,6,101,102,103,104)] = 0
newdata$m3r8[newdata$m3r8 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r8 = factor(newdata$m3r8)
newdata$m3r1[newdata$m3r1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r1 = factor(newdata$m3r1)
newdata$m3r9[newdata$m3r9 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r9 = factor(newdata$m3r9)
newdata$m3r10[newdata$m3r10 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m3r10 = factor(newdata$m3r10)

newdata$f3r0a[newdata$f3r0a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r0a = factor(newdata$f3r0a)
newdata$f3r0b[newdata$f3r0b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r0b = factor(newdata$f3r0b)
newdata$f3r2[f3r1 %in% c(1,3,4,5,6,101,102,103,104)] = 0
newdata$f3r2[newdata$f3r2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r2 = factor(newdata$f3r2)
newdata$f3r3[f3r1 %in% c(1,3,4)] = 0
newdata$f3r3[newdata$f3r3 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r3 = factor(newdata$f3r3)
newdata$f3r4[f3r1 %in% c(1,3,4)] = 0
newdata$f3r4[newdata$f3r4 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r4 = factor(newdata$f3r4)
newdata$f3r5[f3r1 %in% c(2,3,4,5,6,101,102,103,104)] = 0
newdata$f3r5[newdata$f3r5 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r5 = factor(newdata$f3r5)
newdata$f3r6[f3r1 %in% c(2,3,4,5,6,101,102,103,104)] = 0
newdata$f3r6[newdata$f3r6 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r6 = factor(newdata$f3r6)
newdata$f3r7[f3r1 %in% c(2,1,4,5,6,101,102,103,104)] = 0
newdata$f3r7[newdata$f3r7 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r7 = factor(newdata$f3r7)
newdata$f3r8[f3r1 %in% c(2,3,1,5,6,101,102,103,104)] = 0
newdata$f3r8[newdata$f3r8 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r8 = factor(newdata$f3r8)
newdata$f3r1[newdata$f3r1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r1 = factor(newdata$f3r1)
newdata$f3r9[newdata$f3r9 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r9 = factor(newdata$f3r9)
newdata$f3r10[newdata$f3r10 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f3r10 = factor(newdata$f3r10)

###########
#Fix NAs
###########
newdata$cmf3finjail[cmf3finjail == "."] = NA
newdata$cmf3fevjail[cmf3fevjail == "."] = NA

###########
#Home visit survey
###########
newdata$hv3a1[newdata$hv3a1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3a1 = factor(newdata$hv3a1)
newdata$hv3a6a[hv3a6 == 0] = 8
newdata$hv3a6a[newdata$hv3a6a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3a6a = factor(newdata$hv3a6a)
newdata$hv3a6b[newdata$hv3a6b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3a6b = factor(newdata$hv3a6b)
newdata$hv3a8[hv3a7 == 0] = 0
newdata$hv3a10[hv3a9 == 0] = 0
newdata$hv3a12[hv3a11 == 0] = 0
newdata$hv3a13[hv3a11 == 0] = 0
newdata$hv3a14[hv3a11 == 0] = 0
newdata$hv3a16b1[hv3a15 == 0] = 0
newdata$hv3a16b1[newdata$hv3a16b1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3a16b1 = factor(newdata$hv3a16b1)
newdata$hv3a16c1_1[hv3a15 == 0] = 0
newdata$hv3a16c1_2[hv3a15 == 0] = 0
newdata$hv3a16c1_3[hv3a15 == 0] = 0
newdata$hv3a16c1_4[hv3a15 == 0] = 0
newdata$hv3a16c1_5[hv3a15 == 0] = 0
newdata$hv3a16c1_6[hv3a15 == 0] = 0
newdata$hv3a16c1_7[hv3a15 == 0] = 0
newdata$hv3a16c1_8[hv3a15 == 0] = 0
newdata$hv3a16c1_0[hv3a15 == 0] = 0
newdata$hv3a16d1_1[hv3a15 == 0] = 0
newdata$hv3a16d1_2[hv3a15 == 0] = 0
newdata$hv3a16d1_3[hv3a15 == 0] = 0
newdata$hv3a16d1_4[hv3a15 == 0] = 0
newdata$hv3a16d1_5[hv3a15 == 0] = 0
newdata$hv3a16d1_6[hv3a15 == 0] = 0
newdata$hv3a16d1_7[hv3a15 == 0] = 0
newdata$hv3a16d1_8[hv3a15 == 0] = 0
newdata$hv3a16e1[hv3a15 == 0] = 0
newdata$hv3a18[hv3a17 == 0] = 0
newdata$hv3a19[hv3a17 == 0] = 0
newdata$hv3a19[newdata$hv3a19 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3a19 = factor(newdata$hv3a19)
newdata$hv3a20a[hv3a20 == 0] = 0
newdata$hv3a20a[newdata$hv3a20a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3a20a = factor(newdata$hv3a20a)
newdata$hv3a23[hv3a22 == 0] = 0
newdata$hv3a23a[hv3a22 == 0] = 0
newdata$hv3a23b[hv3a23a == 0] = 0
newdata$hv3a23b[newdata$hv3a23b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3a23b = factor(newdata$hv3a23b)
newdata$hv3a24[hv3a22 == 0] = 0
newdata$hv3a25[newdata$hv3a25 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3a25 = factor(newdata$hv3a25)
newdata$hv3a26[newdata$hv3a26 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3a26 = factor(newdata$hv3a26)

newdata$hvb4_hr = hv3b4_hr + hv3b4_min/60 + 12*(hv3b4_ampm == 1)
newdata$hv3b6[newdata$hv3b6 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3b6 = factor(newdata$hv3b6)
newdata$hv3b7_1[hv3b6a == 0] = 0
newdata$hv3b7_2[hv3b6a == 0] = 0
newdata$hv3b7_3[hv3b6a == 0] = 0
newdata$hv3b7_4[hv3b6a == 0] = 0
newdata$hv3b7_5[hv3b6a == 0] = 0
newdata$hv3b7_6[hv3b6a == 0] = 0
newdata$hv3b7_7[hv3b6a == 0] = 0
newdata$hv3b7_8[hv3b6a == 0] = 0
newdata$hv3b7_9[hv3b6a == 0] = 0
newdata$hv3b7_0[hv3b6a == 0] = 0
newdata$hv3b7_11[hv3b6a == 0] = 0
newdata$hv3b7_12[hv3b6a == 0] = 0
newdata$hv3b7_13[hv3b6a == 0] = 0
newdata$hv3b7_14[hv3b6a == 0] = 0
newdata$hv3b9a[hv3b9 == 0] = 0
newdata$hv3b9a[newdata$hv3b9a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3b9a = factor(newdata$hv3b9a)
newdata$hv3b12[hv3b11 == 0] = 0
newdata$hv3b12[newdata$hv3b12 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3b12 = factor(newdata$hv3b12)
newdata$hv3b16a_a[hv3b16 == 0] = 0
newdata$hv3b16a_b[hv3b16 == 0] = 0
newdata$hv3b16a_c[hv3b16 == 0] = 0

newdata$hv3c1a[newdata$hv3c1a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c1a = factor(newdata$hv3c1a)
newdata$hv3c1b[newdata$hv3c1b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c1b = factor(newdata$hv3c1b)
newdata$hv3c1c[newdata$hv3c1c %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c1c = factor(newdata$hv3c1c)
newdata$hv3c1d[newdata$hv3c1d %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c1d = factor(newdata$hv3c1d)
newdata$hv3c1e[newdata$hv3c1e %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c1e = factor(newdata$hv3c1e)
newdata$hv3c1f[newdata$hv3c1f %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c1f = factor(newdata$hv3c1f)
newdata$hv3c1g[newdata$hv3c1g %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c1g = factor(newdata$hv3c1g)
newdata$hv3c1h[newdata$hv3c1h %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c1h = factor(newdata$hv3c1h)
newdata$hv3c3[newdata$hv3c3 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c3 = factor(newdata$hv3c3)
newdata$hv3c7[newdata$hv3c7 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c7 = factor(newdata$hv3c7)
newdata$hv3c8[newdata$hv3c8 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3c8 = factor(newdata$hv3c8)

newdata$hv3d1a[newdata$hv3d1a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3d1a = factor(newdata$hv3d1a)
newdata$hv3d1b[newdata$hv3d1b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3d1b = factor(newdata$hv3d1b)
newdata$hv3d1e[newdata$hv3d1e %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3d1e = factor(newdata$hv3d1e)
newdata$hv3d1c[newdata$hv3d1c %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3d1c = factor(newdata$hv3d1c)
newdata$hv3d1d[newdata$hv3d1d %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3d1d = factor(newdata$hv3d1d)
newdata$hv3d3[hv3d2 == 0] = 3
newdata$hv3d4[hv3d2 == 0] = 0
newdata$hv3d4a[hv3d4 == 0] = 0
newdata$hv3d4a[newdata$hv3d4a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3d4a = factor(newdata$hv3d4a)
newdata$hv3d5[hv3d2 == 0] = 0
newdata$hv3d6[hv3d2 == 0] = 0
newdata$hv3d7[hv3d2 == 0] = 0
newdata$hv3d9[hv3d2 == 0 | hv3d8 == 0] = 0
newdata$hv3d9a[hv3d9 == 0] = 0
newdata$hv3d9a[newdata$hv3d9a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3d9a = factor(newdata$hv3d9a)
newdata$hv3d10[hv3d2 == 0 | hv3d8 == 0] = 0
newdata$hv3d11[hv3d2 == 0 | hv3d8 == 0] = 0
newdata$hv3d11a[hv3d11 == 0] = 0
newdata$hv3d11a[newdata$hv3d11a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3d11a = factor(newdata$hv3d11a)
newdata$hv3d12[hv3d2 == 0 | hv3d8 == 0] = 0
newdata$hv3d13[hv3d2 == 0 | hv3d8 == 0] = 0
newdata$hv3e0[hv3e0 == -4 & hv3e0b == 0] = 0
newdata$hv3e0[hv3e0 == -4 & hv3e0b == 1] = 1
newdata$hv3e1a_1[hv3e1 == 0] = 0
newdata$hv3e1a_2[hv3e1 == 0] = 1
newdata$hv3e2[hv3e2_per == 1 & !is.na(hv3e2) & ! is.na(hv3e2_per)] = hv3e2[hv3e2_per == 1 & !is.na(hv3e2) & ! is.na(hv3e2_per)]*7
newdata$hv3e2[hv3e2_per == 3 & !is.na(hv3e2) & ! is.na(hv3e2_per)] = hv3e2[hv3e2_per == 3 & !is.na(hv3e2) & ! is.na(hv3e2_per)]/2
newdata$hv3e2[hv3e2_per == 4 & !is.na(hv3e2) & ! is.na(hv3e2_per)] = hv3e2[hv3e2_per == 4 & !is.na(hv3e2) & ! is.na(hv3e2_per)]/4
newdata$hv3e4[hv3e3 == 0] = 0
newdata$hv3e4[hv3e4_per == 1 & !is.na(hv3e4) & ! is.na(hv3e4_per)] = hv3e4[hv3e4_per == 1 & !is.na(hv3e4) & ! is.na(hv3e4_per)]*30
newdata$hv3e4[hv3e4_per == 2 & !is.na(hv3e4) & ! is.na(hv3e4_per)] = hv3e4[hv3e4_per == 2 & !is.na(hv3e4) & ! is.na(hv3e4_per)]*4
newdata$hv3e4[hv3e4_per == 3 & !is.na(hv3e4) & ! is.na(hv3e4_per)] = hv3e4[hv3e4_per == 3 & !is.na(hv3e4) & ! is.na(hv3e4_per)]*2
newdata$hv3e4[hv3e4_per == 5 & !is.na(hv3e4) & ! is.na(hv3e4_per)] = hv3e4[hv3e4_per == 5 & !is.na(hv3e4) & ! is.na(hv3e4_per)]/12
newdata$hv3e5[hv3e5_per == 1 & !is.na(hv3e5) & ! is.na(hv3e5_per)] = hv3e5[hv3e5_per == 1 & !is.na(hv3e5) & ! is.na(hv3e5_per)]*30
newdata$hv3e5[hv3e5_per == 2 & !is.na(hv3e5) & ! is.na(hv3e5_per)] = hv3e5[hv3e5_per == 2 & !is.na(hv3e5) & ! is.na(hv3e5_per)]*4
newdata$hv3e5[hv3e5_per == 3 & !is.na(hv3e5) & ! is.na(hv3e5_per)] = hv3e5[hv3e5_per == 3 & !is.na(hv3e5) & ! is.na(hv3e5_per)]*2
newdata$hv3e5[hv3e5_per == 5 & !is.na(hv3e5) & ! is.na(hv3e5_per)] = hv3e5[hv3e5_per == 5 & !is.na(hv3e5) & ! is.na(hv3e5_per)]/12
newdata$hv3e6[newdata$hv3e6 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3e6 = factor(newdata$hv3e6)
newdata$hv3e7[newdata$hv3e7 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3e7 = factor(newdata$hv3e7)
newdata$hv3e8[newdata$hv3e8 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3e8 = factor(newdata$hv3e8)
newdata$hv3e11_1[hv3e10 == 0] = 0
newdata$hv3e11_2[hv3e10 == 0] = 0
newdata$hv3e11_3[hv3e10 == 0] = 0
newdata$hv3e13_1[hv3e12 == 0] = 0
newdata$hv3e13_2[hv3e12 == 0] = 0
newdata$hv3e13_3[hv3e12 == 0] = 0

newdata$hv3f2[newdata$hv3f2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3f2 = factor(newdata$hv3f2)
newdata$hv3f2a[newdata$hv3f2a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3f2a = factor(newdata$hv3f2a)

newdata$hv3g1a[newdata$hv3g1a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1a = factor(newdata$hv3g1a)
newdata$hv3g1b[newdata$hv3g1b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1b = factor(newdata$hv3g1b)
newdata$hv3g1c[newdata$hv3g1c %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1c = factor(newdata$hv3g1c)
newdata$hv3g1d[newdata$hv3g1d %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1d = factor(newdata$hv3g1d)
newdata$hv3g1e[newdata$hv3g1e %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1e = factor(newdata$hv3g1e)
newdata$hv3g1f[newdata$hv3g1f %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1f = factor(newdata$hv3g1f)
newdata$hv3g1g[newdata$hv3g1g %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1g = factor(newdata$hv3g1g)
newdata$hv3g1h[newdata$hv3g1h %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1h = factor(newdata$hv3g1h)
newdata$hv3g1i[newdata$hv3g1i %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1i = factor(newdata$hv3g1i)
newdata$hv3g1j[newdata$hv3g1j %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1j = factor(newdata$hv3g1j)
newdata$hv3g1k[newdata$hv3g1k %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1k = factor(newdata$hv3g1k)
newdata$hv3g1l[newdata$hv3g1l %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3g1l = factor(newdata$hv3g1l)

newdata$hv3h1a[newdata$hv3h1a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3h1a = factor(newdata$hv3h1a)
newdata$hv3h1b[newdata$hv3h1b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3h1b = factor(newdata$hv3h1b)
newdata$hv3h2a[newdata$hv3h2a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3h2a = factor(newdata$hv3h2a)
newdata$hv3h2b[newdata$hv3h2b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3h2b = factor(newdata$hv3h2b)
newdata$hv3h3a[newdata$hv3h3a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3h3a = factor(newdata$hv3h3a)
newdata$hv3h3b[newdata$hv3h3b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3h3b = factor(newdata$hv3h3b)
newdata$hv3h3c[newdata$hv3h3c %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3h3c = factor(newdata$hv3h3c)
newdata$hv3h3d[newdata$hv3h3d %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3h3d = factor(newdata$hv3h3d)
newdata$hv3h3e[newdata$hv3h3e %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3h3e = factor(newdata$hv3h3e)

newdata$hv3j1[newdata$hv3j1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j1 = factor(newdata$hv3j1)
newdata$hv3j2[newdata$hv3j2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j2 = factor(newdata$hv3j2)
newdata$hv3j3[newdata$hv3j3 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j3 = factor(newdata$hv3j3)
newdata$hv3j4[newdata$hv3j4 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j4 = factor(newdata$hv3j4)
newdata$hv3j5[newdata$hv3j5 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j5 = factor(newdata$hv3j5)
newdata$hv3j6[newdata$hv3j6 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j6 = factor(newdata$hv3j6)
newdata$hv3j7[newdata$hv3j7 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j7 = factor(newdata$hv3j7)
newdata$hv3j8[newdata$hv3j8 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j8 = factor(newdata$hv3j8)
newdata$hv3j9[newdata$hv3j9 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j9 = factor(newdata$hv3j9)
newdata$hv3j10[newdata$hv3j10 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j10 = factor(newdata$hv3j10)
newdata$hv3j11[newdata$hv3j11 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j11 = factor(newdata$hv3j11)
newdata$hv3j12[newdata$hv3j12 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j12 = factor(newdata$hv3j12)
newdata$hv3j13[newdata$hv3j13 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j13 = factor(newdata$hv3j13)
newdata$hv3j14[newdata$hv3j14 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j14 = factor(newdata$hv3j14)
newdata$hv3j15[newdata$hv3j15 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j15 = factor(newdata$hv3j15)
newdata$hv3j16[newdata$hv3j16 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j16 = factor(newdata$hv3j16)
newdata$hv3j17[newdata$hv3j17 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j17 = factor(newdata$hv3j17)
newdata$hv3j18[newdata$hv3j18 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j18 = factor(newdata$hv3j18)
newdata$hv3j19[newdata$hv3j19 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j19 = factor(newdata$hv3j19)
newdata$hv3j21[hv3j20 == 1] = 1
newdata$hv3j22[hv3j20 == 1] = 0
newdata$hv3j22[newdata$hv3j22 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j22 = factor(newdata$hv3j22)
newdata$hv3j23a[newdata$hv3j23a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23a = factor(newdata$hv3j23a)
newdata$hv3j23b[newdata$hv3j23b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23b = factor(newdata$hv3j23b)
newdata$hv3j23c[newdata$hv3j23c %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23c = factor(newdata$hv3j23c)
newdata$hv3j23d[newdata$hv3j23d %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23d = factor(newdata$hv3j23d)
newdata$hv3j23e[newdata$hv3j23e %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23e = factor(newdata$hv3j23e)
newdata$hv3j23f[newdata$hv3j23f %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23f = factor(newdata$hv3j23f)
newdata$hv3j23g[newdata$hv3j23g %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23g = factor(newdata$hv3j23g)
newdata$hv3j23h[newdata$hv3j23h %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23h = factor(newdata$hv3j23h)
newdata$hv3j23i[newdata$hv3j23i %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23i = factor(newdata$hv3j23i)
newdata$hv3j23j[newdata$hv3j23j %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23j = factor(newdata$hv3j23j)
newdata$hv3j23k[newdata$hv3j23k %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23k = factor(newdata$hv3j23k)
newdata$hv3j23l[newdata$hv3j23l %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23l = factor(newdata$hv3j23l)
newdata$hv3j23m[newdata$hv3j23m %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23m = factor(newdata$hv3j23m)
newdata$hv3j23n[newdata$hv3j23n %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3j23n = factor(newdata$hv3j23n)

newdata$hv3k1a[newdata$hv3k1a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k1a = factor(newdata$hv3k1a)
newdata$hv3k1b[newdata$hv3k1b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k1b = factor(newdata$hv3k1b)
newdata$hv3k1c[newdata$hv3k1c %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k1c = factor(newdata$hv3k1c)
newdata$hv3k1d[newdata$hv3k1d %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k1d = factor(newdata$hv3k1d)
newdata$hv3k1e[newdata$hv3k1e %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k1e = factor(newdata$hv3k1e)
newdata$hv3k2a[newdata$hv3k2a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k2a = factor(newdata$hv3k2a)
newdata$hv3k2b[newdata$hv3k2b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k2b = factor(newdata$hv3k2b)
newdata$hv3k2c[newdata$hv3k2c %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k2c = factor(newdata$hv3k2c)
newdata$hv3k2d[newdata$hv3k2d %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k2d = factor(newdata$hv3k2d)
newdata$hv3k2e[newdata$hv3k2e %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k2e = factor(newdata$hv3k2e)
newdata$hv3k3a[newdata$hv3k3a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k3a = factor(newdata$hv3k3a)
newdata$hv3k3b[newdata$hv3k3b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k3b = factor(newdata$hv3k3b)
newdata$hv3k3c[newdata$hv3k3c %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k3c = factor(newdata$hv3k3c)
newdata$hv3k3d[newdata$hv3k3d %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k3d = factor(newdata$hv3k3d)
newdata$hv3k3e[newdata$hv3k3e %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k3e = factor(newdata$hv3k3e)
newdata$hv3k3f[newdata$hv3k3f %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k3f = factor(newdata$hv3k3f)
newdata$hv3k3g[newdata$hv3k3g %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k3g = factor(newdata$hv3k3g)
newdata$hv3k3h[newdata$hv3k3h %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3k3h = factor(newdata$hv3k3h)

newdata$hv3l1[newdata$hv3l1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3l1 = factor(newdata$hv3l1)
newdata$hv3l2[newdata$hv3l2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3l2 = factor(newdata$hv3l2)
newdata$hv3l3[newdata$hv3l3 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3l3 = factor(newdata$hv3l3)
newdata$hv3l4[newdata$hv3l4 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3l4 = factor(newdata$hv3l4)
newdata$hv3l5[newdata$hv3l5 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3l5 = factor(newdata$hv3l5)
newdata$hv3l6[newdata$hv3l6 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3l6 = factor(newdata$hv3l6)
newdata$hv3l7[newdata$hv3l7 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3l7 = factor(newdata$hv3l7)

newdata$hv3m1[newdata$hv3m1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m1 = factor(newdata$hv3m1)
newdata$hv3m2[newdata$hv3m2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m2 = factor(newdata$hv3m2)
newdata$hv3m2a[newdata$hv3m2a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m2a = factor(newdata$hv3m2a)
newdata$hv3m2b[newdata$hv3m2b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m2b = factor(newdata$hv3m2b)
newdata$hv3m2c[newdata$hv3m2c %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m2c = factor(newdata$hv3m2c)
newdata$hv3m3[newdata$hv3m3 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m3 = factor(newdata$hv3m3)
newdata$hv3m3a[newdata$hv3m3a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m3a = factor(newdata$hv3m3a)
newdata$hv3m3b[newdata$hv3m3b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m3b = factor(newdata$hv3m3b)
newdata$hv3m4[newdata$hv3m4 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m4 = factor(newdata$hv3m4)
newdata$hv3m5[newdata$hv3m5 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m5 = factor(newdata$hv3m5)
newdata$hv3m6[newdata$hv3m6 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m6 = factor(newdata$hv3m6)
newdata$hv3m6a[newdata$hv3m6a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m6a = factor(newdata$hv3m6a)
newdata$hv3m6b[newdata$hv3m6b %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m6b = factor(newdata$hv3m6b)
newdata$hv3m7[newdata$hv3m7 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m7 = factor(newdata$hv3m7)
newdata$hv3m7a[newdata$hv3m7a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m7a = factor(newdata$hv3m7a)
newdata$hv3m8[newdata$hv3m8 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m8 = factor(newdata$hv3m8)
newdata$hv3m9[newdata$hv3m9 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m9 = factor(newdata$hv3m9)
newdata$hv3m10[newdata$hv3m10 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m10 = factor(newdata$hv3m10)
newdata$hv3m11[newdata$hv3m11 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m11 = factor(newdata$hv3m11)
newdata$hv3m12[newdata$hv3m12 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m12 = factor(newdata$hv3m12)
newdata$hv3m13[newdata$hv3m13 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m13 = factor(newdata$hv3m13)
newdata$hv3m14[newdata$hv3m14 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m14 = factor(newdata$hv3m14)
newdata$hv3m15[newdata$hv3m15 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m15 = factor(newdata$hv3m15)
newdata$hv3m16[newdata$hv3m16 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m16 = factor(newdata$hv3m16)
newdata$hv3m17[newdata$hv3m17 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m17 = factor(newdata$hv3m17)
newdata$hv3m17a[newdata$hv3m17a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m17a = factor(newdata$hv3m17a)
newdata$hv3m18[newdata$hv3m18 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m18 = factor(newdata$hv3m18)
newdata$hv3m18a[newdata$hv3m18a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m18a = factor(newdata$hv3m18b)
newdata$hv3m18b[newdata$hv3m18a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m18b = factor(newdata$hv3m18b)
newdata$hv3m19[newdata$hv3m19 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m19 = factor(newdata$hv3m19)
newdata$hv3m20[newdata$hv3m20 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m20 = factor(newdata$hv3m20)
newdata$hv3m21[newdata$hv3m21 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m21 = factor(newdata$hv3m21)
newdata$hv3m21a[newdata$hv3m21a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m21a = factor(newdata$hv3m21a)
newdata$hv3m22[newdata$hv3m22 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m22 = factor(newdata$hv3m22)
newdata$hv3m23[newdata$hv3m23 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m23 = factor(newdata$hv3m23)
newdata$hv3m24[newdata$hv3m24 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m24 = factor(newdata$hv3m24)
newdata$hv3m25[newdata$hv3m25 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m25 = factor(newdata$hv3m25)
newdata$hv3m26[newdata$hv3m26 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m26 = factor(newdata$hv3m26)
newdata$hv3m26a[newdata$hv3m26a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m26a = factor(newdata$hv3m26a)
newdata$hv3m27[newdata$hv3m27 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m27 = factor(newdata$hv3m27)
newdata$hv3m28[newdata$hv3m28 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m28 = factor(newdata$hv3m28)
newdata$hv3m28a[newdata$hv3m28a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m28a = factor(newdata$hv3m28a)
newdata$hv3m29[newdata$hv3m29 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m29 = factor(newdata$hv3m29)
newdata$hv3m30[newdata$hv3m30 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m30 = factor(newdata$hv3m30)
newdata$hv3m31[newdata$hv3m31 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m31 = factor(newdata$hv3m31)
newdata$hv3m32[newdata$hv3m32 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m32 = factor(newdata$hv3m32)
newdata$hv3m33[newdata$hv3m33 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m33 = factor(newdata$hv3m33)
newdata$hv3m34[newdata$hv3m34 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m34 = factor(newdata$hv3m34)
newdata$hv3m35[newdata$hv3m35 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m35 = factor(newdata$hv3m35)
newdata$hv3m36[newdata$hv3m36 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m36 = factor(newdata$hv3m36)
newdata$hv3m37[newdata$hv3m37 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m37 = factor(newdata$hv3m37)
newdata$hv3m38[newdata$hv3m38 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m38 = factor(newdata$hv3m38)
newdata$hv3m39[newdata$hv3m39 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m39 = factor(newdata$hv3m39)
newdata$hv3m40[newdata$hv3m40 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m40 = factor(newdata$hv3m40)
newdata$hv3m40a[newdata$hv3m40a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m40a = factor(newdata$hv3m40a)
newdata$hv3m41[newdata$hv3m41 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m41 = factor(newdata$hv3m41)
newdata$hv3m42[newdata$hv3m42 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m42 = factor(newdata$hv3m42)
newdata$hv3m43[newdata$hv3m43 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m43 = factor(newdata$hv3m43)
newdata$hv3m44[newdata$hv3m44 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m44 = factor(newdata$hv3m44)
newdata$hv3m45[newdata$hv3m45 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m45 = factor(newdata$hv3m45)
newdata$hv3m46[newdata$hv3m46 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m46 = factor(newdata$hv3m46)
newdata$hv3m47[newdata$hv3m47 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m47 = factor(newdata$hv3m47)
newdata$hv3m48[newdata$hv3m48 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m48 = factor(newdata$hv3m48)
newdata$hv3m49[newdata$hv3m49 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m49 = factor(newdata$hv3m49)
newdata$hv3m50[newdata$hv3m50 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3m50 = factor(newdata$hv3m50)

newdata$hv3p1[newdata$hv3p1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3p1 = factor(newdata$hv3p1)
newdata$hv3p2[newdata$hv3p2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3p2 = factor(newdata$hv3p2)
newdata$hv3p3[newdata$hv3p3 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3p3 = factor(newdata$hv3p3)
newdata$hv3p4[newdata$hv3p4 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3p4 = factor(newdata$hv3p4)
newdata$hv3p5[newdata$hv3p5 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3p5 = factor(newdata$hv3p5)
newdata$hv3p8[newdata$hv3p8 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3p8 = factor(newdata$hv3p8)
newdata$hv3p9[newdata$hv3p9 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3p9 = factor(newdata$hv3p9)

newdata$hv3r10a1[hv3r10 == 0] = 0
newdata$hv3r10a2[hv3r10 == 0] = 0
newdata$hv3r10a3[hv3r10 == 0] = 0
newdata$hv3r10a4[hv3r10 == 0] = 0
newdata$hv3r10a5[hv3r10 == 0] = 0
newdata$hv3r10a6[hv3r10 == 0] = 0
newdata$hv3r10a7[hv3r10 == 0] = 0
newdata$hv3r10a8[hv3r10 == 0] = 0
newdata$hv3r10a9[hv3r10 == 0] = 0
newdata$hv3r10a10[hv3r10 == 0] = 0
newdata$hv3r10a11[hv3r10 == 0] = 0

newdata$hv3s2[newdata$hv3s2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3s2 = factor(newdata$hv3s2)
newdata$hv3s3[newdata$hv3s3 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3s3 = factor(newdata$hv3s4)
newdata$hv3s4[newdata$hv3s4 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3s4 = factor(newdata$hv3s4)

newdata$hv3u1[newdata$hv3u1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3u1 = factor(newdata$hv3u1)
newdata$hv3u2[newdata$hv3u2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3u2 = factor(newdata$hv3u2)
newdata$hv3u6[newdata$hv3u6 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3u6 = factor(newdata$hv3u6)
newdata$hv3u7[newdata$hv3u7 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3u7 = factor(newdata$hv3u7)
newdata$hv3u5[newdata$hv3u5 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$hv3u5 = factor(newdata$hv3u5)

newdata$hv3chtcm[hv3chtcm > 100 | hv3chtcm < 50] = NA
drop = which(names(newdata) %in% c("hv3a6a_oth", "hv3a15", "hv3a16b1_sp", "hv3a16c1_0s", "hv3a16d1_4s", 
                                   "hv3a16b2", "hv3a16b2_sp", "hv3a16c2_1", "hv3a16c2_2", "hv3a16c2_3", "hv3a16c2_4", "hv3a16c2_5", "hv3a16c2_6", "hv3a16c2_7", "hv3a16c2_8", "hv3a16c2_0", "hv3a16c2_0s",
                                   "hv3a16d2_1", "hv3a16d2_2", "hv3a16d2_3", "hv3a16d2_4", "hv3a16d2_4s", "hv3a16d2_5", "hv3a16d2_6", "hv3a16d2_7", "hv3a16d2_8", "hv3a16e2",
                                   "hv3a16b3", "hv3a16b3_sp", "hv3a16c3_1", "hv3a16c3_2", "hv3a16c3_3", "hv3a16c3_4", "hv3a16c3_5", "hv3a16c3_6", "hv3a16c3_7", "hv3a16c3_8", "hv3a16c3_0", "hv3a16c3_0s",
                                   "hv3a16d3_1", "hv3a16d3_2", "hv3a16d3_3", "hv3a16d3_4", "hv3a16d3_4s", "hv3a16d3_5", "hv3a16d3_6", "hv3a16d3_7", "hv3a16d3_8", "hv3a16e3",
                                   "hv3b4_min", "hv3b4_ampm", "hv3b6_oth", "hv3b7_14oth", "hv3b9a_oth", "hv3b12_oth", "hv3c_c3", "hv3c3_oth", "hv3c5", "hv3d2", "hv3d8", "hv3c_d8",
                                   "hv3e0a", "hv3e0b", "hv3e2_per", "hv3e2_perot", "hv3e2a", "hv3e4_per", "hv3e4_perot", "hv3e4a","hv3e5_per", "hv3e5_perot", "hv3e5a", "hv3e8_oth", "hv3b1_box", "hv3b1_box_1",
                                   "hv3e11_3oth", "hv3e13_3oth", "hv3e4_expen", "hv3e2_expen", "hv3e5_expen", "hv3h1a_oth", "hv3c_h1a", "hv3h1b_oth", "hv3c_h1b", "hv3h2a_oth", "hv3h2b_oth", "hv3j22_oth",
                                   "hv3n1", "hv3n1a", "hv3n1d", "hv3p8_oth", "hv3p10", "hv3r10a", "hv3r10a_oth", "hv3s1_11oth", "hv3s5_oth", "hv3v1", "hv3cflag",
                                   "hv3cwtalone", "hv3cwtkg", "hv3bmiz", "hv3c_p10", "hv3haz", "hv3mflag", "hv3ovscale", "hv3mmis_wt", "hv3mmis_ht", "hv3mwtkg", "hv3selfht","hv3selfwt",
                                   "hv3waz","hv3whz","agemo1_c", "hv3misppvt"))
newdata = newdata[,-drop]  

########
#Child care questionnaires
########

newdata$ffcc_pof_a1[newdata$ffcc_pof_a1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_a1 = factor(newdata$ffcc_pof_a1)
newdata$ffcc_pof_a2[newdata$ffcc_pof_a2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_a2 = factor(newdata$ffcc_pof_a2)
newdata$ffcc_pof_a3[newdata$ffcc_pof_a3 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_a3 = factor(newdata$ffcc_pof_a3)
newdata$ffcc_pof_a4[newdata$ffcc_pof_a4 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_a4 = factor(newdata$ffcc_pof_a4)
newdata$ffcc_pof_a5[newdata$ffcc_pof_a5 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_a5 = factor(newdata$ffcc_pof_a5)
newdata$ffcc_pof_a6[newdata$ffcc_pof_a6 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_a6 = factor(newdata$ffcc_pof_a6)

newdata$ffcc_pof_c14[newdata$ffcc_pof_c14 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_c14 = factor(newdata$ffcc_pof_c14)
newdata$ffcc_pof_c15[newdata$ffcc_pof_c15 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_c15 = factor(newdata$ffcc_pof_c15)

newdata$ffcc_pof_e1[newdata$ffcc_pof_e1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_e1 = factor(newdata$ffcc_pof_e1)
newdata$ffcc_pof_e2[newdata$ffcc_pof_e2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_e2 = factor(newdata$ffcc_pof_e2)
newdata$ffcc_pof_e3[newdata$ffcc_pof_e3 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_e3 = factor(newdata$ffcc_pof_e3)
newdata$ffcc_pof_e4[newdata$ffcc_pof_e4 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_e4 = factor(newdata$ffcc_pof_e4)
newdata$ffcc_pof_e5[newdata$ffcc_pof_e5 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_e5 = factor(newdata$ffcc_pof_e5)
newdata$ffcc_pof_e6[newdata$ffcc_pof_e6 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_pof_e6 = factor(newdata$ffcc_pof_e6)

newdata$ffcc_centsurvey_c10_a[newdata$ffcc_centsurvey_c10_a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_centsurvey_c10_a = factor(newdata$ffcc_centsurvey_c10_a)
newdata$ffcc_centsurvey_c11_a[newdata$ffcc_centsurvey_c11_a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_centsurvey_c11_a = factor(newdata$ffcc_centsurvey_c11_a)
newdata$ffcc_centsurvey_c12_a[newdata$ffcc_centsurvey_c12_a %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$ffcc_centsurvey_c12_a = factor(newdata$ffcc_centsurvey_c12_a)
newdata$ffcc_centsurvey_c15_a[ffcc_centsurvey_c15_a %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_a = factor(newdata$ffcc_centsurvey_c15_a)
newdata$ffcc_centsurvey_c15_b[ffcc_centsurvey_c15_b %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_b = factor(newdata$ffcc_centsurvey_c15_b)
newdata$ffcc_centsurvey_c15_c[ffcc_centsurvey_c15_c %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_c = factor(newdata$ffcc_centsurvey_c15_c)
newdata$ffcc_centsurvey_c15_d[ffcc_centsurvey_c15_d %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_d = factor(newdata$ffcc_centsurvey_c15_d)
newdata$ffcc_centsurvey_c15_e[ffcc_centsurvey_c15_e %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_e = factor(newdata$ffcc_centsurvey_c15_e)
newdata$ffcc_centsurvey_c15_f[ffcc_centsurvey_c15_f %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_f = factor(newdata$ffcc_centsurvey_c15_f)
newdata$ffcc_centsurvey_c15_g[ffcc_centsurvey_c15_g %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_g = factor(newdata$ffcc_centsurvey_c15_g)
newdata$ffcc_centsurvey_c15_h[ffcc_centsurvey_c15_h %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_h = factor(newdata$ffcc_centsurvey_c15_h)
newdata$ffcc_centsurvey_c15_i[ffcc_centsurvey_c15_i %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_i = factor(newdata$ffcc_centsurvey_c15_i)
newdata$ffcc_centsurvey_c15_j[ffcc_centsurvey_c15_j %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_j = factor(newdata$ffcc_centsurvey_c15_j)
newdata$ffcc_centsurvey_c15_k[ffcc_centsurvey_c15_k %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_k = factor(newdata$ffcc_centsurvey_c15_k)
newdata$ffcc_centsurvey_c15_l[ffcc_centsurvey_c15_l %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_l = factor(newdata$ffcc_centsurvey_c15_l)
#newdata$ffcc_centsurvey_c15_m[ffcc_centsurvey_c15_m %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
#newdata$ffcc_centsurvey_c15_m = factor(newdata$ffcc_centsurvey_c15_m)
newdata$ffcc_centsurvey_c15_n[ffcc_centsurvey_c15_n %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_n = factor(newdata$ffcc_centsurvey_c15_n)
newdata$ffcc_centsurvey_c15_o[ffcc_centsurvey_c15_o %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_o = factor(newdata$ffcc_centsurvey_c15_o)
newdata$ffcc_centsurvey_c15_p[ffcc_centsurvey_c15_p %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_p = factor(newdata$ffcc_centsurvey_c15_p)
newdata$ffcc_centsurvey_c15_q[ffcc_centsurvey_c15_q %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_q = factor(newdata$ffcc_centsurvey_c15_q)
newdata$ffcc_centsurvey_c15_r[ffcc_centsurvey_c15_r %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_r = factor(newdata$ffcc_centsurvey_c15_r)
newdata$ffcc_centsurvey_c15_s[ffcc_centsurvey_c15_s %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_s = factor(newdata$ffcc_centsurvey_c15_s)
newdata$ffcc_centsurvey_c15_t[ffcc_centsurvey_c15_t %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_t = factor(newdata$ffcc_centsurvey_c15_t)
newdata$ffcc_centsurvey_c15_u[ffcc_centsurvey_c15_u %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_u = factor(newdata$ffcc_centsurvey_c15_u)
newdata$ffcc_centsurvey_c15_v[ffcc_centsurvey_c15_v %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_v = factor(newdata$ffcc_centsurvey_c15_v)
newdata$ffcc_centsurvey_c15_w[ffcc_centsurvey_c15_w %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_w = factor(newdata$ffcc_centsurvey_c15_w)
newdata$ffcc_centsurvey_c15_x[ffcc_centsurvey_c15_x %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_x = factor(newdata$ffcc_centsurvey_c15_x)
#newdata$ffcc_centsurvey_c15_y[ffcc_centsurvey_c15_y %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
#newdata$ffcc_centsurvey_c15_y = factor(newdata$ffcc_centsurvey_c15_y)
newdata$ffcc_centsurvey_c15_z[ffcc_centsurvey_c15_z %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_z = factor(newdata$ffcc_centsurvey_c15_z)
newdata$ffcc_centsurvey_c15_aa[ffcc_centsurvey_c15_aa %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_aa = factor(newdata$ffcc_centsurvey_c15_aa)
newdata$ffcc_centsurvey_c15_bb[ffcc_centsurvey_c15_bb %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_bb = factor(newdata$ffcc_centsurvey_c15_bb)
newdata$ffcc_centsurvey_c15_cc[ffcc_centsurvey_c15_cc %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_cc = factor(newdata$ffcc_centsurvey_c15_cc)
newdata$ffcc_centsurvey_c15_dd[ffcc_centsurvey_c15_dd %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_dd = factor(newdata$ffcc_centsurvey_c15_dd)
newdata$ffcc_centsurvey_c15_ee[ffcc_centsurvey_c15_ee %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_ee = factor(newdata$ffcc_centsurvey_c15_ee)
newdata$ffcc_centsurvey_c15_ff[ffcc_centsurvey_c15_ff %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_c15_ff = factor(newdata$ffcc_centsurvey_c15_ff)

newdata$ffcc_centsurvey_e1_a[ffcc_centsurvey_e1_a %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e1_a = factor(newdata$ffcc_centsurvey_e1_a)
newdata$ffcc_centsurvey_e1b_a[ffcc_centsurvey_e1b_a %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e1b_a = factor(newdata$ffcc_centsurvey_e1b_a)
newdata$ffcc_centsurvey_e1b_b[ffcc_centsurvey_e1b_b %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e1b_b = factor(newdata$ffcc_centsurvey_e1b_b)
newdata$ffcc_centsurvey_e1b_c[ffcc_centsurvey_e1b_c %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e1b_c = factor(newdata$ffcc_centsurvey_e1b_c)
newdata$ffcc_centsurvey_e1b_d[ffcc_centsurvey_e1b_d %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e1b_d = factor(newdata$ffcc_centsurvey_e1b_d)
newdata$ffcc_centsurvey_e1b_e[ffcc_centsurvey_e1b_e %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e1b_e = factor(newdata$ffcc_centsurvey_e1b_e)
newdata$ffcc_centsurvey_e1b_f[ffcc_centsurvey_e1b_f %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e1b_f = factor(newdata$ffcc_centsurvey_e1b_f)
newdata$ffcc_centsurvey_e1b_g[ffcc_centsurvey_e1b_g %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e1b_g = factor(newdata$ffcc_centsurvey_e1b_g)
newdata$ffcc_centsurvey_e2[ffcc_centsurvey_e2 %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e2 = factor(newdata$ffcc_centsurvey_e2)
newdata$ffcc_centsurvey_e3[ffcc_centsurvey_e3 %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e3 = factor(newdata$ffcc_centsurvey_e3)
newdata$ffcc_centsurvey_e4_a[ffcc_centsurvey_e4_a %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e4_a = factor(newdata$ffcc_centsurvey_e4_a)
newdata$ffcc_centsurvey_e4_b[ffcc_centsurvey_e4_b %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e4_b = factor(newdata$ffcc_centsurvey_e4_b)
newdata$ffcc_centsurvey_e4_c[ffcc_centsurvey_e4_c %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e4_c = factor(newdata$ffcc_centsurvey_e4_c)
newdata$ffcc_centsurvey_e4_d[ffcc_centsurvey_e4_d %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e4_d = factor(newdata$ffcc_centsurvey_e4_d)
newdata$ffcc_centsurvey_e4_e[ffcc_centsurvey_e4_e %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e4_e = factor(newdata$ffcc_centsurvey_e4_e)
newdata$ffcc_centsurvey_e4_f[ffcc_centsurvey_e4_f %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_e4_f = factor(newdata$ffcc_centsurvey_e4_f)

newdata$ffcc_centsurvey_f1_a[ffcc_centsurvey_f1_a %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f1_a = factor(newdata$ffcc_centsurvey_f1_a)
newdata$ffcc_centsurvey_f1_b[ffcc_centsurvey_f1_b %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f1_b = factor(newdata$ffcc_centsurvey_f1_b)
newdata$ffcc_centsurvey_f1_c[ffcc_centsurvey_f1_c %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f1_c = factor(newdata$ffcc_centsurvey_f1_c)
newdata$ffcc_centsurvey_f1_d[ffcc_centsurvey_f1_d %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f1_d = factor(newdata$ffcc_centsurvey_f1_d)
newdata$ffcc_centsurvey_f1_e[ffcc_centsurvey_f1_e %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f1_e = factor(newdata$ffcc_centsurvey_f1_e)
newdata$ffcc_centsurvey_f2_a[ffcc_centsurvey_f2_a %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f2_a = factor(newdata$ffcc_centsurvey_f2_a)
newdata$ffcc_centsurvey_f2_b[ffcc_centsurvey_f2_b %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f2_b = factor(newdata$ffcc_centsurvey_f2_b)
newdata$ffcc_centsurvey_f2_c[ffcc_centsurvey_f2_c %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f2_c = factor(newdata$ffcc_centsurvey_f2_c)
newdata$ffcc_centsurvey_f2_d[ffcc_centsurvey_f2_d %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f2_d = factor(newdata$ffcc_centsurvey_f2_d)
newdata$ffcc_centsurvey_f2_e[ffcc_centsurvey_f2_e %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f2_e = factor(newdata$ffcc_centsurvey_f2_e)
newdata$ffcc_centsurvey_f3[ffcc_centsurvey_f3 %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_f3 = factor(newdata$ffcc_centsurvey_f3)

newdata$ffcc_centsurvey_g4[ffcc_centsurvey_g4 %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_g4 = factor(newdata$ffcc_centsurvey_g4)
newdata$ffcc_centsurvey_g15a[ffcc_centsurvey_g15a == 0] = 0
newdata$ffcc_centsurvey_g22_a[ffcc_centsurvey_g22_a %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_g22_a = factor(newdata$ffcc_centsurvey_g22_a)
newdata$ffcc_centsurvey_g23a_a[ffcc_centsurvey_g23 == 0] = 0
newdata$ffcc_centsurvey_g23a_b[ffcc_centsurvey_g23 == 0] = 0
newdata$ffcc_centsurvey_g23a_c[ffcc_centsurvey_g23 == 0] = 0
newdata$ffcc_centsurvey_g23a_d[ffcc_centsurvey_g23 == 0] = 0
newdata$ffcc_centsurvey_g23a_e[ffcc_centsurvey_g23 == 0] = 0
newdata$ffcc_centsurvey_g23a_f[ffcc_centsurvey_g23 == 0] = 0
newdata$ffcc_centsurvey_g23a_g[ffcc_centsurvey_g23 == 0] = 0
newdata$ffcc_centsurvey_g28[ffcc_centsurvey_g28 %in% c(-9, -6, -5, -3, -2, -1)] = NA                             
newdata$ffcc_centsurvey_g28 = factor(newdata$ffcc_centsurvey_g28)

drop = which(names(newdata) %in% c("ffcc_pof_a9", "ffcc_pof_a9oth", "ffcc_centsurvey_b1_yr", "ffcc_centsurvey_c1_yr","ffcc_centsurvey_c12_b1","ffcc_centsurvey_c12_b2",
                                   "ffcc_centsurvey_e1_a9oth", "ffcc_centsurvey_g4_oth", "ffcc_centsurvey_g16a", "ffcc_centsurvey_g22a_1", "ffcc_centsurvey_g22a_9ot"))
newdata = newdata[,-drop]  

#########
#Output cleaned data
#########
write.csv(newdata, file = outname, row.names = F)
var.classes = sapply(newdata, class)
save(var.classes, file = "../Data/Wave3_clean_class.RData")

