filename ="../Data/Wave5.csv" 
outname ="../Data/Wave5_clean.csv"
data = read.csv(filename)
attach(data)


###########
#Remove variables we don't need to include
#(Some - mostly weights - already removed, but will not affect code if they are missing)
###########
drop = which(names(data) %in% c("ck5saliva", "o5_intyr", "o5_intmon", "o5g8_3", "o5g8_2", "o5g8_1", "o5c10a_102", "o5c10a_101", "o5FamAtInt", "o5FamAtCI", "o5FamAtCA", "o5notinhouse", "o5g7", "t5a1month", "t5a1year", "t5a3start", "t5a3end", "t5a4", "t5a5", "t5c4", "t5e7_101", "t5status", "t5e14_101", "t5e14_102", "t5e14_103", "t5e14_104", "t5e14_105", "t5e14_106", "t5a11_101", "t5a11_102", "t5a11_103", "t5a11_104", "t5a11_105", "t5a11_106", "t5a11_107", "hv5_6", "hv5_12", "hv5_13", "hv5_9", "hv5_11", "hv5_9a1", "hv5_9a2", "hv5_9a3", "hv5_9b", "hv5_11a1", "hv5_11a2", "hv5_11a3", "hv5_11b", "hv5_flag_cm", "hv5_cwtlb", "hv5_cflag", "hv5_8", "hv5_8a1", "hv5_8a2", "hv5_8a3", "hv5_8b", "hv5_mwtlb", "hv5_mmis_ht", "hv5_selfht", "hv5_ovscale", "hv5_selfwt", "hv5_mmis_wt", "hv5_mflag", "hv5_intmon", "hv5_intyr", "ihostat",
                                "pcgstat", "cp5pint", "p5_intyr", "p5_intmon", "p5childgen_wrong", "p5q6", "p5q6y", "cf5hhimp", "cf5hhincb", "cf5citsm", "cf5natsm", "cf5_bdadstat",
                                "p5h3b1_101", "p5h3b1_102", "p5h3b1_103", "p5h3b1_104", "p5h3b1_105", "p5h3b1_106", "p5h3b1_107", "p5h3b1_108", "cf5b_age", "cf5span",
                                "p5l12_101", "p5l12_102", "p5l12_103", "p5l12_104", "p5l12_105", "p5l12_106", "p5l12_107", "cf5hhimpb", "cf5twoc", "cf5new108", "cf5tele",
                                "p5l17_101", "p5l17_102", "p5l17_103", "p5l17_104", "p5qlang", "cf5samp", "cf5povcab", "cf5povcob", "cf5fint", "cf5intyr", "cf5intmon", "cf5hhgridflag"))
newdata = data[,-drop]  #note that if you need to drop more, add them to the above, or replace names(data) with names(newdata), or indices won't line up.


###########
#Fix NAs
###########
newdata$hv5_dsae[hv5_dsae == ""] = NA
newdata$hv5_ppvtae[hv5_ppvtae == ""] = NA
newdata$hv5_wj9ae[hv5_wj9ae == ""] = NA
newdata$hv5_wj10ae[hv5_wj10ae == ""] = NA

###########
#Skip recodes
###########

newdata$k5conf2[newdata$k5conf2 == -6 & k5conf10 == 1] = 1
newdata$k5conf2[newdata$k5conf2 == -6 & k5conf10 == 2] = 2

newdata$k5conf6[newdata$k5conf6 == -6 & k5conf9 == 1] = 1
newdata$k5conf6[newdata$k5conf6 == -6 & k5conf9 == 2] = 2

newdata$p5h1ca[p5h1b %in% c(-2,2)] = 5
newdata$p5h1cb[p5h1b %in% c(-2,2)] = 5
newdata$p5h1cc[p5h1b %in% c(-2,2)] = 5
newdata$p5h1cd[p5h1b %in% c(-2,2)] = 5
newdata$p5h1ce[p5h1b %in% c(-2,2)] = 5

newdata$p5h19[p5h19 == -6] = 0
newdata$p5h19a[p5h19a == -6] = 0
newdata$p5h21[p5h21 == -6] = 0
newdata$p5h22[p5h22 == -6] = 0
newdata$p5h22a[p5h22a == -6] = 0
newdata$p5h22b[p5h22b == -6] = 0

newdata$p5i10[p5i10 >0 & p5i10a >=0] = p5i10[p5i10 >0 & p5i10a >=0] + p5i10a[p5i10 >0 & p5i10a >=0]/60
newdata$p5i10[p5i10 >0 & p5i10b == 1] = newdata$p5i10[p5i10 >0 & p5i10b == 1] +12

newdata$p5i18b[p5i17 == 2] = 0

newdata$p5i24[p5i24 == -6] = 0
newdata$p5i25[p5i25 == -6] = 0

newdata$p5i34[p5i34 == -6] = 0
newdata$p5i43[p5i43 == -6] = 0

newdata$p5j9[p5j9 == -6] = 0

newdata$p5l14a[p5l14a == -6] = 0

newdata$p5h14b_1[p5h14b_1 == -6] = 2
newdata$p5h14b_2[p5h14b_2 == -6] = 2
newdata$p5h14b_3[p5h14b_3 == -6] = 2
newdata$p5h14b_4[p5h14b_4 == -6] = 2
newdata$p5h14b_5[p5h14b_5 == -6] = 2
newdata$p5h14b_6[p5h14b_6 == -6] = 2
newdata$p5h14b_91[p5h14b_91 == -6] = 2

newdata$p5l15a_1[p5l15a_1 == -6] = 2
newdata$p5l15a_2[p5l15a_2 == -6] = 2
newdata$p5l15a_3[p5l15a_3 == -6] = 2
newdata$p5l15a_4[p5l15a_4 == -6] = 2
newdata$p5l15a_5[p5l15a_5 == -6] = 2


newdata$m5a4[m5a4 == -6] = -14
newdata$m5a4m[m5a4 == 1 | m5a4 == 4] = 6

newdata$m5a51[m5a5 == 0] = 0

newdata$m5a6[m5a2 %in% c(3,4,7)] = 1
newdata$m5a6a[m5a6 == 2] = 0

newdata$m5a7a[m5a7 == 2] = 0

newdata$m5a101[m5a10 == 0] = 0
newdata$m5a101[m5a10 == -10] = 1

newdata$m5b2[m5a4 == 1 | m5a4 == 4] = 0
newdata$m5b2a[m5a4 == 1 | m5a4 == 4] = 30
newdata$m5b2b[m5a4 == 1 | m5a4 == 4] = 1
newdata$m5b2c[m5a4 == 1 | m5a4 == 4] = 30

newdata$m5b2e[m5b2b != 1 & m5b2e == -6] = 5

#Recodes for "Father doesn't know about child"
newdata$m5b3[m5b2e == -14] = 0
newdata$m5b3b[m5b2e == -14] = 0
newdata$m5b4[m5b2e == -14] = 2
newdata$m5b4a[m5b2e == -14] = 2
newdata$m5b6a[m5b2e == -14] = 2
newdata$m5b6a1[m5b2e == -14] = 0
newdata$m5b8a[m5b2e == -14] = 2
newdata$m5b8b[m5b2e == -14] = 0

newdata$m5b6a[m5b2e != -14 & m5b6a == -6] = 1
newdata$m5b6a1[m5b6a == 1] = 0

newdata$m5b12a[m5b12 == 0] = 0
newdata$m5b12a[m5b12b == 1] = newdata$m5b12a[m5b12b == 1]*4
newdata$m5b12a[m5b12b == 2] = newdata$m5b12a[m5b12b == 2]*2

newdata$m5b16c[m5b16c == -6] = 0
newdata$m5b17a[m5b17 == 2] = 0
newdata$m5b24[m5b23 == 2] = 0
#newdata$m5b30[m5b29 == 5] = 3
newdata$m5b30a1_1[m5b30 == 2] = 0
newdata$m5b30a1_2[m5b30 == 2] = 0
newdata$m5b30a1_3[m5b30 == 2] = 0
newdata$m5b30a1_4[m5b30 == 2] = 0
newdata$m5b30a1_5[m5b30 == 2] = 0
newdata$m5b30a1_6[m5b30 == 2] = 0
newdata$m5b30a1_7[m5b30 == 2] = 0
newdata$m5b30a1_8[m5b30 == 2] = 0
newdata$m5b30a1_9[m5b30 == 2] = 0
newdata$m5b30a1_10[m5b30 == 2] = 0
newdata$m5b30a1_91[m5b30 == 2] = 0
newdata$m5b30c[m5b30 == 2] = 0
newdata$m5b30c[m5b30c1 == 2] = newdata$m5b30c[m5b30c1 == 2]/12
newdata$m5b30c[m5b30c1 == 3] = newdata$m5b30c[m5b30c1 == 3]/52
newdata$m5b30c[m5b30c1 == 4] = newdata$m5b30c[m5b30c1 == 4]/365

newdata[m5a4 %in% c(1,4), startsWith(names(newdata), "m5d")] = -0.5
newdata[m5d2 %in% c(-1,-2,2), startsWith(names(newdata), "m5d")][,-22] = -1.5

newdata$m5d2f1[m5d2f == 1] = newdata$m5d2f2[m5d2f == 1]/12
newdata$m5d2f1[m5d2f1 < 0] = NA
newdata$m5d3[m5d3 < 0] = NA

newdata$m5e2a_1[m5e2 == 2] = 0
newdata$m5e2a_2[m5e2 == 2] = 0
newdata$m5e2a_3[m5e2 == 2] = 0
newdata$m5e2a_4[m5e2 == 2] = 0
newdata$m5e2a_5[m5e2 == 2] = 0
newdata$m5e2a_6[m5e2 == 2] = 0
newdata$m5e2a_7[m5e2 == 2] = 0
newdata$m5e2a_91[m5e2 == 2] = 0
newdata$m5e2a_101[m5e2 == 2] = 0
newdata$m5e2a_102[m5e2 == 2] = 0

newdata$m5j2a[m5j2 == 2] = 0
newdata$f5j2a[f5j2 == 2] = 0

newdata$m5g2a3[m5g2 == 2] = 2
newdata$m5g2a_1[m5g2 == 2] = 0
newdata$m5g2a_2[m5g2 == 2] = 0
newdata$m5g2a_3[m5g2 == 2] = 0
newdata$m5g2a_4[m5g2 == 2] = 0
newdata$m5g2a_5[m5g2 == 2] = 0
newdata$m5g2a_6[m5g2 == 2] = 0
newdata$m5g2a_7[m5g2 == 2] = 0
newdata$m5g2a_91[m5g2 == 2] = 0
newdata$m5g2a_101[m5g2 == 2] = 0
newdata$m5g2a_102[m5g2 == 2] = 0
newdata$m5g2a_103[m5g2 == 2] = 0
newdata$m5g2a_104[m5g2 == 2] = 0
newdata$m5g2a_105[m5g2 == 2] = 0
newdata$m5g2a_106[m5g2 == 2] = 0
newdata$m5g2a_107[m5g2 == 2] = 0
newdata$m5g2a_108[m5g2 == 2] = 0
newdata$m5g2a_109[m5g2 == 2] = 0
newdata$m5g2a_110[m5g2 == 2] = 0
newdata$m5g2a_111[m5g2 == 2] = 0
newdata$m5g2a_101[newdata$m5g2a_91 == 0] = 0
newdata$m5g2a_102[newdata$m5g2a_91 == 0] = 0
newdata$m5g2a_103[newdata$m5g2a_91 == 0] = 0
newdata$m5g2a_104[newdata$m5g2a_91 == 0] = 0
newdata$m5g2a_105[newdata$m5g2a_91 == 0] = 0
newdata$m5g2a_106[newdata$m5g2a_91 == 0] = 0
newdata$m5g2a_107[newdata$m5g2a_91 == 0] = 0
newdata$m5g2a_108[newdata$m5g2a_91 == 0] = 0
newdata$m5g2a_109[newdata$m5g2a_91 == 0] = 0
newdata$m5g2a_110[newdata$m5g2a_91 == 0] = 0
newdata$m5g2a_111[newdata$m5g2a_91 == 0] = 0

#newdata$m5g2a3[m5g2a_2 == 1] = 1
newdata$m5g2d[m5g2c == 2] = 0
newdata$m5g2d1[m5g2c == 2] = 0

newdata$m5g18[m5g17 == 2] = 0
newdata$m5g19a[m5g19 %in% c(0,1)] = 0
newdata$m5g20[m5g19 %in% c(0,1)] = 2
newdata$m5g20[m5g20 ==3] = 2
#newdata$m5g2ik[m5g21a == 1 | m5g21b == 1 | m5g21c == 1 | m5g21d == 1 | m5g21e == 1 | m5g21f == 1 | m5g21g == 1 | m5g21h == 1 | m5g21i == 1] = 6
#newdata$m5g22k[m5g21a == 1 | m5g21b == 1 | m5g21c == 1 | m5g21d == 1 | m5g21e == 1 | m5g21f == 1 | m5g21g == 1 | m5g21h == 1 | m5g21i == 1] = 2
newdata$m5g25b[m5g25 == 2] = 0
newdata$m5g25b[m5g25a == 2] = newdata$m5g25c[m5g25a == 2]/12
newdata$m5g27[m5g25b < 0.5] = 2
newdata$m5g27a[m5g25b < 0.5] = 2
newdata$m5g27a[m5g27 == 2] = 2
newdata$m5g28[m5g3 == 1] = 1
newdata$m5g29[m5g3 == 1] = 1
newdata$m5g30[m5g7 == 1] = 1
newdata$m5g31[m5g7 == 1] = 1

newdata$f5a2a[f5a2 <= 3] = 1
newdata$f5a2a[f5a2 < 3] = 1
newdata$f5a4[f5a4 == -6] = -14
newdata$f5a4m[f5a4 == 1 | f5a4 == 4] = 6

newdata$f5a51[f5a5 == 0] = 0

newdata$f5a6[f5a2 %in% c(3,4,7)] = 1
newdata$f5a6a[f5a6 == 2] = 0

newdata$f5a7a[f5a7 == 2] = 0

newdata$f5a101[f5a10 == 0] = 0
newdata$f5a101[f5a10 == -10] = 1

newdata$f5b2b[f5a2a == 2] = 2
newdata$f5b2b[f5a4 %in% c(1,4)] = 1
newdata$f5b2c[f5b2b == 2] = 0
newdata$f5b2c[f5a4 %in% c(1,4)] = 360
newdata$f5b3[f5a4 %in% c(1,4)] = 1
newdata$f5b3[f5a2a == 2] = 5

newdata[f5a4 %in% c(1,4), startsWith(names(newdata), "f5d")] = -0.5
newdata[f5d2 %in% c(-1,-2,2), startsWith(names(newdata), "f5d")][,-12] = -1.5

newdata$f5e2a_1[f5e2 == 2] = 0
newdata$f5e2a_2[f5e2 == 2] = 0
newdata$f5e2a_3[f5e2 == 2] = 0
newdata$f5e2a_4[f5e2 == 2] = 0
newdata$f5e2a_5[f5e2 == 2] = 0
newdata$f5e2a_6[f5e2 == 2] = 0
newdata$f5e2a_7[f5e2 == 2] = 0
newdata$f5e2a_8[f5e2 == 2] = 0
newdata$f5e2a_91[f5e2 == 2] = 0

newdata$f5g2a3[f5g2 == 2] = 2
newdata$f5g2a_1[f5g2 == 2] = 0
newdata$f5g2a_2[f5g2 == 2] = 0
newdata$f5g2a_3[f5g2 == 2] = 0
newdata$f5g2a_4[f5g2 == 2] = 0
newdata$f5g2a_5[f5g2 == 2] = 0
newdata$f5g2a_6[f5g2 == 2] = 0
newdata$f5g2a_7[f5g2 == 2] = 0
newdata$f5g2a_91[f5g2 == 2] = 0
newdata$f5g2a_101[f5g2 == 2] = 0
newdata$f5g2a_102[f5g2 == 2] = 0
newdata$f5g2a_103[f5g2 == 2] = 0
newdata$f5g2a_104[f5g2 == 2] = 0
newdata$f5g2a_105[f5g2 == 2] = 0
newdata$f5g2a_106[f5g2 == 2] = 0
newdata$f5g2a_107[f5g2 == 2] = 0
newdata$f5g2a_108[f5g2 == 2] = 0
newdata$f5g2a_109[f5g2 == 2] = 0
newdata$f5g2a_101[newdata$f5g2a_91 == 0] = 0
newdata$f5g2a_102[newdata$f5g2a_91 == 0] = 0
newdata$f5g2a_103[newdata$f5g2a_91 == 0] = 0
newdata$f5g2a_104[newdata$f5g2a_91 == 0] = 0
newdata$f5g2a_105[newdata$f5g2a_91 == 0] = 0
newdata$f5g2a_106[newdata$f5g2a_91 == 0] = 0
newdata$f5g2a_107[newdata$f5g2a_91 == 0] = 0
newdata$f5g2a_108[newdata$f5g2a_91 == 0] = 0
newdata$f5g2a_109[newdata$f5g2a_91 == 0] = 0

#newdata$f5g2a3[f5g2a_2 == 1] = 1
newdata$f5g2d[f5g2c == 2] = 0
newdata$f5g2d1[f5g2c == 2] = 0

newdata$f5g18[f5g17 == 2] = 0
newdata$f5g19a[f5g19 %in% c(0,1)] = 0
newdata$f5g20[f5g19 %in% c(0,1)] = 2
newdata$f5g20[f5g20 ==3] = 2
newdata$f5g25b[f5g25 == 2] = 0
newdata$f5g25b[f5g25a == 2] = newdata$f5g25c[f5g25a == 2]/12
newdata$f5g27[f5g25b < 0.5] = 2
newdata$f5g27a[f5g25b < 0.5] = 2
newdata$f5g27a[f5g27 == 2] = 2
newdata$f5g28[f5g3 == 1] = 1
newdata$f5g29[f5g3 == 1] = 1
newdata$f5g30[f5g7 == 1] = 1
newdata$f5g31[f5g7 == 1] = 1
newdata$f5g23a_1[f5g23 == 2] = 0
newdata$f5g23a_2[f5g23 == 2] = 0
newdata$f5g23a_3[f5g23 == 2] = 0
newdata$f5g23a_4[f5g23 == 2] = 0
newdata$f5g23a_5[f5g23 == 2] = 0
newdata$f5g23a_91[f5g23 == 2] = 0
newdata$f5g23a_101[f5g23 == 2] = 0
newdata$f5g23a_101[newdata$f5g23a_91 == 0] = 0
newdata$f5g23a_102[f5g23 == 2] = 0
newdata$f5g23a_102[newdata$f5g23a_91 == 0] = 0
#########
#Make factors
#########
newdata$k5a1a[k5a1a %in% c(-9, -3, -2, -1)] = NA
newdata$k5a1a = factor(newdata$k5a1a)
newdata$k5a1b[k5a1b %in% c(-9, -3, -2, -1)] = NA
newdata$k5a1b = factor(newdata$k5a1b)
newdata$k5a1c[k5a1c %in% c(-9, -3, -2, -1)] = NA
newdata$k5a1c = factor(newdata$k5a1c)
newdata$k5a1d[k5a1d %in% c(-9, -3, -2, -1)] = NA
newdata$k5a1d = factor(newdata$k5a1d)
newdata$k5a1e[k5a1e %in% c(-9, -3, -2, -1)] = NA
newdata$k5a1e = factor(newdata$k5a1e)

newdata$k5a2a[k5a2a %in% c(-9, -3, -2, -1)] = NA
newdata$k5a2a = factor(newdata$k5a2a)
newdata$k5a2b[k5a2b %in% c(-9, -3, -2, -1)] = NA
newdata$k5a2b = factor(newdata$k5a2b)
newdata$k5a2c[k5a2c %in% c(-9, -3, -2, -1)] = NA
newdata$k5a2c = factor(newdata$k5a2c)
newdata$k5a2d[k5a2d %in% c(-9, -3, -2, -1)] = NA
newdata$k5a2d = factor(newdata$k5a2d)
newdata$k5a2e[k5a2e %in% c(-9, -3, -2, -1)] = NA
newdata$k5a2e = factor(newdata$k5a2e)
newdata$k5a2f[k5a2f %in% c(-9, -3, -2, -1)] = NA
newdata$k5a2f = factor(newdata$k5a2f)

newdata$k5a3a[k5a3a %in% c(-9, -3, -2, -1)] = NA
newdata$k5a3a = factor(newdata$k5a3a)
newdata$k5a3b[k5a3b %in% c(-9, -3, -2, -1)] = NA
newdata$k5a3b = factor(newdata$k5a3b)
newdata$k5a3c[k5a3c %in% c(-9, -3, -2, -1)] = NA
newdata$k5a3c = factor(newdata$k5a3c)
newdata$k5a3d[k5a3d %in% c(-9, -3, -2, -1)] = NA
newdata$k5a3d = factor(newdata$k5a3d)
newdata$k5a3e[k5a3e %in% c(-9, -3, -2, -1)] = NA
newdata$k5a3e = factor(newdata$k5a3e)
newdata$k5a3f[k5a3f %in% c(-9, -3, -2, -1)] = NA
newdata$k5a3f = factor(newdata$k5a3f)

newdata$k5a4a[k5a4a %in% c(-9, -3, -2, -1)] = NA
newdata$k5a4a = factor(newdata$k5a4a)
newdata$k5a4b[k5a4b %in% c(-9, -3, -2, -1)] = NA
newdata$k5a4b = factor(newdata$k5a4b)
newdata$k5a4c[k5a4c %in% c(-9, -3, -2, -1)] = NA
newdata$k5a4c = factor(newdata$k5a4c)
newdata$k5a4d[k5a4d %in% c(-9, -3, -2, -1)] = NA
newdata$k5a4d = factor(newdata$k5a4d)
newdata$k5a4e[k5a4e %in% c(-9, -3, -2, -1)] = NA
newdata$k5a4e = factor(newdata$k5a4e)
newdata$k5a4f[k5a4f %in% c(-9, -3, -2, -1)] = NA
newdata$k5a4f = factor(newdata$k5a4f)

newdata$k5b1a[k5b1a %in% c(-9, -3, -2, -1)] = NA
newdata$k5b1a = factor(newdata$k5b1a)
newdata$k5b1b[k5b1b %in% c(-9, -3, -2, -1)] = NA
newdata$k5b1b = factor(newdata$k5b1b)
newdata$k5b1c[k5b1c %in% c(-9, -3, -2, -1)] = NA
newdata$k5b1c = factor(newdata$k5b1c)
newdata$k5b1d[k5b1d %in% c(-9, -3, -2, -1)] = NA
newdata$k5b1d = factor(newdata$k5b1d)

newdata$k5b2a[k5b2a %in% c(-9, -3, -2, -1)] = NA
newdata$k5b2a = factor(newdata$k5b2a)
newdata$k5b2b[k5b2b %in% c(-9, -3, -2, -1)] = NA
newdata$k5b2b = factor(newdata$k5b2b)
newdata$k5b2c[k5b2c %in% c(-9, -3, -2, -1)] = NA
newdata$k5b2c = factor(newdata$k5b2c)
newdata$k5b2d[k5b2d %in% c(-9, -3, -2, -1)] = NA
newdata$k5b2d = factor(newdata$k5b2d)

newdata$k5b3a[k5b3a %in% c(-9, -3, -2, -1)] = NA
newdata$k5b3a = factor(newdata$k5b3a)
newdata$k5b3b[k5b3b %in% c(-9, -3, -2, -1)] = NA
newdata$k5b3b = factor(newdata$k5b3b)
newdata$k5b3c[k5b3c %in% c(-9, -3, -2, -1)] = NA
newdata$k5b3c = factor(newdata$k5b3c)
newdata$k5b3d[k5b3d %in% c(-9, -3, -2, -1)] = NA
newdata$k5b3d = factor(newdata$k5b3d)

newdata$k5c1[k5c1 %in% c(-9, -3, -2, -1)] = NA
newdata$k5c1 = factor(newdata$k5c1)

newdata$k5c1a[k5c1a %in% c(-9, -3, -2, -1)] = NA
newdata$k5c1a = factor(newdata$k5c1a)

newdata$k5c2[k5c2 %in% c(-9, -3, -2, -1)] = NA
newdata$k5c2 = factor(newdata$k5c2)

newdata$k5c3[k5c3 %in% c(-9, -3, -2, -1)] = NA
newdata$k5c3 = factor(newdata$k5c3)

newdata$k5c4[k5c4 %in% c(-9, -3, -2, -1)] = NA
newdata$k5c4 = factor(newdata$k5c4)

newdata$k5c5[k5c5 %in% c(-9, -3, -2, -1)] = NA
newdata$k5c5 = factor(newdata$k5c5)

newdata$k5c6[k5c6 %in% c(-9, -3, -2, -1)] = NA
newdata$k5c6 = factor(newdata$k5c6)

newdata$k5c7[k5c7 %in% c(-9, -3, -2, -1)] = NA
newdata$k5c7 = factor(newdata$k5c7)

newdata$k5d1a[k5d1a %in% c(-9, -3, -2, -1)] = NA
newdata$k5d1a = factor(newdata$k5d1a)
newdata$k5d1b[k5d1b %in% c(-9, -3, -2, -1)] = NA
newdata$k5d1b = factor(newdata$k5d1b)
newdata$k5d1c[k5d1c %in% c(-9, -3, -2, -1)] = NA
newdata$k5d1c = factor(newdata$k5d1c)
newdata$k5d1d[k5d1d %in% c(-9, -3, -2, -1)] = NA
newdata$k5d1d = factor(newdata$k5d1d)
newdata$k5d1e[k5d1e %in% c(-9, -3, -2, -1)] = NA
newdata$k5d1e = factor(newdata$k5d1e)
newdata$k5d1f[k5d1f %in% c(-9, -3, -2, -1)] = NA
newdata$k5d1f = factor(newdata$k5d1f)
newdata$k5d1g[k5d1g %in% c(-9, -3, -2, -1)] = NA
newdata$k5d1g = factor(newdata$k5d1g)
newdata$k5d1h[k5d1h %in% c(-9, -3, -2, -1)] = NA
newdata$k5d1h = factor(newdata$k5d1h)

newdata$k5d2[k5d2 %in% c(-9, -3, -2, -1)] = NA
newdata$k5d2 = factor(newdata$k5d2)

newdata$k5e1a[k5e1a %in% c(-9, -3, -2, -1)] = NA
newdata$k5e1a = factor(newdata$k5e1a)
newdata$k5e1b[k5e1b %in% c(-9, -3, -2, -1)] = NA
newdata$k5e1b = factor(newdata$k5e1b)
newdata$k5e1c[k5e1c %in% c(-9, -3, -2, -1)] = NA
newdata$k5e1c = factor(newdata$k5e1c)
newdata$k5e1d[k5e1d %in% c(-9, -3, -2, -1)] = NA
newdata$k5e1d = factor(newdata$k5e1d)

newdata$k5e2a[k5e2a %in% c(-9, -3, -2, -1)] = NA
newdata$k5e2a = factor(newdata$k5e2a)
newdata$k5e2b[k5e2b %in% c(-9, -3, -2, -1)] = NA
newdata$k5e2b = factor(newdata$k5e2b)
newdata$k5e2c[k5e2c %in% c(-9, -3, -2, -1)] = NA
newdata$k5e2c = factor(newdata$k5e2c)
newdata$k5e2d[k5e2d %in% c(-9, -3, -2, -1)] = NA
newdata$k5e2d = factor(newdata$k5e2d)

newdata$k5g1a[k5g1a %in% c(-9, -3, -2, -1)] = NA
newdata$k5g1a = factor(newdata$k5g1a)
newdata$k5g1b[k5g1b %in% c(-9, -3, -2, -1)] = NA
newdata$k5g1b = factor(newdata$k5g1b)
newdata$k5g1c[k5g1c %in% c(-9, -3, -2, -1)] = NA
newdata$k5g1c = factor(newdata$k5g1c)
newdata$k5g1d[k5g1d %in% c(-9, -3, -2, -1)] = NA
newdata$k5g1d = factor(newdata$k5g1d)
newdata$k5g1e[k5g1e %in% c(-9, -3, -2, -1)] = NA
newdata$k5g1e = factor(newdata$k5g1e)

newdata$k5g2a[k5g2a %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2a = factor(newdata$k5g2a)
newdata$k5g2b[k5g2b %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2b = factor(newdata$k5g2b)
newdata$k5g2c[k5g2c %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2c = factor(newdata$k5g2c)
newdata$k5g2d[k5g2d %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2d = factor(newdata$k5g2d)
newdata$k5g2e[k5g2e %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2e = factor(newdata$k5g2e)
newdata$k5g2f[k5g2f %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2f = factor(newdata$k5g2f)
newdata$k5g2g[k5g2g %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2g = factor(newdata$k5g2g)
newdata$k5g2h[k5g2h %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2h = factor(newdata$k5g2h)
newdata$k5g2i[k5g2i %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2i = factor(newdata$k5g2i)
newdata$k5g2j[k5g2j %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2j = factor(newdata$k5g2j)
newdata$k5g2k[k5g2k %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2k = factor(newdata$k5g2k)
newdata$k5g2l[k5g2l %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2l = factor(newdata$k5g2l)
newdata$k5g2m[k5g2m %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2m = factor(newdata$k5g2m)
newdata$k5g2n[k5g2n %in% c(-9, -3, -2, -1)] = NA
newdata$k5g2n = factor(newdata$k5g2n)

newdata$k5h1[k5h1 %in% c(-9, -3, -2, -1)] = NA
newdata$k5h1 = factor(newdata$k5h1)

newdata$k5h2[k5h2 %in% c(-9, -3, -2, -1)] = NA
newdata$k5h2 = factor(newdata$k5h2)

#newdata$t5a7[t5a7 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5a7 = factor(newdata$t5a7)

#newdata$t5a8[t5a8 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5a8 = factor(newdata$t5a8)

newdata$t5a10[t5a10 %in% c(-9, -3, -2, -1)] = NA
newdata$t5a10 = factor(newdata$t5a10)

newdata$t5b1a[t5b1a %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1a = factor(newdata$t5b1a)
newdata$t5b1b[t5b1b %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1b = factor(newdata$t5b1b)
newdata$t5b1c[t5b1c %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1c = factor(newdata$t5b1c)
newdata$t5b1d[t5b1d %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1d = factor(newdata$t5b1d)
newdata$t5b1e[t5b1e %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1e = factor(newdata$t5b1e)
newdata$t5b1f[t5b1f %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1f = factor(newdata$t5b1f)
newdata$t5b1g[t5b1g %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1g = factor(newdata$t5b1g)
newdata$t5b1h[t5b1h %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1h = factor(newdata$t5b1h)
newdata$t5b1i[t5b1i %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1i = factor(newdata$t5b1i)
newdata$t5b1j[t5b1j %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1j = factor(newdata$t5b1j)
newdata$t5b1k[t5b1k %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1k = factor(newdata$t5b1k)
newdata$t5b1l[t5b1l %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1l = factor(newdata$t5b1l)
newdata$t5b1m[t5b1m %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1m = factor(newdata$t5b1m)
newdata$t5b1n[t5b1n %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1n = factor(newdata$t5b1n)
newdata$t5b1o[t5b1o %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1o = factor(newdata$t5b1o)
newdata$t5b1p[t5b1p %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1p = factor(newdata$t5b1p)
newdata$t5b1q[t5b1q %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1q = factor(newdata$t5b1q)
newdata$t5b1r[t5b1r %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1r = factor(newdata$t5b1r)
newdata$t5b1s[t5b1s %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1s = factor(newdata$t5b1s)
newdata$t5b1t[t5b1t %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1t = factor(newdata$t5b1t)
newdata$t5b1u[t5b1u %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1u = factor(newdata$t5b1u)
newdata$t5b1v[t5b1v %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1v = factor(newdata$t5b1v)
newdata$t5b1w[t5b1w %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1w = factor(newdata$t5b1w)
newdata$t5b1x[t5b1x %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1x = factor(newdata$t5b1x)
newdata$t5b1y[t5b1y %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1y = factor(newdata$t5b1y)
newdata$t5b1z[t5b1z %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1z = factor(newdata$t5b1z)
newdata$t5b1aa[t5b1aa %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1aa = factor(newdata$t5b1aa)
newdata$t5b1ab[t5b1ab %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1ab = factor(newdata$t5b1ab)
newdata$t5b1ac[t5b1ac %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1ac = factor(newdata$t5b1ac)
newdata$t5b1ad[t5b1ad %in% c(-9, -3, -2, -1)] = NA
newdata$t5b1ad = factor(newdata$t5b1ad)

newdata$t5b2a[t5b2a %in% c(-9, -3, -2, -1)] = NA
newdata$t5b2a = factor(newdata$t5b2a)
newdata$t5b2b[t5b2b %in% c(-9, -3, -2, -1)] = NA
newdata$t5b2b = factor(newdata$t5b2b)
newdata$t5b2c[t5b2c %in% c(-9, -3, -2, -1)] = NA
newdata$t5b2c = factor(newdata$t5b2c)
newdata$t5b2d[t5b2d %in% c(-9, -3, -2, -1)] = NA
newdata$t5b2d = factor(newdata$t5b2d)
newdata$t5b2e[t5b2e %in% c(-9, -3, -2, -1)] = NA
newdata$t5b2e = factor(newdata$t5b2e)
newdata$t5b2f[t5b2f %in% c(-9, -3, -2, -1)] = NA
newdata$t5b2f = factor(newdata$t5b2f)
newdata$t5b2g[t5b2g %in% c(-9, -3, -2, -1)] = NA
newdata$t5b2g = factor(newdata$t5b2g)

newdata$t5b3a[t5b3a %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3a = factor(newdata$t5b3a)
newdata$t5b3b[t5b3b %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3b = factor(newdata$t5b3b)
newdata$t5b3c[t5b3c %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3c = factor(newdata$t5b3c)
newdata$t5b3d[t5b3d %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3d = factor(newdata$t5b3d)
newdata$t5b3e[t5b3e %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3e = factor(newdata$t5b3e)
newdata$t5b3f[t5b3f %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3f = factor(newdata$t5b3f)
newdata$t5b3g[t5b3g %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3g = factor(newdata$t5b3g)
newdata$t5b3h[t5b3h %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3h = factor(newdata$t5b3h)
newdata$t5b3i[t5b3i %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3i = factor(newdata$t5b3i)
newdata$t5b3j[t5b3j %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3j = factor(newdata$t5b3j)
newdata$t5b3k[t5b3k %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3k = factor(newdata$t5b3k)
newdata$t5b3l[t5b3l %in% c(-9, -3, -2, -1)] = NA
newdata$t5b3l = factor(newdata$t5b3l)

newdata$t5b4a[t5b4a %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4a = factor(newdata$t5b4a)
newdata$t5b4b[t5b4b %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4b = factor(newdata$t5b4b)
newdata$t5b4c[t5b4c %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4c = factor(newdata$t5b4c)
newdata$t5b4d[t5b4d %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4d = factor(newdata$t5b4d)
newdata$t5b4e[t5b4e %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4e = factor(newdata$t5b4e)
newdata$t5b4f[t5b4f %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4f = factor(newdata$t5b4f)
newdata$t5b4g[t5b4g %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4g = factor(newdata$t5b4g)
newdata$t5b4h[t5b4h %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4h = factor(newdata$t5b4h)
newdata$t5b4i[t5b4i %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4i = factor(newdata$t5b4i)
newdata$t5b4j[t5b4j %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4j = factor(newdata$t5b4j)
newdata$t5b4k[t5b4k %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4k = factor(newdata$t5b4k)
newdata$t5b4l[t5b4l %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4l = factor(newdata$t5b4l)
newdata$t5b4m[t5b4m %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4m = factor(newdata$t5b4m)
newdata$t5b4n[t5b4n %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4n = factor(newdata$t5b4n)
newdata$t5b4o[t5b4o %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4o = factor(newdata$t5b4o)
newdata$t5b4p[t5b4p %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4p = factor(newdata$t5b4p)
newdata$t5b4q[t5b4q %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4q = factor(newdata$t5b4q)
newdata$t5b4r[t5b4r %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4r = factor(newdata$t5b4r)
newdata$t5b4s[t5b4s %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4s = factor(newdata$t5b4s)
newdata$t5b4t[t5b4t %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4t = factor(newdata$t5b4t)
newdata$t5b4u[t5b4u %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4u = factor(newdata$t5b4u)
newdata$t5b4v[t5b4v %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4v = factor(newdata$t5b4v)
newdata$t5b4w[t5b4w %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4w = factor(newdata$t5b4w)
newdata$t5b4x[t5b4x %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4x = factor(newdata$t5b4x)
newdata$t5b4y[t5b4y %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4y = factor(newdata$t5b4y)
newdata$t5b4z[t5b4z %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4z = factor(newdata$t5b4z)
newdata$t5b4aa[t5b4aa %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4aa = factor(newdata$t5b4aa)
newdata$t5b4ab[t5b4ab %in% c(-9, -3, -2, -1)] = NA
newdata$t5b4ab = factor(newdata$t5b4ab)

#newdata$t5c2[t5c2 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5c2 = factor(newdata$t5c2)

newdata$t5c8a[t5c8a %in% c(-9, -3, -2, -1)] = NA
newdata$t5c8a = factor(newdata$t5c8a)
newdata$t5c8b[t5c8b %in% c(-9, -3, -2, -1)] = NA
newdata$t5c8b = factor(newdata$t5c8b)
newdata$t5c8c[t5c8c %in% c(-9, -3, -2, -1)] = NA
newdata$t5c8c = factor(newdata$t5c8c)

newdata$t5c11[t5c11 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c11 = factor(newdata$t5c11)

newdata$t5c12[t5c12 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c12 = factor(newdata$t5c12)

newdata$t5c13a[t5c13a %in% c(-9, -3, -2, -1)] = NA
newdata$t5c13a = factor(newdata$t5c13a)
newdata$t5c13b[t5c13b %in% c(-9, -3, -2, -1)] = NA
newdata$t5c13b = factor(newdata$t5c13b)
newdata$t5c13c[t5c13c %in% c(-9, -3, -2, -1)] = NA
newdata$t5c13c = factor(newdata$t5c13c)

newdata$t5c14[t5c14 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c14 = factor(newdata$t5c14)

newdata$t5c15[t5c15 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c15 = factor(newdata$t5c15)

newdata$t5c16[t5c16 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c16 = factor(newdata$t5c16)

newdata$t5d1a[t5d1a %in% c(-9, -3, -2, -1)] = NA
newdata$t5d1a = factor(newdata$t5d1a)
newdata$t5d1b[t5d1b %in% c(-9, -3, -2, -1)] = NA
newdata$t5d1b = factor(newdata$t5d1b)
newdata$t5d1c[t5d1c %in% c(-9, -3, -2, -1)] = NA
newdata$t5d1c = factor(newdata$t5d1c)
newdata$t5d1d[t5d1d %in% c(-9, -3, -2, -1)] = NA
newdata$t5d1d = factor(newdata$t5d1d)
newdata$t5d1e[t5d1e %in% c(-9, -3, -2, -1)] = NA
newdata$t5d1e = factor(newdata$t5d1e)

newdata$t5d4[t5d4 %in% c(-9, -3, -2, -1)] = NA
newdata$t5d4 = factor(newdata$t5d4)

newdata$t5d5[t5d5 %in% c(-9, -3, -2, -1)] = NA
newdata$t5d5 = factor(newdata$t5d5)

newdata$t5d6[t5d6 %in% c(-9, -3, -2, -1)] = NA
newdata$t5d6 = factor(newdata$t5d6)

newdata$t5d7[t5d7 %in% c(-9, -3, -2, -1)] = NA
newdata$t5d7 = factor(newdata$t5d7)

newdata$t5d8a[t5d8a %in% c(-9, -3, -2, -1)] = NA
newdata$t5d8a = factor(newdata$t5d8a)
newdata$t5d8b[t5d8b %in% c(-9, -3, -2, -1)] = NA
newdata$t5d8b = factor(newdata$t5d8b)

newdata$t5e5[t5e5 %in% c(-9, -3, -2, -1)] = NA
newdata$t5e5 = factor(newdata$t5e5)

newdata$t5e6[t5e6 %in% c(-9, -3, -2, -1)] = NA
newdata$t5e6 = factor(newdata$t5e6)

newdata$t5e8[t5e8 %in% c(-9, -3, -2, -1)] = NA
newdata$t5e8 = factor(newdata$t5e8)

newdata$t5e9a[t5e9a %in% c(-9, -3, -2, -1)] = NA
newdata$t5e9a = factor(newdata$t5e9a)
newdata$t5e9b[t5e9b %in% c(-9, -3, -2, -1)] = NA
newdata$t5e9b = factor(newdata$t5e9b)
newdata$t5e9c[t5e9c %in% c(-9, -3, -2, -1)] = NA
newdata$t5e9c = factor(newdata$t5e9c)
newdata$t5e9d[t5e9d %in% c(-9, -3, -2, -1)] = NA
newdata$t5e9d = factor(newdata$t5e9d)

newdata$t5e10a1[t5e10a1 %in% c(-9, -3, -2, -1)] = NA
newdata$t5e10a1 = factor(newdata$t5e10a1)
newdata$t5e10a2[t5e10a2 %in% c(-9, -3, -2, -1)] = NA
newdata$t5e10a2 = factor(newdata$t5e10a2)

newdata$t5e10b1[t5e10b1 %in% c(-9, -3, -2, -1)] = NA
newdata$t5e10b1 = factor(newdata$t5e10b1)
newdata$t5e10b2[t5e10b2 %in% c(-9, -3, -2, -1)] = NA
newdata$t5e10b2 = factor(newdata$t5e10b2)

newdata$t5e15a[t5e15a %in% c(-9, -3, -2, -1)] = NA
newdata$t5e15a = factor(newdata$t5e15a)
newdata$t5e15b[t5e15b %in% c(-9, -3, -2, -1)] = NA
newdata$t5e15b = factor(newdata$t5e15b)
newdata$t5e15c[t5e15c %in% c(-9, -3, -2, -1)] = NA
newdata$t5e15c = factor(newdata$t5e15c)
newdata$t5e15d[t5e15d %in% c(-9, -3, -2, -1)] = NA
newdata$t5e15d = factor(newdata$t5e15d)
newdata$t5e15e[t5e15e %in% c(-9, -3, -2, -1)] = NA
newdata$t5e15e = factor(newdata$t5e15e)
newdata$t5e15f[t5e15f %in% c(-9, -3, -2, -1)] = NA
newdata$t5e15f = factor(newdata$t5e15f)

newdata$t5e16a[t5e16a %in% c(-9, -3, -2, -1)] = NA
newdata$t5e16a = factor(newdata$t5e16a)
newdata$t5e16b[t5e16b %in% c(-9, -3, -2, -1)] = NA
newdata$t5e16b = factor(newdata$t5e16b)
newdata$t5e16c[t5e16c %in% c(-9, -3, -2, -1)] = NA
newdata$t5e16c = factor(newdata$t5e16c)

newdata$t5e17a[t5e17a %in% c(-9, -3, -2, -1)] = NA
newdata$t5e17a = factor(newdata$t5e17a)
newdata$t5e17b[t5e17b %in% c(-9, -3, -2, -1)] = NA
newdata$t5e17b = factor(newdata$t5e17b)
newdata$t5e17c[t5e17c %in% c(-9, -3, -2, -1)] = NA
newdata$t5e17c = factor(newdata$t5e17c)

newdata$t5e18a[t5e18a %in% c(-9, -3, -2, -1)] = NA
newdata$t5e18a = factor(newdata$t5e18a)
newdata$t5e18b[t5e18b %in% c(-9, -3, -2, -1)] = NA
newdata$t5e18b = factor(newdata$t5e18b)
newdata$t5e18c[t5e18c %in% c(-9, -3, -2, -1)] = NA
newdata$t5e18c = factor(newdata$t5e18c)
newdata$t5e18d[t5e18d %in% c(-9, -3, -2, -1)] = NA
newdata$t5e18d = factor(newdata$t5e18d)
newdata$t5e18e[t5e18e %in% c(-9, -3, -2, -1)] = NA
newdata$t5e18e = factor(newdata$t5e18e)
newdata$t5e18f[t5e18f %in% c(-9, -3, -2, -1)] = NA
newdata$t5e18f = factor(newdata$t5e18f)

newdata$t5e19a[t5e19a %in% c(-9, -3, -2, -1)] = NA
newdata$t5e19a = factor(newdata$t5e19a)
newdata$t5e19b[t5e19b %in% c(-9, -3, -2, -1)] = NA
newdata$t5e19b = factor(newdata$t5e19b)
newdata$t5e19c[t5e19c %in% c(-9, -3, -2, -1)] = NA
newdata$t5e19c = factor(newdata$t5e19c)
newdata$t5e19d[t5e19d %in% c(-9, -3, -2, -1)] = NA
newdata$t5e19d = factor(newdata$t5e19d)
newdata$t5e19e[t5e19e %in% c(-9, -3, -2, -1)] = NA
newdata$t5e19e = factor(newdata$t5e19e)
newdata$t5e19f[t5e19f %in% c(-9, -3, -2, -1)] = NA
newdata$t5e19f = factor(newdata$t5e19f)

newdata$t5e22a[t5e22a %in% c(-9, -3, -2, -1)] = NA
newdata$t5e22a = factor(newdata$t5e22a)
newdata$t5e22b[t5e22b %in% c(-9, -3, -2, -1)] = NA
newdata$t5e22b = factor(newdata$t5e22b)
newdata$t5e22c[t5e22c %in% c(-9, -3, -2, -1)] = NA
newdata$t5e22c = factor(newdata$t5e22c)
newdata$t5e22d[t5e22d %in% c(-9, -3, -2, -1)] = NA
newdata$t5e22d = factor(newdata$t5e22d)

newdata$t5f1a[t5f1a %in% c(-9, -3, -2, -1)] = NA
newdata$t5f1a = factor(newdata$t5f1a)
newdata$t5f1b[t5f1b %in% c(-9, -3, -2, -1)] = NA
newdata$t5f1b = factor(newdata$t5f1b)
newdata$t5f1c[t5f1c %in% c(-9, -3, -2, -1)] = NA
newdata$t5f1c = factor(newdata$t5f1c)
newdata$t5f1d[t5f1d %in% c(-9, -3, -2, -1)] = NA
newdata$t5f1d = factor(newdata$t5f1d)
newdata$t5f1e[t5f1e %in% c(-9, -3, -2, -1)] = NA
newdata$t5f1e = factor(newdata$t5f1e)
newdata$t5f1f[t5f1f %in% c(-9, -3, -2, -1)] = NA
newdata$t5f1f = factor(newdata$t5f1f)

newdata$t5f2[t5f2 %in% c(-9, -3, -2, -1)] = NA
newdata$t5f2 = factor(newdata$t5f2)

newdata$t5f3[t5f3 %in% c(-9, -3, -2, -1)] = NA
newdata$t5f3 = factor(newdata$t5f3)

newdata$t5f4a[t5f4a %in% c(-9, -3, -2, -1)] = NA
newdata$t5f4a = factor(newdata$t5f4a)
newdata$t5f4b[t5f4b %in% c(-9, -3, -2, -1)] = NA
newdata$t5f4b = factor(newdata$t5f4b)
newdata$t5f4c[t5f4c %in% c(-9, -3, -2, -1)] = NA
newdata$t5f4c = factor(newdata$t5f4c)
newdata$t5f4d[t5f4d %in% c(-9, -3, -2, -1)] = NA
newdata$t5f4d = factor(newdata$t5f4d)

newdata$t5f5a[t5f5a %in% c(-9, -3, -2, -1)] = NA
newdata$t5f5a = factor(newdata$t5f5a)
newdata$t5f5b[t5f5b %in% c(-9, -3, -2, -1)] = NA
newdata$t5f5b = factor(newdata$t5f5b)
newdata$t5f5c[t5f5c %in% c(-9, -3, -2, -1)] = NA
newdata$t5f5c = factor(newdata$t5f5c)
newdata$t5f5d[t5f5d %in% c(-9, -3, -2, -1)] = NA
newdata$t5f5d = factor(newdata$t5f5d)
newdata$t5f5e[t5f5e %in% c(-9, -3, -2, -1)] = NA
newdata$t5f5e = factor(newdata$t5f5e)
newdata$t5f5f[t5f5f %in% c(-9, -3, -2, -1)] = NA
newdata$t5f5f = factor(newdata$t5f5f)
newdata$t5f5g[t5f5g %in% c(-9, -3, -2, -1)] = NA
newdata$t5f5g = factor(newdata$t5f5g)

#newdata$t5g1[t5g1 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g1 = factor(newdata$t5g1)

#newdata$t5g2[t5g2 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g2 = factor(newdata$t5g2)

#newdata$t5g3[t5g3 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g3 = factor(newdata$t5g3)

#newdata$t5g4a[t5g4a %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4a = factor(newdata$t5g4a)
#newdata$t5g4b[t5g4b %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4b = factor(newdata$t5g4b)
#newdata$t5g4c[t5g4c %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4c = factor(newdata$t5g4c)
#newdata$t5g4d[t5g4d %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4d = factor(newdata$t5g4d)
#newdata$t5g4e[t5g4e %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4e = factor(newdata$t5g4e)
#newdata$t5g4f[t5g4f %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4f = factor(newdata$t5g4f)
#newdata$t5g4g[t5g4g %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4g = factor(newdata$t5g4g)
#newdata$t5g4h[t5g4h %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4h = factor(newdata$t5g4h)
#newdata$t5g4i[t5g4i %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4i = factor(newdata$t5g4i)
#newdata$t5g4j[t5g4j %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4j = factor(newdata$t5g4j)
#newdata$t5g4k[t5g4k %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4k = factor(newdata$t5g4k)

#newdata$t5g6[t5g6 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g6 = factor(newdata$t5g6)

newdata$t5c3_1[t5c3_1 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_1 = factor(newdata$t5c3_1)
newdata$t5c3_2[t5c3_2 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_2 = factor(newdata$t5c3_2)
newdata$t5c3_3[t5c3_3 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_3 = factor(newdata$t5c3_3)
newdata$t5c3_4[t5c3_4 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_4 = factor(newdata$t5c3_4)
newdata$t5c3_5[t5c3_5 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_5 = factor(newdata$t5c3_5)
newdata$t5c3_6[t5c3_6 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_6 = factor(newdata$t5c3_6)
newdata$t5c3_7[t5c3_7 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_7 = factor(newdata$t5c3_7)
newdata$t5c3_8[t5c3_8 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_8 = factor(newdata$t5c3_8)
newdata$t5c3_9[t5c3_9 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_9 = factor(newdata$t5c3_9)
newdata$t5c3_10[t5c3_10 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_10 = factor(newdata$t5c3_10)
newdata$t5c3_11[t5c3_11 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_11 = factor(newdata$t5c3_11)
newdata$t5c3_12[t5c3_12 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_12 = factor(newdata$t5c3_12)
newdata$t5c3_13[t5c3_13 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_13 = factor(newdata$t5c3_13)
newdata$t5c3_14[t5c3_14 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_14 = factor(newdata$t5c3_14)
newdata$t5c3_15[t5c3_15 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_15 = factor(newdata$t5c3_15)
newdata$t5c3_16[t5c3_16 %in% c(-9, -3, -2, -1)] = NA
newdata$t5c3_17 = factor(newdata$t5c3_16)

#newdata$t5g4_101[t5g4_101 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4_101 = factor(newdata$t5g4_101)
#newdata$t5g4_102[t5g4_102 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4_102 = factor(newdata$t5g4_102)
#newdata$t5g4_103[t5g4_103 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4_103 = factor(newdata$t5g4_103)
#newdata$t5g4_104[t5g4_104 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4_104 = factor(newdata$t5g4_104)
#newdata$t5g4_105[t5g4_105 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4_105 = factor(newdata$t5g4_105)
#newdata$t5g4_106[t5g4_106 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4_106 = factor(newdata$t5g4_106)
#newdata$t5g4_107[t5g4_107 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4_107 = factor(newdata$t5g4_107)
#newdata$t5g4_108[t5g4_108 %in% c(-9, -3, -2, -1)] = NA
#newdata$t5g4_108 = factor(newdata$t5g4_108)

newdata$hv5_10[hv5_10 %in% c(-9, -3, -2, -1)] = NA
newdata$hv5_10 = factor(newdata$hv5_10)

newdata$o5a1[o5a1 %in% c(-9, -3, -2, -1)] = NA
newdata$o5a1 = factor(newdata$o5a1)

newdata$o5a3[o5a3 %in% c(-9, -3, -2, -1)] = NA
newdata$o5a3 = factor(newdata$o5a3)

newdata$o5a2[o5a2 %in% c(-9, -3, -2, -1)] = NA
newdata$o5a2 = factor(newdata$o5a2)

newdata$o5a4[o5a4 %in% c(-9, -3, -2, -1)] = NA
newdata$o5a4 = factor(newdata$o5a4)

newdata$o5a5[o5a5 %in% c(-9, -3, -2, -1)] = NA
newdata$o5a5 = factor(newdata$o5a5)

newdata$o5a8[o5a8 %in% c(-9, -3, -2, -1)] = NA
newdata$o5a8 = factor(newdata$o5a8)

newdata$o5a9[o5a9 %in% c(-9, -3, -2, -1)] = NA
newdata$o5a9 = factor(newdata$o5a9)

newdata$o5c8[o5c8 %in% c(-9, -3, -2, -1)] = NA
newdata$o5c8 = factor(newdata$o5c8)

newdata$o5c9[o5c9 %in% c(-9, -3, -2, -1)] = NA
newdata$o5c9 = factor(newdata$o5c9)

newdata$o5d2[o5d2 %in% c(-9, -3, -2, -1)] = NA
newdata$o5d2 = factor(newdata$o5d2)

newdata$o5d3[o5d3 %in% c(-9, -3, -2, -1)] = NA
newdata$o5d3 = factor(newdata$o5d3)

newdata$o5d4[o5d4 %in% c(-9, -3, -2, -1)] = NA
newdata$o5d4 = factor(newdata$o5d4)

newdata$o5d5[o5d5 %in% c(-9, -3, -2, -1)] = NA
newdata$o5d5 = factor(newdata$o5d5)

newdata$o5f1[o5f1 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f1 = factor(newdata$o5f1)

newdata$o5f2[o5f2 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f2 = factor(newdata$o5f2)

newdata$o5f3[o5f3 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f3 = factor(newdata$o5f3)

newdata$o5f4[o5f4 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f4 = factor(newdata$o5f4)

newdata$o5f5[o5f5 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f5 = factor(newdata$o5f5)

newdata$o5f6[o5f6 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f6 = factor(newdata$o5f6)

newdata$o5f7[o5f7 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f7 = factor(newdata$o5f7)

newdata$o5f8[o5f8 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f8 = factor(newdata$o5f8)

newdata$o5f9[o5f9 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f9 = factor(newdata$o5f9)

newdata$o5f10[o5f10 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f10 = factor(newdata$o5f10)

newdata$o5f11[o5f11 %in% c(-9, -3, -2, -1)] = NA
newdata$o5f11 = factor(newdata$o5f11)

newdata$o5g2[o5g2 %in% c(-9, -3, -2, -1)] = NA
newdata$o5g2 = factor(newdata$o5g2)

newdata$o5g3[o5g3 %in% c(-9, -3, -2, -1)] = NA
newdata$o5g3 = factor(newdata$o5g3)

newdata$o5g4[o5g4 %in% c(-9, -3, -2, -1)] = NA
newdata$o5g4 = factor(newdata$o5g4)

newdata$o5g5[o5g5 %in% c(-9, -3, -2, -1)] = NA
newdata$o5g5 = factor(newdata$o5g5)

newdata$o5g6a[o5g6a %in% c(-9, -3, -2, -1)] = NA
newdata$o5g6a = factor(newdata$o5g6a)
newdata$o5g6b[o5g6b %in% c(-9, -3, -2, -1)] = NA
newdata$o5g6b = factor(newdata$o5g6b)
newdata$o5g6c[o5g6c %in% c(-9, -3, -2, -1)] = NA
newdata$o5g6c = factor(newdata$o5g6c)
newdata$o5g6d[o5g6d %in% c(-9, -3, -2, -1)] = NA
newdata$o5g6d = factor(newdata$o5g6d)
newdata$o5g6e[o5g6e %in% c(-9, -3, -2, -1)] = NA
newdata$o5g6e = factor(newdata$o5g6e)

newdata$pcg5idstat[pcg5idstat == -9] = NA
newdata$pcg5idstat = factor(newdata$pcg5idstat)

newdata$p5h1[p5h1 == -9] = NA
newdata$p5h1 = factor(newdata$p5h1)

newdata$p5h1a[p5h1a %in% c(-9, -3, -2, -1)] = NA
newdata$p5h1a = factor(newdata$p5h1a)
newdata$p5h1b[p5h1b %in% c(-9, -3, -2, -1)] = NA
newdata$p5h1b = factor(newdata$p5h1b)
newdata$p5h1ca[p5h1ca %in% c(-9, -3, -2, -1)] = NA
newdata$p5h1ca = factor(newdata$p5h1ca)
newdata$p5h1cb[p5h1cb %in% c(-9, -3, -2, -1)] = NA
newdata$p5h1cb = factor(newdata$p5h1cb)
newdata$p5h1cc[p5h1cc %in% c(-9, -3, -2, -1)] = NA
newdata$p5h1cc = factor(newdata$p5h1cc)
newdata$p5h1cd[p5h1cd %in% c(-9, -3, -2, -1)] = NA
newdata$p5h1cd = factor(newdata$p5h1cd)
newdata$p5h1ce[p5h1ce %in% c(-9, -3, -2, -1)] = NA
newdata$p5h1ce = factor(newdata$p5h1ce)

newdata$p5h5[p5h5 %in% c(-9, -3, -2, -1)] = NA
newdata$p5h6 = factor(newdata$p5h5)
newdata$p5h6[p5h6 %in% c(-9, -3, -2, -1)] = NA
newdata$p5h6 = factor(newdata$p5h6)
newdata$p5h8[p5h8 %in% c(-9, -3, -2, -1)] = NA
newdata$p5h8 = factor(newdata$p5h8)
newdata$p5h16[p5h16 %in% c(-9, -3, -2, -1)] = NA
newdata$p5h16 = factor(newdata$p5h16)

newdata$p5h17[p5h17 %in% c(-9, -3, -2, -1)] = NA
newdata$p5h17 = factor(newdata$p5h17)
newdata$p5h17a[p5h17a %in% c(-9, -3, -2, -1)] = NA
newdata$p5h17a = factor(newdata$p5h17a)
newdata$p5h17b[p5h17b %in% c(-9, -3, -2, -1)] = NA
newdata$p5h17b = factor(newdata$p5h17b)

newdata$p5h19[p5h19 %in% c(-9, -3, -2, -1)] = NA
newdata$p5h19 = factor(newdata$p5h19)
newdata$p5h19a[p5h19a %in% c(-9, -3, -2, -1)] = NA
newdata$p5h19a = factor(newdata$p5h19a)
newdata$p5h21[p5h21 %in% c(-9, -3, -2, -1)] = NA
newdata$p5h21 = factor(newdata$p5h21)
newdata$p5h22[p5h22 %in% c(-9, -3, -2, -1)] = NA
newdata$p5h22 = factor(newdata$p5h22)
newdata$p5h22a[p5h22a %in% c(-9, -3, -2, -1)] = NA
newdata$p5h22a = factor(newdata$p5h22a)
newdata$p5h22b[p5h22b %in% c(-9, -3, -2, -1)] = NA
newdata$p5h22b = factor(newdata$p5h22b)
newdata$p5h23[p5h23 %in% c(-9, -3, -2, -1)] = NA
newdata$p5h23 = factor(newdata$p5h23)

newdata$p5i20b[p5i20b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i20b = factor(newdata$p5i20b)

newdata$p5i1a[p5i1a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i1a = factor(newdata$p5i1a)
newdata$p5i1b[p5i1b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i1b = factor(newdata$p5i1b)
newdata$p5i1c[p5i1c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i1c = factor(newdata$p5i1c)
newdata$p5i1d[p5i1d %in% c(-9, -3, -2, -1)] = NA
newdata$p5i1d = factor(newdata$p5i1d)
newdata$p5i1e[p5i1e %in% c(-9, -3, -2, -1)] = NA
newdata$p5i1e = factor(newdata$p5i1e)
newdata$p5i1f[p5i1f %in% c(-9, -3, -2, -1)] = NA
newdata$p5i1f = factor(newdata$p5i1f)
newdata$p5i1g[p5i1g %in% c(-9, -3, -2, -1)] = NA
newdata$p5i1g = factor(newdata$p5i1g)
newdata$p5i1h[p5i1h %in% c(-9, -3, -2, -1)] = NA
newdata$p5i1h = factor(newdata$p5i1h)
newdata$p5i1u[p5i1i %in% c(-9, -3, -2, -1)] = NA
newdata$p5i1u = factor(newdata$p5i1i)
newdata$p5i1j[p5i1j %in% c(-9, -3, -2, -1)] = NA
newdata$p5i1j = factor(newdata$p5i1j)

newdata$p5i22a[p5i22a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i22a = factor(newdata$p5i22a)
newdata$p5i22b[p5i22b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i22b = factor(newdata$p5i22b)
newdata$p5i22c[p5i22c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i22c = factor(newdata$p5i22c)
newdata$p5i22d[p5i22d %in% c(-9, -3, -2, -1)] = NA
newdata$p5i22d = factor(newdata$p5i22d)
newdata$p5i22e[p5i22e %in% c(-9, -3, -2, -1)] = NA
newdata$p5i22e = factor(newdata$p5i22e)

newdata$p5i23[p5i23 %in% c(-9, -3, -2, -1)] = NA
newdata$p5i23 = factor(newdata$p5i23)
newdata$p5i24[p5i24 %in% c(-9, -3, -2, -1)] = NA
newdata$p5i24 = factor(newdata$p5i24)
newdata$p5i26[p5i26 %in% c(-9, -3, -2, -1)] = NA
newdata$p5i26 = factor(newdata$p5i26)
newdata$p5i27[p5i27 %in% c(-9, -3, -2, -1)] = NA
newdata$p5i27 = factor(newdata$p5i27)

newdata$p5i30a[p5i30a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i30a = factor(newdata$p5i30a)
newdata$p5i30c[p5i30c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i30c = factor(newdata$p5i30c)

newdata$p5i31a[p5i31a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i31a = factor(newdata$p5i31a)
newdata$p5i31b[p5i31b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i31b = factor(newdata$p5i31b)
newdata$p5i31c[p5i31c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i31c = factor(newdata$p5i31c)
newdata$p5i31d[p5i31d %in% c(-9, -3, -2, -1)] = NA
newdata$p5i31d = factor(newdata$p5i31d)
newdata$p5i31e[p5i31e %in% c(-9, -3, -2, -1)] = NA
newdata$p5i31e = factor(newdata$p5i31e)
newdata$p5i31f[p5i31f %in% c(-9, -3, -2, -1)] = NA
newdata$p5i31f = factor(newdata$p5i31f)
newdata$p5i31g[p5i31g %in% c(-9, -3, -2, -1)] = NA
newdata$p5i31g = factor(newdata$p5i31g)
newdata$p5i31h[p5i31h %in% c(-9, -3, -2, -1)] = NA
newdata$p5i31h = factor(newdata$p5i31h)
newdata$p5i31i[p5i31i %in% c(-9, -3, -2, -1)] = NA
newdata$p5i31i = factor(newdata$p5i31i)
newdata$p5i31j[p5i31j %in% c(-9, -3, -2, -1)] = NA
newdata$p5i31j = factor(newdata$p5i31j)

newdata$p5i32a[p5i32a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i32a = factor(newdata$p5i32a)
newdata$p5i32b[p5i32b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i32b = factor(newdata$p5i32b)
newdata$p5i32c[p5i32c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i32c = factor(newdata$p5i32c)

newdata$p5i33a[p5i33a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i33a = factor(newdata$p5i33a)
newdata$p5i33b[p5i33b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i33b = factor(newdata$p5i33b)
newdata$p5i33c[p5i33c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i33c = factor(newdata$p5i33c)

newdata$p5i35[p5i35 %in% c(-9, -3, -2, -1)] = NA
newdata$p5i35 = factor(newdata$p5i35)
newdata$p5i36[p5i36 %in% c(-9, -3, -2, -1)] = NA
newdata$p5i36 = factor(newdata$p5i36)
newdata$p5i37[p5i37 %in% c(-9, -3, -2, -1)] = NA
newdata$p5i37 = factor(newdata$p5i37)

newdata$p5i38a[p5i38a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i38a = factor(newdata$p5i38a)
newdata$p5i38b[p5i38b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i38b = factor(newdata$p5i38b)
newdata$p5i38c[p5i38c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i38c = factor(newdata$p5i38c)

newdata$p5i39a[p5i39a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i39a = factor(newdata$p5i39a)

newdata$p5i40a[p5i40a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i40a = factor(newdata$p5i40a)
newdata$p5i40b[p5i40b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i40b = factor(newdata$p5i40b)
newdata$p5i40c[p5i40c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i40c = factor(newdata$p5i40c)
newdata$p5i40d[p5i40d %in% c(-9, -3, -2, -1)] = NA
newdata$p5i40d = factor(newdata$p5i40d)
newdata$p5i40e[p5i40e %in% c(-9, -3, -2, -1)] = NA
newdata$p5i40e = factor(newdata$p5i40e)
newdata$p5i40f[p5i40f %in% c(-9, -3, -2, -1)] = NA
newdata$p5i40f = factor(newdata$p5i40f)
newdata$p5i40g[p5i40g %in% c(-9, -3, -2, -1)] = NA
newdata$p5i40g = factor(newdata$p5i40g)
newdata$p5i40h[p5i40h %in% c(-9, -3, -2, -1)] = NA
newdata$p5i40h = factor(newdata$p5i40h)
newdata$p5i40i[p5i40i %in% c(-9, -3, -2, -1)] = NA
newdata$p5i40i = factor(newdata$p5i40i)
newdata$p5i40j[p5i40j %in% c(-9, -3, -2, -1)] = NA
newdata$p5i40j = factor(newdata$p5i40j)

newdata$p5i41a[p5i41a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i41a = factor(newdata$p5i41a)
newdata$p5i41b[p5i41b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i41b = factor(newdata$p5i41b)
newdata$p5i41c[p5i41c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i41c = factor(newdata$p5i41c)

newdata$p5i42a[p5i42a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i42a = factor(newdata$p5i42a)
newdata$p5i42b[p5i42b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i42b = factor(newdata$p5i42b)
newdata$p5i42c[p5i42c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i42c = factor(newdata$p5i42c)

newdata$p5i44[p5i44 %in% c(-9, -3, -2, -1)] = NA
newdata$p5i44 = factor(newdata$p5i44)
newdata$p5i45[p5i45 %in% c(-9, -3, -2, -1)] = NA
newdata$p5i45 = factor(newdata$p5i45)
newdata$p5i46[p5i46 %in% c(-9, -3, -2, -1)] = NA
newdata$p5i46 = factor(newdata$p5i46)

newdata$p5i47a[p5i47a %in% c(-9, -3, -2, -1)] = NA
newdata$p5i47a = factor(newdata$p5i47a)
newdata$p5i47b[p5i47b %in% c(-9, -3, -2, -1)] = NA
newdata$p5i47b = factor(newdata$p5i47b)
newdata$p5i47c[p5i47c %in% c(-9, -3, -2, -1)] = NA
newdata$p5i47c = factor(newdata$p5i47c)

newdata$p5j1[p5j1 %in% c(-9, -3, -2, -1)] = NA
newdata$p5j1 = factor(newdata$p5j1)

newdata$p5j4c[p5j4c %in% c(-9, -3, -2, -1)] = NA
newdata$p5j4c = factor(newdata$p5j4c)
newdata$p5j6[p5j6 %in% c(-9, -3, -2, -1)] = NA
newdata$p5j6 = factor(newdata$p5j6)

newdata$p5j11[p5j11 %in% c(-9, -3, -2, -1, 91)] = NA
newdata$p5j11 = factor(newdata$p5j11)
newdata$p5j12[p5j12 %in% c(-9, -3, -2, -1)] = NA
newdata$p5j12 = factor(newdata$p5j12)
newdata$p5j13[p5j13 %in% c(-9, -3, -2, -1)] = NA
newdata$p5j13 = factor(newdata$p5j13)

newdata$p5k1a[p5k1a %in% c(-9, -3, -2, -1)] = NA
newdata$p5k1a = factor(newdata$p5k1a)
newdata$p5k1b[p5k1b %in% c(-9, -3, -2, -1)] = NA
newdata$p5k1b = factor(newdata$p5k1b)
newdata$p5k1c[p5k1c %in% c(-9, -3, -2, -1)] = NA
newdata$p5k1c = factor(newdata$p5k1c)
newdata$p5k1d[p5k1d %in% c(-9, -3, -2, -1)] = NA
newdata$p5k1d = factor(newdata$p5k1d)
newdata$p5k1e[p5k1e %in% c(-9, -3, -2, -1)] = NA
newdata$p5k1e = factor(newdata$p5k1e)
newdata$p5k1f[p5k1f %in% c(-9, -3, -2, -1)] = NA
newdata$p5k1f = factor(newdata$p5k1f)
newdata$p5k1g[p5k1g %in% c(-9, -3, -2, -1)] = NA
newdata$p5k1g = factor(newdata$p5k1g)

newdata$p5l1a[p5l1a %in% c(-9, -3, -2, -1)] = NA
newdata$p5l1a = factor(newdata$p5l1a)

newdata$p5l3a[p5l3a %in% c(-9, -3, -2, -1)] = NA
newdata$p5l3a = factor(newdata$p5l3a)
newdata$p5l3b[p5l3b %in% c(-9, -3, -2, -1)] = NA
newdata$p5l3b = factor(newdata$p5l3b)
newdata$p5l3c[p5l3c %in% c(-9, -3, -2, -1)] = NA
newdata$p5l3c = factor(newdata$p5l3c)
newdata$p5l3d[p5l3d %in% c(-9, -3, -2, -1)] = NA
newdata$p5l3d = factor(newdata$p5l3d)
newdata$p5l3e[p5l3e %in% c(-9, -3, -2, -1)] = NA
newdata$p5l3e = factor(newdata$p5l3e)
newdata$p5l3f[p5l3f %in% c(-9, -3, -2, -1)] = NA
newdata$p5l3f = factor(newdata$p5l3f)
newdata$p5l3g[p5l3g %in% c(-9, -3, -2, -1)] = NA
newdata$p5l3g = factor(newdata$p5l3g)
newdata$p5l3h[p5l3h %in% c(-9, -3, -2, -1)] = NA
newdata$p5l3h = factor(newdata$p5l3h)
newdata$p5l3i[p5l3i %in% c(-9, -3, -2, -1)] = NA
newdata$p5l3i = factor(newdata$p5l3i)
newdata$p5l3j[p5l3j %in% c(-9, -3, -2, -1)] = NA
newdata$p5l3j = factor(newdata$p5l3j)

newdata$p5l5a[p5l5a %in% c(-9, -3, -2, -1)] = NA
newdata$p5l5a = factor(newdata$p5l5a)
newdata$p5l5b[p5l5b %in% c(-9, -3, -2, -1)] = NA
newdata$p5l5b = factor(newdata$p5l5b)

newdata$p5l11[p5l11 %in% c(-9, -3, -2, -1)] = NA
newdata$p5l11 = factor(newdata$p5l11)

newdata$p5l18[p5l18 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$p5l18 = factor(newdata$p5l18)

newdata$p5m1[p5m1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$p5m1 = factor(newdata$p5m1)

newdata$p5m2a[p5m2a %in% c(-9, -3, -2, -1)] = NA
newdata$p5m2a = factor(newdata$p5m2a)
newdata$p5m2b[p5m2b %in% c(-9, -3, -2, -1)] = NA
newdata$p5m2b = factor(newdata$p5m2b)
newdata$p5m2c[p5m2c %in% c(-9, -3, -2, -1)] = NA
newdata$p5m2c = factor(newdata$p5m2c)
newdata$p5m2d[p5m2d %in% c(-9, -3, -2, -1)] = NA
newdata$p5m2d = factor(newdata$p5m2d)
newdata$p5m2e[p5m2e %in% c(-9, -3, -2, -1)] = NA
newdata$p5m2e = factor(newdata$p5m2e)

newdata$p5m3a[p5m3a %in% c(-9, -3, -2, -1)] = NA
newdata$p5m3a = factor(newdata$p5m3a)
newdata$p5m3b[p5m3b %in% c(-9, -3, -2, -1)] = NA
newdata$p5m3b = factor(newdata$p5m3b)
newdata$p5m3c[p5m3c %in% c(-9, -3, -2, -1)] = NA
newdata$p5m3c = factor(newdata$p5m3c)
newdata$p5m3d[p5m3d %in% c(-9, -3, -2, -1)] = NA
newdata$p5m3d = factor(newdata$p5m3d)
newdata$p5m3e[p5m3e %in% c(-9, -3, -2, -1)] = NA
newdata$p5m3e = factor(newdata$p5m3e)

newdata$p5m5a[p5m5a %in% c(-9, -3, -2, -1)] = NA
newdata$p5m5a = factor(newdata$p5m5a)
newdata$p5m5b[p5m5b %in% c(-9, -3, -2, -1)] = NA
newdata$p5m5b = factor(newdata$p5m5b)
newdata$p5m5c[p5m5c %in% c(-9, -3, -2, -1)] = NA
newdata$p5m5c = factor(newdata$p5m5c)

newdata$p5q1a[p5q1a %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1a = factor(newdata$p5q1a)
newdata$p5q1b[p5q1b %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1b = factor(newdata$p5q1b)
newdata$p5q1c[p5q1c %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1c = factor(newdata$p5q1c)
newdata$p5q1d[p5q1d %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1d = factor(newdata$p5q1d)
newdata$p5q1e[p5q1e %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1e = factor(newdata$p5q1e)
newdata$p5q1f[p5q1f %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1f = factor(newdata$p5q1f)
newdata$p5q1g[p5q1g %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1g = factor(newdata$p5q1g)
newdata$p5q1h[p5q1h %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1h = factor(newdata$p5q1h)
newdata$p5q1i[p5q1i %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1i = factor(newdata$p5q1i)
newdata$p5q1j[p5q1j %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1j = factor(newdata$p5q1j)
newdata$p5q1k[p5q1k %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1k = factor(newdata$p5q1k)
newdata$p5q1l[p5q1l %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1l = factor(newdata$p5q1l)
newdata$p5q1m[p5q1m %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1m = factor(newdata$p5q1m)
newdata$p5q1n[p5q1n %in% c(-9, -3, -2, -1)] = NA
newdata$p5q1n = factor(newdata$p5q1n)

newdata$p5q2a[p5q2a %in% c(-9, -3, -2, -1)] = NA
newdata$p5q2a = factor(newdata$p5q2a)
newdata$p5q2b[p5q2b %in% c(-9, -3, -2, -1)] = NA
newdata$p5q2b = factor(newdata$p5q2b)
newdata$p5q2c[p5q2c %in% c(-9, -3, -2, -1)] = NA
newdata$p5q2c = factor(newdata$p5q2c)
newdata$p5q2d[p5q2d %in% c(-9, -3, -2, -1)] = NA
newdata$p5q2d = factor(newdata$p5q2d)
newdata$p5q2e[p5q2e %in% c(-9, -3, -2, -1)] = NA
newdata$p5q2e = factor(newdata$p5q2e)

newdata$p5q3a[p5q3a %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3a = factor(newdata$p5q3a)
newdata$p5q3b[p5q3b %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3b = factor(newdata$p5q3b)
newdata$p5q3c[p5q3c %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3c = factor(newdata$p5q3c)
newdata$p5q3d[p5q3d %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3d = factor(newdata$p5q3d)
newdata$p5q3e[p5q3e %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3e = factor(newdata$p5q3e)
newdata$p5q3f[p5q3f %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3f = factor(newdata$p5q3f)
newdata$p5q3g[p5q3g %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3g = factor(newdata$p5q3g)
newdata$p5q3h[p5q3h %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3h = factor(newdata$p5q3h)
newdata$p5q3i[p5q3i %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3i = factor(newdata$p5q3i)
newdata$p5q3j[p5q3j %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3j = factor(newdata$p5q3j)
newdata$p5q3k[p5q3k %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3k = factor(newdata$p5q3k)
newdata$p5q3l[p5q3l %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3l = factor(newdata$p5q3l)
newdata$p5q3m[p5q3m %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3m = factor(newdata$p5q3m)
newdata$p5q3n[p5q3n %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3n = factor(newdata$p5q3n)
newdata$p5q3o[p5q3o %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3o = factor(newdata$p5q3o)
newdata$p5q3p[p5q3p %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3p = factor(newdata$p5q3p)
newdata$p5q3q[p5q3q %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3q = factor(newdata$p5q3q)
newdata$p5q3r[p5q3r %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3r = factor(newdata$p5q3r)
newdata$p5q3s[p5q3s %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3s = factor(newdata$p5q3s)
newdata$p5q3t[p5q3t %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3t = factor(newdata$p5q3t)
newdata$p5q3u[p5q3u %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3u = factor(newdata$p5q3u)
newdata$p5q3v[p5q3v %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3v = factor(newdata$p5q3v)
newdata$p5q3w[p5q3w %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3w = factor(newdata$p5q3w)
newdata$p5q3x[p5q3x %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3x = factor(newdata$p5q3x)
newdata$p5q3y[p5q3y %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3y = factor(newdata$p5q3y)
newdata$p5q3aa[p5q3aa %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3aa = factor(newdata$p5q3aa)
newdata$p5q3ab[p5q3ab %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ab = factor(newdata$p5q3ab)
newdata$p5q3ac[p5q3ac %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ac = factor(newdata$p5q3ac)
newdata$p5q3ad[p5q3ad %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ad = factor(newdata$p5q3ad)
newdata$p5q3ae[p5q3ae %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ae = factor(newdata$p5q3ae)
newdata$p5q3af[p5q3af %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3af = factor(newdata$p5q3af)
newdata$p5q3ag[p5q3ag %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ag = factor(newdata$p5q3ag)
newdata$p5q3ah[p5q3ah %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ah = factor(newdata$p5q3ah)
newdata$p5q3ai[p5q3ai %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ai = factor(newdata$p5q3ai)
newdata$p5q3aj[p5q3aj %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3aj = factor(newdata$p5q3aj)
newdata$p5q3ak[p5q3ak %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ak = factor(newdata$p5q3ak)
newdata$p5q3al[p5q3al %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3al = factor(newdata$p5q3al)
newdata$p5q3am[p5q3am %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3am = factor(newdata$p5q3am)
newdata$p5q3an[p5q3an %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3an = factor(newdata$p5q3an)
newdata$p5q3ao[p5q3ao %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ao = factor(newdata$p5q3ao)
newdata$p5q3ap[p5q3ap %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ap = factor(newdata$p5q3ap)
newdata$p5q3aq[p5q3aq %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3aq = factor(newdata$p5q3aq)
newdata$p5q3ar[p5q3ar %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ar = factor(newdata$p5q3ar)
newdata$p5q3as[p5q3as %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3as = factor(newdata$p5q3as)
newdata$p5q3at[p5q3at %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3at = factor(newdata$p5q3at)
newdata$p5q3au[p5q3au %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3au = factor(newdata$p5q3au)
newdata$p5q3av[p5q3av %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3av = factor(newdata$p5q3av)
newdata$p5q3aw[p5q3aw %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3aw = factor(newdata$p5q3aw)
newdata$p5q3ax[p5q3ax %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ax = factor(newdata$p5q3ax)
newdata$p5q3ay[p5q3ay %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ay = factor(newdata$p5q3ay)
newdata$p5q3az[p5q3az %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3az = factor(newdata$p5q3az)

newdata$p5q3ba[p5q3ba %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ba = factor(newdata$p5q3ba)
newdata$p5q3bb1[p5q3bb1 %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bb1 = factor(newdata$p5q3bb1)
newdata$p5q3bb2[p5q3bb2 %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bb2 = factor(newdata$p5q3bb2)
newdata$p5q3bb3[p5q3bb3 %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bb3 = factor(newdata$p5q3bb3)
newdata$p5q3bb4[p5q3bb4 %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bb4 = factor(newdata$p5q3bb4)
newdata$p5q3bb5[p5q3bb5 %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bb5 = factor(newdata$p5q3bb5)
newdata$p5q3bb6[p5q3bb6 %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bb6 = factor(newdata$p5q3bb6)
newdata$p5q3bb7[p5q3bb7 %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bb7 = factor(newdata$p5q3bb7)
newdata$p5q3bb8[p5q3bb8 %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bb8 = factor(newdata$p5q3bb8)
newdata$p5q3bc[p5q3bc %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bc = factor(newdata$p5q3bc)
newdata$p5q3bd[p5q3bd %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bd = factor(newdata$p5q3bd)
newdata$p5q3be[p5q3be %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3be = factor(newdata$p5q3be)
newdata$p5q3bf[p5q3bf %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bf = factor(newdata$p5q3bf)
newdata$p5q3bg[p5q3bg %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bg = factor(newdata$p5q3bg)
newdata$p5q3bh[p5q3bh %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bh = factor(newdata$p5q3bh)
newdata$p5q3bi[p5q3bi %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bi = factor(newdata$p5q3bi)
newdata$p5q3bj[p5q3bj %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bj = factor(newdata$p5q3bj)
newdata$p5q3bk[p5q3bk %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bk = factor(newdata$p5q3bk)
newdata$p5q3bl[p5q3bl %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bl = factor(newdata$p5q3bl)
newdata$p5q3bm[p5q3bm %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bm = factor(newdata$p5q3bm)
newdata$p5q3bn[p5q3bn %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bn = factor(newdata$p5q3bn)
newdata$p5q3bo[p5q3bo %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bo = factor(newdata$p5q3bo)
newdata$p5q3bp[p5q3bp %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bp = factor(newdata$p5q3bp)
newdata$p5q3bq[p5q3bq %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bq = factor(newdata$p5q3bq)
newdata$p5q3br[p5q3br %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3br = factor(newdata$p5q3br)
newdata$p5q3bs[p5q3bs %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bs = factor(newdata$p5q3bs)
newdata$p5q3bt[p5q3bt %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bt = factor(newdata$p5q3bt)
newdata$p5q3bu[p5q3bu %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bu = factor(newdata$p5q3bu)
newdata$p5q3bv[p5q3bv %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bv = factor(newdata$p5q3bv)
newdata$p5q3bw[p5q3bw %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bw = factor(newdata$p5q3bw)
newdata$p5q3bx[p5q3bx %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bx = factor(newdata$p5q3bx)
newdata$p5q3by[p5q3by %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3by = factor(newdata$p5q3by)
newdata$p5q3bz[p5q3bz %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3bz = factor(newdata$p5q3bz)
newdata$p5q3ca[p5q3ca %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ca = factor(newdata$p5q3ca)
newdata$p5q3cb[p5q3cb %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cb = factor(newdata$p5q3cb)
#newdata$p5q3cc[p5q3cc %in% c(-9, -3, -2, -1)] = NA
#newdata$p5q3cc = factor(newdata$p5q3cc)
newdata$p5q3cd[p5q3cd %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cd = factor(newdata$p5q3cd)
newdata$p5q3ce[p5q3ce %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ce = factor(newdata$p5q3ce)
newdata$p5q3cf[p5q3cf %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cf = factor(newdata$p5q3cf)
newdata$p5q3cg[p5q3cg %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cg = factor(newdata$p5q3cg)
newdata$p5q3ch[p5q3ch %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ch = factor(newdata$p5q3ch)
newdata$p5q3ci[p5q3ci %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ci = factor(newdata$p5q3ci)
newdata$p5q3cj[p5q3cj %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cj = factor(newdata$p5q3cj)
newdata$p5q3ck[p5q3ck %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ck = factor(newdata$p5q3ck)
newdata$p5q3cl[p5q3cl %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cl = factor(newdata$p5q3cl)
newdata$p5q3cm[p5q3cm %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cm = factor(newdata$p5q3cm)
newdata$p5q3cn[p5q3cn %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cn = factor(newdata$p5q3cn)
newdata$p5q3co[p5q3co %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3co = factor(newdata$p5q3co)
newdata$p5q3cp[p5q3cp %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cp = factor(newdata$p5q3cp)
newdata$p5q3cq[p5q3cq %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cq = factor(newdata$p5q3cq)
newdata$p5q3cr[p5q3cr %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cr = factor(newdata$p5q3cr)
newdata$p5q3cs[p5q3cs %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cs = factor(newdata$p5q3cs)
newdata$p5q3ct[p5q3ct %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3ct = factor(newdata$p5q3ct)
newdata$p5q3cu[p5q3cu %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cu = factor(newdata$p5q3cu)
newdata$p5q3cv[p5q3cv %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cv = factor(newdata$p5q3cv)
newdata$p5q3cw[p5q3cw %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cw = factor(newdata$p5q3cw)
newdata$p5q3cx[p5q3cx %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cx = factor(newdata$p5q3cx)
newdata$p5q3cy[p5q3cy %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cy = factor(newdata$p5q3cy)
newdata$p5q3cz[p5q3cz %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3cz = factor(newdata$p5q3cz)
newdata$p5q3da[p5q3da %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3da = factor(newdata$p5q3da)
newdata$p5q3db[p5q3db %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3db = factor(newdata$p5q3db)
newdata$p5q3dc[p5q3dc %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3dc = factor(newdata$p5q3dc)
newdata$p5q3dd[p5q3dd %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3dd = factor(newdata$p5q3dd)
newdata$p5q3de[p5q3de %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3de = factor(newdata$p5q3de)
newdata$p5q3df[p5q3df %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3df = factor(newdata$p5q3df)
newdata$p5q3dg[p5q3dg %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3dg = factor(newdata$p5q3dg)
newdata$p5q3dh[p5q3dh %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3dh = factor(newdata$p5q3dh)
newdata$p5q3di[p5q3di %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3di = factor(newdata$p5q3di)
newdata$p5q3dj[p5q3dj %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3dj = factor(newdata$p5q3dj)
newdata$p5q3dk[p5q3dk %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3dk = factor(newdata$p5q3dk)
newdata$p5q3dl[p5q3dl %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3dl = factor(newdata$p5q3dl)
newdata$p5q3dm[p5q3dm %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3dm = factor(newdata$p5q3dm)
newdata$p5q3dn[p5q3dn %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3dn = factor(newdata$p5q3dn)
newdata$p5q3do[p5q3do %in% c(-9, -3, -2, -1)] = NA
newdata$p5q3do = factor(newdata$p5q3do)

newdata$m5a2[m5a2 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a2 = factor(newdata$m5a2)

newdata$m5a4[m5a4 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a4 = factor(newdata$m5a4)

newdata$m5a4k[m5a4k %in% c(-9, -3, -2, -1)] = NA
newdata$m5a4k = factor(newdata$m5a4k)

newdata$m5a4m[m5a4m %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5a4m = factor(newdata$m5a4m)

newdata$m5a5[m5a5 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a5 = factor(newdata$m5a5)

newdata$m5a6e[m5a6e %in% c(-9, -3, -2, -1)] = NA
newdata$m5a6e = factor(newdata$m5a6e)

newdata$m5a10[m5a10 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a10 = factor(newdata$m5a10)

newdata$m5a11[m5a11 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a11 = factor(newdata$m5a11)

newdata$m5b2[m5b2 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b2 = factor(newdata$m5b2)

newdata$m5b2e[m5b2e %in% c(-9, -6. -3, -2, -1)] = NA
newdata$m5b2e = factor(newdata$m5b2e)

newdata$m5b3[m5b3 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5b3 = factor(newdata$m5b3)

newdata$m5b3b[m5b3b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5b3b = factor(newdata$m5b3b)

newdata$m5b4[m5b4 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5b4 = factor(newdata$m5b4)

#newdata$m5b4[m5b4a %in% c(-9, -6, -3, -2, -1)] = NA
#newdata$m5b4a = factor(newdata$m5ba)

newdata$m5b6a1[m5b6a1 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b6a1 = factor(newdata$m5b6a1)

newdata$m5b8a[m5b8a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b8a = factor(newdata$m5b8a)
newdata$m5b8b[m5b8b %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b8b = factor(newdata$m5b8b)
newdata$m5b8d[m5b8d %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b8d = factor(newdata$m5b8d)
newdata$m5b10a[m5b10a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b10a = factor(newdata$m5b10a)
newdata$m5b11[m5b11 %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b11 = factor(newdata$m5b11)
newdata$m5b14[m5b14 %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b14 = factor(newdata$m5b14)
newdata$m5b15[m5b15 %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b15 = factor(newdata$m5b15)
newdata$m5b16[m5b16 %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b16 = factor(newdata$m5b16)
newdata$m5b16a[m5b16a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b16a = factor(newdata$m5b16a)
newdata$m5b16b[m5b16b %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b16b = factor(newdata$m5b16b)
newdata$m5b17[m5b17 %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b17 = factor(newdata$m5b17)
newdata$m5b17c[m5b17c %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b17c = factor(newdata$m5b17c)
newdata$m5b18a[m5b18a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b18a = factor(newdata$m5b18a)
newdata$m5b21[m5b21 %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b21 = factor(newdata$m5b21)

newdata$m5b22a[m5b22a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b22a = factor(newdata$m5b22a)
newdata$m5b22b[m5b22b %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b22b = factor(newdata$m5b22b)
newdata$m5b22c[m5b22c %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b22c = factor(newdata$m5b22c)
newdata$m5b22d[m5b22d %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b22d = factor(newdata$m5b22d)
newdata$m5b22e[m5b22e %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b22e = factor(newdata$m5b22e)
newdata$m5b22f[m5b22f %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b22f = factor(newdata$m5b22f)
newdata$m5b22g[m5b22g %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b22g = factor(newdata$m5b22g)
newdata$m5b22h[m5b22h %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b22h = factor(newdata$m5b22h)
newdata$m5b22i[m5b22i %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b22i = factor(newdata$m5b22i)

newdata$m5b24a[m5b24a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b24a = factor(newdata$m5b24a)
newdata$m5b25[m5b25 %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b25 = factor(newdata$m5b25)
newdata$m5b27[m5b27 %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b27 = factor(newdata$m5b27)
newdata$m5b28a[m5b28a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$m5b28a = factor(newdata$m5b28a)
#newdata$m5b29[m5b29 %in% c(-9, -6, -5, -3, -2, -1)] = NA
#newdata$m5b29 = factor(newdata$m5b29)
newdata$m5b30[m5b30 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$m5b30 = factor(newdata$m5b30)

newdata$m5c1[m5c1 %in% c(-9, -3, -2, -1)] = NA
newdata$m5c1 = factor(newdata$m5c1)

newdata$m5c1a[m5c1a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5c1a = factor(newdata$m5c1a)
newdata$m5c1b[m5c1b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5c1b = factor(newdata$m5c1b)
newdata$m5c1c[m5c1c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5c1c = factor(newdata$m5c1c)
newdata$m5c1d[m5c1d %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5c1d = factor(newdata$m5c1d)
newdata$m5c1e[m5c1e %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5c1e = factor(newdata$m5c1e)
newdata$m5c1f[m5c1f %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5c1f = factor(newdata$m5c1f)

newdata$m5c2a[m5c2a %in% c(-9, -3, -2, -1)] = NA
newdata$m5c2a = factor(newdata$m5c2a)
newdata$m5c2b[m5c2b %in% c(-9, -3, -2, -1)] = NA
newdata$m5c2b = factor(newdata$m5c2b)
newdata$m5c2c[m5c2c %in% c(-9, -3, -2, -1)] = NA
newdata$m5c2c = factor(newdata$m5c2c)
newdata$m5c2d[m5c2d %in% c(-9, -3, -2, -1)] = NA
newdata$m5c2d = factor(newdata$m5c2d)
newdata$m5c2e[m5c2e %in% c(-9, -3, -2, -1)] = NA
newdata$m5c2e = factor(newdata$m5c2e)
newdata$m5c2f[m5c2f %in% c(-9, -3, -2, -1)] = NA
newdata$m5c2f = factor(newdata$m5c2f)
newdata$m5c2g[m5c2g %in% c(-9, -3, -2, -1)] = NA
newdata$m5c2g = factor(newdata$m5c2g)
newdata$m5c2h[m5c2h %in% c(-9, -3, -2, -1)] = NA
newdata$m5c2h = factor(newdata$m5c2h)

newdata$m5c3a[m5c3a %in% c(-9, -3, -2, -1)] = NA
newdata$m5c3a = factor(newdata$m5c3a)
newdata$m5c3b[m5c3b %in% c(-9, -3, -2, -1)] = NA
newdata$m5c3b = factor(newdata$m5c3b)
newdata$m5c3c[m5c3c %in% c(-9, -3, -2, -1)] = NA
newdata$m5c3c = factor(newdata$m5c3c)
newdata$m5c3d[m5c3d %in% c(-9, -3, -2, -1)] = NA
newdata$m5c3d = factor(newdata$m5c3d)

newdata$m5d5[m5d5 %in% c(-9, -3, -2, -1)] = NA
newdata$m5d5 = factor(newdata$m5d5)
newdata$m5d5a[m5d5a %in% c(-9, -3, -2, -1)] = NA
newdata$m5d5a = factor(newdata$m5d5a)
newdata$m5d5b[m5d5a ==2] = 0
newdata$m5d5b[m5d5b %in% c(-9, -3, -2, -1)] = NA
newdata$m5d5b = factor(newdata$m5d5b)
newdata$m5d6[m5d6 %in% c(-9, -3, -2, -1)] = NA
newdata$m5d6 = factor(newdata$m5d6)
newdata$m5d7[m5d7 %in% c(-9, -3, -2, -1)] = NA
newdata$m5d7 = factor(newdata$m5d7)
newdata$m5d8[m5d8 %in% c(-9, -3, -2, -1)] = NA
newdata$m5d8 = factor(newdata$m5d8)
newdata$m5d9[m5d9 %in% c(-9, -3, -2, -1)] = NA
newdata$m5d9 = factor(newdata$m5d9)
newdata$m5d10[m5d10 %in% c(-9, -3, -2, -1)] = NA
newdata$m5d10 = factor(newdata$m5d10)
newdata$m5d11a[m5d11 == 2] = 0
newdata$m5d11a[m5d11a == -6] = 0
newdata$m5d11b[m5d11 == 2] = 0
newdata$m5d11b[m5d11b == -6] = 0
newdata$m5d11[m5d11 %in% c(-9, -3, -2, -1)] = NA
newdata$m5d11 = factor(newdata$m5d11)
newdata$m5d11d[m5d11d %in% c(-9, -3, -2, -1)] = NA
newdata$m5d11d = factor(newdata$m5d11d)
newdata$m5d13[m5d13 %in% c(-9, -3, -2, -1)] = NA
newdata$m5d13 = factor(newdata$m5d13)
newdata$m5d13[m5d13 %in% c(-9, -3, -2, -1)] = NA
newdata$m5d13 = factor(newdata$m5d13)
newdata$m5d13f[m5d13f %in% c(-9, -3, -2, -1)] = NA
newdata$m5d13f = factor(newdata$m5d13f)
newdata$m5d18a[m5d18a %in% c(-9, -3, -2, -1)] = NA
newdata$m5d18a = factor(newdata$m5d18a)
newdata$m5d18b[m5d18b %in% c(-9, -3, -2, -1)] = NA
newdata$m5d18b = factor(newdata$m5d18b)
newdata$m5d18c[m5d18c %in% c(-9, -3, -2, -1)] = NA
newdata$m5d18c = factor(newdata$m5d18c)
newdata$m5d18d[m5d18d %in% c(-9, -3, -2, -1)] = NA
newdata$m5d18d = factor(newdata$m5d18d)
newdata$m5d19a[m5d19a %in% c(-9, -3, -2, -1)] = NA
newdata$m5d19a = factor(newdata$m5d19a)
newdata$m5d19b[m5d19b %in% c(-9, -3, -2, -1)] = NA
newdata$m5d19b = factor(newdata$m5d19b)
newdata$m5d19c[m5d19c %in% c(-9, -3, -2, -1)] = NA
newdata$m5d19c = factor(newdata$m5d19c)
newdata$m5d19d[m5d19d %in% c(-9, -3, -2, -1)] = NA
newdata$m5d19d = factor(newdata$m5d19d)
newdata$m5d19e[m5d19e %in% c(-9, -3, -2, -1)] = NA
newdata$m5d19e = factor(newdata$m5d19e)
newdata$m5d19f[m5d19f %in% c(-9, -3, -2, -1)] = NA
newdata$m5d19f = factor(newdata$m5d19f)

newdata$m5d23[m5d23 %in% c(-9, -3, -2, -1)] = NA
newdata$m5d23 = factor(newdata$m5d23)

newdata$m5e1g[m5e1g %in% c(-9, -3, -2, -1)] = NA
newdata$m5e1g = factor(newdata$m5e1g)
newdata$m5e1h[m5e1g %in% c(2,3,4)] = 0
newdata$m5e1h[m5e1h %in% c(-9, -3, -2, -1)] = NA
newdata$m5e1h = factor(newdata$m5e1h)
newdata$m5e1i[m5e1i %in% c(-9, -3, -2, -1)] = NA
newdata$m5e1i = factor(newdata$m5e1i)
newdata$m5e1j[m5e1j %in% c(-9, -3, -2, -1)] = NA
newdata$m5e1j = factor(newdata$m5e1j)
newdata$m5e1k[m5e1k %in% c(-9, -3, -2, -1)] = NA
newdata$m5e1k = factor(newdata$m5e1k)
newdata$m5e1m[m5e1m %in% c(-9, -3, -2, -1)] = NA
newdata$m5e1m = factor(newdata$m5e1m)
newdata$m5e1n[m5e1m %in% c(2,3,4)] = 0
newdata$m5e1n[m5e1n %in% c(-9, -3, -2, -1)] = NA
newdata$m5e1n = factor(newdata$m5e1n)
newdata$m5e1o[m5e1o %in% c(-9, -3, -2, -1)] = NA
newdata$m5e1o = factor(newdata$m5e1o)
newdata$m5e1p[m5e1p %in% c(-9, -3, -2, -1)] = NA
newdata$m5e1p = factor(newdata$m5e1p)
newdata$m5e1q[m5e1q %in% c(-9, -3, -2, -1)] = NA
newdata$m5e1q = factor(newdata$m5e1q)

newdata$m5e2b[m5e2 == 2] = 0
newdata$m5e3a[m5e3 == 2] = 2
newdata$m5e6a[m5e6 == 2] = 2
newdata$m5e7[m5e7 == 0] = -3

newdata$m5f1a[m5f1 == 2] = 0
newdata$m5f2[m5f2 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f2 = factor(newdata$m5f2)
newdata$m5f4b[m5f4b %in% c(-9, -3, -2, -1)] = NA
newdata$m5f4b = factor(newdata$m5f4b)
newdata$m5f5[m5f5 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f5 = factor(newdata$m5f5)
newdata$m5f6[m5f6 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f6 = factor(newdata$m5f6)
newdata$m5f7b[m5f7b == 0] = -3

newdata$m5f7_101[m5f7c == 2] = 0
newdata$m5f7_102[m5f7c == 2] = 0
newdata$m5f7_103[m5f7c == 2] = 0
newdata$m5f7_104[m5f7c == 2] = 0
newdata$m5f7_105[m5f7c == 2] = 0
newdata$m5f7_106[m5f7c == 2] = 0
newdata$m5f7_107[m5f7c == 2] = 0

newdata$m5f8b1[m5f8a1 == 2] = 0
newdata$m5f8c1[m5f8a1 == 2] = 0
newdata$m5f8b2[m5f8a2 == 2] = 0
newdata$m5f8c2[m5f8a2 == 2] = 0
newdata$m5f8b3[m5f8a3 == 2] = 0
newdata$m5f8c3[m5f8a3 == 2] = 0
newdata$m5f10[m5f10 == -6] = 2
newdata$m5f11a[m5f10 == -6] = 0
newdata$m5f12[m5f12 == -6] = 1
newdata$m5f14[m5f14 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f14 = factor(newdata$m5f14)
newdata$m5f14a[m5f14a %in% c(-9, -3, -2, -1)] = NA
newdata$m5f14a = factor(newdata$m5f14a)
newdata$m5f14b[m5f14b %in% c(-9, -3, -2, -1)] = NA
newdata$m5f14b = factor(newdata$m5f14b)
newdata$m5f16[m5f16 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f16 = factor(newdata$m5f16)
newdata$m5f17[m5f17 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f17 = factor(newdata$m5f17)
newdata$m5f18[m5f18 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f18 = factor(newdata$m5f18)
newdata$m5f18a[m5f18a %in% c(-9, -3, -2, -1)] = NA
newdata$m5f18a = factor(newdata$m5f18a)
newdata$m5f18b[m5f18b %in% c(-9, -3, -2, -1)] = NA
newdata$m5f18b = factor(newdata$m5f18b)
newdata$m5f18c[m5f18c %in% c(-9, -3, -2, -1)] = NA
newdata$m5f18c = factor(newdata$m5f18c)
newdata$m5f18d[m5f18d %in% c(-9, -3, -2, -1)] = NA
newdata$m5f18d = factor(newdata$m5f18d)
newdata$m5f18e[m5f18e %in% c(-9, -3, -2, -1)] = NA
newdata$m5f18e = factor(newdata$m5f18e)
newdata$m5f18f[m5f18d == 2] = 0
newdata$m5f18g[m5f18d == 2] = 0
newdata$m5f20[m5f20 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f20 = factor(newdata$m5f20)
newdata$m5f20a[m5f20a %in% c(-9, -3, -2, -1)] = NA
newdata$m5f20a = factor(newdata$m5f20a)
newdata$m5f20b[m5f20b %in% c(-9, -3, -2, -1)] = NA
newdata$m5f20b = factor(newdata$m5f20b)
newdata$m5f21[m5f21 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f21 = factor(newdata$m5f21)
newdata$m5f22[m5f22 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f22 = factor(newdata$m5f22)
newdata$m5f23l[m5f23k == 2] = 0
newdata$m5f26[m5f25 == 2] = 2
newdata$m5f26a[m5f26 == 2] = 0
newdata$m5f27[m5f25 == 2] = 2
newdata$m5f27a[m5f27 == 2] = 0
newdata$m5f28b[m5f28b %in% c(-9, -3, -2, -1)] = NA
newdata$m5f28b = factor(newdata$m5f28b)
newdata$m5f28c[m5f28b == 2] = 2
newdata$m5f28d[m5f28c == 2] = 0
newdata$m5f28e[m5f28b == 2] = 2
newdata$m5f28f[m5f28e == 2] = 0
newdata$m5f28f[m5f28f1 == 2] = newdata$m5f28f[m5f28f1 == 2]/12
newdata$m5f28c[m5f28c %in% c(-9, -3, -2, -1)] = NA
newdata$m5f28c = factor(newdata$m5f28c)
newdata$m5f29[m5f29 %in% c(-9, -3, -2, -1)] = NA
newdata$m5f29 = factor(newdata$m5f29)

newdata$m5g0[m5g0 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5g0 = factor(newdata$m5g0)
newdata$m5g1[m5g1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5g1 = factor(newdata$m5g1)

newdata$m5g16a[m5g16a %in% c(-9, -3, -2, -1)] = NA
newdata$m5g16a = factor(newdata$m5g16a)
newdata$m5g16b[m5g16b %in% c(-9, -3, -2, -1)] = NA
newdata$m5g16b = factor(newdata$m5g16b)
newdata$m5g16c[m5g16c %in% c(-9, -3, -2, -1)] = NA
newdata$m5g16c = factor(newdata$m5g16c)
newdata$m5g16d[m5g16d %in% c(-9, -3, -2, -1)] = NA
newdata$m5g16d = factor(newdata$m5g16d)
newdata$m5g16e[m5g16e %in% c(-9, -3, -2, -1)] = NA
newdata$m5g16e = factor(newdata$m5g16e)

newdata$m5g18[m5g18 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5g18 = factor(newdata$m5g18)
newdata$m5g19[m5g19 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5g19 = factor(newdata$m5g19)
newdata$m5g19a[m5g19a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5g19a = factor(newdata$m5g19a)

newdata$m5h1[m5h1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5h1 = factor(newdata$m5h1)
newdata$m5h2[m5h2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$m5h2 = factor(newdata$m5h2)

newdata$m5i2_1[m5i1 == 2]=0
newdata$m5i2_2[m5i1 == 2]=0
newdata$m5i2_3[m5i1 == 2]=0
newdata$m5i2_4[m5i1 == 2]=0
newdata$m5i2_5[m5i1 == 2]=0
newdata$m5i2_6[m5i1 == 2]=0
newdata$m5i2_7[m5i1 == 2]=0
newdata$m5i2_8[m5i1 == 2]=0
newdata$m5i2_9[m5i1 == 2]=0
newdata$m5i2_10[m5i1 == 2]=0
newdata$m5i2_11[m5i1 == 2]=0
newdata$m5i2_12[m5i1 == 2]=0
newdata$m5i2_13[m5i1 == 2]=0
newdata$m5i2_14[m5i1 == 2]=0
newdata$m5i2_15[m5i1 == 2]=0
newdata$m5i2_101[m5i1 == 2]=0
newdata$m5i2_102[m5i1 == 2]=0
newdata$m5i2a[m5i2a %in% c(-9, -3, -2, -1)] = NA
newdata$m5i2a = factor(newdata$m5i2a)
#newdata$m5i2a_code[m5i2a_code %in% c(-9, -3, -2, -1)] = NA
#newdata$m5i2a_code = factor(newdata$m5i2a_code)

newdata$m5i3a_1[m5i3 == 2]=0
newdata$m5i3a_2[m5i3 == 2]=0
newdata$m5i3a_3[m5i3 == 2]=0
newdata$m5i3a_4[m5i3 == 2]=0
newdata$m5i3a_5[m5i3 == 2]=0
newdata$m5i3a_6[m5i3 == 2]=0
newdata$m5i3a_7[m5i3 == 2]=0
newdata$m5i3a_8[m5i3 == 2]=0
newdata$m5i3a_9[m5i3 == 2]=0
newdata$m5i3a_10[m5i3 == 2]=0
newdata$m5i3a_11[m5i3 == 2]=0
newdata$m5i3a_12[m5i3 == 2]=0
newdata$m5i3a_13[m5i3 == 2]=0
newdata$m5i3a_14[m5i3 == 2]=0
newdata$m5i3a_15[m5i3 == 2]=0
newdata$m5i3a_15[m5i3 == 2]=0
newdata$m5i3a_102[m5i3 == 2]=0
newdata$m5i3a2[m5i3a2 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i3a2 = factor(newdata$m5i3a2)

newdata$m5i5[m5i4 == 1] = 2
newdata$m5i6[m5i6 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i6 = factor(newdata$m5i6)
newdata$m5i7[m5i7 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i7 = factor(newdata$m5i7)
newdata$m5i11[m5i11 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i11 = factor(newdata$m5i11)
newdata$m5i14a1[m5i14a1 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i14a1 = factor(newdata$m5i14a1)
newdata$m5i14a2[m5i14a2 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i14a2 = factor(newdata$m5i14a2)
newdata$m5i14a3[m5i14a3 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i14a3 = factor(newdata$m5i14a3)
newdata$m5i14a4[m5i14a4 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i14a4 = factor(newdata$m5i14a4)
newdata$m5i14a5[m5i14a5 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i14a5 = factor(newdata$m5i14a5)
newdata$m5i14b1[m5i14b1 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i14b1 = factor(newdata$m5i14b1)
newdata$m5i14b2[m5i14b2 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i14b2 = factor(newdata$m5i14b2)
newdata$m5i14b3[m5i14b3 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i14b3 = factor(newdata$m5i14b3)
newdata$m5i14b4[m5i14b4 %in% c(-9, -3, -2, -1)] = NA
newdata$m5i14b4 = factor(newdata$m5i14b4)
newdata$m5i14d[m5i14c==2]=0
newdata$m5i14d[m5i14f>0]=newdata$m5i14d[m5i14f>0] + m5i14c[m5i14f>0]/12
newdata$m5i14c[m5i14c %in% c(-9, -3, -2, -1)] = NA
newdata$m5i14c = factor(newdata$m5i14c)
newdata$m5i16a[m5i16a %in% c(-9, -3, -2, -1)] = NA
newdata$m5i16a = factor(newdata$m5i16a)
newdata$m5i16b[m5i16b %in% c(-9, -3, -2, -1)] = NA
newdata$m5i16b = factor(newdata$m5i16b)
newdata$m5i16c[m5i16c %in% c(-9, -3, -2, -1)] = NA
newdata$m5i16c = factor(newdata$m5i16c)
newdata$m5i21[m5i21 == -6] = 0
newdata$m5i22[m5i22 == -6] = 0
newdata$m5i24b[m5i24a == 2] = 0
newdata$m5i24c[m5i24a == 2] = 0
newdata$m5i24d[m5i24d %in% c(-9, -3, -2, -1)] = NA
newdata$m5i24d = factor(newdata$m5i24d)
newdata$m5i24e[m5i24a == 2] = 0
newdata$m5i26b[m5i26a == 2] = 0
newdata$m5i26c[m5i26a == 2] = 0
newdata$m5i26d[m5i26d %in% c(-9, -3, -2, -1)] = NA
newdata$m5i26d = factor(newdata$m5i26d)
newdata$m5i26e[m5i26a == 2] = 0

newdata$m5j1a[m5j1a %in% c(-9, -3, -2, -1)] = NA
newdata$m5j1a = factor(newdata$m5j1a)
newdata$m5j4[m5j4 %in% c(-9, -3, -2, -1)] = NA
newdata$m5j4 = factor(newdata$m5j4)
newdata$m5j4a[m5j4a %in% c(-9, -3, -2, -1)] = NA
newdata$m5j4a = factor(newdata$m5j4a)
newdata$m5j5[m5j5 %in% c(-9, -3, -2, -1)] = NA
newdata$m5j5 = factor(newdata$m5j5)
newdata$m5j5a[m5j5a %in% c(-9, -3, -2, -1)] = NA
newdata$m5j5a = factor(newdata$m5j5a)
newdata$m5j5b[m5j5b %in% c(-9, -3, -2, -1)] = NA
newdata$m5j5b = factor(newdata$m5j5b)
newdata$m5j5c1[m5j5c1 %in% c(-9, -3, -2, -1)] = NA
newdata$m5j5c1 = factor(newdata$m5j5c1)
newdata$m5j5d[m5j5d %in% c(-9, -3, -2, -1)] = NA
newdata$m5j5d = factor(newdata$m5j5d)
newdata$m5j6[m5j6 %in% c(-9, -3, -2, -1)] = NA
newdata$m5j6 = factor(newdata$m5j6)
newdata$m5j6a[m5j6==2] = 2
newdata$m5j6e[m5j6d == 2] = 0
newdata$m5j6d[m5j6d %in% c(-9, -3, -2, -1)] = NA
newdata$m5j6d = factor(newdata$m5j6d)
newdata$m5j6g[m5j6f == 2] = 0
newdata$m5j6f[m5j6f %in% c(-9, -3, -2, -1)] = NA
newdata$m5j6f = factor(newdata$m5j6f)
newdata$m5j6i[m5j6h == 2] = 2
newdata$m5j6h[m5j6h %in% c(-9, -3, -2, -1)] = NA
newdata$m5j6h = factor(newdata$m5j6h)
newdata$m5j6i[m5j6i %in% c(-9, -3, -2, -1)] = NA
newdata$m5j6i = factor(newdata$m5j6i)
newdata$m5j7[m5j7 %in% c(-9, -3, -2, -1)] = NA
newdata$m5j7 = factor(newdata$m5j7)
newdata$m5j8[m5j8 %in% c(-9, -3, -2, -1)] = NA
newdata$m5j8 = factor(newdata$m5j8)
newdata$m5j9a[m5j9 == 2] = 2
newdata$m5j9[m5j9 %in% c(-9, -3, -2, -1)] = NA
newdata$m5j9 = factor(newdata$m5j9)
newdata$m5j9a[m5j9a %in% c(-9, -3, -2, -1)] = NA
newdata$m5j9a = factor(newdata$m5j9a)
newdata$m5j9e[m5j9d == 2] = 0
newdata$m5j9d[m5j9d %in% c(-9, -3, -2, -1)] = NA
newdata$m5j9d = factor(newdata$m5j9d)
newdata$m5j9g[m5j9f == 2] = 0
newdata$m5j9f[m5j9f %in% c(-9, -3, -2, -1)] = NA
newdata$m5j9f = factor(newdata$m5j9f)
newdata$m5j9i[m5j9h == 2] = 2
newdata$m5j9h[m5j9h %in% c(-9, -3, -2, -1)] = NA
newdata$m5j9h = factor(newdata$m5j9h)

newdata$m5a3a1_1[m5a3a1_1 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_1 = factor(newdata$m5a3a1_1)
newdata$m5a3a1_2[m5a3a1_2 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_2 = factor(newdata$m5a3a1_2)
newdata$m5a3a1_3[m5a3a1_3 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_3 = factor(newdata$m5a3a1_3)
newdata$m5a3a1_4[m5a3a1_4 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_4 = factor(newdata$m5a3a1_4)
newdata$m5a3a1_5[m5a3a1_5 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_5 = factor(newdata$m5a3a1_5)
newdata$m5a3a1_6[m5a3a1_6 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_6 = factor(newdata$m5a3a1_6)
newdata$m5a3a1_7[m5a3a1_7 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_7 = factor(newdata$m5a3a1_7)
newdata$m5a3a1_8[m5a3a1_8 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_8 = factor(newdata$m5a3a1_8)
newdata$m5a3a1_9[m5a3a1_9 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_9 = factor(newdata$m5a3a1_9)
newdata$m5a3a1_10[m5a3a1_10 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_10 = factor(newdata$m5a3a1_10)
newdata$m5a3a1_11[m5a3a1_11 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_11 = factor(newdata$m5a3a1_11)
newdata$m5a3a1_12[m5a3a1_12 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_12 = factor(newdata$m5a3a1_12)
newdata$m5a3a1_91[m5a3a1_91 %in% c(-9, -3, -2, -1)] = NA
newdata$m5a3a1_91 = factor(newdata$m5a3a1_91)

newdata$m5b17d_1[m5b17d_1 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b17d_1 = factor(newdata$m5b17d_1)
newdata$m5b17d_2[m5b17d_2 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b17d_2 = factor(newdata$m5b17d_2)
newdata$m5b17d_3[m5b17d_3 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b17d_3 = factor(newdata$m5b17d_3)
newdata$m5b17d_4[m5b17d_4 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b17d_4 = factor(newdata$m5b17d_4)
newdata$m5b17d_5[m5b17d_5 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b17d_5 = factor(newdata$m5b17d_5)
newdata$m5b17d_6[m5b17d_6 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b17d_6 = factor(newdata$m5b17d_6)
newdata$m5b17d_7[m5b17d_7 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b17d_7 = factor(newdata$m5b17d_7)
newdata$m5b17d_8[m5b17d_8 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b17d_8 = factor(newdata$m5b17d_8)
newdata$m5b17d_91[m5b17d_91 %in% c(-9, -3, -2, -1)] = NA
newdata$m5b17d_91 = factor(newdata$m5b17d_91)


newdata$cm5povca[cm5povca %in% c(-9, -6, -3, -2, -1)] = NA
newdata$cm5povca = factor(newdata$cm5povca)
newdata$cm5edu[cm5edu %in% c(-9, -6, -3, -2, -1)] = NA
newdata$cm5edu = factor(newdata$cm5edu)
newdata$cm5relf[cm5relf %in% c(-9, -6, -3, -2, -1)] = NA
newdata$cm5relf = factor(newdata$cm5relf)

newdata$cf5povca[cf5povca %in% c(-9, -6, -3, -2, -1)] = NA
newdata$cf5povca = factor(newdata$cf5povca)
newdata$cf5edu[cf5edu %in% c(-9, -6, -3, -2, -1)] = NA
newdata$cf5edu = factor(newdata$cf5edu)

newdata$f5a2[f5a2 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a2 = factor(newdata$f5a2)
newdata$f5a4[f5a4 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a4 = factor(newdata$f5a4)
#newdata$f5a4k[f5a4k %in% c(-9, -3, -2, -1)] = NA
#newdata$f5a4k = factor(newdata$f5a4k)
newdata$f5a4m[f5a4m %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5a4m = factor(newdata$f5a4m)
newdata$f5a5[f5a5 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a5 = factor(newdata$f5a5)
newdata$f5a6e[f5a6e %in% c(-9, -3, -2, -1)] = NA
newdata$f5a6e = factor(newdata$f5a6e)
newdata$f5a10[f5a10 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a10 = factor(newdata$f5a10)
newdata$f5a11[f5a11 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a11 = factor(newdata$f5a11)

newdata$f5a3a1_1[f5a3a1_1 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_1 = factor(newdata$f5a3a1_1)
newdata$f5a3a1_2[f5a3a1_2 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_2 = factor(newdata$f5a3a1_2)
newdata$f5a3a1_3[f5a3a1_3 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_3 = factor(newdata$f5a3a1_3)
newdata$f5a3a1_4[f5a3a1_4 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_4 = factor(newdata$f5a3a1_4)
newdata$f5a3a1_5[f5a3a1_5 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_5 = factor(newdata$f5a3a1_5)
newdata$f5a3a1_6[f5a3a1_6 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_6 = factor(newdata$f5a3a1_6)
newdata$f5a3a1_7[f5a3a1_7 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_7 = factor(newdata$f5a3a1_7)
newdata$f5a3a1_8[f5a3a1_8 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_8 = factor(newdata$f5a3a1_8)
newdata$f5a3a1_9[f5a3a1_9 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_9 = factor(newdata$f5a3a1_9)
newdata$f5a3a1_10[f5a3a1_10 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_10 = factor(newdata$f5a3a1_10)
newdata$f5a3a1_11[f5a3a1_11 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_11 = factor(newdata$f5a3a1_11)
newdata$f5a3a1_12[f5a3a1_12 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_12 = factor(newdata$f5a3a1_12)
newdata$f5a3a1_13[f5a3a1_13 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_13 = factor(newdata$f5a3a1_13)
newdata$f5a3a1_91[f5a3a1_91 %in% c(-9, -3, -2, -1)] = NA
newdata$f5a3a1_91 = factor(newdata$f5a3a1_91)



newdata$f5b3[f5b3 %in% c(-9, -3, -2, -1)] = NA
newdata$f5b3 = factor(newdata$f5b3)
newdata$f5b3b[f5b3b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5b3b = factor(newdata$f5b3b)
newdata$f5b4[f5b4 %in% c(-9, -3, -2, -1)] = NA
newdata$f5b4 = factor(newdata$f5b4)
newdata$f5b4a[f5b4a %in% c(-9, -3, -2, -1)] = NA
newdata$f5b4a = factor(newdata$f5b4a)
newdata$f5b8a[f5b8a %in% c(-9, -3, -2, -1)] = NA
newdata$f5b8a = factor(newdata$f5b8a)
newdata$f5b16b[f5b16b %in% c(-9, -3, -2, -1)] = NA
newdata$f5b16b = factor(newdata$f5b16b)
newdata$f5b17[f5b17 %in% c(-9, -3, -2, -1)] = NA
newdata$f5b17 = factor(newdata$f5b17)
newdata$f5b18a[f5b18a %in% c(-9, -3, -2, -1)] = NA
newdata$f5b18a = factor(newdata$f5b18a)
newdata$f5b21[f5b21 %in% c(-9, -3, -2, -1)] = NA
newdata$f5b21 = factor(newdata$f5b21)

newdata$f5b22a[f5b22a %in% c(-9, -3, -2, -1)] = NA
newdata$f5b22a = factor(newdata$f5b22a)
newdata$f5b22b[f5b22b %in% c(-9, -3, -2, -1)] = NA
newdata$f5b22b = factor(newdata$f5b22b)
newdata$f5b22c[f5b22c %in% c(-9, -3, -2, -1)] = NA
newdata$f5b22c = factor(newdata$f5b22c)
newdata$f5b22d[f5b22d %in% c(-9, -3, -2, -1)] = NA
newdata$f5b22d = factor(newdata$f5b22d)
newdata$f5b22e[f5b22e %in% c(-9, -3, -2, -1)] = NA
newdata$f5b22e = factor(newdata$f5b22e)
newdata$f5b22f[f5b22f %in% c(-9, -3, -2, -1)] = NA
newdata$f5b22f = factor(newdata$f5b22f)
newdata$f5b22g[f5b22g %in% c(-9, -3, -2, -1)] = NA
newdata$f5b22g = factor(newdata$f5b22g)
newdata$f5b22h[f5b22h %in% c(-9, -3, -2, -1)] = NA
newdata$f5b22h = factor(newdata$f5b22h)
newdata$f5b22i[f5b22i %in% c(-9, -3, -2, -1)] = NA
newdata$f5b22i = factor(newdata$f5b22i)

newdata$f5b24[f5b24 %in% c(-9, -3, -2, -1)] = NA
newdata$f5b24 = factor(newdata$f5b24)

newdata$f5c1[f5c1 %in% c(-9, -3, -2, -1)] = NA
newdata$f5c1 = factor(newdata$f5c1)
newdata$f5c1a[f5c1a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5c1a = factor(newdata$f5c1a)
newdata$f5c1b[f5c1b %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5c1b = factor(newdata$f5c1b)
newdata$f5c1c[f5c1c %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5c1c = factor(newdata$f5c1c)
newdata$f5c1d[f5c1d %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5c1d = factor(newdata$f5c1d)
newdata$f5c1e[f5c1e %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5c1e = factor(newdata$f5c1e)
newdata$f5c1f[f5c1f %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5c1f = factor(newdata$f5c1f)

newdata$f5c2a[f5c2a %in% c(-9, -3, -2, -1)] = NA
newdata$f5c2a = factor(newdata$f5c2a)
newdata$f5c2b[f5c2b %in% c(-9, -3, -2, -1)] = NA
newdata$f5c2b = factor(newdata$f5c2b)
newdata$f5c2c[f5c2c %in% c(-9, -3, -2, -1)] = NA
newdata$f5c2c = factor(newdata$f5c2c)
newdata$f5c2d[f5c2d %in% c(-9, -3, -2, -1)] = NA
newdata$f5c2d = factor(newdata$f5c2d)
newdata$f5c2e[f5c2e %in% c(-9, -3, -2, -1)] = NA
newdata$f5c2e = factor(newdata$f5c2e)

newdata$f5c3a[f5c3a %in% c(-9, -3, -2, -1)] = NA
newdata$f5c3a = factor(newdata$f5c3a)
newdata$f5c3b[f5c3b %in% c(-9, -3, -2, -1)] = NA
newdata$f5c3b = factor(newdata$f5c3b)
newdata$f5c3c[f5c3c %in% c(-9, -3, -2, -1)] = NA
newdata$f5c3c = factor(newdata$f5c3c)
newdata$f5c3d[f5c3d %in% c(-9, -3, -2, -1)] = NA
newdata$f5c3d = factor(newdata$f5c3d)

newdata$f5d5[f5d5 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d5 = factor(newdata$f5d5)
newdata$f5d5a[f5d5a %in% c(-9, -3, -2, -1)] = NA
newdata$f5d5a = factor(newdata$f5d5a)
newdata$f5d5b[f5d5a ==2] = 0
newdata$f5d5b[f5d5b %in% c(-9, -3, -2, -1)] = NA
newdata$f5d5b = factor(newdata$f5d5b)
newdata$f5d6[f5d6 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d6 = factor(newdata$f5d6)
newdata$f5d7[f5d7 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d7 = factor(newdata$f5d7)
newdata$f5d8[f5d8 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d8 = factor(newdata$f5d8)
newdata$f5d9[f5d9 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d9 = factor(newdata$f5d9)
newdata$f5d10[f5d10 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d10 = factor(newdata$f5d10)
newdata$f5d11a[f5d11 == 2] = 0
newdata$f5d11a[f5d11a == -6] = 0
newdata$f5d11b[f5d11 == 2] = 0
newdata$f5d11b[f5d11b == -6] = 0
newdata$f5d11[f5d11 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d11 = factor(newdata$f5d11)
newdata$f5d11d[f5d11d %in% c(-9, -3, -2, -1)] = NA
newdata$f5d11d = factor(newdata$f5d11d)
newdata$f5d13[f5d13 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d13 = factor(newdata$f5d13)
newdata$f5d13[f5d13 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d13 = factor(newdata$f5d13)
newdata$f5d13f[f5d13f %in% c(-9, -3, -2, -1)] = NA
newdata$f5d13f = factor(newdata$f5d13f)
newdata$f5d21[f5d21 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d21 = factor(newdata$f5d21)
newdata$f5d22[f5d22 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d22 = factor(newdata$f5d22)
newdata$f5d23[f5d23 %in% c(-9, -3, -2, -1)] = NA
newdata$f5d23 = factor(newdata$f5d23)

newdata$f5e1g[f5e1g %in% c(-9, -3, -2, -1)] = NA
newdata$f5e1g = factor(newdata$f5e1g)
newdata$f5e1h[f5e1g %in% c(2,3,4)] = 0
newdata$f5e1h[f5e1h %in% c(-9, -3, -2, -1)] = NA
newdata$f5e1h = factor(newdata$f5e1h)
newdata$f5e1i[f5e1i %in% c(-9, -3, -2, -1)] = NA
newdata$f5e1i = factor(newdata$f5e1i)
newdata$f5e1j[f5e1j %in% c(-9, -3, -2, -1)] = NA
newdata$f5e1j = factor(newdata$f5e1j)
newdata$f5e1k[f5e1k %in% c(-9, -3, -2, -1)] = NA
newdata$f5e1k = factor(newdata$f5e1k)

newdata$f5e2b[f5e2 == 2] = 0
newdata$f5e3a[f5e3 == 2] = 2
newdata$f5e6a[f5e6 == 2] = 2
newdata$f5e7[f5e7 == 0] = -3

newdata$f5f1a[f5f1 == 2] = 0
newdata$f5f2[f5f2 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f2 = factor(newdata$f5f2)
newdata$f5f4b[f5f4b %in% c(-9, -3, -2, -1)] = NA
newdata$f5f4b = factor(newdata$f5f4b)
newdata$f5f5[f5f5 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f5 = factor(newdata$f5f5)
newdata$f5f6[f5f6 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f6 = factor(newdata$f5f6)
newdata$f5f7b[f5f7b == 0] = -3

newdata$f5f7_101[f5f7c == 2] = 0
newdata$f5f7_102[f5f7c == 2] = 0
newdata$f5f7_103[f5f7c == 2] = 0
newdata$f5f7_104[f5f7c == 2] = 0
newdata$f5f7_105[f5f7c == 2] = 0
newdata$f5f7_106[f5f7c == 2] = 0
newdata$f5f7_107[f5f7c == 2] = 0

newdata$f5f8b1[f5f8a1 == 2] = 0
newdata$f5f8c1[f5f8a1 == 2] = 0
newdata$f5f8b2[f5f8a2 == 2] = 0
newdata$f5f8c2[f5f8a2 == 2] = 0
newdata$f5f8b3[f5f8a3 == 2] = 0
newdata$f5f8c3[f5f8a3 == 2] = 0
newdata$f5f10[f5f10 == -6] = 2
newdata$f5f11a[f5f10 == -6] = 0
newdata$f5f12[f5f12 == -6] = 1
newdata$f5f14[f5f14 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f14 = factor(newdata$f5f14)
newdata$f5f14a[f5f14a %in% c(-9, -3, -2, -1)] = NA
newdata$f5f14a = factor(newdata$f5f14a)
newdata$f5f14b[f5f14b %in% c(-9, -3, -2, -1)] = NA
newdata$f5f14b = factor(newdata$f5f14b)
newdata$f5f16[f5f16 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f16 = factor(newdata$f5f16)
newdata$f5f17[f5f17 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f17 = factor(newdata$f5f17)
newdata$f5f18[f5f18 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f18 = factor(newdata$f5f18)
newdata$f5f18a[f5f18a %in% c(-9, -3, -2, -1)] = NA
newdata$f5f18a = factor(newdata$f5f18a)
newdata$f5f18b[f5f18b %in% c(-9, -3, -2, -1)] = NA
newdata$f5f18b = factor(newdata$f5f18b)
newdata$f5f18c[f5f18c %in% c(-9, -3, -2, -1)] = NA
newdata$f5f18c = factor(newdata$f5f18c)
newdata$f5f18d[f5f18d %in% c(-9, -3, -2, -1)] = NA
newdata$f5f18d = factor(newdata$f5f18d)
newdata$f5f18e[f5f18e %in% c(-9, -3, -2, -1)] = NA
newdata$f5f18e = factor(newdata$f5f18e)
newdata$f5f18f[f5f18d == 2] = 0
newdata$f5f18g[f5f18d == 2] = 0
newdata$f5f20[f5f20 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f20 = factor(newdata$f5f20)
newdata$f5f20a[f5f20a %in% c(-9, -3, -2, -1)] = NA
newdata$f5f20a = factor(newdata$f5f20a)
newdata$f5f20b[f5f20b %in% c(-9, -3, -2, -1)] = NA
newdata$f5f20b = factor(newdata$f5f20b)
newdata$f5f21[f5f21 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f21 = factor(newdata$f5f21)
newdata$f5f22[f5f22 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f22 = factor(newdata$f5f22)
newdata$f5f23l[f5f23k == 2] = 0
newdata$f5f26[f5f25 == 2] = 2
newdata$f5f26a[f5f26 == 2] = 0
newdata$f5f27[f5f25 == 2] = 2
newdata$f5f27a[f5f27 == 2] = 0
newdata$f5f28b[f5f28b %in% c(-9, -3, -2, -1)] = NA
newdata$f5f28b = factor(newdata$f5f28b)
newdata$f5f28c[f5f28b == 2] = 2
newdata$f5f28d[f5f28c == 2] = 0
newdata$f5f28e[f5f28b == 2] = 2
newdata$f5f28f[f5f28e == 2] = 0
newdata$f5f28f[f5f28f1 == 2] = newdata$f5f28f[f5f28f1 == 2]/12
newdata$f5f28c[f5f28c %in% c(-9, -3, -2, -1)] = NA
newdata$f5f28c = factor(newdata$f5f28c)
newdata$f5f29[f5f29 %in% c(-9, -3, -2, -1)] = NA
newdata$f5f29 = factor(newdata$f5f29)


newdata$f5g0[f5g0 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5g0 = factor(newdata$f5g0)
newdata$f5g1[f5g1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5g1 = factor(newdata$f5g1)

newdata$f5g16a[f5g16a %in% c(-9, -3, -2, -1)] = NA
newdata$f5g16a = factor(newdata$f5g16a)
newdata$f5g16b[f5g16b %in% c(-9, -3, -2, -1)] = NA
newdata$f5g16b = factor(newdata$f5g16b)
newdata$f5g16c[f5g16c %in% c(-9, -3, -2, -1)] = NA
newdata$f5g16c = factor(newdata$f5g16c)
newdata$f5g16d[f5g16d %in% c(-9, -3, -2, -1)] = NA
newdata$f5g16d = factor(newdata$f5g16d)
newdata$f5g16e[f5g16e %in% c(-9, -3, -2, -1)] = NA
newdata$f5g16e = factor(newdata$f5g16e)

newdata$f5g18[f5g18 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5g18 = factor(newdata$f5g18)
newdata$f5g19[f5g19 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5g19 = factor(newdata$f5g19)
newdata$f5g19a[f5g19a %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5g19a = factor(newdata$f5g19a)

newdata$f5h1[f5h1 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5h1 = factor(newdata$f5h1)
newdata$f5h2[f5h2 %in% c(-9, -6, -3, -2, -1)] = NA
newdata$f5h2 = factor(newdata$f5h2)

newdata$f5i2_1[f5i1 == 2]=0
newdata$f5i2_2[f5i1 == 2]=0
newdata$f5i2_3[f5i1 == 2]=0
newdata$f5i2_4[f5i1 == 2]=0
newdata$f5i2_5[f5i1 == 2]=0
newdata$f5i2_6[f5i1 == 2]=0
newdata$f5i2_7[f5i1 == 2]=0
newdata$f5i2_8[f5i1 == 2]=0
newdata$f5i2_9[f5i1 == 2]=0
newdata$f5i2_10[f5i1 == 2]=0
newdata$f5i2_11[f5i1 == 2]=0
newdata$f5i2_12[f5i1 == 2]=0
newdata$f5i2_13[f5i1 == 2]=0
newdata$f5i2_14[f5i1 == 2]=0
newdata$f5i2_15[f5i1 == 2]=0
newdata$f5i2_101[f5i1 == 2]=0
newdata$f5i2_102[f5i1 == 2]=0
newdata$f5i2a[f5i2a %in% c(-9, -3, -2, -1)] = NA
newdata$f5i2a = factor(newdata$f5i2a)
#newdata$f5i2a_code[f5i2a_code %in% c(-9, -3, -2, -1)] = NA
#newdata$f5i2a_code = factor(newdata$f5i2a_code)

newdata$f5i3a_1[f5i3 == 2]=0
newdata$f5i3a_2[f5i3 == 2]=0
newdata$f5i3a_3[f5i3 == 2]=0
newdata$f5i3a_4[f5i3 == 2]=0
newdata$f5i3a_5[f5i3 == 2]=0
newdata$f5i3a_6[f5i3 == 2]=0
newdata$f5i3a_7[f5i3 == 2]=0
newdata$f5i3a_8[f5i3 == 2]=0
newdata$f5i3a_9[f5i3 == 2]=0
newdata$f5i3a_10[f5i3 == 2]=0
newdata$f5i3a_11[f5i3 == 2]=0
newdata$f5i3a_12[f5i3 == 2]=0
newdata$f5i3a_13[f5i3 == 2]=0
newdata$f5i3a_14[f5i3 == 2]=0
newdata$f5i3a_15[f5i3 == 2]=0
newdata$f5i3a_15[f5i3 == 2]=0
newdata$f5i3a_102[f5i3 == 2]=0
newdata$f5i3a2[f5i3a2 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i3a2 = factor(newdata$f5i3a2)

newdata$f5i5[f5i4 == 1] = 2
newdata$f5i6[f5i6 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i6 = factor(newdata$f5i6)
newdata$f5i7[f5i7 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i7 = factor(newdata$f5i7)
newdata$f5i11[f5i11 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i11 = factor(newdata$f5i11)
newdata$f5i14a1[f5i14a1 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i14a1 = factor(newdata$f5i14a1)
newdata$f5i14a2[f5i14a2 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i14a2 = factor(newdata$f5i14a2)
newdata$f5i14a3[f5i14a3 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i14a3 = factor(newdata$f5i14a3)
newdata$f5i14a4[f5i14a4 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i14a4 = factor(newdata$f5i14a4)
newdata$f5i14a5[f5i14a5 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i14a5 = factor(newdata$f5i14a5)
newdata$f5i14b1[f5i14b1 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i14b1 = factor(newdata$f5i14b1)
newdata$f5i14b2[f5i14b2 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i14b2 = factor(newdata$f5i14b2)
newdata$f5i14b3[f5i14b3 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i14b3 = factor(newdata$f5i14b3)
newdata$f5i14b4[f5i14b4 %in% c(-9, -3, -2, -1)] = NA
newdata$f5i14b4 = factor(newdata$f5i14b4)
newdata$f5i14d[f5i14c==2]=0
newdata$f5i14d[f5i14f>0]=newdata$f5i14d[f5i14f>0] + f5i14c[f5i14f>0]/12
newdata$f5i14c[f5i14c %in% c(-9, -3, -2, -1)] = NA
newdata$f5i14c = factor(newdata$f5i14c)
newdata$f5i16a[f5i16a %in% c(-9, -3, -2, -1)] = NA
newdata$f5i16a = factor(newdata$f5i16a)
newdata$f5i16b[f5i16b %in% c(-9, -3, -2, -1)] = NA
newdata$f5i16b = factor(newdata$f5i16b)
newdata$f5i16c[f5i16c %in% c(-9, -3, -2, -1)] = NA
newdata$f5i16c = factor(newdata$f5i16c)
newdata$f5i21[f5i21 == -6] = 0
newdata$f5i22[f5i22 == -6] = 0
newdata$f5i24b[f5i24a == 2] = 0
newdata$f5i24c[f5i24a == 2] = 0
newdata$f5i24d[f5i24d %in% c(-9, -3, -2, -1)] = NA
newdata$f5i24d = factor(newdata$f5i24d)
newdata$f5i24e[f5i24a == 2] = 0
newdata$f5i26b[f5i26a == 2] = 0
newdata$f5i26c[f5i26a == 2] = 0
newdata$f5i26d[f5i26d %in% c(-9, -3, -2, -1)] = NA
newdata$f5i26d = factor(newdata$f5i26d)
newdata$f5i26e[f5i26a == 2] = 0

newdata$f5j1a[f5j1a %in% c(-9, -3, -2, -1)] = NA
newdata$f5j1a = factor(newdata$f5j1a)
newdata$f5j4[f5j4 %in% c(-9, -3, -2, -1)] = NA
newdata$f5j4 = factor(newdata$f5j4)
newdata$f5j4a[f5j4a %in% c(-9, -3, -2, -1)] = NA
newdata$f5j4a = factor(newdata$f5j4a)
newdata$f5j5[f5j5 %in% c(-9, -3, -2, -1)] = NA
newdata$f5j5 = factor(newdata$f5j5)
newdata$f5j5a[f5j5a %in% c(-9, -3, -2, -1)] = NA
newdata$f5j5a = factor(newdata$f5j5a)
newdata$f5j5b[f5j5b %in% c(-9, -3, -2, -1)] = NA
newdata$f5j5b = factor(newdata$f5j5b)
newdata$f5j5c1[f5j5c1 %in% c(-9, -3, -2, -1)] = NA
newdata$f5j5c1 = factor(newdata$f5j5c1)
newdata$f5j5d[f5j5d %in% c(-9, -3, -2, -1)] = NA
newdata$f5j5d = factor(newdata$f5j5d)
newdata$f5j6[f5j6 %in% c(-9, -3, -2, -1)] = NA
newdata$f5j6 = factor(newdata$f5j6)
newdata$f5j6a[f5j6==2] = 2
newdata$f5j6e[f5j6d == 2] = 0
newdata$f5j6d[f5j6d %in% c(-9, -3, -2, -1)] = NA
newdata$f5j6d = factor(newdata$f5j6d)
newdata$f5j6g[f5j6f == 2] = 0
newdata$f5j6f[f5j6f %in% c(-9, -3, -2, -1)] = NA
newdata$f5j6f = factor(newdata$f5j6f)
newdata$f5j6i[f5j6h == 2] = 2
newdata$f5j6h[f5j6h %in% c(-9, -3, -2, -1)] = NA
newdata$f5j6h = factor(newdata$f5j6h)
newdata$f5j6i[f5j6i %in% c(-9, -3, -2, -1)] = NA
newdata$f5j6i = factor(newdata$f5j6i)
newdata$f5j7[f5j7 %in% c(-9, -3, -2, -1)] = NA
newdata$f5j7 = factor(newdata$f5j7)
newdata$f5j8[f5j8 %in% c(-9, -3, -2, -1)] = NA
newdata$f5j8 = factor(newdata$f5j8)
newdata$f5j9a[f5j9 == 2] = 2
newdata$f5j9[f5j9 %in% c(-9, -3, -2, -1)] = NA
newdata$f5j9 = factor(newdata$f5j9)
newdata$f5j9a[f5j9a %in% c(-9, -3, -2, -1)] = NA
newdata$f5j9a = factor(newdata$f5j9a)
newdata$f5j9e[f5j9d == 2] = 0
newdata$f5j9d[f5j9d %in% c(-9, -3, -2, -1)] = NA
newdata$f5j9d = factor(newdata$f5j9d)
newdata$f5j9g[f5j9f == 2] = 0
newdata$f5j9f[f5j9f %in% c(-9, -3, -2, -1)] = NA
newdata$f5j9f = factor(newdata$f5j9f)
newdata$f5j9i[f5j9h == 2] = 2
newdata$f5j9h[f5j9h %in% c(-9, -3, -2, -1)] = NA
newdata$f5j9h = factor(newdata$f5j9h)

########
#Dropping non-parental caregiver questions (mom survey) for now because apply to tiny fraction of observations
drop = which(names(newdata) %in% c("cn5md_case_con",	"cn5md_case_lib",	"cn5nint","n5a1","n5a10","n5a11_1","n5a11_10","n5a11_101","n5a11_102","n5a11_103","n5a11_11","n5a11_12","n5a11_13","n5a11_2","n5a11_3","n5a11_4","n5a11_5","n5a11_6","n5a11_7","n5a11_8","n5a11_9","n5a11_91","n5a12","n5a13","n5a13a","n5a13b","n5a14","n5a15","n5a16_1","n5a16_101","n5a16_102","n5a16_2","n5a16_3","n5a16_4","n5a16_91","n5a16a","n5a16b","n5a17","n5a17b","n5a2","n5a2b","n5a3","n5a4","n5a5","n5a6_1","n5a6_2","n5a6_3","n5a6_4","n5a6_5","n5a6_6","n5a6_7","n5a6_8","n5a6_91","n5a6b","n5a7","n5a8","n5a8b","n5a9_1","n5a9_10","n5a9_11","n5a9_12","n5a9_2","n5a9_3","n5a9_4","n5a9_5","n5a9_6","n5a9_7","n5a9_8","n5a9_9","n5a9_91","n5b0a","n5b1","n5b2","n5b2a","n5b2c","n5b3a","n5b3b","n5b3c","n5b3d","n5b3e","n5b3f","n5b3g","n5b3h","n5b3i","n5c0a","n5c1","n5c2","n5c2a","n5c2c","n5c3a","n5c3b","n5c3c","n5c3d","n5c3e","n5c3f","n5c3g","n5c3h","n5c3i","n5d1","n5d2_age","n5d2a","n5d3","n5d3b_1","n5d3b_2","n5d3b_3","n5d3b_4","n5d3b_5","n5d3b_6","n5d3b_7","n5d3b_8","n5d3c_1","n5d3c_2","n5d3c_3","n5d3c_4","n5d3c_5","n5d3c_6","n5d3c_7","n5d3c_8","n5d3c2_3","n5d3d_1","n5d3d_2","n5d3d_3","n5d3d_4","n5d3d_5","n5d3d_6","n5d3d_7","n5d3d_8","n5d3e_2","n5d3e_3","n5d3e_4","n5d3e_5","n5d3e_6","n5d3e_7","n5d3f","n5d3h","n5d5a","n5d5c","n5e1","n5e1b","n5e2","n5e3","n5e3a","n5f0","n5f1","n5f10","n5f11","n5f11a","n5f12","n5f12a","n5f13","n5f14","n5f15","n5f16a","n5f16b","n5f16c","n5f16d","n5f16e","n5f17","n5f18","n5f2","n5f2b","n5f2c","n5f2d","n5f2d1","n5f2e","n5f3","n5f4","n5f5","n5f6","n5f7","n5f8","n5f9","n5g1a","n5g1b","n5g1c","n5g1d","n5g1e","n5g1f","n5g1g","n5g1h","n5g1i","n5g1j"))
newdata = newdata[,-drop]  

########
#Dropping mother as secondary caregiver questions from father survey because apply to so few kids.
#Merging Section K (secondary caregiver) for Mom and Dad
newdata$f5k1[m5k1 > 0] = m5k1[m5k1 > 0]
newdata$f5k2[m5k2 > 0] = m5k2[m5k2 > 0]
newdata$f5k2a[m5k2a > 0] = m5k2a[m5k2a > 0]
newdata$f5k2b[m5k2b > 0] = m5k2b[m5k2b > 0]
newdata$f5k2c[m5k2c > 0] = m5k2c[m5k2c > 0]
newdata$f5k2d[m5k2d > 0] = m5k2d[m5k2d > 0]
newdata$f5k3a[m5k3a > 0] = m5k3a[m5k3a > 0]
newdata$f5k3b[m5k3b > 0] = m5k3b[m5k3b > 0]
newdata$f5k3c[m5k3c > 0] = m5k3c[m5k3c > 0]
newdata$f5k4a[m5k4a > 0] = m5k4a[m5k4a > 0]
newdata$f5k4b[m5k4b > 0] = m5k4b[m5k4b > 0]
newdata$f5k4c[m5k4c > 0] = m5k4c[m5k4c > 0]
newdata$f5k4d[m5k4d > 0] = m5k4d[m5k4d > 0]
newdata$f5k4e[m5k4e > 0] = m5k4e[m5k4e > 0]
newdata$f5k4f[m5k4f > 0] = m5k4f[m5k4f > 0]
newdata$f5k4g[m5k4g > 0] = m5k4g[m5k4g > 0]
newdata$f5k4h[m5k4h > 0] = m5k4h[m5k4h > 0]
newdata$f5k4i[m5k4i > 0] = m5k4i[m5k4i > 0]
newdata$f5k4j[m5k4j > 0] = m5k4j[m5k4j > 0]
newdata$f5k5a[m5k5a > 0] = m5k5a[m5k5a > 0]
newdata$f5k5b[m5k5b > 0] = m5k5b[m5k5b > 0]
newdata$f5k5c[m5k5c > 0] = m5k5c[m5k5c > 0]
newdata$f5k5d[m5k5d > 0] = m5k5d[m5k5d > 0]
newdata$f5k5e[m5k5e > 0] = m5k5e[m5k5e > 0]
newdata$f5k5f[m5k5f > 0] = m5k5f[m5k5f > 0]
newdata$f5k5g[m5k5g > 0] = m5k5g[m5k5g > 0]
newdata$f5k5h[m5k5h > 0] = m5k5h[m5k5h > 0]
newdata$f5k6[m5k6 > 0] = m5k6[m5k6 > 0]
newdata$f5k7[m5k7 > 0] = m5k7[m5k7 > 0]
newdata$f5k8[m5k8 > 0] = m5k8[m5k8 > 0]
newdata$f5k8a[m5k8a > 0] = m5k8a[m5k8a > 0]
newdata$f5k9[m5k9 > 0] = m5k9[m5k9 > 0]
newdata$f5k9a[m5k9a > 0] = m5k9a[m5k9a > 0]
newdata$f5k13a[m5k13a > 0] = m5k13a[m5k13a > 0]
newdata$f5k13b[m5k13b > 0] = m5k13b[m5k13b > 0]
newdata$f5k13c[m5k13c > 0] = m5k13c[m5k13c > 0]
newdata$f5k14b[m5k14b > 0] = m5k14b[m5k14b > 0]
newdata$f5k14a[m5k14a > 0] = m5k14a[m5k14a > 0]
newdata$f5k14c[m5k14c > 0] = m5k14c[m5k14c > 0]
newdata$f5k14d[m5k14d > 0] = m5k14d[m5k14d > 0]
newdata$f5k14e[m5k14e > 0] = m5k14e[m5k14e > 0]
newdata$f5k14f[m5k14f > 0] = m5k14f[m5k14f > 0]
newdata$f5k14g[m5k14g > 0] = m5k14g[m5k14g > 0]
newdata$f5k14h[m5k14h > 0] = m5k14h[m5k14h > 0]
newdata$f5k14i[m5k14i > 0] = m5k14i[m5k14i > 0]
newdata$f5k14j[m5k14j > 0] = m5k14j[m5k14j > 0]
newdata$f5k15[m5k15 > 0] = m5k15[m5k15 > 0]
newdata$f5k15a[m5k15a > 0] = m5k15a[m5k15a > 0]
newdata$f5k17b[m5k17b > 0] = m5k17b[m5k17b > 0]
newdata$f5k17a[m5k17a > 0] = m5k17a[m5k17a > 0]
newdata$f5k17c[m5k17c > 0] = m5k17c[m5k17c > 0]
newdata$f5k17d[m5k17d > 0] = m5k17d[m5k17d > 0]
#newdata$f5k17e[m5k17e > 0] = m5k17e[m5k17e > 0]
newdata$f5k17f[m5k17f > 0] = m5k17f[m5k17f > 0]
newdata$f5k17g[m5k17g > 0] = m5k17g[m5k17g > 0]
newdata$f5k17h[m5k17h > 0] = m5k17h[m5k17h > 0]
newdata$f5k17i[m5k17i > 0] = m5k17i[m5k17i > 0]
newdata$f5k17j[m5k17j > 0] = m5k17j[m5k17j > 0]
newdata$f5k17k[m5k17k > 0] = m5k17k[m5k17k > 0]
newdata$f5k17l[m5k17l > 0] = m5k17l[m5k17l > 0]
#newdata$f5k17m[m5k17m > 0] = m5k17m[m5k17m > 0]
newdata$f5k18[m5k18 > 0] = m5k18[m5k18 > 0]
newdata$f5k19[m5k19 > 0] = m5k19[m5k19 > 0]

newdata$f5k1[f5k1 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f5k1 = factor(newdata$f5k1)
newdata$f5k2[f5k2 %in% c(-9, -6, -5, -3, -2, -1)] = NA
newdata$f5k2 = factor(newdata$f5k2)
newdata$f5k2a[f5k2a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k2a = factor(newdata$f5k2a)
newdata$f5k2b[f5k2b %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k2b = factor(newdata$f5k2b)
newdata$f5k2c[f5k2c %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k2c = factor(newdata$f5k2c)
newdata$f5k2d[f5k2d %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k2d = factor(newdata$f5k2d)
newdata$f5k3a[f5k3a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k3a = factor(newdata$f5k3a)
newdata$f5k3b[f5k3b %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k3b = factor(newdata$f5k3b)
newdata$f5k3c[f5k3c %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k3c = factor(newdata$f5k3c)
newdata$f5k4a[f5k4a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k4a = factor(newdata$f5k4a)
newdata$f5k4b[f5k4b %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k4b = factor(newdata$f5k4b)
newdata$f5k4c[f5k4c %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k4c = factor(newdata$f5k4c)
newdata$f5k4d[f5k4d %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k4d = factor(newdata$f5k4d)
newdata$f5k4e[f5k4e %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k4e = factor(newdata$f5k4e)
newdata$f5k4f[f5k4f %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k4f = factor(newdata$f5k4f)
newdata$f5k4g[f5k4g %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k4g = factor(newdata$f5k4g)
newdata$f5k4h[f5k4h %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k4h = factor(newdata$f5k4h)
newdata$f5k4i[f5k4i %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k4i = factor(newdata$f5k4i)
newdata$f5k4j[f5k4j %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k4j = factor(newdata$f5k4j)
newdata$f5k5a[f5k5a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k5a = factor(newdata$f5k5a)
newdata$f5k5b[f5k5b %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k5b = factor(newdata$f5k5b)
newdata$f5k5c[f5k5c %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k5c = factor(newdata$f5k5c)
newdata$f5k5d[f5k5d %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k5d = factor(newdata$f5k5d)
newdata$f5k5e[f5k5e %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k5e = factor(newdata$f5k5e)
newdata$f5k5f[f5k5f %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k5f = factor(newdata$f5k5f)
newdata$f5k5g[f5k5g %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k5g = factor(newdata$f5k5g)
newdata$f5k5h[f5k5h %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k5h = factor(newdata$f5k5h)

newdata$f5k8[f5k8 == -10] = 2
newdata$f5k8a[f5k8 == 1] = 1
newdata$f5k9a[f5k9 == 1] = 1

newdata$f5k13a[f5k13a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k13a = factor(newdata$f5k13a)
newdata$f5k13b[f5k13b %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k13b = factor(newdata$f5k13b)
newdata$f5k13c[f5k13c %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k13c = factor(newdata$f5k13c)

newdata$f5k14a[f5k14a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k14a = factor(newdata$f5k14a)
newdata$f5k14b[f5k14b %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k14b = factor(newdata$f5k14b)
newdata$f5k14c[f5k14c %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k14c = factor(newdata$f5k14c)
newdata$f5k14d[f5k14d %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k14d = factor(newdata$f5k14d)
newdata$f5k14e[f5k14e %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k14e = factor(newdata$f5k14e)
newdata$f5k14f[f5k14f %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k14f = factor(newdata$f5k14f)
newdata$f5k14g[f5k14g %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k14g = factor(newdata$f5k14g)
newdata$f5k14h[f5k14h %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k14h = factor(newdata$f5k14h)
newdata$f5k14i[f5k14i %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k14i = factor(newdata$f5k14i)
newdata$f5k14j[f5k14j %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k14j = factor(newdata$f5k14j)

newdata$f5k15a[f5k15 == 2] = 0
newdata$f5k15[f5k15 %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k15 = factor(newdata$f5k15)

newdata$f5k17a[f5k17a %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17a = factor(newdata$f5k17a)
newdata$f5k17b[f5k17b %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17b = factor(newdata$f5k17b)
newdata$f5k17c[f5k17c %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17c = factor(newdata$f5k17c)
newdata$f5k17d[f5k17d %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17d = factor(newdata$f5k17d)
newdata$f5k17e[f5k17e %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17e = factor(newdata$f5k17e)
newdata$f5k17f[f5k17f %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17f = factor(newdata$f5k17f)
newdata$f5k17g[f5k17g %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17g = factor(newdata$f5k17g)
newdata$f5k17h[f5k17h %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17h = factor(newdata$f5k17h)
newdata$f5k17i[f5k17i %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17i = factor(newdata$f5k17i)
newdata$f5k17j[f5k17j %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17j = factor(newdata$f5k17j)
newdata$f5k17k[f5k17k %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17k = factor(newdata$f5k17k)
newdata$f5k17l[f5k17l %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17l = factor(newdata$f5k17l)
newdata$f5k17m[f5k17m %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k17m = factor(newdata$f5k17m)

newdata$f5k19[f5k19 %in% c(-9, -5, -3, -2, -1)] = NA
newdata$f5k19 = factor(newdata$f5k19)

drop = which(names(newdata) %in% c("m5k1","m5k13a","m5k13b","m5k13c","m5k14a","m5k14b","m5k14c","m5k14d","m5k14e","m5k14f","m5k14g","m5k14h","m5k14i","m5k14j","m5k15","m5k15a","m5k17a","m5k17b","m5k17c","m5k17d","m5k17f","m5k17g","m5k17h","m5k17i","m5k17j","m5k17k","m5k17l","m5k18","m5k19","m5k2","m5k2a","m5k2b","m5k2c","m5k2d","m5k3a","m5k3b","m5k3c","m5k4a","m5k4b","m5k4c","m5k4d","m5k4e","m5k4f","m5k4g","m5k4h","m5k4i","m5k4j","m5k5a","m5k5b","m5k5c","m5k5d","m5k5e","m5k5f","m5k5g","m5k5h","m5k6","m5k7","m5k8","m5k8a","m5k9","m5k9a"))
newdata = newdata[,-drop]  
drop = which(startsWith(names(newdata), "f5b") & endsWith(names(newdata), "x"))
newdata = newdata[,-drop]  
drop = which(names(newdata) %in% c("f5b25x_1","f5b25x_2","f5b25x_3","f5b25x_4","f5b25x_5","f5b25x_6","f5b25x_7","f5b25x_8","f5b25x_9","f5b25x_10","f5b25x_91",
                                   "f5b6x1","f5b28x1", "f5b29x1","f5b29x2","f5b30x1", "f5b30x2"))
newdata = newdata[,-drop]  

########
#Drop depression scale questions since computed variable is included
drop = which(names(newdata) %in% c("m5g4","m5g5","m5g6","m5g7","m5g8","m5g9","m5g10","m5g11","m5g11a","m5g12","m5g12a","m5g13","m5g14","m5g15","f5g4","f5g5","f5g6","f5g7","f5g8","f5g9","f5g10","f5g11","f5g11a","f5g12","f5g12a","f5g13","f5g14","f5g15"))
newdata = newdata[,-drop]    

########
#Other drops
drop = which(names(newdata) %in% c("p5i10a", "p5i10a","m5a3", "m5a3b", "m5a3b1a", "m5a3c", "m5a3d", "cm5tdiff", "cm5pcgrel", "m5a3e", "m5a3e2", "m5a3f", "m5a3g", "m5a4b", "m5a4b2", "m5a4c", "cm5twoc",  "cm5citsm", "cm5natsm", "cm5b_age", "cm5span", "cm5tele", "cm5saliva", "cm5mint",                                    
                                   "cm5intmon", "cm5intyr", "cm5bmomstat", "m5a4e1", "m5a4e2", "m5a4g1", "m5a4g2",
                                   "m5a4h1", "m5a4h2", "m5a4j1", "m5a4j2", "m5b2c1", "cm5samp", "m5d2c1", "m5d2c2", "m5d2e1", "m5d2e2", "cm5hhimp", "cm5natsm", "m5d13b", "m5d13c","m5d13d","m5d13e", "m5a6g03_104",
                                   "m5a8", "m5a8b01", "m5a8b02", "m5a10a", "m5a11a", "m5a11b", "m5d2f_flag", "m5d2f", "m5d2f2", "m5b18b", "m5b18c", "m5d7a", "m5d7b","m5d7c", "m5b17d_104","m5b17d_103", "m5a6g03_103", "f5cs",
                                   "m5d4m", "m5d4y", "m5b6a2_1", "m5b6a2_2", "m5b6a2_3", "m5b6a2_4", "m5b6a2_5", "m5b6a2_91", "m5b16d", "m5b21a", "m5b21b", "m5b30d1","m5b30e1","m5d6b", "m5b17d_102","m5b17d_101","m5d2f_flag",
                                   "m5b8c2_1", "m5b8c2_2", "m5b8c2_3", "m5b8c2_4", "m5b8c2_5", "m5b8c2_91", "m5b11a_1", "m5b12", "m5b12b", "m5b22_107", "m5b22_105","m5b22_103", "m5b22_108", "m5b17d_105","m5a3a1_103","m5a3a1_102","m5a3a1_101",
                                   "m5b11a_2","m5b11a_3","m5b11a_91","m5b11a_101","m5b11a_102","m5b11a_103","m5b11a_104", "m5b17b", "m5b22_101","m5b22_106", "m5b22_104", "m5b22_102", "m5b30c1", "m5a3a1_106","m5a3a1_105","m5a3a1_104",
                                   "m5d22a", "m5d22b", "m5d22c", "m5d22d", "m5e1a", "m5e1b", "m5e1d", "m5e1e", "m5e1e1", "m5e1f", "m5e1f1", "m5e2c", "m5f3b1", "m5f4a", "m5f13", "m5f13a", "m5e2a_101", "m5e2a_102", "m5f28i1", "m5f28i2",
                                   "m5f16a_1", "m5f16a_2","m5f16a_3","m5f16a_4","m5f16a_5","m5f16a_91","m5f16a_101", "m5a6g03_102", "m5a6g02_104", "m5a6g02_103", "m5a6g02_102", "m5a6g01_104", "m5a6g01_103", "m5a6g01_102", "m5a6g01_101",
                                   "m5f28j1","m5f28j2","m5f28j3", "m5i3a1", "m5i8", "m5i8a", "m5i9", "m5i9a", "m5i9b", "m5i13", "m5i13p", "m5i14f",
                                   "m5i19", "m5i19a", "m5i20", "m5i23", "m5i24e1","m5i24aos_code","m5i26aos_code",
                                   "m5i24g_1", "m5i24g_2", "m5i24g_3", "m5i24g_4", "m5i24g_91","m5i24g_101","f5j6b", "f5j6c", "f5j9b", "f5j9b1", "f5j9c",
                                   "m5i26g_1", "m5i26g_2", "m5i26g_3", "m5i26g_4", "m5i26g_91", "m5j6b", "m5j6c", "m5j9b", "m5j9b1", "m5j9c",
                                   "m5f26b2_1", "m5f26b2_2", "m5f26b2_3","m5f26b2_4", "m5f26b2_5", "m5f26b2_6", "m5f26b2_7", "m5f26b2_8", "m5f26b2_9", "m5f26b2_10", "m5f26b2_91",
                                   "m5f28b2_1", "m5f28b2_2", "m5f28b2_3","m5f28b2_4", "m5f28b2_5", "m5f28b2_6", "m5f28b2_7", "m5f28b2_8", "m5f28b2_9", "m5f28b2_10", "m5f28b2_91",
                                   "f5d2c1", "f5d2c2", "f5d2e1", "f5d2e2","f5d13b", "f5d13c","f5d13d","f5d13e","f5d2f_flag", "f5d2f", "f5d2f2","f5d7a", "f5d7b","f5d7c","f5d4m", "f5d4y","f5d6b","f5d2f_flag","f5d22a", "f5d22b", "f5d22c", "f5d22d",
                                   "f5e1a", "f5e1b", "f5e1d", "f5e1e", "f5e1e1", "f5e1f", "f5e1f1", "f5e2c", "f5i3a1", "f5i8", "f5i8a", "f5i9", "f5i9a", "f5i9b", "f5i13", "f5i13p", "f5i14f",
                                   "f5i19", "f5i19a", "f5i20", "f5i23", "f5i24e1","f5i24aos_code","f5i26aos_code", "f5i2_101","f5i2_102","f5i3a_101","f5i3a_102",
                                   "f5i24g_1", "f5i24g_2", "f5i24g_3", "f5i24g_4", "f5i24g_91","f5i24g_101","f5i24g_102","f5j6b", "f5j6c", "f5j9b", "f5j9b1", "f5j9c",
                                   "f5i26g_1", "f5i26g_2", "f5i26g_3", "f5i26g_4", "f5i26g_91",
                                   "f5a3", "f5a3a2", "f5a3b", "f5a3b1a", "f5a3c", "f5a3d", "f5a3e", "f5a3e2", "f5a3f", "f5a3g", "f5a4b", "f5a4b2", "f5a4c", "f5a4e1", "f5a4e2", "f5a4g1", "f5a4g2","f5a4h1", "f5a4h2", "f5a4j1", "f5a4j2", 
                                   "f5a6g03_104","f5a8", "f5a8b01", "f5a8b02", "f5a10a", "f5a11a", "f5a11b", "f5a6g03_103","f5a3a1_103","f5a3a1_102","f5a3a1_101","f5a3a1_106","f5a3a1_105","f5a3a1_104",
                                   "f5a6g03_102", "f5a6g02_104", "f5a6g02_103", "f5a6g02_102", "f5a6g01_104", "f5a6g01_103", "f5a6g01_102", "f5a6g01_101", "f5a5j",
                                   "f5f3b1", "f5f4a", "f5f13", "f5f13a", "f5f28i1", "f5f28i2",
                                   "f5f16a_1", "f5f16a_2","f5f16a_3","f5f16a_4","f5f16a_5","f5f16a_91","f5f16a_101","f5f28j1","f5f28j2","f5f28j3",
                                   "f5f26b2_1", "f5f26b2_2", "f5f26b2_3","f5f26b2_4", "f5f26b2_5", "f5f26b2_6", "f5f26b2_7", "f5f26b2_8", "f5f26b2_9", "f5f26b2_10", "f5f26b2_91",
                                   "f5f28b2_1", "f5f28b2_2", "f5f28b2_3","f5f28b2_4", "f5f28b2_5", "f5f28b2_6", "f5f28b2_7", "f5f28b2_8", "f5f28b2_9", "f5f28b2_10", "f5f28b2_91",
                                   "f5b2c1", "f5b6a", "f5b6a1", "f5b6a2_1", "f5b6a2_2", "f5b6a2_3","f5b6a2_91", "f5b8b", "f5b8d", "f5b8c_1", "f5b8c_2", "f5b8c_3", "f5b8c_91",
                                   "f5b9", "f5b91", "f5b10a", "f5b11", "f5b11b1", "f5b11b2", "f5b11a_1", "f5b11a_2", "f5b11a_3", "f5b11a_91", "f5b11a_101", "f5b11a_102", "f5b11a_103", "f5b11a_104", "f5b11a_105", "f5b11a_106",
                                   "f5b12", "f5b12a", "f5b12b", "f5b14", "f5b15", "f5b16", "f5b16a",  "f5b16c", "f5b16d", "f5b17a", "f5b17b", "f5b17c",
                                   "f5b17d_1","f5b17d_2","f5b17d_3","f5b17d_4","f5b17d_5","f5b17d_6","f5b17d_7","f5b17d_8","f5b17d_91","f5b17d_101","f5b17d_102","f5b17d_103", "f5b18b", 
                                   "f5b18c", "f5b21a", "f5b21b", "f5b22_101", "f5b22_102", "f5b22_103", "f5b22_104", "f5b22_105", "f5b22_106", "f5b22_107", "f5b22_108", "f5b25", "f5b25a"))
newdata = newdata[,-drop]  

#########
#Output cleaned data
#########
write.csv(newdata, file = outname, row.names = F)
var.classes = sapply(newdata, class)
save(var.classes, file = "../Data/Wave5_clean_class.RData")
